<?php declare(strict_types=1);

namespace Addons\Integrations\Algolia\Requests;

use App\Http\Requests\FormRequest;

use function trans;

class SettingsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string,array<string>>
     */
    public function rules(): array
    {
        return [
            'app_id'     => ['nullable', 'required_with:app_secret'],
            'app_secret' => ['nullable', 'required_with:app_id'],
        ];
    }

    /**
     * Get custom attributes for validator errors.
     *
     * @return array<string,string>
     */
    public function attributes(): array
    {
        return [
            'app_id'     => trans('integrations.app_id'),
            'app_secret' => trans('integrations.app_secret'),
        ];
    }
}
