<?php declare(strict_types=1);

namespace Addons\Reports\CannedResponses\Reports;

use Addons\Reports\CannedResponses\Reports\Cards\Usage\CannedResponseUsageTable;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class Usage extends Dashboard
{
    public Timeframe $timeframe = Timeframe::DISABLE;
    public Filter $filter = Filter::NONE;

    public function name(): string
    {
        return trans('report.canned_responses_usage');
    }

    public function description(): string
    {
        return trans('report.canned_responses_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new CannedResponseUsageTable);
    }
}
