<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Articles\Responses;

use Addons\Reports\Feedback\Reports\Cards\Responses\BooleanFieldChart as BaseBooleanFieldChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleTitleColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackRatingColumn;
use App\Modules\Selfservice\Models\Article;
use App\Modules\Selfservice\Models\FeedbackFormField;
use App\Modules\Selfservice\Models\FeedbackFormFieldValue;
use App\Modules\Selfservice\Models\FeedbackLog;

/**
 * @extends BaseBooleanFieldChart<Article, FeedbackLog, FeedbackFormFieldValue>
 */
class BooleanFieldChart extends BaseBooleanFieldChart
{
    public function __construct(FeedbackFormField $field)
    {
        parent::__construct($field);
    }

    public function model()
    {
        return new Article;
    }

    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new ArticleCreatedAtColumn,
            new FeedbackRatingColumn,
            new ArticleTitleColumn,
        ];
    }
}
