<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Articles\Responses;

use Addons\Reports\Feedback\Reports\Cards\Responses\RatingFieldChart as BaseRatingFieldChart;
use App\Modules\Core\Models\TranslationCollection;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleTitleColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackRatingColumn;
use App\Modules\Selfservice\Models\Article;
use App\Modules\Selfservice\Models\FeedbackFormField;
use App\Modules\Selfservice\Models\FeedbackFormFieldOption;
use App\Modules\Selfservice\Models\FeedbackFormFieldValue;
use App\Modules\Selfservice\Models\FeedbackLog;

/**
 * @extends BaseRatingFieldChart<Article, FeedbackLog, FeedbackFormFieldValue, FeedbackFormFieldOption>
 */
class RatingFieldChart extends BaseRatingFieldChart
{
    public function __construct(FeedbackFormField $field)
    {
        parent::__construct($field);
    }

    protected function getFieldOptions(): TranslationCollection
    {
        return FeedbackFormFieldOption::where('field_id', $this->field->id)->get();
    }

    public function model()
    {
        return new Article;
    }

    public function underlyingDataTableColumns(): array
    {
        return [
            new ArticleCreatedAtColumn,
            new FeedbackRatingColumn,
            new ArticleTitleColumn,
        ];
    }
}
