<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Articles\Responses;

use Addons\Reports\Feedback\Reports\Cards\Responses\FieldTable;
use App\Modules\Report\Addon\Dashboards\Cards\Table\Column;
use App\Modules\Selfservice\Models\Article;
use App\Modules\Selfservice\Models\FeedbackFormFieldValue;
use App\Modules\Selfservice\Models\FeedbackLog;

use function e;
use function route;
use function sprintf;
use function trans_choice;

/**
 * @extends FieldTable<Article, FeedbackLog, FeedbackFormFieldValue>
 */
class TextFieldTable extends FieldTable
{
    public function model()
    {
        return new Article;
    }

    public function columns(): array
    {
        return [
            $this->dateColumn(),
            $this->titleColumn(),
            $this->ratingColumn(),
            $this->valueColumn(),
            $this->actionsColumn('ticket.operator.feedback.show'),
        ];
    }

    private function titleColumn(): Column
    {
        return (new Column(trans_choice('selfservice.article', 1)))
            ->setCsvValue(fn($model) => $model->title)
            ->setValue(function ($model) {
                $route = route('selfservice.operator.article.edit', [$model->id]);

                return sprintf('<a href="%s">%s</a>', e($route), e($model->title));
            }, false);
    }
}
