<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports;

use Addons\Reports\Feedback\Reports\Articles\BadRating;
use Addons\Reports\Feedback\Reports\Articles\FeedbackLogTable;
use Addons\Reports\Feedback\Reports\Articles\GoodRating;
use Addons\Reports\Feedback\Reports\Articles\NeutralRating;
use Addons\Reports\Feedback\Reports\Articles\ResponseRateChart;
use Addons\Reports\Feedback\Reports\Articles\TrendChart;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class ArticlesOverview extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::NONE;

    public function name(): string
    {
        return trans('report.feedback_article_overview');
    }

    public function description(): string
    {
        return trans('report.feedback_overview_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new GoodRating);
        $collection->add(new NeutralRating);
        $collection->add(new BadRating);
        $collection->add(new TrendChart);
        $collection->add(new ResponseRateChart);
        $collection->add(new FeedbackLogTable);
    }
}
