<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Tickets;

use Addons\Reports\Feedback\Reports\Cards\RatingCard as BaseRatingCard;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackUpdatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackViewColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Ticket\Models\FeedbackFormFieldValue;
use App\Modules\Ticket\Models\FeedbackLog;
use App\Modules\Ticket\Models\Ticket;

/**
 * @extends BaseRatingCard<Ticket, FeedbackLog, FeedbackFormFieldValue>
 */
abstract class RatingCard extends BaseRatingCard
{
    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new FeedbackUpdatedAtColumn,
            new FeedbackRatingColumn,
            new TicketSubjectColumn,
            new FeedbackViewColumn,
        ];
    }

    /**
     * @inheritDoc
     */
    public function model()
    {
        return new Ticket;
    }
}
