<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Tickets\Responses;

use Addons\Reports\Feedback\Reports\Cards\Responses\BooleanFieldChart as BaseBooleanFieldChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Ticket\Models\FeedbackFormField;
use App\Modules\Ticket\Models\FeedbackFormFieldValue;
use App\Modules\Ticket\Models\FeedbackLog;
use App\Modules\Ticket\Models\Ticket;

/**
 * @extends BaseBooleanFieldChart<Ticket, FeedbackLog, FeedbackFormFieldValue>
 */
class BooleanFieldChart extends BaseBooleanFieldChart
{
    public function __construct(FeedbackFormField $field)
    {
        parent::__construct($field);
    }

    public function model()
    {
        return new Ticket;
    }

    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new FeedbackRatingColumn,
            new TicketSubjectColumn,
        ];
    }
}
