<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Tickets\Responses;

use Addons\Reports\Feedback\Reports\Cards\Responses\OptionsFieldChart as BaseOptionsFieldChart;
use App\Modules\Core\Models\TranslationCollection;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Ticket\Models\FeedbackFormField;
use App\Modules\Ticket\Models\FeedbackFormFieldOption;
use App\Modules\Ticket\Models\FeedbackFormFieldValue;
use App\Modules\Ticket\Models\FeedbackLog;
use App\Modules\Ticket\Models\Ticket;

/**
 * @extends BaseOptionsFieldChart<Ticket, FeedbackLog, FeedbackFormFieldValue, FeedbackFormFieldOption>
 */
class OptionsFieldChart extends BaseOptionsFieldChart
{
    public function __construct(FeedbackFormField $field)
    {
        parent::__construct($field);
    }

    protected function getFieldOptions(): TranslationCollection
    {
        return FeedbackFormFieldOption::where('field_id', $this->field->id)->get();
    }

    public function model()
    {
        return new Ticket;
    }

    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new FeedbackRatingColumn,
            new TicketSubjectColumn,
        ];
    }
}
