<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports;

use Addons\Reports\Feedback\Reports\Tickets\BadRating;
use Addons\Reports\Feedback\Reports\Tickets\FeedbackLogTable;
use Addons\Reports\Feedback\Reports\Tickets\GoodRating;
use Addons\Reports\Feedback\Reports\Tickets\NeutralRating;
use Addons\Reports\Feedback\Reports\Tickets\ResponseRateChart;
use Addons\Reports\Feedback\Reports\Tickets\TrendChart;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class TicketsOverview extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.feedback_ticket_overview');
    }

    public function description(): string
    {
        return trans('report.feedback_overview_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new GoodRating);
        $collection->add(new NeutralRating);
        $collection->add(new BadRating);
        $collection->add(new TrendChart);
        $collection->add(new ResponseRateChart);
        $collection->add(new FeedbackLogTable);
    }
}
