<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Controllers;

use Addons\Reports\TicketPerformance\Reports\DepartmentPerformance;
use Addons\Reports\TicketPerformance\Reports\FirstResponseTime;
use Addons\Reports\TicketPerformance\Reports\OperatorPerformance;
use Addons\Reports\TicketPerformance\Reports\SlaPerformance;
use Addons\Reports\TicketPerformance\Reports\TimeToResolution;
use App\Modules\Report\Addon\Report;

class TicketPerformance extends Report
{
    public function __construct()
    {
        parent::__construct();

        $this->registerReportDashboards([
            FirstResponseTime::class,
            TimeToResolution::class,
            SlaPerformance::class,
            OperatorPerformance::class,
            DepartmentPerformance::class,
        ]);
    }

    /**
     * @return bool
     */
    public function activate()
    {
        return true;
    }

    /**
     * @return bool
     */
    public function deactivate()
    {
        return true;
    }

    /**
     * @return bool
     */
    public function uninstall()
    {
        return true;
    }
}
