<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports\Cards\SlaPerformance;

use App\Modules\Report\Addon\Dashboards\Cards\Chart\DataStructure;
use App\Modules\Report\Addon\Dashboards\Filtering\QueryBuilder;
use App\Modules\Ticket\Models\Ticket;
use App\Modules\Ticket\Models\TicketDueTimeTarget;

use function sprintf;
use function trans;
use function trans_choice;

class NextReplyTimeByPriorityCard extends ByPriorityChart
{
    public function name(): string
    {
        return trans('report.sla_next_reply_time_by_priority');
    }

    public function data() : DataStructure
    {
        return parent::data()->setAxisNames(
            trans('report.next_reply_time_percentage'),
            trans_choice('ticket.priority', 1)
        );
    }

    /**
     * @return QueryBuilder<Ticket>
     */
    protected function baseQuery(): QueryBuilder
    {
        return parent::baseQuery()
            ->where(sprintf('%s.target', TicketDueTimeTarget::getTableName()), TicketDueTimeTarget::TARGET_NEXT_REPLY_TIME);
    }
}
