<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports\Cards\SlaPerformance;

use App\Modules\Report\Addon\Dashboards\Filtering\QueryBuilder;
use App\Modules\Ticket\Models\Ticket;
use App\Modules\Ticket\Models\TicketDueTimeTarget;

use function sprintf;
use function trans;

class ResolutionTimeCard extends TargetNumberCard
{
    public function name(): string
    {
        return trans('report.sla_resolution_time');
    }

    /**
     * @return QueryBuilder<Ticket>
     */
    protected function baseQuery(): QueryBuilder
    {
        return parent::baseQuery()
            ->where(sprintf('%s.target', TicketDueTimeTarget::getTableName()), TicketDueTimeTarget::TARGET_RESOLVE_TIME);
    }
}
