<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports\Cards\SlaPerformance;

use App\Modules\Report\Addon\Dashboards\Cards\Number\NumberFormat;
use App\Modules\Report\Addon\Dashboards\Cards\NumberCard;
use App\Modules\Report\Addon\Dashboards\Cards\UnderlyingData;
use App\Modules\Ticket\Models\Ticket;
use App\Modules\Ticket\Models\TicketDueTimeTarget;

use function sprintf;

/**
 * @implements UnderlyingData<Ticket>
 */
abstract class TargetNumberCard extends NumberCard implements UnderlyingData
{
    use BaseQuery, HasColumns;

    protected NumberFormat $numberFormat = NumberFormat::PERCENT;

    public function number(): ?float
    {
        $percentage = $this->baseQuery()
            ->selectRaw(sprintf('count(CASE when %s.target_met = 1 THEN 1 END) / count(*) as percentage', TicketDueTimeTarget::getTableName()))
            ->getQuery()
            ->first();

        return isset($percentage->percentage) ? (float) $percentage->percentage : null;
    }
}
