<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports;

use Addons\Reports\TicketPerformance\Reports\Cards\DepartmentPerformance\FirstResponseTimeTable;
use Addons\Reports\TicketPerformance\Reports\Cards\DepartmentPerformance\TimeToResolutionTable;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class DepartmentPerformance extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.department_performance');
    }

    public function description(): string
    {
        return trans('report.department_performance_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new FirstResponseTimeTable)
            ->add(new TimeToResolutionTable);
    }
}
