<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports;

use Addons\Reports\TicketPerformance\Reports\Cards\FirstResponseTime\AverageCard;
use Addons\Reports\TicketPerformance\Reports\Cards\FirstResponseTime\ByPriorityChart;
use Addons\Reports\TicketPerformance\Reports\Cards\FirstResponseTime\ByTimeChart;
use Addons\Reports\TicketPerformance\Reports\Cards\FirstResponseTime\TrendChart;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class FirstResponseTime extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.first_response_time');
    }

    public function description(): string
    {
        return trans('report.first_response_time_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new AverageCard);
        $collection->add(new TrendChart);
        $collection->add(new ByTimeChart);
        $collection->add(new ByPriorityChart);
    }
}
