<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports;

use Addons\Reports\TicketPerformance\Reports\Cards\TimeToResolution\AverageCard;
use Addons\Reports\TicketPerformance\Reports\Cards\TimeToResolution\ByPriorityChart;
use Addons\Reports\TicketPerformance\Reports\Cards\TimeToResolution\ByTimeGraph;
use Addons\Reports\TicketPerformance\Reports\Cards\TimeToResolution\TrendChart;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class TimeToResolution extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.time_to_resolution');
    }

    public function description(): string
    {
        return trans('report.time_to_resolution_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new AverageCard);
        $collection->add(new TrendChart);
        $collection->add(new ByTimeGraph);
        $collection->add(new ByPriorityChart);
    }
}
