<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened;

use App\Modules\Core\Models\Brand;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketBrandColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketDepartmentColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketNumberColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketStatusColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\UserFormattedNameColumn;

use function array_merge;
use function trans;

class ByBrandTable extends BaseTable
{
    public function name(): string
    {
        return trans('report.tickets_opened_by_brand');
    }

    public function queryColumn(): string
    {
        return 'ticket.brand_id';
    }

    public function modelTable(): string
    {
        return Brand::getTableName();
    }

    public function getUnderlyingDataValueKey(): string
    {
        return 'brand_id';
    }

    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new TicketNumberColumn,
            new TicketSubjectColumn,
            new UserFormattedNameColumn,
            new TicketBrandColumn,
            new TicketDepartmentColumn,
            new TicketStatusColumn,
        ];
    }

    protected function underlyingDataRelations(): array
    {
        return array_merge(parent::underlyingDataRelations(), ['brand']);
    }
}
