<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened;

use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketChannelColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketDepartmentColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketNumberColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketStatusColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\UserFormattedNameColumn;
use App\Modules\Ticket\Models\Channel;

use function array_merge;
use function trans;

class ByChannelChart extends BaseChart
{
    public function name(): string
    {
        return trans('report.tickets_opened_by_channel');
    }

    public function chartModel(): string
    {
        return Channel::class;
    }

    public function queryColumn(): string
    {
        return 'ticket.channel_id';
    }

    public function modelNameAttribute(): string
    {
        return 'formatted_name';
    }

    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new TicketNumberColumn,
            new TicketSubjectColumn,
            new UserFormattedNameColumn,
            new TicketChannelColumn,
            new TicketDepartmentColumn,
            new TicketStatusColumn,
        ];
    }

    protected function underlyingDataRelations(): array
    {
        return array_merge(parent::underlyingDataRelations(), ['channel']);
    }
}
