<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened;

use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketDepartmentColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketNumberColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketPriorityColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketStatusColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\UserFormattedNameColumn;
use App\Modules\Ticket\Models\Priority;

use function trans;

class ByPriorityChart extends BaseChart
{
    public function name(): string
    {
        return trans('report.tickets_opened_by_priority');
    }

    public function chartModel(): string
    {
        return Priority::class;
    }

    public function queryColumn(): string
    {
        return 'ticket.priority_id';
    }

    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new TicketNumberColumn,
            new TicketSubjectColumn,
            new UserFormattedNameColumn,
            new TicketDepartmentColumn,
            new TicketStatusColumn,
            new TicketPriorityColumn,
        ];
    }
}
