<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports;

use Addons\Reports\TicketVolume\Reports\Cards\Overview\TicketManagementChart;
use Addons\Reports\TicketVolume\Reports\Cards\Overview\TicketsOpenedCard;
use Addons\Reports\TicketVolume\Reports\Cards\Overview\TicketsReopenedCard;
use Addons\Reports\TicketVolume\Reports\Cards\Overview\TicketsResolvedCard;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class Overview extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.overview');
    }

    public function description(): string
    {
        return trans('report.overview_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new TicketsOpenedCard);
        $collection->add(new TicketsResolvedCard);
        $collection->add(new TicketsReopenedCard);
        $collection->add(new TicketManagementChart);
    }
}
