<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports;

use Addons\Reports\TicketVolume\Reports\Cards\Workload\AverageMessagesToResolutionTable;
use Addons\Reports\TicketVolume\Reports\Cards\Workload\BusiestDayChart;
use Addons\Reports\TicketVolume\Reports\Cards\Workload\BusiestHourChart;
use Addons\Reports\TicketVolume\Reports\Cards\Workload\BusiestPeriodChart;
use Addons\Reports\TicketVolume\Reports\Cards\Workload\DepartmentWorkloadChart;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class Workload extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.workload');
    }

    public function description(): string
    {
        return trans('report.workload_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new BusiestPeriodChart);
        $collection->add(new BusiestHourChart);
        $collection->add(new BusiestDayChart);
        $collection->add(new DepartmentWorkloadChart);
        $collection->add(new AverageMessagesToResolutionTable);
    }
}
