<?php declare(strict_types=1);

namespace Addons\Reports\UserStatistics\Reports;

use Addons\Reports\UserStatistics\Reports\Cards\Activity\OrganisationsWithMostTickets;
use Addons\Reports\UserStatistics\Reports\Cards\Activity\UsersWithMostTickets;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;
use Illuminate\Support\Facades\Config;

use function trans;

class Activity extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.activity');
    }

    public function description(): string
    {
        return trans('report.activity_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new UsersWithMostTickets);

        if (! Config::get('settings.organisations_enabled')) {
            return;
        }

        $collection->add(new OrganisationsWithMostTickets);
    }
}
