<?php declare(strict_types=1);

namespace SupportPal\TopoClient\Geometry;

use Illuminate\Contracts\Support\Arrayable;

/**
 * @implements Arrayable<string, mixed[]|mixed>
 */
class Coordinates implements Arrayable
{
    private readonly Type $type;
    /** @var mixed[] */
    private readonly array $coordinates;

    /**
     * @param mixed[] $coordinates
     */
    public function __construct(Type $type, array $coordinates)
    {
        $this->type = $type;
        $this->coordinates = $coordinates;
    }

    public function toArray(): array
    {
        return [
            'type'        => $this->type->value,
            'coordinates' => $this->coordinates,
        ];
    }
}
