<?php declare(strict_types=1);

namespace Addons\Widgets\Announcements\Controllers;

use Illuminate\Support\Str;
use SimplePie\Item;

class Announcement
{
    /**
     * Item from the RSS feed.
     */
    protected Item $item;

    /**
     * Announcement constructor.
     */
    public function __construct(Item $item)
    {
        $this->item = $item;
    }

    public function permalink(): string
    {
        return htmlspecialchars_decode($this->item->get_permalink());
    }

    public function title(): string
    {
        return htmlspecialchars_decode($this->item->get_title());
    }

    public function date(): string
    {
        return formatDate($this->item->get_date('U'));
    }

    public function description(int $limit = 260): string
    {
        return Str::limit(htmlspecialchars_decode($this->item->get_description()), $limit);
    }
}
