<?php declare(strict_types=1);

namespace SupportPal\Support;

use Illuminate\Database\Connection;
use Illuminate\Database\MySqlConnection;
use Illuminate\Support\Str as IlluminateStr;
use SupportPal\Support\Database\ConnectionMacros;
use SupportPal\Support\Database\MySqlConnectionMacros;

class ServiceProvider extends \Illuminate\Support\ServiceProvider
{
    public function boot(): void
    {
        IlluminateStr::mixin(new Str\Trim);
        IlluminateStr::mixin(new Str\AssertEqualIgnoringCase);
        IlluminateStr::mixin(new Str\RemoveAnsi);

        Connection::mixin(new ConnectionMacros);
        MySqlConnection::mixin(new MySqlConnectionMacros);

        $this->loadRoutesFrom(__DIR__.'/../routes/web.php');
        $this->loadTranslationsFrom(__DIR__ . '/../resources/lang', 'Support');
    }
}
