<?php declare(strict_types=1);

namespace Database\Migrations\v4_0_0\Core;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

class UpdateScheduledTaskTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('scheduled_task')
            ->where('class', 'LIKE', 'App\\\\Modules\\\\Ticket\\\\Channels\\\\%')
            ->update(['class' => DB::raw('REPLACE(`class` , "App\\\\Modules\\\\Ticket\\\\Channels\\\\", "Addons\\\\Channels\\\\")')]);

        DB::table('scheduled_task')
            ->where('class', 'LIKE', 'App\\\\Plugins\\\\%')
            ->update(['class' => DB::raw('REPLACE(`class` , "App\\\\Plugins\\\\", "Addons\\\\Plugins\\\\")')]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('scheduled_task')
            ->where('class', 'LIKE', 'Addons\\\\Channels\\\\%')
            ->update(['class' => DB::raw('REPLACE(`class`, "Addons\\\\Channels\\\\", "App\\\\Modules\\\\Ticket\\\\Channels\\\\")')]);

        DB::table('scheduled_task')
            ->where('class', 'LIKE', 'Addons\\\\Plugins\\\\%')
            ->update(['class' => DB::raw('REPLACE(`class`, "Addons\\\\Plugins\\\\", "App\\\\Plugins\\\\")')]);
    }
}
