<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use App\Modules\Core\Models\Repository\SettingsRepository;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * This is placed in All-name space so it takes precedence over anything else.
 */
class UpdatePrimaryKeyOnTranslationTables extends Migration
{
    /** @var string[] */
    private array $tables = [
        'article_type_translation',
        'ticket_macro_translation',
        'schedule_translation',
        'ticket_status_translation',
        'user_customfield_translation',
        'email_template_translation',
        'article_feedback_form_translation',
        'ticket_feedback_form_field_translation',
        'user_organisation_customfield_option_translation',
        'ticket_customfield_translation',
        'ticket_customfield_option_translation',
        'ticket_feedback_form_field_option_translation',
        'article_tag_translation',
        'brand_translation',
        'ticket_feedback_form_translation',
        'ticket_filter_translation',
        'sla_plan_translation',
        'ticket_priority_translation',
        'canned_response_tag_translation',
        'ticket_tag_translation',
        'user_group_translation',
        'user_customfield_option_translation',
        'schedule_holiday_translation',
        'user_organisation_customfield_translation',
        'article_feedback_form_field_option_translation',
        'article_category_translation',
        'role_translation',
        'scheduled_task_translation',
        'department_translation',
        'canned_response_translation',
        'article_feedback_form_field_translation',
        'module_translation',
    ];

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (! app()->make(SettingsRepository::class)->isInstalled()) {
            return;
        }

        foreach ($this->tables as $table) {
            Schema::table($table, function (Blueprint $table) {
                $table->id()->first();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // migration is not reversible https://gitlab.supportpal.com/supportpal/helpdesk/-/issues/3068
    }
}
