<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use App\Modules\Core\Models\Repository\SettingsRepository;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * This is placed in All-name space so it takes precedence over anything else.
 */
class UpdatePrimaryKeyOnCoreTables extends Migration
{
    /** @var string[] */
    private array $tables = [
        'email_log_attachments',
        'email_log_raw',
        'email_log_user_membership',
        'email_queue_attachments',
        'widget_role',
    ];

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (! app()->make(SettingsRepository::class)->isInstalled()) {
            return;
        }

        foreach ($this->tables as $table) {
            Schema::table($table, function (Blueprint $table) {
                $table->id()->first();
            });
        }
    }

    public function down(): void
    {
        // migration is not reversible https://gitlab.supportpal.com/supportpal/helpdesk/-/issues/3068
    }
}
