<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Core;

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class UpdateBrandTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('brand', function (Blueprint $table) {
            $table->string('favicon_dark_mode')->nullable()->after('favicon');

            $table->dropColumn(['frontend_template_mode', 'operator_template_mode']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('brand', function (Blueprint $table) {
            $table->dropColumn(['favicon_dark_mode']);

            $table->tinyInteger('frontend_template_mode')->default(0)->after('frontend_template');
            $table->tinyInteger('operator_template_mode')->default(0)->after('operator_template');
        });
    }
}
