<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Core;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DeleteExportQueueTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::dropIfExists('export_queue');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Create table.
        Schema::create('export_queue', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->increments('id')->unsigned();

            $table->integer('operator_id')->unsigned();
            $table->foreign('operator_id')->references('id')->on('user')->onDelete('cascade');

            $table->integer('user_id')->unsigned()->nullable();
            $table->foreign('user_id')->references('id')->on('user')->onDelete('cascade');

            $table->text('options');

            $table->integer('created_at');
            $table->integer('updated_at')->default(0);
        });
    }
}
