<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use App\Modules\Core\Models\Repository\SettingsRepository;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * This is placed in All-name space so it takes precedence over anything else.
 */
class UpdatePrimaryKeyOnTicketTables extends Migration
{
    /** @var string[] */
    private array $tables = [
        'ticket_channel_account_ticket',
        'ticket_customfield_brand_membership',
        'ticket_escalation_rule',
        'ticket_filter_group_membership',
        'ticket_filter_viewed',
        'ticket_link_membership',
        'ticket_macro_event',
        'ticket_macro_group_membership',
        'ticket_macro_run',
        'ticket_macro_schedule_membership',
        'ticket_tag_membership',
        'ticket_user_phone_number',
        'ticket_viewed',
        'ticket_watch_membership',
        'sla_priority_time',
        'sla_schedule_membership',
        'department_group_membership',
        'department_operator_membership',
        'department_priority_membership',
        'canned_response_group_membership',
        'canned_response_tag_membership',
        'department_brand_membership',
        'department_customfield_membership',
    ];

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (! app()->make(SettingsRepository::class)->isInstalled()) {
            return;
        }

        foreach ($this->tables as $table) {
            Schema::table($table, function (Blueprint $table) {
                $table->id()->first();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // migration is not reversible https://gitlab.supportpal.com/supportpal/helpdesk/-/issues/3068
    }
}
