<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Ticket;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateSlaPriorityTimeTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('sla_priority_time', function (Blueprint $table) {
            $table->renameColumn('reply_time', 'first_reply_time');
        });

        Schema::table('sla_priority_time', function (Blueprint $table) {
            $table->unsignedInteger('first_reply_time')->nullable()->change();
            $table->unsignedInteger('next_reply_time')->nullable()->after('first_reply_time');
            $table->unsignedInteger('resolve_time')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('sla_priority_time', function (Blueprint $table) {
            $table->renameColumn('first_reply_time', 'reply_time');
        });

        Schema::table('sla_priority_time', function (Blueprint $table) {
            $table->unsignedInteger('reply_time')->nullable(false)->change();
            $table->unsignedInteger('resolve_time')->nullable(false)->change();
            $table->dropColumn('next_reply_time');
        });
    }
}
