<?php declare(strict_types=1);

namespace Database\Seeds\v5_0_0;

use App\Modules\Core\Controllers\Database\Seed\Seeder;
use App\Modules\Core\Models\EmailTemplate;
use Illuminate\Support\Facades\DB;

use function now;

class SeedEmailTemplateTable extends Seeder
{
    public function run(): void
    {
        $time = now()->getTimestamp();

        if (! DB::table('email_template')->where('id', EmailTemplate::USER_ADDITIONAL_EMAIL_ADDED_NOTIFICATION)->count()) {
            DB::table('email_template')->insert([
                [
                    'id'          => EmailTemplate::USER_ADDITIONAL_EMAIL_ADDED_NOTIFICATION,
                    'name'        => 'Additional email address added',
                    'description' => '',
                    'type'        => EmailTemplate::USER,
                    'created_at'  => $time,
                    'updated_at'  => $time,
                ]
            ]);
        }

        if (! DB::table('email_template')->where('id', EmailTemplate::USER_VERIFY_EMAIL_NOTIFICATION)->count()) {
            DB::table('email_template')->insert([
                [
                    'id'          => EmailTemplate::USER_VERIFY_EMAIL_NOTIFICATION,
                    'name'        => 'Verify email address',
                    'description' => '',
                    'type'        => EmailTemplate::USER,
                    'created_at'  => $time,
                    'updated_at'  => $time,
                ]
            ]);
        }
    }
}
