<?php declare(strict_types=1);

namespace Database\Seeds\v5_0_0;

use App\Modules\Core\Controllers\Database\Seed\Seeder;
use Illuminate\Support\Facades\DB;

use function now;

class SeedSlaEscalationRuleTable extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $time = now()->getTimestamp();

        // Duplicate all records and set target 1.
        $rules = DB::table('sla_escalation_rule')->get();

        foreach ($rules as $rule) {
            DB::table('sla_escalation_rule')->insert([
                'plan_id'    => $rule->plan_id,
                'order'      => $rule->order,
                'action'     => $rule->action,
                'target'     => 1,
                'when'       => $rule->when,
                'when_time'  => $rule->when_time,
                'value_id'   => $rule->value_id,
                'value_text' => $rule->value_id,
                'created_at' => $time,
                'updated_at' => $time,
            ]);
        }
    }
}
