<?php declare(strict_types=1);

namespace Chumper\Datatable\Columns;

use function call_user_func;

class FunctionColumn extends BaseColumn
{
    /** @var callable */
    private $callable;

    public function __construct(string $name, callable $callable)
    {
        parent::__construct($name);
        $this->callable = $callable;
    }

    public function run(mixed $model): mixed
    {
        return call_user_func($this->callable, $model);
    }
}
