<?php declare(strict_types=1);

namespace Chumper\Datatable;

use Chumper\Datatable\Engines\CollectionEngine;
use Chumper\Datatable\Engines\QueryEngine;
use Illuminate\Contracts\Database\Query\Builder;
use Illuminate\Http\Request;
use Illuminate\Support\Collection;

use function is_numeric;

class Datatable
{
    public function __construct(private Request $request)
    {
        //
    }

    public function query(Builder $query): QueryEngine
    {
        return new QueryEngine($query, $this->request);
    }

    public function collection(Collection $collection): CollectionEngine
    {
        return new CollectionEngine($collection, $this->request);
    }

    public function table(): Table
    {
        return new Table;
    }

    public function shouldHandle(): bool
    {
        return is_numeric($this->request->input('sEcho'));
    }

    public function setRequest(Request $request): self
    {
        $this->request = $request;

        return $this;
    }
}
