<?php declare(strict_types=1);

namespace Chumper\Datatable\Engines\Dataset;

use Chumper\Datatable\Engines\BaseEngine;
use Illuminate\Contracts\Database\Query\Builder;
use Illuminate\Support\Collection;
use Illuminate\Support\LazyCollection;

class QueryDataset extends Dataset
{
    public function __construct(private readonly Builder $query, BaseEngine $engine)
    {
        parent::__construct($engine);
    }

    public function get(): Collection
    {
        return $this->query->get()->map(fn($row) => $this->makeEntry($row));
    }

    public function lazy(): LazyCollection
    {
        return $this->query->lazy();
    }
}
