<?php declare(strict_types=1);

namespace SupportPal\HealthService\Check;

use SupportPal\HealthService\Model\Result;
use SupportPal\HealthService\Model\Translation;

interface HealthCheck
{
    public function name(): Translation;

    public function check(): Result;

    /**
     * Some checks rely on others to properly provide functionality.
     *
     * @return class-string[]
     */
    public function dependsOn(): array;
}
