<?php declare(strict_types=1);

namespace SupportPal\HealthService\Model;

use Illuminate\Support\Facades\Lang;

class Translation implements ResultString
{
    private string $key;
    private ?int $number;

    /** @var mixed[] */
    private array $replace = [];

    public function __construct(string $key, ?int $number = null)
    {
        $this->key = $key;
        $this->number = $number;
    }

    /**
     * @param mixed[] $replace
     */
    public function setReplacements(array $replace): self
    {
        $this->replace = $replace;

        return $this;
    }

    public function get(): string
    {
        if ($this->number !== null) {
            return Lang::choice($this->key, $this->number, $this->replace);
        }

        return Lang::get($this->key, $this->replace);
    }
}
