/*!
 * jQuery JavaScript Library v3.7.0
 * https://jquery.com/
 *
 * Copyright OpenJS Foundation and other contributors
 * Released under the MIT license
 * https://jquery.org/license
 *
 * Date: 2023-05-11T18:29Z
 */
/*!
 * Laravel Javascript Validation
 *
 * https://github.com/proengsoft/laravel-jsvalidation
 *
 * Copyright (c) 2017 Proengsoft
 * Released under the MIT license
 */
var laravelValidation;
function deleteAlert(e) {
  "use strict";

  if ("object" != typeof e) throw new Error("Expected 'parameters' argument to be of type 'object'.");
  var t = this;
  this.defaultOpts = $.extend(!0, {}, {
    showLoaderOnConfirm: !0,
    allowOutsideClick: function () {
      return !Swal.isLoading();
    },
    width: 550
  }, e.defaultOpts || {}), this.checkboxSelector = e.checkboxSelector ? e.checkboxSelector : deleteAlert.defaultCheckboxSelector, this.translationKeys = $.extend(!0, {}, deleteAlert.translationKeys, e.translationKeys || {});
  var n = function (e, n, i, r) {
      r = r || !1;
      for (var o = [], a = 0; a < i.length; a++) {
        var s = '<label style="margin: 0 10px 0 20px"><input type="checkbox" name="confirm-delete[]" style="margin: 0 15px 0 0" ' + (r ? "disabled checked" : "") + " />" + i[a] + "</label>";
        o.push(s);
      }
      var l = {
        record: e.toLowerCase(),
        name: n
      };
      return "<span>" + Lang.get(t.translationKeys.relations, l) + "</span><br />" + o.join("<br />");
    },
    i = function () {
      return "object" != typeof e.ajax ? Swal.showLoading() : $.ajax($.extend(!0, {}, {
        type: "DELETE",
        dataType: "json"
      }, e.ajax)).then(function (e) {
        if ("success" == e.status) return e;
        throw new Error(e.statusText);
      }).catch(function () {
        Swal.showValidationMessage(Lang.get("messages.error_deleted", {
          item: Lang.get("general.record")
        }));
      });
    },
    r = function (t) {
      return "function" != typeof e.html ? t : e.html(t);
    };
  this.fireDefault = function (e, t, o) {
    if (t = t || "", "string" != typeof e || "string" != typeof t) throw "Expecting parameters 'section' and 'name' to be of type string.";
    var a = Lang.get(this.translationKeys.warning, {
      record: e.toLowerCase(),
      name: t
    });
    return "object" == typeof o && o.length > 0 && (a = n(e, t, o, !0)), Swal.fire($.extend(this.defaultOpts, {
      title: Lang.get(this.translationKeys.title, {
        record: e
      }),
      html: r('<div style="text-align: left"><div class="sp-alert sp-alert-warning"><i class="fas fa-exclamation-triangle" aria-hidden="true"></i> &nbsp;' + Lang.get("messages.cannot_be_undone") + "</div>" + a + "</div>"),
      showCancelButton: !0,
      confirmButtonColor: "#e74c3c",
      confirmButtonText: Lang.get(this.translationKeys.confirmButton, {
        record: e
      }),
      cancelButtonText: Lang.get(this.translationKeys.cancelButton, {
        record: e
      }),
      preConfirm: function () {
        return i();
      }
    }));
  }, this.fireSevere = function (e, o, a) {
    if ("string" != typeof (o = o || "") || "string" != typeof e) throw "Expecting parameters 'section' and 'name' to be of type string.";
    if ("object" != typeof (a = a || [])) throw "Expecting 'relations' parameter of type array.";
    return Swal.fire($.extend(this.defaultOpts, {
      title: Lang.get(this.translationKeys.title, {
        record: e
      }),
      html: r('<div style="text-align: left;"><div class="sp-alert sp-alert-warning"><i class="fas fa-exclamation-triangle" aria-hidden="true"></i> &nbsp;' + Lang.get("messages.cannot_be_undone") + "</div>" + n(e, o, a) + "<br /><span>" + Lang.get("messages.please_check") + "</span></div>"),
      showCancelButton: !0,
      cancelButtonText: Lang.get(this.translationKeys.cancelButton, {
        record: e
      }),
      confirmButtonColor: "#e74c3c",
      confirmButtonText: Lang.get(this.translationKeys.confirmButton, {
        record: e
      }),
      preConfirm: function () {
        return t.disableCheckboxes(), i();
      }
    }));
  }, this.disableCheckboxes = function () {
    $(this.checkboxSelector).prop("disabled", "disabled");
  }, this.enableCheckboxes = function () {
    $(this.checkboxSelector).prop("disabled", !1);
  };
}
!function (e, t) {
  "use strict";

  "object" == typeof module && "object" == typeof module.exports ? module.exports = e.document ? t(e, !0) : function (e) {
    if (!e.document) throw new Error("jQuery requires a window with a document");
    return t(e);
  } : t(e);
}("undefined" != typeof window ? window : this, function (e, t) {
  "use strict";

  var n = [],
    i = Object.getPrototypeOf,
    r = n.slice,
    o = n.flat ? function (e) {
      return n.flat.call(e);
    } : function (e) {
      return n.concat.apply([], e);
    },
    a = n.push,
    s = n.indexOf,
    l = {},
    u = l.toString,
    c = l.hasOwnProperty,
    d = c.toString,
    p = d.call(Object),
    f = {},
    h = function (e) {
      return "function" == typeof e && "number" != typeof e.nodeType && "function" != typeof e.item;
    },
    m = function (e) {
      return null != e && e === e.window;
    },
    g = e.document,
    v = {
      type: !0,
      src: !0,
      nonce: !0,
      noModule: !0
    };
  function y(e, t, n) {
    var i,
      r,
      o = (n = n || g).createElement("script");
    if (o.text = e, t) for (i in v) (r = t[i] || t.getAttribute && t.getAttribute(i)) && o.setAttribute(i, r);
    n.head.appendChild(o).parentNode.removeChild(o);
  }
  function b(e) {
    return null == e ? e + "" : "object" == typeof e || "function" == typeof e ? l[u.call(e)] || "object" : typeof e;
  }
  var w = "3.7.0",
    x = /HTML$/i,
    k = function (e, t) {
      return new k.fn.init(e, t);
    };
  function C(e) {
    var t = !!e && "length" in e && e.length,
      n = b(e);
    return !h(e) && !m(e) && ("array" === n || 0 === t || "number" == typeof t && t > 0 && t - 1 in e);
  }
  function T(e, t) {
    return e.nodeName && e.nodeName.toLowerCase() === t.toLowerCase();
  }
  k.fn = k.prototype = {
    jquery: w,
    constructor: k,
    length: 0,
    toArray: function () {
      return r.call(this);
    },
    get: function (e) {
      return null == e ? r.call(this) : e < 0 ? this[e + this.length] : this[e];
    },
    pushStack: function (e) {
      var t = k.merge(this.constructor(), e);
      return t.prevObject = this, t;
    },
    each: function (e) {
      return k.each(this, e);
    },
    map: function (e) {
      return this.pushStack(k.map(this, function (t, n) {
        return e.call(t, n, t);
      }));
    },
    slice: function () {
      return this.pushStack(r.apply(this, arguments));
    },
    first: function () {
      return this.eq(0);
    },
    last: function () {
      return this.eq(-1);
    },
    even: function () {
      return this.pushStack(k.grep(this, function (e, t) {
        return (t + 1) % 2;
      }));
    },
    odd: function () {
      return this.pushStack(k.grep(this, function (e, t) {
        return t % 2;
      }));
    },
    eq: function (e) {
      var t = this.length,
        n = +e + (e < 0 ? t : 0);
      return this.pushStack(n >= 0 && n < t ? [this[n]] : []);
    },
    end: function () {
      return this.prevObject || this.constructor();
    },
    push: a,
    sort: n.sort,
    splice: n.splice
  }, k.extend = k.fn.extend = function () {
    var e,
      t,
      n,
      i,
      r,
      o,
      a = arguments[0] || {},
      s = 1,
      l = arguments.length,
      u = !1;
    for ("boolean" == typeof a && (u = a, a = arguments[s] || {}, s++), "object" == typeof a || h(a) || (a = {}), s === l && (a = this, s--); s < l; s++) if (null != (e = arguments[s])) for (t in e) i = e[t], "__proto__" !== t && a !== i && (u && i && (k.isPlainObject(i) || (r = Array.isArray(i))) ? (n = a[t], o = r && !Array.isArray(n) ? [] : r || k.isPlainObject(n) ? n : {}, r = !1, a[t] = k.extend(u, o, i)) : void 0 !== i && (a[t] = i));
    return a;
  }, k.extend({
    expando: "jQuery" + (w + Math.random()).replace(/\D/g, ""),
    isReady: !0,
    error: function (e) {
      throw new Error(e);
    },
    noop: function () {},
    isPlainObject: function (e) {
      var t, n;
      return !(!e || "[object Object]" !== u.call(e)) && (!(t = i(e)) || "function" == typeof (n = c.call(t, "constructor") && t.constructor) && d.call(n) === p);
    },
    isEmptyObject: function (e) {
      var t;
      for (t in e) return !1;
      return !0;
    },
    globalEval: function (e, t, n) {
      y(e, {
        nonce: t && t.nonce
      }, n);
    },
    each: function (e, t) {
      var n,
        i = 0;
      if (C(e)) for (n = e.length; i < n && !1 !== t.call(e[i], i, e[i]); i++);else for (i in e) if (!1 === t.call(e[i], i, e[i])) break;
      return e;
    },
    text: function (e) {
      var t,
        n = "",
        i = 0,
        r = e.nodeType;
      if (r) {
        if (1 === r || 9 === r || 11 === r) return e.textContent;
        if (3 === r || 4 === r) return e.nodeValue;
      } else for (; t = e[i++];) n += k.text(t);
      return n;
    },
    makeArray: function (e, t) {
      var n = t || [];
      return null != e && (C(Object(e)) ? k.merge(n, "string" == typeof e ? [e] : e) : a.call(n, e)), n;
    },
    inArray: function (e, t, n) {
      return null == t ? -1 : s.call(t, e, n);
    },
    isXMLDoc: function (e) {
      var t = e && e.namespaceURI,
        n = e && (e.ownerDocument || e).documentElement;
      return !x.test(t || n && n.nodeName || "HTML");
    },
    merge: function (e, t) {
      for (var n = +t.length, i = 0, r = e.length; i < n; i++) e[r++] = t[i];
      return e.length = r, e;
    },
    grep: function (e, t, n) {
      for (var i = [], r = 0, o = e.length, a = !n; r < o; r++) !t(e[r], r) !== a && i.push(e[r]);
      return i;
    },
    map: function (e, t, n) {
      var i,
        r,
        a = 0,
        s = [];
      if (C(e)) for (i = e.length; a < i; a++) null != (r = t(e[a], a, n)) && s.push(r);else for (a in e) null != (r = t(e[a], a, n)) && s.push(r);
      return o(s);
    },
    guid: 1,
    support: f
  }), "function" == typeof Symbol && (k.fn[Symbol.iterator] = n[Symbol.iterator]), k.each("Boolean Number String Function Array Date RegExp Object Error Symbol".split(" "), function (e, t) {
    l["[object " + t + "]"] = t.toLowerCase();
  });
  var E = n.pop,
    D = n.sort,
    O = n.splice,
    S = "[\\x20\\t\\r\\n\\f]",
    A = new RegExp("^" + S + "+|((?:^|[^\\\\])(?:\\\\.)*)" + S + "+$", "g");
  k.contains = function (e, t) {
    var n = t && t.parentNode;
    return e === n || !(!n || 1 !== n.nodeType || !(e.contains ? e.contains(n) : e.compareDocumentPosition && 16 & e.compareDocumentPosition(n)));
  };
  var j = /([\0-\x1f\x7f]|^-?\d)|^-$|[^\x80-\uFFFF\w-]/g;
  function M(e, t) {
    return t ? "\0" === e ? "�" : e.slice(0, -1) + "\\" + e.charCodeAt(e.length - 1).toString(16) + " " : "\\" + e;
  }
  k.escapeSelector = function (e) {
    return (e + "").replace(j, M);
  };
  var P = g,
    L = a;
  !function () {
    var t,
      i,
      o,
      a,
      l,
      u,
      d,
      p,
      h,
      m,
      g = L,
      v = k.expando,
      y = 0,
      b = 0,
      w = ee(),
      x = ee(),
      C = ee(),
      j = ee(),
      M = function (e, t) {
        return e === t && (l = !0), 0;
      },
      $ = "checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped",
      _ = "(?:\\\\[\\da-fA-F]{1,6}" + S + "?|\\\\[^\\r\\n\\f]|[\\w-]|[^\0-\\x7f])+",
      N = "\\[" + S + "*(" + _ + ")(?:" + S + "*([*^$|!~]?=)" + S + "*(?:'((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\"|(" + _ + "))|)" + S + "*\\]",
      F = ":(" + _ + ")(?:\\((('((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\")|((?:\\\\.|[^\\\\()[\\]]|" + N + ")*)|.*)\\)|)",
      I = new RegExp(S + "+", "g"),
      R = new RegExp("^" + S + "*," + S + "*"),
      q = new RegExp("^" + S + "*([>+~]|" + S + ")" + S + "*"),
      H = new RegExp(S + "|>"),
      B = new RegExp(F),
      V = new RegExp("^" + _ + "$"),
      z = {
        ID: new RegExp("^#(" + _ + ")"),
        CLASS: new RegExp("^\\.(" + _ + ")"),
        TAG: new RegExp("^(" + _ + "|[*])"),
        ATTR: new RegExp("^" + N),
        PSEUDO: new RegExp("^" + F),
        CHILD: new RegExp("^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(" + S + "*(even|odd|(([+-]|)(\\d*)n|)" + S + "*(?:([+-]|)" + S + "*(\\d+)|))" + S + "*\\)|)", "i"),
        bool: new RegExp("^(?:" + $ + ")$", "i"),
        needsContext: new RegExp("^" + S + "*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(" + S + "*((?:-\\d)?\\d*)" + S + "*\\)|)(?=[^-]|$)", "i")
      },
      W = /^(?:input|select|textarea|button)$/i,
      Y = /^h\d$/i,
      U = /^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/,
      K = /[+~]/,
      X = new RegExp("\\\\[\\da-fA-F]{1,6}" + S + "?|\\\\([^\\r\\n\\f])", "g"),
      J = function (e, t) {
        var n = "0x" + e.slice(1) - 65536;
        return t || (n < 0 ? String.fromCharCode(n + 65536) : String.fromCharCode(n >> 10 | 55296, 1023 & n | 56320));
      },
      G = function () {
        le();
      },
      Q = pe(function (e) {
        return !0 === e.disabled && T(e, "fieldset");
      }, {
        dir: "parentNode",
        next: "legend"
      });
    try {
      g.apply(n = r.call(P.childNodes), P.childNodes), n[P.childNodes.length].nodeType;
    } catch (e) {
      g = {
        apply: function (e, t) {
          L.apply(e, r.call(t));
        },
        call: function (e) {
          L.apply(e, r.call(arguments, 1));
        }
      };
    }
    function Z(e, t, n, i) {
      var r,
        o,
        a,
        s,
        l,
        c,
        d,
        m = t && t.ownerDocument,
        y = t ? t.nodeType : 9;
      if (n = n || [], "string" != typeof e || !e || 1 !== y && 9 !== y && 11 !== y) return n;
      if (!i && (le(t), t = t || u, p)) {
        if (11 !== y && (l = U.exec(e))) if (r = l[1]) {
          if (9 === y) {
            if (!(a = t.getElementById(r))) return n;
            if (a.id === r) return g.call(n, a), n;
          } else if (m && (a = m.getElementById(r)) && Z.contains(t, a) && a.id === r) return g.call(n, a), n;
        } else {
          if (l[2]) return g.apply(n, t.getElementsByTagName(e)), n;
          if ((r = l[3]) && t.getElementsByClassName) return g.apply(n, t.getElementsByClassName(r)), n;
        }
        if (!(j[e + " "] || h && h.test(e))) {
          if (d = e, m = t, 1 === y && (H.test(e) || q.test(e))) {
            for ((m = K.test(e) && se(t.parentNode) || t) == t && f.scope || ((s = t.getAttribute("id")) ? s = k.escapeSelector(s) : t.setAttribute("id", s = v)), o = (c = ce(e)).length; o--;) c[o] = (s ? "#" + s : ":scope") + " " + de(c[o]);
            d = c.join(",");
          }
          try {
            return g.apply(n, m.querySelectorAll(d)), n;
          } catch (t) {
            j(e, !0);
          } finally {
            s === v && t.removeAttribute("id");
          }
        }
      }
      return ye(e.replace(A, "$1"), t, n, i);
    }
    function ee() {
      var e = [];
      return function t(n, r) {
        return e.push(n + " ") > i.cacheLength && delete t[e.shift()], t[n + " "] = r;
      };
    }
    function te(e) {
      return e[v] = !0, e;
    }
    function ne(e) {
      var t = u.createElement("fieldset");
      try {
        return !!e(t);
      } catch (e) {
        return !1;
      } finally {
        t.parentNode && t.parentNode.removeChild(t), t = null;
      }
    }
    function ie(e) {
      return function (t) {
        return T(t, "input") && t.type === e;
      };
    }
    function re(e) {
      return function (t) {
        return (T(t, "input") || T(t, "button")) && t.type === e;
      };
    }
    function oe(e) {
      return function (t) {
        return "form" in t ? t.parentNode && !1 === t.disabled ? "label" in t ? "label" in t.parentNode ? t.parentNode.disabled === e : t.disabled === e : t.isDisabled === e || t.isDisabled !== !e && Q(t) === e : t.disabled === e : "label" in t && t.disabled === e;
      };
    }
    function ae(e) {
      return te(function (t) {
        return t = +t, te(function (n, i) {
          for (var r, o = e([], n.length, t), a = o.length; a--;) n[r = o[a]] && (n[r] = !(i[r] = n[r]));
        });
      });
    }
    function se(e) {
      return e && void 0 !== e.getElementsByTagName && e;
    }
    function le(e) {
      var t,
        n = e ? e.ownerDocument || e : P;
      return n != u && 9 === n.nodeType && n.documentElement ? (d = (u = n).documentElement, p = !k.isXMLDoc(u), m = d.matches || d.webkitMatchesSelector || d.msMatchesSelector, P != u && (t = u.defaultView) && t.top !== t && t.addEventListener("unload", G), f.getById = ne(function (e) {
        return d.appendChild(e).id = k.expando, !u.getElementsByName || !u.getElementsByName(k.expando).length;
      }), f.disconnectedMatch = ne(function (e) {
        return m.call(e, "*");
      }), f.scope = ne(function () {
        return u.querySelectorAll(":scope");
      }), f.cssHas = ne(function () {
        try {
          return u.querySelector(":has(*,:jqfake)"), !1;
        } catch (e) {
          return !0;
        }
      }), f.getById ? (i.filter.ID = function (e) {
        var t = e.replace(X, J);
        return function (e) {
          return e.getAttribute("id") === t;
        };
      }, i.find.ID = function (e, t) {
        if (void 0 !== t.getElementById && p) {
          var n = t.getElementById(e);
          return n ? [n] : [];
        }
      }) : (i.filter.ID = function (e) {
        var t = e.replace(X, J);
        return function (e) {
          var n = void 0 !== e.getAttributeNode && e.getAttributeNode("id");
          return n && n.value === t;
        };
      }, i.find.ID = function (e, t) {
        if (void 0 !== t.getElementById && p) {
          var n,
            i,
            r,
            o = t.getElementById(e);
          if (o) {
            if ((n = o.getAttributeNode("id")) && n.value === e) return [o];
            for (r = t.getElementsByName(e), i = 0; o = r[i++];) if ((n = o.getAttributeNode("id")) && n.value === e) return [o];
          }
          return [];
        }
      }), i.find.TAG = function (e, t) {
        return void 0 !== t.getElementsByTagName ? t.getElementsByTagName(e) : t.querySelectorAll(e);
      }, i.find.CLASS = function (e, t) {
        if (void 0 !== t.getElementsByClassName && p) return t.getElementsByClassName(e);
      }, h = [], ne(function (e) {
        var t;
        d.appendChild(e).innerHTML = "<a id='" + v + "' href='' disabled='disabled'></a><select id='" + v + "-\r\\' disabled='disabled'><option selected=''></option></select>", e.querySelectorAll("[selected]").length || h.push("\\[" + S + "*(?:value|" + $ + ")"), e.querySelectorAll("[id~=" + v + "-]").length || h.push("~="), e.querySelectorAll("a#" + v + "+*").length || h.push(".#.+[+~]"), e.querySelectorAll(":checked").length || h.push(":checked"), (t = u.createElement("input")).setAttribute("type", "hidden"), e.appendChild(t).setAttribute("name", "D"), d.appendChild(e).disabled = !0, 2 !== e.querySelectorAll(":disabled").length && h.push(":enabled", ":disabled"), (t = u.createElement("input")).setAttribute("name", ""), e.appendChild(t), e.querySelectorAll("[name='']").length || h.push("\\[" + S + "*name" + S + "*=" + S + "*(?:''|\"\")");
      }), f.cssHas || h.push(":has"), h = h.length && new RegExp(h.join("|")), M = function (e, t) {
        if (e === t) return l = !0, 0;
        var n = !e.compareDocumentPosition - !t.compareDocumentPosition;
        return n || (1 & (n = (e.ownerDocument || e) == (t.ownerDocument || t) ? e.compareDocumentPosition(t) : 1) || !f.sortDetached && t.compareDocumentPosition(e) === n ? e === u || e.ownerDocument == P && Z.contains(P, e) ? -1 : t === u || t.ownerDocument == P && Z.contains(P, t) ? 1 : a ? s.call(a, e) - s.call(a, t) : 0 : 4 & n ? -1 : 1);
      }, u) : u;
    }
    for (t in Z.matches = function (e, t) {
      return Z(e, null, null, t);
    }, Z.matchesSelector = function (e, t) {
      if (le(e), p && !j[t + " "] && (!h || !h.test(t))) try {
        var n = m.call(e, t);
        if (n || f.disconnectedMatch || e.document && 11 !== e.document.nodeType) return n;
      } catch (e) {
        j(t, !0);
      }
      return Z(t, u, null, [e]).length > 0;
    }, Z.contains = function (e, t) {
      return (e.ownerDocument || e) != u && le(e), k.contains(e, t);
    }, Z.attr = function (e, t) {
      (e.ownerDocument || e) != u && le(e);
      var n = i.attrHandle[t.toLowerCase()],
        r = n && c.call(i.attrHandle, t.toLowerCase()) ? n(e, t, !p) : void 0;
      return void 0 !== r ? r : e.getAttribute(t);
    }, Z.error = function (e) {
      throw new Error("Syntax error, unrecognized expression: " + e);
    }, k.uniqueSort = function (e) {
      var t,
        n = [],
        i = 0,
        o = 0;
      if (l = !f.sortStable, a = !f.sortStable && r.call(e, 0), D.call(e, M), l) {
        for (; t = e[o++];) t === e[o] && (i = n.push(o));
        for (; i--;) O.call(e, n[i], 1);
      }
      return a = null, e;
    }, k.fn.uniqueSort = function () {
      return this.pushStack(k.uniqueSort(r.apply(this)));
    }, i = k.expr = {
      cacheLength: 50,
      createPseudo: te,
      match: z,
      attrHandle: {},
      find: {},
      relative: {
        ">": {
          dir: "parentNode",
          first: !0
        },
        " ": {
          dir: "parentNode"
        },
        "+": {
          dir: "previousSibling",
          first: !0
        },
        "~": {
          dir: "previousSibling"
        }
      },
      preFilter: {
        ATTR: function (e) {
          return e[1] = e[1].replace(X, J), e[3] = (e[3] || e[4] || e[5] || "").replace(X, J), "~=" === e[2] && (e[3] = " " + e[3] + " "), e.slice(0, 4);
        },
        CHILD: function (e) {
          return e[1] = e[1].toLowerCase(), "nth" === e[1].slice(0, 3) ? (e[3] || Z.error(e[0]), e[4] = +(e[4] ? e[5] + (e[6] || 1) : 2 * ("even" === e[3] || "odd" === e[3])), e[5] = +(e[7] + e[8] || "odd" === e[3])) : e[3] && Z.error(e[0]), e;
        },
        PSEUDO: function (e) {
          var t,
            n = !e[6] && e[2];
          return z.CHILD.test(e[0]) ? null : (e[3] ? e[2] = e[4] || e[5] || "" : n && B.test(n) && (t = ce(n, !0)) && (t = n.indexOf(")", n.length - t) - n.length) && (e[0] = e[0].slice(0, t), e[2] = n.slice(0, t)), e.slice(0, 3));
        }
      },
      filter: {
        TAG: function (e) {
          var t = e.replace(X, J).toLowerCase();
          return "*" === e ? function () {
            return !0;
          } : function (e) {
            return T(e, t);
          };
        },
        CLASS: function (e) {
          var t = w[e + " "];
          return t || (t = new RegExp("(^|" + S + ")" + e + "(" + S + "|$)")) && w(e, function (e) {
            return t.test("string" == typeof e.className && e.className || void 0 !== e.getAttribute && e.getAttribute("class") || "");
          });
        },
        ATTR: function (e, t, n) {
          return function (i) {
            var r = Z.attr(i, e);
            return null == r ? "!=" === t : !t || (r += "", "=" === t ? r === n : "!=" === t ? r !== n : "^=" === t ? n && 0 === r.indexOf(n) : "*=" === t ? n && r.indexOf(n) > -1 : "$=" === t ? n && r.slice(-n.length) === n : "~=" === t ? (" " + r.replace(I, " ") + " ").indexOf(n) > -1 : "|=" === t && (r === n || r.slice(0, n.length + 1) === n + "-"));
          };
        },
        CHILD: function (e, t, n, i, r) {
          var o = "nth" !== e.slice(0, 3),
            a = "last" !== e.slice(-4),
            s = "of-type" === t;
          return 1 === i && 0 === r ? function (e) {
            return !!e.parentNode;
          } : function (t, n, l) {
            var u,
              c,
              d,
              p,
              f,
              h = o !== a ? "nextSibling" : "previousSibling",
              m = t.parentNode,
              g = s && t.nodeName.toLowerCase(),
              b = !l && !s,
              w = !1;
            if (m) {
              if (o) {
                for (; h;) {
                  for (d = t; d = d[h];) if (s ? T(d, g) : 1 === d.nodeType) return !1;
                  f = h = "only" === e && !f && "nextSibling";
                }
                return !0;
              }
              if (f = [a ? m.firstChild : m.lastChild], a && b) {
                for (w = (p = (u = (c = m[v] || (m[v] = {}))[e] || [])[0] === y && u[1]) && u[2], d = p && m.childNodes[p]; d = ++p && d && d[h] || (w = p = 0) || f.pop();) if (1 === d.nodeType && ++w && d === t) {
                  c[e] = [y, p, w];
                  break;
                }
              } else if (b && (w = p = (u = (c = t[v] || (t[v] = {}))[e] || [])[0] === y && u[1]), !1 === w) for (; (d = ++p && d && d[h] || (w = p = 0) || f.pop()) && (!(s ? T(d, g) : 1 === d.nodeType) || !++w || (b && ((c = d[v] || (d[v] = {}))[e] = [y, w]), d !== t)););
              return (w -= r) === i || w % i == 0 && w / i >= 0;
            }
          };
        },
        PSEUDO: function (e, t) {
          var n,
            r = i.pseudos[e] || i.setFilters[e.toLowerCase()] || Z.error("unsupported pseudo: " + e);
          return r[v] ? r(t) : r.length > 1 ? (n = [e, e, "", t], i.setFilters.hasOwnProperty(e.toLowerCase()) ? te(function (e, n) {
            for (var i, o = r(e, t), a = o.length; a--;) e[i = s.call(e, o[a])] = !(n[i] = o[a]);
          }) : function (e) {
            return r(e, 0, n);
          }) : r;
        }
      },
      pseudos: {
        not: te(function (e) {
          var t = [],
            n = [],
            i = ve(e.replace(A, "$1"));
          return i[v] ? te(function (e, t, n, r) {
            for (var o, a = i(e, null, r, []), s = e.length; s--;) (o = a[s]) && (e[s] = !(t[s] = o));
          }) : function (e, r, o) {
            return t[0] = e, i(t, null, o, n), t[0] = null, !n.pop();
          };
        }),
        has: te(function (e) {
          return function (t) {
            return Z(e, t).length > 0;
          };
        }),
        contains: te(function (e) {
          return e = e.replace(X, J), function (t) {
            return (t.textContent || k.text(t)).indexOf(e) > -1;
          };
        }),
        lang: te(function (e) {
          return V.test(e || "") || Z.error("unsupported lang: " + e), e = e.replace(X, J).toLowerCase(), function (t) {
            var n;
            do {
              if (n = p ? t.lang : t.getAttribute("xml:lang") || t.getAttribute("lang")) return (n = n.toLowerCase()) === e || 0 === n.indexOf(e + "-");
            } while ((t = t.parentNode) && 1 === t.nodeType);
            return !1;
          };
        }),
        target: function (t) {
          var n = e.location && e.location.hash;
          return n && n.slice(1) === t.id;
        },
        root: function (e) {
          return e === d;
        },
        focus: function (e) {
          return e === function () {
            try {
              return u.activeElement;
            } catch (e) {}
          }() && u.hasFocus() && !!(e.type || e.href || ~e.tabIndex);
        },
        enabled: oe(!1),
        disabled: oe(!0),
        checked: function (e) {
          return T(e, "input") && !!e.checked || T(e, "option") && !!e.selected;
        },
        selected: function (e) {
          return e.parentNode && e.parentNode.selectedIndex, !0 === e.selected;
        },
        empty: function (e) {
          for (e = e.firstChild; e; e = e.nextSibling) if (e.nodeType < 6) return !1;
          return !0;
        },
        parent: function (e) {
          return !i.pseudos.empty(e);
        },
        header: function (e) {
          return Y.test(e.nodeName);
        },
        input: function (e) {
          return W.test(e.nodeName);
        },
        button: function (e) {
          return T(e, "input") && "button" === e.type || T(e, "button");
        },
        text: function (e) {
          var t;
          return T(e, "input") && "text" === e.type && (null == (t = e.getAttribute("type")) || "text" === t.toLowerCase());
        },
        first: ae(function () {
          return [0];
        }),
        last: ae(function (e, t) {
          return [t - 1];
        }),
        eq: ae(function (e, t, n) {
          return [n < 0 ? n + t : n];
        }),
        even: ae(function (e, t) {
          for (var n = 0; n < t; n += 2) e.push(n);
          return e;
        }),
        odd: ae(function (e, t) {
          for (var n = 1; n < t; n += 2) e.push(n);
          return e;
        }),
        lt: ae(function (e, t, n) {
          var i;
          for (i = n < 0 ? n + t : n > t ? t : n; --i >= 0;) e.push(i);
          return e;
        }),
        gt: ae(function (e, t, n) {
          for (var i = n < 0 ? n + t : n; ++i < t;) e.push(i);
          return e;
        })
      }
    }, i.pseudos.nth = i.pseudos.eq, {
      radio: !0,
      checkbox: !0,
      file: !0,
      password: !0,
      image: !0
    }) i.pseudos[t] = ie(t);
    for (t in {
      submit: !0,
      reset: !0
    }) i.pseudos[t] = re(t);
    function ue() {}
    function ce(e, t) {
      var n,
        r,
        o,
        a,
        s,
        l,
        u,
        c = x[e + " "];
      if (c) return t ? 0 : c.slice(0);
      for (s = e, l = [], u = i.preFilter; s;) {
        for (a in n && !(r = R.exec(s)) || (r && (s = s.slice(r[0].length) || s), l.push(o = [])), n = !1, (r = q.exec(s)) && (n = r.shift(), o.push({
          value: n,
          type: r[0].replace(A, " ")
        }), s = s.slice(n.length)), i.filter) !(r = z[a].exec(s)) || u[a] && !(r = u[a](r)) || (n = r.shift(), o.push({
          value: n,
          type: a,
          matches: r
        }), s = s.slice(n.length));
        if (!n) break;
      }
      return t ? s.length : s ? Z.error(e) : x(e, l).slice(0);
    }
    function de(e) {
      for (var t = 0, n = e.length, i = ""; t < n; t++) i += e[t].value;
      return i;
    }
    function pe(e, t, n) {
      var i = t.dir,
        r = t.next,
        o = r || i,
        a = n && "parentNode" === o,
        s = b++;
      return t.first ? function (t, n, r) {
        for (; t = t[i];) if (1 === t.nodeType || a) return e(t, n, r);
        return !1;
      } : function (t, n, l) {
        var u,
          c,
          d = [y, s];
        if (l) {
          for (; t = t[i];) if ((1 === t.nodeType || a) && e(t, n, l)) return !0;
        } else for (; t = t[i];) if (1 === t.nodeType || a) if (c = t[v] || (t[v] = {}), r && T(t, r)) t = t[i] || t;else {
          if ((u = c[o]) && u[0] === y && u[1] === s) return d[2] = u[2];
          if (c[o] = d, d[2] = e(t, n, l)) return !0;
        }
        return !1;
      };
    }
    function fe(e) {
      return e.length > 1 ? function (t, n, i) {
        for (var r = e.length; r--;) if (!e[r](t, n, i)) return !1;
        return !0;
      } : e[0];
    }
    function he(e, t, n, i, r) {
      for (var o, a = [], s = 0, l = e.length, u = null != t; s < l; s++) (o = e[s]) && (n && !n(o, i, r) || (a.push(o), u && t.push(s)));
      return a;
    }
    function me(e, t, n, i, r, o) {
      return i && !i[v] && (i = me(i)), r && !r[v] && (r = me(r, o)), te(function (o, a, l, u) {
        var c,
          d,
          p,
          f,
          h = [],
          m = [],
          v = a.length,
          y = o || function (e, t, n) {
            for (var i = 0, r = t.length; i < r; i++) Z(e, t[i], n);
            return n;
          }(t || "*", l.nodeType ? [l] : l, []),
          b = !e || !o && t ? y : he(y, h, e, l, u);
        if (n ? n(b, f = r || (o ? e : v || i) ? [] : a, l, u) : f = b, i) for (c = he(f, m), i(c, [], l, u), d = c.length; d--;) (p = c[d]) && (f[m[d]] = !(b[m[d]] = p));
        if (o) {
          if (r || e) {
            if (r) {
              for (c = [], d = f.length; d--;) (p = f[d]) && c.push(b[d] = p);
              r(null, f = [], c, u);
            }
            for (d = f.length; d--;) (p = f[d]) && (c = r ? s.call(o, p) : h[d]) > -1 && (o[c] = !(a[c] = p));
          }
        } else f = he(f === a ? f.splice(v, f.length) : f), r ? r(null, a, f, u) : g.apply(a, f);
      });
    }
    function ge(e) {
      for (var t, n, r, a = e.length, l = i.relative[e[0].type], u = l || i.relative[" "], c = l ? 1 : 0, d = pe(function (e) {
          return e === t;
        }, u, !0), p = pe(function (e) {
          return s.call(t, e) > -1;
        }, u, !0), f = [function (e, n, i) {
          var r = !l && (i || n != o) || ((t = n).nodeType ? d(e, n, i) : p(e, n, i));
          return t = null, r;
        }]; c < a; c++) if (n = i.relative[e[c].type]) f = [pe(fe(f), n)];else {
        if ((n = i.filter[e[c].type].apply(null, e[c].matches))[v]) {
          for (r = ++c; r < a && !i.relative[e[r].type]; r++);
          return me(c > 1 && fe(f), c > 1 && de(e.slice(0, c - 1).concat({
            value: " " === e[c - 2].type ? "*" : ""
          })).replace(A, "$1"), n, c < r && ge(e.slice(c, r)), r < a && ge(e = e.slice(r)), r < a && de(e));
        }
        f.push(n);
      }
      return fe(f);
    }
    function ve(e, t) {
      var n,
        r = [],
        a = [],
        s = C[e + " "];
      if (!s) {
        for (t || (t = ce(e)), n = t.length; n--;) (s = ge(t[n]))[v] ? r.push(s) : a.push(s);
        s = C(e, function (e, t) {
          var n = t.length > 0,
            r = e.length > 0,
            a = function (a, s, l, c, d) {
              var f,
                h,
                m,
                v = 0,
                b = "0",
                w = a && [],
                x = [],
                C = o,
                T = a || r && i.find.TAG("*", d),
                D = y += null == C ? 1 : Math.random() || .1,
                O = T.length;
              for (d && (o = s == u || s || d); b !== O && null != (f = T[b]); b++) {
                if (r && f) {
                  for (h = 0, s || f.ownerDocument == u || (le(f), l = !p); m = e[h++];) if (m(f, s || u, l)) {
                    g.call(c, f);
                    break;
                  }
                  d && (y = D);
                }
                n && ((f = !m && f) && v--, a && w.push(f));
              }
              if (v += b, n && b !== v) {
                for (h = 0; m = t[h++];) m(w, x, s, l);
                if (a) {
                  if (v > 0) for (; b--;) w[b] || x[b] || (x[b] = E.call(c));
                  x = he(x);
                }
                g.apply(c, x), d && !a && x.length > 0 && v + t.length > 1 && k.uniqueSort(c);
              }
              return d && (y = D, o = C), w;
            };
          return n ? te(a) : a;
        }(a, r)), s.selector = e;
      }
      return s;
    }
    function ye(e, t, n, r) {
      var o,
        a,
        s,
        l,
        u,
        c = "function" == typeof e && e,
        d = !r && ce(e = c.selector || e);
      if (n = n || [], 1 === d.length) {
        if ((a = d[0] = d[0].slice(0)).length > 2 && "ID" === (s = a[0]).type && 9 === t.nodeType && p && i.relative[a[1].type]) {
          if (!(t = (i.find.ID(s.matches[0].replace(X, J), t) || [])[0])) return n;
          c && (t = t.parentNode), e = e.slice(a.shift().value.length);
        }
        for (o = z.needsContext.test(e) ? 0 : a.length; o-- && (s = a[o], !i.relative[l = s.type]);) if ((u = i.find[l]) && (r = u(s.matches[0].replace(X, J), K.test(a[0].type) && se(t.parentNode) || t))) {
          if (a.splice(o, 1), !(e = r.length && de(a))) return g.apply(n, r), n;
          break;
        }
      }
      return (c || ve(e, d))(r, t, !p, n, !t || K.test(e) && se(t.parentNode) || t), n;
    }
    ue.prototype = i.filters = i.pseudos, i.setFilters = new ue(), f.sortStable = v.split("").sort(M).join("") === v, le(), f.sortDetached = ne(function (e) {
      return 1 & e.compareDocumentPosition(u.createElement("fieldset"));
    }), k.find = Z, k.expr[":"] = k.expr.pseudos, k.unique = k.uniqueSort, Z.compile = ve, Z.select = ye, Z.setDocument = le, Z.escape = k.escapeSelector, Z.getText = k.text, Z.isXML = k.isXMLDoc, Z.selectors = k.expr, Z.support = k.support, Z.uniqueSort = k.uniqueSort;
  }();
  var $ = function (e, t, n) {
      for (var i = [], r = void 0 !== n; (e = e[t]) && 9 !== e.nodeType;) if (1 === e.nodeType) {
        if (r && k(e).is(n)) break;
        i.push(e);
      }
      return i;
    },
    _ = function (e, t) {
      for (var n = []; e; e = e.nextSibling) 1 === e.nodeType && e !== t && n.push(e);
      return n;
    },
    N = k.expr.match.needsContext,
    F = /^<([a-z][^\/\0>:\x20\t\r\n\f]*)[\x20\t\r\n\f]*\/?>(?:<\/\1>|)$/i;
  function I(e, t, n) {
    return h(t) ? k.grep(e, function (e, i) {
      return !!t.call(e, i, e) !== n;
    }) : t.nodeType ? k.grep(e, function (e) {
      return e === t !== n;
    }) : "string" != typeof t ? k.grep(e, function (e) {
      return s.call(t, e) > -1 !== n;
    }) : k.filter(t, e, n);
  }
  k.filter = function (e, t, n) {
    var i = t[0];
    return n && (e = ":not(" + e + ")"), 1 === t.length && 1 === i.nodeType ? k.find.matchesSelector(i, e) ? [i] : [] : k.find.matches(e, k.grep(t, function (e) {
      return 1 === e.nodeType;
    }));
  }, k.fn.extend({
    find: function (e) {
      var t,
        n,
        i = this.length,
        r = this;
      if ("string" != typeof e) return this.pushStack(k(e).filter(function () {
        for (t = 0; t < i; t++) if (k.contains(r[t], this)) return !0;
      }));
      for (n = this.pushStack([]), t = 0; t < i; t++) k.find(e, r[t], n);
      return i > 1 ? k.uniqueSort(n) : n;
    },
    filter: function (e) {
      return this.pushStack(I(this, e || [], !1));
    },
    not: function (e) {
      return this.pushStack(I(this, e || [], !0));
    },
    is: function (e) {
      return !!I(this, "string" == typeof e && N.test(e) ? k(e) : e || [], !1).length;
    }
  });
  var R,
    q = /^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]+))$/;
  (k.fn.init = function (e, t, n) {
    var i, r;
    if (!e) return this;
    if (n = n || R, "string" == typeof e) {
      if (!(i = "<" === e[0] && ">" === e[e.length - 1] && e.length >= 3 ? [null, e, null] : q.exec(e)) || !i[1] && t) return !t || t.jquery ? (t || n).find(e) : this.constructor(t).find(e);
      if (i[1]) {
        if (t = t instanceof k ? t[0] : t, k.merge(this, k.parseHTML(i[1], t && t.nodeType ? t.ownerDocument || t : g, !0)), F.test(i[1]) && k.isPlainObject(t)) for (i in t) h(this[i]) ? this[i](t[i]) : this.attr(i, t[i]);
        return this;
      }
      return (r = g.getElementById(i[2])) && (this[0] = r, this.length = 1), this;
    }
    return e.nodeType ? (this[0] = e, this.length = 1, this) : h(e) ? void 0 !== n.ready ? n.ready(e) : e(k) : k.makeArray(e, this);
  }).prototype = k.fn, R = k(g);
  var H = /^(?:parents|prev(?:Until|All))/,
    B = {
      children: !0,
      contents: !0,
      next: !0,
      prev: !0
    };
  function V(e, t) {
    for (; (e = e[t]) && 1 !== e.nodeType;);
    return e;
  }
  k.fn.extend({
    has: function (e) {
      var t = k(e, this),
        n = t.length;
      return this.filter(function () {
        for (var e = 0; e < n; e++) if (k.contains(this, t[e])) return !0;
      });
    },
    closest: function (e, t) {
      var n,
        i = 0,
        r = this.length,
        o = [],
        a = "string" != typeof e && k(e);
      if (!N.test(e)) for (; i < r; i++) for (n = this[i]; n && n !== t; n = n.parentNode) if (n.nodeType < 11 && (a ? a.index(n) > -1 : 1 === n.nodeType && k.find.matchesSelector(n, e))) {
        o.push(n);
        break;
      }
      return this.pushStack(o.length > 1 ? k.uniqueSort(o) : o);
    },
    index: function (e) {
      return e ? "string" == typeof e ? s.call(k(e), this[0]) : s.call(this, e.jquery ? e[0] : e) : this[0] && this[0].parentNode ? this.first().prevAll().length : -1;
    },
    add: function (e, t) {
      return this.pushStack(k.uniqueSort(k.merge(this.get(), k(e, t))));
    },
    addBack: function (e) {
      return this.add(null == e ? this.prevObject : this.prevObject.filter(e));
    }
  }), k.each({
    parent: function (e) {
      var t = e.parentNode;
      return t && 11 !== t.nodeType ? t : null;
    },
    parents: function (e) {
      return $(e, "parentNode");
    },
    parentsUntil: function (e, t, n) {
      return $(e, "parentNode", n);
    },
    next: function (e) {
      return V(e, "nextSibling");
    },
    prev: function (e) {
      return V(e, "previousSibling");
    },
    nextAll: function (e) {
      return $(e, "nextSibling");
    },
    prevAll: function (e) {
      return $(e, "previousSibling");
    },
    nextUntil: function (e, t, n) {
      return $(e, "nextSibling", n);
    },
    prevUntil: function (e, t, n) {
      return $(e, "previousSibling", n);
    },
    siblings: function (e) {
      return _((e.parentNode || {}).firstChild, e);
    },
    children: function (e) {
      return _(e.firstChild);
    },
    contents: function (e) {
      return null != e.contentDocument && i(e.contentDocument) ? e.contentDocument : (T(e, "template") && (e = e.content || e), k.merge([], e.childNodes));
    }
  }, function (e, t) {
    k.fn[e] = function (n, i) {
      var r = k.map(this, t, n);
      return "Until" !== e.slice(-5) && (i = n), i && "string" == typeof i && (r = k.filter(i, r)), this.length > 1 && (B[e] || k.uniqueSort(r), H.test(e) && r.reverse()), this.pushStack(r);
    };
  });
  var z = /[^\x20\t\r\n\f]+/g;
  function W(e) {
    return e;
  }
  function Y(e) {
    throw e;
  }
  function U(e, t, n, i) {
    var r;
    try {
      e && h(r = e.promise) ? r.call(e).done(t).fail(n) : e && h(r = e.then) ? r.call(e, t, n) : t.apply(void 0, [e].slice(i));
    } catch (e) {
      n.apply(void 0, [e]);
    }
  }
  k.Callbacks = function (e) {
    e = "string" == typeof e ? function (e) {
      var t = {};
      return k.each(e.match(z) || [], function (e, n) {
        t[n] = !0;
      }), t;
    }(e) : k.extend({}, e);
    var t,
      n,
      i,
      r,
      o = [],
      a = [],
      s = -1,
      l = function () {
        for (r = r || e.once, i = t = !0; a.length; s = -1) for (n = a.shift(); ++s < o.length;) !1 === o[s].apply(n[0], n[1]) && e.stopOnFalse && (s = o.length, n = !1);
        e.memory || (n = !1), t = !1, r && (o = n ? [] : "");
      },
      u = {
        add: function () {
          return o && (n && !t && (s = o.length - 1, a.push(n)), function t(n) {
            k.each(n, function (n, i) {
              h(i) ? e.unique && u.has(i) || o.push(i) : i && i.length && "string" !== b(i) && t(i);
            });
          }(arguments), n && !t && l()), this;
        },
        remove: function () {
          return k.each(arguments, function (e, t) {
            for (var n; (n = k.inArray(t, o, n)) > -1;) o.splice(n, 1), n <= s && s--;
          }), this;
        },
        has: function (e) {
          return e ? k.inArray(e, o) > -1 : o.length > 0;
        },
        empty: function () {
          return o && (o = []), this;
        },
        disable: function () {
          return r = a = [], o = n = "", this;
        },
        disabled: function () {
          return !o;
        },
        lock: function () {
          return r = a = [], n || t || (o = n = ""), this;
        },
        locked: function () {
          return !!r;
        },
        fireWith: function (e, n) {
          return r || (n = [e, (n = n || []).slice ? n.slice() : n], a.push(n), t || l()), this;
        },
        fire: function () {
          return u.fireWith(this, arguments), this;
        },
        fired: function () {
          return !!i;
        }
      };
    return u;
  }, k.extend({
    Deferred: function (t) {
      var n = [["notify", "progress", k.Callbacks("memory"), k.Callbacks("memory"), 2], ["resolve", "done", k.Callbacks("once memory"), k.Callbacks("once memory"), 0, "resolved"], ["reject", "fail", k.Callbacks("once memory"), k.Callbacks("once memory"), 1, "rejected"]],
        i = "pending",
        r = {
          state: function () {
            return i;
          },
          always: function () {
            return o.done(arguments).fail(arguments), this;
          },
          catch: function (e) {
            return r.then(null, e);
          },
          pipe: function () {
            var e = arguments;
            return k.Deferred(function (t) {
              k.each(n, function (n, i) {
                var r = h(e[i[4]]) && e[i[4]];
                o[i[1]](function () {
                  var e = r && r.apply(this, arguments);
                  e && h(e.promise) ? e.promise().progress(t.notify).done(t.resolve).fail(t.reject) : t[i[0] + "With"](this, r ? [e] : arguments);
                });
              }), e = null;
            }).promise();
          },
          then: function (t, i, r) {
            var o = 0;
            function a(t, n, i, r) {
              return function () {
                var s = this,
                  l = arguments,
                  u = function () {
                    var e, u;
                    if (!(t < o)) {
                      if ((e = i.apply(s, l)) === n.promise()) throw new TypeError("Thenable self-resolution");
                      u = e && ("object" == typeof e || "function" == typeof e) && e.then, h(u) ? r ? u.call(e, a(o, n, W, r), a(o, n, Y, r)) : (o++, u.call(e, a(o, n, W, r), a(o, n, Y, r), a(o, n, W, n.notifyWith))) : (i !== W && (s = void 0, l = [e]), (r || n.resolveWith)(s, l));
                    }
                  },
                  c = r ? u : function () {
                    try {
                      u();
                    } catch (e) {
                      k.Deferred.exceptionHook && k.Deferred.exceptionHook(e, c.error), t + 1 >= o && (i !== Y && (s = void 0, l = [e]), n.rejectWith(s, l));
                    }
                  };
                t ? c() : (k.Deferred.getErrorHook ? c.error = k.Deferred.getErrorHook() : k.Deferred.getStackHook && (c.error = k.Deferred.getStackHook()), e.setTimeout(c));
              };
            }
            return k.Deferred(function (e) {
              n[0][3].add(a(0, e, h(r) ? r : W, e.notifyWith)), n[1][3].add(a(0, e, h(t) ? t : W)), n[2][3].add(a(0, e, h(i) ? i : Y));
            }).promise();
          },
          promise: function (e) {
            return null != e ? k.extend(e, r) : r;
          }
        },
        o = {};
      return k.each(n, function (e, t) {
        var a = t[2],
          s = t[5];
        r[t[1]] = a.add, s && a.add(function () {
          i = s;
        }, n[3 - e][2].disable, n[3 - e][3].disable, n[0][2].lock, n[0][3].lock), a.add(t[3].fire), o[t[0]] = function () {
          return o[t[0] + "With"](this === o ? void 0 : this, arguments), this;
        }, o[t[0] + "With"] = a.fireWith;
      }), r.promise(o), t && t.call(o, o), o;
    },
    when: function (e) {
      var t = arguments.length,
        n = t,
        i = Array(n),
        o = r.call(arguments),
        a = k.Deferred(),
        s = function (e) {
          return function (n) {
            i[e] = this, o[e] = arguments.length > 1 ? r.call(arguments) : n, --t || a.resolveWith(i, o);
          };
        };
      if (t <= 1 && (U(e, a.done(s(n)).resolve, a.reject, !t), "pending" === a.state() || h(o[n] && o[n].then))) return a.then();
      for (; n--;) U(o[n], s(n), a.reject);
      return a.promise();
    }
  });
  var K = /^(Eval|Internal|Range|Reference|Syntax|Type|URI)Error$/;
  k.Deferred.exceptionHook = function (t, n) {
    e.console && e.console.warn && t && K.test(t.name) && e.console.warn("jQuery.Deferred exception: " + t.message, t.stack, n);
  }, k.readyException = function (t) {
    e.setTimeout(function () {
      throw t;
    });
  };
  var X = k.Deferred();
  function J() {
    g.removeEventListener("DOMContentLoaded", J), e.removeEventListener("load", J), k.ready();
  }
  k.fn.ready = function (e) {
    return X.then(e).catch(function (e) {
      k.readyException(e);
    }), this;
  }, k.extend({
    isReady: !1,
    readyWait: 1,
    ready: function (e) {
      (!0 === e ? --k.readyWait : k.isReady) || (k.isReady = !0, !0 !== e && --k.readyWait > 0 || X.resolveWith(g, [k]));
    }
  }), k.ready.then = X.then, "complete" === g.readyState || "loading" !== g.readyState && !g.documentElement.doScroll ? e.setTimeout(k.ready) : (g.addEventListener("DOMContentLoaded", J), e.addEventListener("load", J));
  var G = function (e, t, n, i, r, o, a) {
      var s = 0,
        l = e.length,
        u = null == n;
      if ("object" === b(n)) for (s in r = !0, n) G(e, t, s, n[s], !0, o, a);else if (void 0 !== i && (r = !0, h(i) || (a = !0), u && (a ? (t.call(e, i), t = null) : (u = t, t = function (e, t, n) {
        return u.call(k(e), n);
      })), t)) for (; s < l; s++) t(e[s], n, a ? i : i.call(e[s], s, t(e[s], n)));
      return r ? e : u ? t.call(e) : l ? t(e[0], n) : o;
    },
    Q = /^-ms-/,
    Z = /-([a-z])/g;
  function ee(e, t) {
    return t.toUpperCase();
  }
  function te(e) {
    return e.replace(Q, "ms-").replace(Z, ee);
  }
  var ne = function (e) {
    return 1 === e.nodeType || 9 === e.nodeType || !+e.nodeType;
  };
  function ie() {
    this.expando = k.expando + ie.uid++;
  }
  ie.uid = 1, ie.prototype = {
    cache: function (e) {
      var t = e[this.expando];
      return t || (t = {}, ne(e) && (e.nodeType ? e[this.expando] = t : Object.defineProperty(e, this.expando, {
        value: t,
        configurable: !0
      }))), t;
    },
    set: function (e, t, n) {
      var i,
        r = this.cache(e);
      if ("string" == typeof t) r[te(t)] = n;else for (i in t) r[te(i)] = t[i];
      return r;
    },
    get: function (e, t) {
      return void 0 === t ? this.cache(e) : e[this.expando] && e[this.expando][te(t)];
    },
    access: function (e, t, n) {
      return void 0 === t || t && "string" == typeof t && void 0 === n ? this.get(e, t) : (this.set(e, t, n), void 0 !== n ? n : t);
    },
    remove: function (e, t) {
      var n,
        i = e[this.expando];
      if (void 0 !== i) {
        if (void 0 !== t) {
          n = (t = Array.isArray(t) ? t.map(te) : (t = te(t)) in i ? [t] : t.match(z) || []).length;
          for (; n--;) delete i[t[n]];
        }
        (void 0 === t || k.isEmptyObject(i)) && (e.nodeType ? e[this.expando] = void 0 : delete e[this.expando]);
      }
    },
    hasData: function (e) {
      var t = e[this.expando];
      return void 0 !== t && !k.isEmptyObject(t);
    }
  };
  var re = new ie(),
    oe = new ie(),
    ae = /^(?:\{[\w\W]*\}|\[[\w\W]*\])$/,
    se = /[A-Z]/g;
  function le(e, t, n) {
    var i;
    if (void 0 === n && 1 === e.nodeType) if (i = "data-" + t.replace(se, "-$&").toLowerCase(), "string" == typeof (n = e.getAttribute(i))) {
      try {
        n = function (e) {
          return "true" === e || "false" !== e && ("null" === e ? null : e === +e + "" ? +e : ae.test(e) ? JSON.parse(e) : e);
        }(n);
      } catch (e) {}
      oe.set(e, t, n);
    } else n = void 0;
    return n;
  }
  k.extend({
    hasData: function (e) {
      return oe.hasData(e) || re.hasData(e);
    },
    data: function (e, t, n) {
      return oe.access(e, t, n);
    },
    removeData: function (e, t) {
      oe.remove(e, t);
    },
    _data: function (e, t, n) {
      return re.access(e, t, n);
    },
    _removeData: function (e, t) {
      re.remove(e, t);
    }
  }), k.fn.extend({
    data: function (e, t) {
      var n,
        i,
        r,
        o = this[0],
        a = o && o.attributes;
      if (void 0 === e) {
        if (this.length && (r = oe.get(o), 1 === o.nodeType && !re.get(o, "hasDataAttrs"))) {
          for (n = a.length; n--;) a[n] && 0 === (i = a[n].name).indexOf("data-") && (i = te(i.slice(5)), le(o, i, r[i]));
          re.set(o, "hasDataAttrs", !0);
        }
        return r;
      }
      return "object" == typeof e ? this.each(function () {
        oe.set(this, e);
      }) : G(this, function (t) {
        var n;
        if (o && void 0 === t) return void 0 !== (n = oe.get(o, e)) || void 0 !== (n = le(o, e)) ? n : void 0;
        this.each(function () {
          oe.set(this, e, t);
        });
      }, null, t, arguments.length > 1, null, !0);
    },
    removeData: function (e) {
      return this.each(function () {
        oe.remove(this, e);
      });
    }
  }), k.extend({
    queue: function (e, t, n) {
      var i;
      if (e) return t = (t || "fx") + "queue", i = re.get(e, t), n && (!i || Array.isArray(n) ? i = re.access(e, t, k.makeArray(n)) : i.push(n)), i || [];
    },
    dequeue: function (e, t) {
      t = t || "fx";
      var n = k.queue(e, t),
        i = n.length,
        r = n.shift(),
        o = k._queueHooks(e, t);
      "inprogress" === r && (r = n.shift(), i--), r && ("fx" === t && n.unshift("inprogress"), delete o.stop, r.call(e, function () {
        k.dequeue(e, t);
      }, o)), !i && o && o.empty.fire();
    },
    _queueHooks: function (e, t) {
      var n = t + "queueHooks";
      return re.get(e, n) || re.access(e, n, {
        empty: k.Callbacks("once memory").add(function () {
          re.remove(e, [t + "queue", n]);
        })
      });
    }
  }), k.fn.extend({
    queue: function (e, t) {
      var n = 2;
      return "string" != typeof e && (t = e, e = "fx", n--), arguments.length < n ? k.queue(this[0], e) : void 0 === t ? this : this.each(function () {
        var n = k.queue(this, e, t);
        k._queueHooks(this, e), "fx" === e && "inprogress" !== n[0] && k.dequeue(this, e);
      });
    },
    dequeue: function (e) {
      return this.each(function () {
        k.dequeue(this, e);
      });
    },
    clearQueue: function (e) {
      return this.queue(e || "fx", []);
    },
    promise: function (e, t) {
      var n,
        i = 1,
        r = k.Deferred(),
        o = this,
        a = this.length,
        s = function () {
          --i || r.resolveWith(o, [o]);
        };
      for ("string" != typeof e && (t = e, e = void 0), e = e || "fx"; a--;) (n = re.get(o[a], e + "queueHooks")) && n.empty && (i++, n.empty.add(s));
      return s(), r.promise(t);
    }
  });
  var ue = /[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source,
    ce = new RegExp("^(?:([+-])=|)(" + ue + ")([a-z%]*)$", "i"),
    de = ["Top", "Right", "Bottom", "Left"],
    pe = g.documentElement,
    fe = function (e) {
      return k.contains(e.ownerDocument, e);
    },
    he = {
      composed: !0
    };
  pe.getRootNode && (fe = function (e) {
    return k.contains(e.ownerDocument, e) || e.getRootNode(he) === e.ownerDocument;
  });
  var me = function (e, t) {
    return "none" === (e = t || e).style.display || "" === e.style.display && fe(e) && "none" === k.css(e, "display");
  };
  function ge(e, t, n, i) {
    var r,
      o,
      a = 20,
      s = i ? function () {
        return i.cur();
      } : function () {
        return k.css(e, t, "");
      },
      l = s(),
      u = n && n[3] || (k.cssNumber[t] ? "" : "px"),
      c = e.nodeType && (k.cssNumber[t] || "px" !== u && +l) && ce.exec(k.css(e, t));
    if (c && c[3] !== u) {
      for (l /= 2, u = u || c[3], c = +l || 1; a--;) k.style(e, t, c + u), (1 - o) * (1 - (o = s() / l || .5)) <= 0 && (a = 0), c /= o;
      c *= 2, k.style(e, t, c + u), n = n || [];
    }
    return n && (c = +c || +l || 0, r = n[1] ? c + (n[1] + 1) * n[2] : +n[2], i && (i.unit = u, i.start = c, i.end = r)), r;
  }
  var ve = {};
  function ye(e) {
    var t,
      n = e.ownerDocument,
      i = e.nodeName,
      r = ve[i];
    return r || (t = n.body.appendChild(n.createElement(i)), r = k.css(t, "display"), t.parentNode.removeChild(t), "none" === r && (r = "block"), ve[i] = r, r);
  }
  function be(e, t) {
    for (var n, i, r = [], o = 0, a = e.length; o < a; o++) (i = e[o]).style && (n = i.style.display, t ? ("none" === n && (r[o] = re.get(i, "display") || null, r[o] || (i.style.display = "")), "" === i.style.display && me(i) && (r[o] = ye(i))) : "none" !== n && (r[o] = "none", re.set(i, "display", n)));
    for (o = 0; o < a; o++) null != r[o] && (e[o].style.display = r[o]);
    return e;
  }
  k.fn.extend({
    show: function () {
      return be(this, !0);
    },
    hide: function () {
      return be(this);
    },
    toggle: function (e) {
      return "boolean" == typeof e ? e ? this.show() : this.hide() : this.each(function () {
        me(this) ? k(this).show() : k(this).hide();
      });
    }
  });
  var we,
    xe,
    ke = /^(?:checkbox|radio)$/i,
    Ce = /<([a-z][^\/\0>\x20\t\r\n\f]*)/i,
    Te = /^$|^module$|\/(?:java|ecma)script/i;
  we = g.createDocumentFragment().appendChild(g.createElement("div")), (xe = g.createElement("input")).setAttribute("type", "radio"), xe.setAttribute("checked", "checked"), xe.setAttribute("name", "t"), we.appendChild(xe), f.checkClone = we.cloneNode(!0).cloneNode(!0).lastChild.checked, we.innerHTML = "<textarea>x</textarea>", f.noCloneChecked = !!we.cloneNode(!0).lastChild.defaultValue, we.innerHTML = "<option></option>", f.option = !!we.lastChild;
  var Ee = {
    thead: [1, "<table>", "</table>"],
    col: [2, "<table><colgroup>", "</colgroup></table>"],
    tr: [2, "<table><tbody>", "</tbody></table>"],
    td: [3, "<table><tbody><tr>", "</tr></tbody></table>"],
    _default: [0, "", ""]
  };
  function De(e, t) {
    var n;
    return n = void 0 !== e.getElementsByTagName ? e.getElementsByTagName(t || "*") : void 0 !== e.querySelectorAll ? e.querySelectorAll(t || "*") : [], void 0 === t || t && T(e, t) ? k.merge([e], n) : n;
  }
  function Oe(e, t) {
    for (var n = 0, i = e.length; n < i; n++) re.set(e[n], "globalEval", !t || re.get(t[n], "globalEval"));
  }
  Ee.tbody = Ee.tfoot = Ee.colgroup = Ee.caption = Ee.thead, Ee.th = Ee.td, f.option || (Ee.optgroup = Ee.option = [1, "<select multiple='multiple'>", "</select>"]);
  var Se = /<|&#?\w+;/;
  function Ae(e, t, n, i, r) {
    for (var o, a, s, l, u, c, d = t.createDocumentFragment(), p = [], f = 0, h = e.length; f < h; f++) if ((o = e[f]) || 0 === o) if ("object" === b(o)) k.merge(p, o.nodeType ? [o] : o);else if (Se.test(o)) {
      for (a = a || d.appendChild(t.createElement("div")), s = (Ce.exec(o) || ["", ""])[1].toLowerCase(), l = Ee[s] || Ee._default, a.innerHTML = l[1] + k.htmlPrefilter(o) + l[2], c = l[0]; c--;) a = a.lastChild;
      k.merge(p, a.childNodes), (a = d.firstChild).textContent = "";
    } else p.push(t.createTextNode(o));
    for (d.textContent = "", f = 0; o = p[f++];) if (i && k.inArray(o, i) > -1) r && r.push(o);else if (u = fe(o), a = De(d.appendChild(o), "script"), u && Oe(a), n) for (c = 0; o = a[c++];) Te.test(o.type || "") && n.push(o);
    return d;
  }
  var je = /^([^.]*)(?:\.(.+)|)/;
  function Me() {
    return !0;
  }
  function Pe() {
    return !1;
  }
  function Le(e, t, n, i, r, o) {
    var a, s;
    if ("object" == typeof t) {
      for (s in "string" != typeof n && (i = i || n, n = void 0), t) Le(e, s, n, i, t[s], o);
      return e;
    }
    if (null == i && null == r ? (r = n, i = n = void 0) : null == r && ("string" == typeof n ? (r = i, i = void 0) : (r = i, i = n, n = void 0)), !1 === r) r = Pe;else if (!r) return e;
    return 1 === o && (a = r, r = function (e) {
      return k().off(e), a.apply(this, arguments);
    }, r.guid = a.guid || (a.guid = k.guid++)), e.each(function () {
      k.event.add(this, t, r, i, n);
    });
  }
  function $e(e, t, n) {
    n ? (re.set(e, t, !1), k.event.add(e, t, {
      namespace: !1,
      handler: function (e) {
        var n,
          i = re.get(this, t);
        if (1 & e.isTrigger && this[t]) {
          if (i) (k.event.special[t] || {}).delegateType && e.stopPropagation();else if (i = r.call(arguments), re.set(this, t, i), this[t](), n = re.get(this, t), re.set(this, t, !1), i !== n) return e.stopImmediatePropagation(), e.preventDefault(), n;
        } else i && (re.set(this, t, k.event.trigger(i[0], i.slice(1), this)), e.stopPropagation(), e.isImmediatePropagationStopped = Me);
      }
    })) : void 0 === re.get(e, t) && k.event.add(e, t, Me);
  }
  k.event = {
    global: {},
    add: function (e, t, n, i, r) {
      var o,
        a,
        s,
        l,
        u,
        c,
        d,
        p,
        f,
        h,
        m,
        g = re.get(e);
      if (ne(e)) for (n.handler && (n = (o = n).handler, r = o.selector), r && k.find.matchesSelector(pe, r), n.guid || (n.guid = k.guid++), (l = g.events) || (l = g.events = Object.create(null)), (a = g.handle) || (a = g.handle = function (t) {
        return void 0 !== k && k.event.triggered !== t.type ? k.event.dispatch.apply(e, arguments) : void 0;
      }), u = (t = (t || "").match(z) || [""]).length; u--;) f = m = (s = je.exec(t[u]) || [])[1], h = (s[2] || "").split(".").sort(), f && (d = k.event.special[f] || {}, f = (r ? d.delegateType : d.bindType) || f, d = k.event.special[f] || {}, c = k.extend({
        type: f,
        origType: m,
        data: i,
        handler: n,
        guid: n.guid,
        selector: r,
        needsContext: r && k.expr.match.needsContext.test(r),
        namespace: h.join(".")
      }, o), (p = l[f]) || ((p = l[f] = []).delegateCount = 0, d.setup && !1 !== d.setup.call(e, i, h, a) || e.addEventListener && e.addEventListener(f, a)), d.add && (d.add.call(e, c), c.handler.guid || (c.handler.guid = n.guid)), r ? p.splice(p.delegateCount++, 0, c) : p.push(c), k.event.global[f] = !0);
    },
    remove: function (e, t, n, i, r) {
      var o,
        a,
        s,
        l,
        u,
        c,
        d,
        p,
        f,
        h,
        m,
        g = re.hasData(e) && re.get(e);
      if (g && (l = g.events)) {
        for (u = (t = (t || "").match(z) || [""]).length; u--;) if (f = m = (s = je.exec(t[u]) || [])[1], h = (s[2] || "").split(".").sort(), f) {
          for (d = k.event.special[f] || {}, p = l[f = (i ? d.delegateType : d.bindType) || f] || [], s = s[2] && new RegExp("(^|\\.)" + h.join("\\.(?:.*\\.|)") + "(\\.|$)"), a = o = p.length; o--;) c = p[o], !r && m !== c.origType || n && n.guid !== c.guid || s && !s.test(c.namespace) || i && i !== c.selector && ("**" !== i || !c.selector) || (p.splice(o, 1), c.selector && p.delegateCount--, d.remove && d.remove.call(e, c));
          a && !p.length && (d.teardown && !1 !== d.teardown.call(e, h, g.handle) || k.removeEvent(e, f, g.handle), delete l[f]);
        } else for (f in l) k.event.remove(e, f + t[u], n, i, !0);
        k.isEmptyObject(l) && re.remove(e, "handle events");
      }
    },
    dispatch: function (e) {
      var t,
        n,
        i,
        r,
        o,
        a,
        s = new Array(arguments.length),
        l = k.event.fix(e),
        u = (re.get(this, "events") || Object.create(null))[l.type] || [],
        c = k.event.special[l.type] || {};
      for (s[0] = l, t = 1; t < arguments.length; t++) s[t] = arguments[t];
      if (l.delegateTarget = this, !c.preDispatch || !1 !== c.preDispatch.call(this, l)) {
        for (a = k.event.handlers.call(this, l, u), t = 0; (r = a[t++]) && !l.isPropagationStopped();) for (l.currentTarget = r.elem, n = 0; (o = r.handlers[n++]) && !l.isImmediatePropagationStopped();) l.rnamespace && !1 !== o.namespace && !l.rnamespace.test(o.namespace) || (l.handleObj = o, l.data = o.data, void 0 !== (i = ((k.event.special[o.origType] || {}).handle || o.handler).apply(r.elem, s)) && !1 === (l.result = i) && (l.preventDefault(), l.stopPropagation()));
        return c.postDispatch && c.postDispatch.call(this, l), l.result;
      }
    },
    handlers: function (e, t) {
      var n,
        i,
        r,
        o,
        a,
        s = [],
        l = t.delegateCount,
        u = e.target;
      if (l && u.nodeType && !("click" === e.type && e.button >= 1)) for (; u !== this; u = u.parentNode || this) if (1 === u.nodeType && ("click" !== e.type || !0 !== u.disabled)) {
        for (o = [], a = {}, n = 0; n < l; n++) void 0 === a[r = (i = t[n]).selector + " "] && (a[r] = i.needsContext ? k(r, this).index(u) > -1 : k.find(r, this, null, [u]).length), a[r] && o.push(i);
        o.length && s.push({
          elem: u,
          handlers: o
        });
      }
      return u = this, l < t.length && s.push({
        elem: u,
        handlers: t.slice(l)
      }), s;
    },
    addProp: function (e, t) {
      Object.defineProperty(k.Event.prototype, e, {
        enumerable: !0,
        configurable: !0,
        get: h(t) ? function () {
          if (this.originalEvent) return t(this.originalEvent);
        } : function () {
          if (this.originalEvent) return this.originalEvent[e];
        },
        set: function (t) {
          Object.defineProperty(this, e, {
            enumerable: !0,
            configurable: !0,
            writable: !0,
            value: t
          });
        }
      });
    },
    fix: function (e) {
      return e[k.expando] ? e : new k.Event(e);
    },
    special: {
      load: {
        noBubble: !0
      },
      click: {
        setup: function (e) {
          var t = this || e;
          return ke.test(t.type) && t.click && T(t, "input") && $e(t, "click", !0), !1;
        },
        trigger: function (e) {
          var t = this || e;
          return ke.test(t.type) && t.click && T(t, "input") && $e(t, "click"), !0;
        },
        _default: function (e) {
          var t = e.target;
          return ke.test(t.type) && t.click && T(t, "input") && re.get(t, "click") || T(t, "a");
        }
      },
      beforeunload: {
        postDispatch: function (e) {
          void 0 !== e.result && e.originalEvent && (e.originalEvent.returnValue = e.result);
        }
      }
    }
  }, k.removeEvent = function (e, t, n) {
    e.removeEventListener && e.removeEventListener(t, n);
  }, k.Event = function (e, t) {
    if (!(this instanceof k.Event)) return new k.Event(e, t);
    e && e.type ? (this.originalEvent = e, this.type = e.type, this.isDefaultPrevented = e.defaultPrevented || void 0 === e.defaultPrevented && !1 === e.returnValue ? Me : Pe, this.target = e.target && 3 === e.target.nodeType ? e.target.parentNode : e.target, this.currentTarget = e.currentTarget, this.relatedTarget = e.relatedTarget) : this.type = e, t && k.extend(this, t), this.timeStamp = e && e.timeStamp || Date.now(), this[k.expando] = !0;
  }, k.Event.prototype = {
    constructor: k.Event,
    isDefaultPrevented: Pe,
    isPropagationStopped: Pe,
    isImmediatePropagationStopped: Pe,
    isSimulated: !1,
    preventDefault: function () {
      var e = this.originalEvent;
      this.isDefaultPrevented = Me, e && !this.isSimulated && e.preventDefault();
    },
    stopPropagation: function () {
      var e = this.originalEvent;
      this.isPropagationStopped = Me, e && !this.isSimulated && e.stopPropagation();
    },
    stopImmediatePropagation: function () {
      var e = this.originalEvent;
      this.isImmediatePropagationStopped = Me, e && !this.isSimulated && e.stopImmediatePropagation(), this.stopPropagation();
    }
  }, k.each({
    altKey: !0,
    bubbles: !0,
    cancelable: !0,
    changedTouches: !0,
    ctrlKey: !0,
    detail: !0,
    eventPhase: !0,
    metaKey: !0,
    pageX: !0,
    pageY: !0,
    shiftKey: !0,
    view: !0,
    char: !0,
    code: !0,
    charCode: !0,
    key: !0,
    keyCode: !0,
    button: !0,
    buttons: !0,
    clientX: !0,
    clientY: !0,
    offsetX: !0,
    offsetY: !0,
    pointerId: !0,
    pointerType: !0,
    screenX: !0,
    screenY: !0,
    targetTouches: !0,
    toElement: !0,
    touches: !0,
    which: !0
  }, k.event.addProp), k.each({
    focus: "focusin",
    blur: "focusout"
  }, function (e, t) {
    function n(e) {
      if (g.documentMode) {
        var n = re.get(this, "handle"),
          i = k.event.fix(e);
        i.type = "focusin" === e.type ? "focus" : "blur", i.isSimulated = !0, n(e), i.target === i.currentTarget && n(i);
      } else k.event.simulate(t, e.target, k.event.fix(e));
    }
    k.event.special[e] = {
      setup: function () {
        var i;
        if ($e(this, e, !0), !g.documentMode) return !1;
        (i = re.get(this, t)) || this.addEventListener(t, n), re.set(this, t, (i || 0) + 1);
      },
      trigger: function () {
        return $e(this, e), !0;
      },
      teardown: function () {
        var e;
        if (!g.documentMode) return !1;
        (e = re.get(this, t) - 1) ? re.set(this, t, e) : (this.removeEventListener(t, n), re.remove(this, t));
      },
      _default: function (t) {
        return re.get(t.target, e);
      },
      delegateType: t
    }, k.event.special[t] = {
      setup: function () {
        var i = this.ownerDocument || this.document || this,
          r = g.documentMode ? this : i,
          o = re.get(r, t);
        o || (g.documentMode ? this.addEventListener(t, n) : i.addEventListener(e, n, !0)), re.set(r, t, (o || 0) + 1);
      },
      teardown: function () {
        var i = this.ownerDocument || this.document || this,
          r = g.documentMode ? this : i,
          o = re.get(r, t) - 1;
        o ? re.set(r, t, o) : (g.documentMode ? this.removeEventListener(t, n) : i.removeEventListener(e, n, !0), re.remove(r, t));
      }
    };
  }), k.each({
    mouseenter: "mouseover",
    mouseleave: "mouseout",
    pointerenter: "pointerover",
    pointerleave: "pointerout"
  }, function (e, t) {
    k.event.special[e] = {
      delegateType: t,
      bindType: t,
      handle: function (e) {
        var n,
          i = e.relatedTarget,
          r = e.handleObj;
        return i && (i === this || k.contains(this, i)) || (e.type = r.origType, n = r.handler.apply(this, arguments), e.type = t), n;
      }
    };
  }), k.fn.extend({
    on: function (e, t, n, i) {
      return Le(this, e, t, n, i);
    },
    one: function (e, t, n, i) {
      return Le(this, e, t, n, i, 1);
    },
    off: function (e, t, n) {
      var i, r;
      if (e && e.preventDefault && e.handleObj) return i = e.handleObj, k(e.delegateTarget).off(i.namespace ? i.origType + "." + i.namespace : i.origType, i.selector, i.handler), this;
      if ("object" == typeof e) {
        for (r in e) this.off(r, t, e[r]);
        return this;
      }
      return !1 !== t && "function" != typeof t || (n = t, t = void 0), !1 === n && (n = Pe), this.each(function () {
        k.event.remove(this, e, n, t);
      });
    }
  });
  var _e = /<script|<style|<link/i,
    Ne = /checked\s*(?:[^=]|=\s*.checked.)/i,
    Fe = /^\s*<!\[CDATA\[|\]\]>\s*$/g;
  function Ie(e, t) {
    return T(e, "table") && T(11 !== t.nodeType ? t : t.firstChild, "tr") && k(e).children("tbody")[0] || e;
  }
  function Re(e) {
    return e.type = (null !== e.getAttribute("type")) + "/" + e.type, e;
  }
  function qe(e) {
    return "true/" === (e.type || "").slice(0, 5) ? e.type = e.type.slice(5) : e.removeAttribute("type"), e;
  }
  function He(e, t) {
    var n, i, r, o, a, s;
    if (1 === t.nodeType) {
      if (re.hasData(e) && (s = re.get(e).events)) for (r in re.remove(t, "handle events"), s) for (n = 0, i = s[r].length; n < i; n++) k.event.add(t, r, s[r][n]);
      oe.hasData(e) && (o = oe.access(e), a = k.extend({}, o), oe.set(t, a));
    }
  }
  function Be(e, t) {
    var n = t.nodeName.toLowerCase();
    "input" === n && ke.test(e.type) ? t.checked = e.checked : "input" !== n && "textarea" !== n || (t.defaultValue = e.defaultValue);
  }
  function Ve(e, t, n, i) {
    t = o(t);
    var r,
      a,
      s,
      l,
      u,
      c,
      d = 0,
      p = e.length,
      m = p - 1,
      g = t[0],
      v = h(g);
    if (v || p > 1 && "string" == typeof g && !f.checkClone && Ne.test(g)) return e.each(function (r) {
      var o = e.eq(r);
      v && (t[0] = g.call(this, r, o.html())), Ve(o, t, n, i);
    });
    if (p && (a = (r = Ae(t, e[0].ownerDocument, !1, e, i)).firstChild, 1 === r.childNodes.length && (r = a), a || i)) {
      for (l = (s = k.map(De(r, "script"), Re)).length; d < p; d++) u = r, d !== m && (u = k.clone(u, !0, !0), l && k.merge(s, De(u, "script"))), n.call(e[d], u, d);
      if (l) for (c = s[s.length - 1].ownerDocument, k.map(s, qe), d = 0; d < l; d++) u = s[d], Te.test(u.type || "") && !re.access(u, "globalEval") && k.contains(c, u) && (u.src && "module" !== (u.type || "").toLowerCase() ? k._evalUrl && !u.noModule && k._evalUrl(u.src, {
        nonce: u.nonce || u.getAttribute("nonce")
      }, c) : y(u.textContent.replace(Fe, ""), u, c));
    }
    return e;
  }
  function ze(e, t, n) {
    for (var i, r = t ? k.filter(t, e) : e, o = 0; null != (i = r[o]); o++) n || 1 !== i.nodeType || k.cleanData(De(i)), i.parentNode && (n && fe(i) && Oe(De(i, "script")), i.parentNode.removeChild(i));
    return e;
  }
  k.extend({
    htmlPrefilter: function (e) {
      return e;
    },
    clone: function (e, t, n) {
      var i,
        r,
        o,
        a,
        s = e.cloneNode(!0),
        l = fe(e);
      if (!(f.noCloneChecked || 1 !== e.nodeType && 11 !== e.nodeType || k.isXMLDoc(e))) for (a = De(s), i = 0, r = (o = De(e)).length; i < r; i++) Be(o[i], a[i]);
      if (t) if (n) for (o = o || De(e), a = a || De(s), i = 0, r = o.length; i < r; i++) He(o[i], a[i]);else He(e, s);
      return (a = De(s, "script")).length > 0 && Oe(a, !l && De(e, "script")), s;
    },
    cleanData: function (e) {
      for (var t, n, i, r = k.event.special, o = 0; void 0 !== (n = e[o]); o++) if (ne(n)) {
        if (t = n[re.expando]) {
          if (t.events) for (i in t.events) r[i] ? k.event.remove(n, i) : k.removeEvent(n, i, t.handle);
          n[re.expando] = void 0;
        }
        n[oe.expando] && (n[oe.expando] = void 0);
      }
    }
  }), k.fn.extend({
    detach: function (e) {
      return ze(this, e, !0);
    },
    remove: function (e) {
      return ze(this, e);
    },
    text: function (e) {
      return G(this, function (e) {
        return void 0 === e ? k.text(this) : this.empty().each(function () {
          1 !== this.nodeType && 11 !== this.nodeType && 9 !== this.nodeType || (this.textContent = e);
        });
      }, null, e, arguments.length);
    },
    append: function () {
      return Ve(this, arguments, function (e) {
        1 !== this.nodeType && 11 !== this.nodeType && 9 !== this.nodeType || Ie(this, e).appendChild(e);
      });
    },
    prepend: function () {
      return Ve(this, arguments, function (e) {
        if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
          var t = Ie(this, e);
          t.insertBefore(e, t.firstChild);
        }
      });
    },
    before: function () {
      return Ve(this, arguments, function (e) {
        this.parentNode && this.parentNode.insertBefore(e, this);
      });
    },
    after: function () {
      return Ve(this, arguments, function (e) {
        this.parentNode && this.parentNode.insertBefore(e, this.nextSibling);
      });
    },
    empty: function () {
      for (var e, t = 0; null != (e = this[t]); t++) 1 === e.nodeType && (k.cleanData(De(e, !1)), e.textContent = "");
      return this;
    },
    clone: function (e, t) {
      return e = null != e && e, t = null == t ? e : t, this.map(function () {
        return k.clone(this, e, t);
      });
    },
    html: function (e) {
      return G(this, function (e) {
        var t = this[0] || {},
          n = 0,
          i = this.length;
        if (void 0 === e && 1 === t.nodeType) return t.innerHTML;
        if ("string" == typeof e && !_e.test(e) && !Ee[(Ce.exec(e) || ["", ""])[1].toLowerCase()]) {
          e = k.htmlPrefilter(e);
          try {
            for (; n < i; n++) 1 === (t = this[n] || {}).nodeType && (k.cleanData(De(t, !1)), t.innerHTML = e);
            t = 0;
          } catch (e) {}
        }
        t && this.empty().append(e);
      }, null, e, arguments.length);
    },
    replaceWith: function () {
      var e = [];
      return Ve(this, arguments, function (t) {
        var n = this.parentNode;
        k.inArray(this, e) < 0 && (k.cleanData(De(this)), n && n.replaceChild(t, this));
      }, e);
    }
  }), k.each({
    appendTo: "append",
    prependTo: "prepend",
    insertBefore: "before",
    insertAfter: "after",
    replaceAll: "replaceWith"
  }, function (e, t) {
    k.fn[e] = function (e) {
      for (var n, i = [], r = k(e), o = r.length - 1, s = 0; s <= o; s++) n = s === o ? this : this.clone(!0), k(r[s])[t](n), a.apply(i, n.get());
      return this.pushStack(i);
    };
  });
  var We = new RegExp("^(" + ue + ")(?!px)[a-z%]+$", "i"),
    Ye = /^--/,
    Ue = function (t) {
      var n = t.ownerDocument.defaultView;
      return n && n.opener || (n = e), n.getComputedStyle(t);
    },
    Ke = function (e, t, n) {
      var i,
        r,
        o = {};
      for (r in t) o[r] = e.style[r], e.style[r] = t[r];
      for (r in i = n.call(e), t) e.style[r] = o[r];
      return i;
    },
    Xe = new RegExp(de.join("|"), "i");
  function Je(e, t, n) {
    var i,
      r,
      o,
      a,
      s = Ye.test(t),
      l = e.style;
    return (n = n || Ue(e)) && (a = n.getPropertyValue(t) || n[t], s && a && (a = a.replace(A, "$1") || void 0), "" !== a || fe(e) || (a = k.style(e, t)), !f.pixelBoxStyles() && We.test(a) && Xe.test(t) && (i = l.width, r = l.minWidth, o = l.maxWidth, l.minWidth = l.maxWidth = l.width = a, a = n.width, l.width = i, l.minWidth = r, l.maxWidth = o)), void 0 !== a ? a + "" : a;
  }
  function Ge(e, t) {
    return {
      get: function () {
        if (!e()) return (this.get = t).apply(this, arguments);
        delete this.get;
      }
    };
  }
  !function () {
    function t() {
      if (c) {
        u.style.cssText = "position:absolute;left:-11111px;width:60px;margin-top:1px;padding:0;border:0", c.style.cssText = "position:relative;display:block;box-sizing:border-box;overflow:scroll;margin:auto;border:1px;padding:1px;width:60%;top:1%", pe.appendChild(u).appendChild(c);
        var t = e.getComputedStyle(c);
        i = "1%" !== t.top, l = 12 === n(t.marginLeft), c.style.right = "60%", a = 36 === n(t.right), r = 36 === n(t.width), c.style.position = "absolute", o = 12 === n(c.offsetWidth / 3), pe.removeChild(u), c = null;
      }
    }
    function n(e) {
      return Math.round(parseFloat(e));
    }
    var i,
      r,
      o,
      a,
      s,
      l,
      u = g.createElement("div"),
      c = g.createElement("div");
    c.style && (c.style.backgroundClip = "content-box", c.cloneNode(!0).style.backgroundClip = "", f.clearCloneStyle = "content-box" === c.style.backgroundClip, k.extend(f, {
      boxSizingReliable: function () {
        return t(), r;
      },
      pixelBoxStyles: function () {
        return t(), a;
      },
      pixelPosition: function () {
        return t(), i;
      },
      reliableMarginLeft: function () {
        return t(), l;
      },
      scrollboxSize: function () {
        return t(), o;
      },
      reliableTrDimensions: function () {
        var t, n, i, r;
        return null == s && (t = g.createElement("table"), n = g.createElement("tr"), i = g.createElement("div"), t.style.cssText = "position:absolute;left:-11111px;border-collapse:separate", n.style.cssText = "border:1px solid", n.style.height = "1px", i.style.height = "9px", i.style.display = "block", pe.appendChild(t).appendChild(n).appendChild(i), r = e.getComputedStyle(n), s = parseInt(r.height, 10) + parseInt(r.borderTopWidth, 10) + parseInt(r.borderBottomWidth, 10) === n.offsetHeight, pe.removeChild(t)), s;
      }
    }));
  }();
  var Qe = ["Webkit", "Moz", "ms"],
    Ze = g.createElement("div").style,
    et = {};
  function tt(e) {
    var t = k.cssProps[e] || et[e];
    return t || (e in Ze ? e : et[e] = function (e) {
      for (var t = e[0].toUpperCase() + e.slice(1), n = Qe.length; n--;) if ((e = Qe[n] + t) in Ze) return e;
    }(e) || e);
  }
  var nt = /^(none|table(?!-c[ea]).+)/,
    it = {
      position: "absolute",
      visibility: "hidden",
      display: "block"
    },
    rt = {
      letterSpacing: "0",
      fontWeight: "400"
    };
  function ot(e, t, n) {
    var i = ce.exec(t);
    return i ? Math.max(0, i[2] - (n || 0)) + (i[3] || "px") : t;
  }
  function at(e, t, n, i, r, o) {
    var a = "width" === t ? 1 : 0,
      s = 0,
      l = 0,
      u = 0;
    if (n === (i ? "border" : "content")) return 0;
    for (; a < 4; a += 2) "margin" === n && (u += k.css(e, n + de[a], !0, r)), i ? ("content" === n && (l -= k.css(e, "padding" + de[a], !0, r)), "margin" !== n && (l -= k.css(e, "border" + de[a] + "Width", !0, r))) : (l += k.css(e, "padding" + de[a], !0, r), "padding" !== n ? l += k.css(e, "border" + de[a] + "Width", !0, r) : s += k.css(e, "border" + de[a] + "Width", !0, r));
    return !i && o >= 0 && (l += Math.max(0, Math.ceil(e["offset" + t[0].toUpperCase() + t.slice(1)] - o - l - s - .5)) || 0), l + u;
  }
  function st(e, t, n) {
    var i = Ue(e),
      r = (!f.boxSizingReliable() || n) && "border-box" === k.css(e, "boxSizing", !1, i),
      o = r,
      a = Je(e, t, i),
      s = "offset" + t[0].toUpperCase() + t.slice(1);
    if (We.test(a)) {
      if (!n) return a;
      a = "auto";
    }
    return (!f.boxSizingReliable() && r || !f.reliableTrDimensions() && T(e, "tr") || "auto" === a || !parseFloat(a) && "inline" === k.css(e, "display", !1, i)) && e.getClientRects().length && (r = "border-box" === k.css(e, "boxSizing", !1, i), (o = s in e) && (a = e[s])), (a = parseFloat(a) || 0) + at(e, t, n || (r ? "border" : "content"), o, i, a) + "px";
  }
  function lt(e, t, n, i, r) {
    return new lt.prototype.init(e, t, n, i, r);
  }
  k.extend({
    cssHooks: {
      opacity: {
        get: function (e, t) {
          if (t) {
            var n = Je(e, "opacity");
            return "" === n ? "1" : n;
          }
        }
      }
    },
    cssNumber: {
      animationIterationCount: !0,
      aspectRatio: !0,
      borderImageSlice: !0,
      columnCount: !0,
      flexGrow: !0,
      flexShrink: !0,
      fontWeight: !0,
      gridArea: !0,
      gridColumn: !0,
      gridColumnEnd: !0,
      gridColumnStart: !0,
      gridRow: !0,
      gridRowEnd: !0,
      gridRowStart: !0,
      lineHeight: !0,
      opacity: !0,
      order: !0,
      orphans: !0,
      scale: !0,
      widows: !0,
      zIndex: !0,
      zoom: !0,
      fillOpacity: !0,
      floodOpacity: !0,
      stopOpacity: !0,
      strokeMiterlimit: !0,
      strokeOpacity: !0
    },
    cssProps: {},
    style: function (e, t, n, i) {
      if (e && 3 !== e.nodeType && 8 !== e.nodeType && e.style) {
        var r,
          o,
          a,
          s = te(t),
          l = Ye.test(t),
          u = e.style;
        if (l || (t = tt(s)), a = k.cssHooks[t] || k.cssHooks[s], void 0 === n) return a && "get" in a && void 0 !== (r = a.get(e, !1, i)) ? r : u[t];
        "string" === (o = typeof n) && (r = ce.exec(n)) && r[1] && (n = ge(e, t, r), o = "number"), null != n && n == n && ("number" !== o || l || (n += r && r[3] || (k.cssNumber[s] ? "" : "px")), f.clearCloneStyle || "" !== n || 0 !== t.indexOf("background") || (u[t] = "inherit"), a && "set" in a && void 0 === (n = a.set(e, n, i)) || (l ? u.setProperty(t, n) : u[t] = n));
      }
    },
    css: function (e, t, n, i) {
      var r,
        o,
        a,
        s = te(t);
      return Ye.test(t) || (t = tt(s)), (a = k.cssHooks[t] || k.cssHooks[s]) && "get" in a && (r = a.get(e, !0, n)), void 0 === r && (r = Je(e, t, i)), "normal" === r && t in rt && (r = rt[t]), "" === n || n ? (o = parseFloat(r), !0 === n || isFinite(o) ? o || 0 : r) : r;
    }
  }), k.each(["height", "width"], function (e, t) {
    k.cssHooks[t] = {
      get: function (e, n, i) {
        if (n) return !nt.test(k.css(e, "display")) || e.getClientRects().length && e.getBoundingClientRect().width ? st(e, t, i) : Ke(e, it, function () {
          return st(e, t, i);
        });
      },
      set: function (e, n, i) {
        var r,
          o = Ue(e),
          a = !f.scrollboxSize() && "absolute" === o.position,
          s = (a || i) && "border-box" === k.css(e, "boxSizing", !1, o),
          l = i ? at(e, t, i, s, o) : 0;
        return s && a && (l -= Math.ceil(e["offset" + t[0].toUpperCase() + t.slice(1)] - parseFloat(o[t]) - at(e, t, "border", !1, o) - .5)), l && (r = ce.exec(n)) && "px" !== (r[3] || "px") && (e.style[t] = n, n = k.css(e, t)), ot(0, n, l);
      }
    };
  }), k.cssHooks.marginLeft = Ge(f.reliableMarginLeft, function (e, t) {
    if (t) return (parseFloat(Je(e, "marginLeft")) || e.getBoundingClientRect().left - Ke(e, {
      marginLeft: 0
    }, function () {
      return e.getBoundingClientRect().left;
    })) + "px";
  }), k.each({
    margin: "",
    padding: "",
    border: "Width"
  }, function (e, t) {
    k.cssHooks[e + t] = {
      expand: function (n) {
        for (var i = 0, r = {}, o = "string" == typeof n ? n.split(" ") : [n]; i < 4; i++) r[e + de[i] + t] = o[i] || o[i - 2] || o[0];
        return r;
      }
    }, "margin" !== e && (k.cssHooks[e + t].set = ot);
  }), k.fn.extend({
    css: function (e, t) {
      return G(this, function (e, t, n) {
        var i,
          r,
          o = {},
          a = 0;
        if (Array.isArray(t)) {
          for (i = Ue(e), r = t.length; a < r; a++) o[t[a]] = k.css(e, t[a], !1, i);
          return o;
        }
        return void 0 !== n ? k.style(e, t, n) : k.css(e, t);
      }, e, t, arguments.length > 1);
    }
  }), k.Tween = lt, lt.prototype = {
    constructor: lt,
    init: function (e, t, n, i, r, o) {
      this.elem = e, this.prop = n, this.easing = r || k.easing._default, this.options = t, this.start = this.now = this.cur(), this.end = i, this.unit = o || (k.cssNumber[n] ? "" : "px");
    },
    cur: function () {
      var e = lt.propHooks[this.prop];
      return e && e.get ? e.get(this) : lt.propHooks._default.get(this);
    },
    run: function (e) {
      var t,
        n = lt.propHooks[this.prop];
      return this.options.duration ? this.pos = t = k.easing[this.easing](e, this.options.duration * e, 0, 1, this.options.duration) : this.pos = t = e, this.now = (this.end - this.start) * t + this.start, this.options.step && this.options.step.call(this.elem, this.now, this), n && n.set ? n.set(this) : lt.propHooks._default.set(this), this;
    }
  }, lt.prototype.init.prototype = lt.prototype, lt.propHooks = {
    _default: {
      get: function (e) {
        var t;
        return 1 !== e.elem.nodeType || null != e.elem[e.prop] && null == e.elem.style[e.prop] ? e.elem[e.prop] : (t = k.css(e.elem, e.prop, "")) && "auto" !== t ? t : 0;
      },
      set: function (e) {
        k.fx.step[e.prop] ? k.fx.step[e.prop](e) : 1 !== e.elem.nodeType || !k.cssHooks[e.prop] && null == e.elem.style[tt(e.prop)] ? e.elem[e.prop] = e.now : k.style(e.elem, e.prop, e.now + e.unit);
      }
    }
  }, lt.propHooks.scrollTop = lt.propHooks.scrollLeft = {
    set: function (e) {
      e.elem.nodeType && e.elem.parentNode && (e.elem[e.prop] = e.now);
    }
  }, k.easing = {
    linear: function (e) {
      return e;
    },
    swing: function (e) {
      return .5 - Math.cos(e * Math.PI) / 2;
    },
    _default: "swing"
  }, k.fx = lt.prototype.init, k.fx.step = {};
  var ut,
    ct,
    dt = /^(?:toggle|show|hide)$/,
    pt = /queueHooks$/;
  function ft() {
    ct && (!1 === g.hidden && e.requestAnimationFrame ? e.requestAnimationFrame(ft) : e.setTimeout(ft, k.fx.interval), k.fx.tick());
  }
  function ht() {
    return e.setTimeout(function () {
      ut = void 0;
    }), ut = Date.now();
  }
  function mt(e, t) {
    var n,
      i = 0,
      r = {
        height: e
      };
    for (t = t ? 1 : 0; i < 4; i += 2 - t) r["margin" + (n = de[i])] = r["padding" + n] = e;
    return t && (r.opacity = r.width = e), r;
  }
  function gt(e, t, n) {
    for (var i, r = (vt.tweeners[t] || []).concat(vt.tweeners["*"]), o = 0, a = r.length; o < a; o++) if (i = r[o].call(n, t, e)) return i;
  }
  function vt(e, t, n) {
    var i,
      r,
      o = 0,
      a = vt.prefilters.length,
      s = k.Deferred().always(function () {
        delete l.elem;
      }),
      l = function () {
        if (r) return !1;
        for (var t = ut || ht(), n = Math.max(0, u.startTime + u.duration - t), i = 1 - (n / u.duration || 0), o = 0, a = u.tweens.length; o < a; o++) u.tweens[o].run(i);
        return s.notifyWith(e, [u, i, n]), i < 1 && a ? n : (a || s.notifyWith(e, [u, 1, 0]), s.resolveWith(e, [u]), !1);
      },
      u = s.promise({
        elem: e,
        props: k.extend({}, t),
        opts: k.extend(!0, {
          specialEasing: {},
          easing: k.easing._default
        }, n),
        originalProperties: t,
        originalOptions: n,
        startTime: ut || ht(),
        duration: n.duration,
        tweens: [],
        createTween: function (t, n) {
          var i = k.Tween(e, u.opts, t, n, u.opts.specialEasing[t] || u.opts.easing);
          return u.tweens.push(i), i;
        },
        stop: function (t) {
          var n = 0,
            i = t ? u.tweens.length : 0;
          if (r) return this;
          for (r = !0; n < i; n++) u.tweens[n].run(1);
          return t ? (s.notifyWith(e, [u, 1, 0]), s.resolveWith(e, [u, t])) : s.rejectWith(e, [u, t]), this;
        }
      }),
      c = u.props;
    for (!function (e, t) {
      var n, i, r, o, a;
      for (n in e) if (r = t[i = te(n)], o = e[n], Array.isArray(o) && (r = o[1], o = e[n] = o[0]), n !== i && (e[i] = o, delete e[n]), (a = k.cssHooks[i]) && ("expand" in a)) for (n in o = a.expand(o), delete e[i], o) (n in e) || (e[n] = o[n], t[n] = r);else t[i] = r;
    }(c, u.opts.specialEasing); o < a; o++) if (i = vt.prefilters[o].call(u, e, c, u.opts)) return h(i.stop) && (k._queueHooks(u.elem, u.opts.queue).stop = i.stop.bind(i)), i;
    return k.map(c, gt, u), h(u.opts.start) && u.opts.start.call(e, u), u.progress(u.opts.progress).done(u.opts.done, u.opts.complete).fail(u.opts.fail).always(u.opts.always), k.fx.timer(k.extend(l, {
      elem: e,
      anim: u,
      queue: u.opts.queue
    })), u;
  }
  k.Animation = k.extend(vt, {
    tweeners: {
      "*": [function (e, t) {
        var n = this.createTween(e, t);
        return ge(n.elem, e, ce.exec(t), n), n;
      }]
    },
    tweener: function (e, t) {
      h(e) ? (t = e, e = ["*"]) : e = e.match(z);
      for (var n, i = 0, r = e.length; i < r; i++) n = e[i], vt.tweeners[n] = vt.tweeners[n] || [], vt.tweeners[n].unshift(t);
    },
    prefilters: [function (e, t, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u,
        c,
        d = "width" in t || "height" in t,
        p = this,
        f = {},
        h = e.style,
        m = e.nodeType && me(e),
        g = re.get(e, "fxshow");
      for (i in n.queue || (null == (a = k._queueHooks(e, "fx")).unqueued && (a.unqueued = 0, s = a.empty.fire, a.empty.fire = function () {
        a.unqueued || s();
      }), a.unqueued++, p.always(function () {
        p.always(function () {
          a.unqueued--, k.queue(e, "fx").length || a.empty.fire();
        });
      })), t) if (r = t[i], dt.test(r)) {
        if (delete t[i], o = o || "toggle" === r, r === (m ? "hide" : "show")) {
          if ("show" !== r || !g || void 0 === g[i]) continue;
          m = !0;
        }
        f[i] = g && g[i] || k.style(e, i);
      }
      if ((l = !k.isEmptyObject(t)) || !k.isEmptyObject(f)) for (i in d && 1 === e.nodeType && (n.overflow = [h.overflow, h.overflowX, h.overflowY], null == (u = g && g.display) && (u = re.get(e, "display")), "none" === (c = k.css(e, "display")) && (u ? c = u : (be([e], !0), u = e.style.display || u, c = k.css(e, "display"), be([e]))), ("inline" === c || "inline-block" === c && null != u) && "none" === k.css(e, "float") && (l || (p.done(function () {
        h.display = u;
      }), null == u && (c = h.display, u = "none" === c ? "" : c)), h.display = "inline-block")), n.overflow && (h.overflow = "hidden", p.always(function () {
        h.overflow = n.overflow[0], h.overflowX = n.overflow[1], h.overflowY = n.overflow[2];
      })), l = !1, f) l || (g ? "hidden" in g && (m = g.hidden) : g = re.access(e, "fxshow", {
        display: u
      }), o && (g.hidden = !m), m && be([e], !0), p.done(function () {
        for (i in m || be([e]), re.remove(e, "fxshow"), f) k.style(e, i, f[i]);
      })), l = gt(m ? g[i] : 0, i, p), i in g || (g[i] = l.start, m && (l.end = l.start, l.start = 0));
    }],
    prefilter: function (e, t) {
      t ? vt.prefilters.unshift(e) : vt.prefilters.push(e);
    }
  }), k.speed = function (e, t, n) {
    var i = e && "object" == typeof e ? k.extend({}, e) : {
      complete: n || !n && t || h(e) && e,
      duration: e,
      easing: n && t || t && !h(t) && t
    };
    return k.fx.off ? i.duration = 0 : "number" != typeof i.duration && (i.duration in k.fx.speeds ? i.duration = k.fx.speeds[i.duration] : i.duration = k.fx.speeds._default), null != i.queue && !0 !== i.queue || (i.queue = "fx"), i.old = i.complete, i.complete = function () {
      h(i.old) && i.old.call(this), i.queue && k.dequeue(this, i.queue);
    }, i;
  }, k.fn.extend({
    fadeTo: function (e, t, n, i) {
      return this.filter(me).css("opacity", 0).show().end().animate({
        opacity: t
      }, e, n, i);
    },
    animate: function (e, t, n, i) {
      var r = k.isEmptyObject(e),
        o = k.speed(t, n, i),
        a = function () {
          var t = vt(this, k.extend({}, e), o);
          (r || re.get(this, "finish")) && t.stop(!0);
        };
      return a.finish = a, r || !1 === o.queue ? this.each(a) : this.queue(o.queue, a);
    },
    stop: function (e, t, n) {
      var i = function (e) {
        var t = e.stop;
        delete e.stop, t(n);
      };
      return "string" != typeof e && (n = t, t = e, e = void 0), t && this.queue(e || "fx", []), this.each(function () {
        var t = !0,
          r = null != e && e + "queueHooks",
          o = k.timers,
          a = re.get(this);
        if (r) a[r] && a[r].stop && i(a[r]);else for (r in a) a[r] && a[r].stop && pt.test(r) && i(a[r]);
        for (r = o.length; r--;) o[r].elem !== this || null != e && o[r].queue !== e || (o[r].anim.stop(n), t = !1, o.splice(r, 1));
        !t && n || k.dequeue(this, e);
      });
    },
    finish: function (e) {
      return !1 !== e && (e = e || "fx"), this.each(function () {
        var t,
          n = re.get(this),
          i = n[e + "queue"],
          r = n[e + "queueHooks"],
          o = k.timers,
          a = i ? i.length : 0;
        for (n.finish = !0, k.queue(this, e, []), r && r.stop && r.stop.call(this, !0), t = o.length; t--;) o[t].elem === this && o[t].queue === e && (o[t].anim.stop(!0), o.splice(t, 1));
        for (t = 0; t < a; t++) i[t] && i[t].finish && i[t].finish.call(this);
        delete n.finish;
      });
    }
  }), k.each(["toggle", "show", "hide"], function (e, t) {
    var n = k.fn[t];
    k.fn[t] = function (e, i, r) {
      return null == e || "boolean" == typeof e ? n.apply(this, arguments) : this.animate(mt(t, !0), e, i, r);
    };
  }), k.each({
    slideDown: mt("show"),
    slideUp: mt("hide"),
    slideToggle: mt("toggle"),
    fadeIn: {
      opacity: "show"
    },
    fadeOut: {
      opacity: "hide"
    },
    fadeToggle: {
      opacity: "toggle"
    }
  }, function (e, t) {
    k.fn[e] = function (e, n, i) {
      return this.animate(t, e, n, i);
    };
  }), k.timers = [], k.fx.tick = function () {
    var e,
      t = 0,
      n = k.timers;
    for (ut = Date.now(); t < n.length; t++) (e = n[t])() || n[t] !== e || n.splice(t--, 1);
    n.length || k.fx.stop(), ut = void 0;
  }, k.fx.timer = function (e) {
    k.timers.push(e), k.fx.start();
  }, k.fx.interval = 13, k.fx.start = function () {
    ct || (ct = !0, ft());
  }, k.fx.stop = function () {
    ct = null;
  }, k.fx.speeds = {
    slow: 600,
    fast: 200,
    _default: 400
  }, k.fn.delay = function (t, n) {
    return t = k.fx && k.fx.speeds[t] || t, n = n || "fx", this.queue(n, function (n, i) {
      var r = e.setTimeout(n, t);
      i.stop = function () {
        e.clearTimeout(r);
      };
    });
  }, function () {
    var e = g.createElement("input"),
      t = g.createElement("select").appendChild(g.createElement("option"));
    e.type = "checkbox", f.checkOn = "" !== e.value, f.optSelected = t.selected, (e = g.createElement("input")).value = "t", e.type = "radio", f.radioValue = "t" === e.value;
  }();
  var yt,
    bt = k.expr.attrHandle;
  k.fn.extend({
    attr: function (e, t) {
      return G(this, k.attr, e, t, arguments.length > 1);
    },
    removeAttr: function (e) {
      return this.each(function () {
        k.removeAttr(this, e);
      });
    }
  }), k.extend({
    attr: function (e, t, n) {
      var i,
        r,
        o = e.nodeType;
      if (3 !== o && 8 !== o && 2 !== o) return void 0 === e.getAttribute ? k.prop(e, t, n) : (1 === o && k.isXMLDoc(e) || (r = k.attrHooks[t.toLowerCase()] || (k.expr.match.bool.test(t) ? yt : void 0)), void 0 !== n ? null === n ? void k.removeAttr(e, t) : r && "set" in r && void 0 !== (i = r.set(e, n, t)) ? i : (e.setAttribute(t, n + ""), n) : r && "get" in r && null !== (i = r.get(e, t)) ? i : null == (i = k.find.attr(e, t)) ? void 0 : i);
    },
    attrHooks: {
      type: {
        set: function (e, t) {
          if (!f.radioValue && "radio" === t && T(e, "input")) {
            var n = e.value;
            return e.setAttribute("type", t), n && (e.value = n), t;
          }
        }
      }
    },
    removeAttr: function (e, t) {
      var n,
        i = 0,
        r = t && t.match(z);
      if (r && 1 === e.nodeType) for (; n = r[i++];) e.removeAttribute(n);
    }
  }), yt = {
    set: function (e, t, n) {
      return !1 === t ? k.removeAttr(e, n) : e.setAttribute(n, n), n;
    }
  }, k.each(k.expr.match.bool.source.match(/\w+/g), function (e, t) {
    var n = bt[t] || k.find.attr;
    bt[t] = function (e, t, i) {
      var r,
        o,
        a = t.toLowerCase();
      return i || (o = bt[a], bt[a] = r, r = null != n(e, t, i) ? a : null, bt[a] = o), r;
    };
  });
  var wt = /^(?:input|select|textarea|button)$/i,
    xt = /^(?:a|area)$/i;
  function kt(e) {
    return (e.match(z) || []).join(" ");
  }
  function Ct(e) {
    return e.getAttribute && e.getAttribute("class") || "";
  }
  function Tt(e) {
    return Array.isArray(e) ? e : "string" == typeof e && e.match(z) || [];
  }
  k.fn.extend({
    prop: function (e, t) {
      return G(this, k.prop, e, t, arguments.length > 1);
    },
    removeProp: function (e) {
      return this.each(function () {
        delete this[k.propFix[e] || e];
      });
    }
  }), k.extend({
    prop: function (e, t, n) {
      var i,
        r,
        o = e.nodeType;
      if (3 !== o && 8 !== o && 2 !== o) return 1 === o && k.isXMLDoc(e) || (t = k.propFix[t] || t, r = k.propHooks[t]), void 0 !== n ? r && "set" in r && void 0 !== (i = r.set(e, n, t)) ? i : e[t] = n : r && "get" in r && null !== (i = r.get(e, t)) ? i : e[t];
    },
    propHooks: {
      tabIndex: {
        get: function (e) {
          var t = k.find.attr(e, "tabindex");
          return t ? parseInt(t, 10) : wt.test(e.nodeName) || xt.test(e.nodeName) && e.href ? 0 : -1;
        }
      }
    },
    propFix: {
      for: "htmlFor",
      class: "className"
    }
  }), f.optSelected || (k.propHooks.selected = {
    get: function (e) {
      var t = e.parentNode;
      return t && t.parentNode && t.parentNode.selectedIndex, null;
    },
    set: function (e) {
      var t = e.parentNode;
      t && (t.selectedIndex, t.parentNode && t.parentNode.selectedIndex);
    }
  }), k.each(["tabIndex", "readOnly", "maxLength", "cellSpacing", "cellPadding", "rowSpan", "colSpan", "useMap", "frameBorder", "contentEditable"], function () {
    k.propFix[this.toLowerCase()] = this;
  }), k.fn.extend({
    addClass: function (e) {
      var t, n, i, r, o, a;
      return h(e) ? this.each(function (t) {
        k(this).addClass(e.call(this, t, Ct(this)));
      }) : (t = Tt(e)).length ? this.each(function () {
        if (i = Ct(this), n = 1 === this.nodeType && " " + kt(i) + " ") {
          for (o = 0; o < t.length; o++) r = t[o], n.indexOf(" " + r + " ") < 0 && (n += r + " ");
          a = kt(n), i !== a && this.setAttribute("class", a);
        }
      }) : this;
    },
    removeClass: function (e) {
      var t, n, i, r, o, a;
      return h(e) ? this.each(function (t) {
        k(this).removeClass(e.call(this, t, Ct(this)));
      }) : arguments.length ? (t = Tt(e)).length ? this.each(function () {
        if (i = Ct(this), n = 1 === this.nodeType && " " + kt(i) + " ") {
          for (o = 0; o < t.length; o++) for (r = t[o]; n.indexOf(" " + r + " ") > -1;) n = n.replace(" " + r + " ", " ");
          a = kt(n), i !== a && this.setAttribute("class", a);
        }
      }) : this : this.attr("class", "");
    },
    toggleClass: function (e, t) {
      var n,
        i,
        r,
        o,
        a = typeof e,
        s = "string" === a || Array.isArray(e);
      return h(e) ? this.each(function (n) {
        k(this).toggleClass(e.call(this, n, Ct(this), t), t);
      }) : "boolean" == typeof t && s ? t ? this.addClass(e) : this.removeClass(e) : (n = Tt(e), this.each(function () {
        if (s) for (o = k(this), r = 0; r < n.length; r++) i = n[r], o.hasClass(i) ? o.removeClass(i) : o.addClass(i);else void 0 !== e && "boolean" !== a || ((i = Ct(this)) && re.set(this, "__className__", i), this.setAttribute && this.setAttribute("class", i || !1 === e ? "" : re.get(this, "__className__") || ""));
      }));
    },
    hasClass: function (e) {
      var t,
        n,
        i = 0;
      for (t = " " + e + " "; n = this[i++];) if (1 === n.nodeType && (" " + kt(Ct(n)) + " ").indexOf(t) > -1) return !0;
      return !1;
    }
  });
  var Et = /\r/g;
  k.fn.extend({
    val: function (e) {
      var t,
        n,
        i,
        r = this[0];
      return arguments.length ? (i = h(e), this.each(function (n) {
        var r;
        1 === this.nodeType && (null == (r = i ? e.call(this, n, k(this).val()) : e) ? r = "" : "number" == typeof r ? r += "" : Array.isArray(r) && (r = k.map(r, function (e) {
          return null == e ? "" : e + "";
        })), (t = k.valHooks[this.type] || k.valHooks[this.nodeName.toLowerCase()]) && "set" in t && void 0 !== t.set(this, r, "value") || (this.value = r));
      })) : r ? (t = k.valHooks[r.type] || k.valHooks[r.nodeName.toLowerCase()]) && "get" in t && void 0 !== (n = t.get(r, "value")) ? n : "string" == typeof (n = r.value) ? n.replace(Et, "") : null == n ? "" : n : void 0;
    }
  }), k.extend({
    valHooks: {
      option: {
        get: function (e) {
          var t = k.find.attr(e, "value");
          return null != t ? t : kt(k.text(e));
        }
      },
      select: {
        get: function (e) {
          var t,
            n,
            i,
            r = e.options,
            o = e.selectedIndex,
            a = "select-one" === e.type,
            s = a ? null : [],
            l = a ? o + 1 : r.length;
          for (i = o < 0 ? l : a ? o : 0; i < l; i++) if (((n = r[i]).selected || i === o) && !n.disabled && (!n.parentNode.disabled || !T(n.parentNode, "optgroup"))) {
            if (t = k(n).val(), a) return t;
            s.push(t);
          }
          return s;
        },
        set: function (e, t) {
          for (var n, i, r = e.options, o = k.makeArray(t), a = r.length; a--;) ((i = r[a]).selected = k.inArray(k.valHooks.option.get(i), o) > -1) && (n = !0);
          return n || (e.selectedIndex = -1), o;
        }
      }
    }
  }), k.each(["radio", "checkbox"], function () {
    k.valHooks[this] = {
      set: function (e, t) {
        if (Array.isArray(t)) return e.checked = k.inArray(k(e).val(), t) > -1;
      }
    }, f.checkOn || (k.valHooks[this].get = function (e) {
      return null === e.getAttribute("value") ? "on" : e.value;
    });
  });
  var Dt = e.location,
    Ot = {
      guid: Date.now()
    },
    St = /\?/;
  k.parseXML = function (t) {
    var n, i;
    if (!t || "string" != typeof t) return null;
    try {
      n = new e.DOMParser().parseFromString(t, "text/xml");
    } catch (e) {}
    return i = n && n.getElementsByTagName("parsererror")[0], n && !i || k.error("Invalid XML: " + (i ? k.map(i.childNodes, function (e) {
      return e.textContent;
    }).join("\n") : t)), n;
  };
  var At = /^(?:focusinfocus|focusoutblur)$/,
    jt = function (e) {
      e.stopPropagation();
    };
  k.extend(k.event, {
    trigger: function (t, n, i, r) {
      var o,
        a,
        s,
        l,
        u,
        d,
        p,
        f,
        v = [i || g],
        y = c.call(t, "type") ? t.type : t,
        b = c.call(t, "namespace") ? t.namespace.split(".") : [];
      if (a = f = s = i = i || g, 3 !== i.nodeType && 8 !== i.nodeType && !At.test(y + k.event.triggered) && (y.indexOf(".") > -1 && (b = y.split("."), y = b.shift(), b.sort()), u = y.indexOf(":") < 0 && "on" + y, (t = t[k.expando] ? t : new k.Event(y, "object" == typeof t && t)).isTrigger = r ? 2 : 3, t.namespace = b.join("."), t.rnamespace = t.namespace ? new RegExp("(^|\\.)" + b.join("\\.(?:.*\\.|)") + "(\\.|$)") : null, t.result = void 0, t.target || (t.target = i), n = null == n ? [t] : k.makeArray(n, [t]), p = k.event.special[y] || {}, r || !p.trigger || !1 !== p.trigger.apply(i, n))) {
        if (!r && !p.noBubble && !m(i)) {
          for (l = p.delegateType || y, At.test(l + y) || (a = a.parentNode); a; a = a.parentNode) v.push(a), s = a;
          s === (i.ownerDocument || g) && v.push(s.defaultView || s.parentWindow || e);
        }
        for (o = 0; (a = v[o++]) && !t.isPropagationStopped();) f = a, t.type = o > 1 ? l : p.bindType || y, (d = (re.get(a, "events") || Object.create(null))[t.type] && re.get(a, "handle")) && d.apply(a, n), (d = u && a[u]) && d.apply && ne(a) && (t.result = d.apply(a, n), !1 === t.result && t.preventDefault());
        return t.type = y, r || t.isDefaultPrevented() || p._default && !1 !== p._default.apply(v.pop(), n) || !ne(i) || u && h(i[y]) && !m(i) && ((s = i[u]) && (i[u] = null), k.event.triggered = y, t.isPropagationStopped() && f.addEventListener(y, jt), i[y](), t.isPropagationStopped() && f.removeEventListener(y, jt), k.event.triggered = void 0, s && (i[u] = s)), t.result;
      }
    },
    simulate: function (e, t, n) {
      var i = k.extend(new k.Event(), n, {
        type: e,
        isSimulated: !0
      });
      k.event.trigger(i, null, t);
    }
  }), k.fn.extend({
    trigger: function (e, t) {
      return this.each(function () {
        k.event.trigger(e, t, this);
      });
    },
    triggerHandler: function (e, t) {
      var n = this[0];
      if (n) return k.event.trigger(e, t, n, !0);
    }
  });
  var Mt = /\[\]$/,
    Pt = /\r?\n/g,
    Lt = /^(?:submit|button|image|reset|file)$/i,
    $t = /^(?:input|select|textarea|keygen)/i;
  function _t(e, t, n, i) {
    var r;
    if (Array.isArray(t)) k.each(t, function (t, r) {
      n || Mt.test(e) ? i(e, r) : _t(e + "[" + ("object" == typeof r && null != r ? t : "") + "]", r, n, i);
    });else if (n || "object" !== b(t)) i(e, t);else for (r in t) _t(e + "[" + r + "]", t[r], n, i);
  }
  k.param = function (e, t) {
    var n,
      i = [],
      r = function (e, t) {
        var n = h(t) ? t() : t;
        i[i.length] = encodeURIComponent(e) + "=" + encodeURIComponent(null == n ? "" : n);
      };
    if (null == e) return "";
    if (Array.isArray(e) || e.jquery && !k.isPlainObject(e)) k.each(e, function () {
      r(this.name, this.value);
    });else for (n in e) _t(n, e[n], t, r);
    return i.join("&");
  }, k.fn.extend({
    serialize: function () {
      return k.param(this.serializeArray());
    },
    serializeArray: function () {
      return this.map(function () {
        var e = k.prop(this, "elements");
        return e ? k.makeArray(e) : this;
      }).filter(function () {
        var e = this.type;
        return this.name && !k(this).is(":disabled") && $t.test(this.nodeName) && !Lt.test(e) && (this.checked || !ke.test(e));
      }).map(function (e, t) {
        var n = k(this).val();
        return null == n ? null : Array.isArray(n) ? k.map(n, function (e) {
          return {
            name: t.name,
            value: e.replace(Pt, "\r\n")
          };
        }) : {
          name: t.name,
          value: n.replace(Pt, "\r\n")
        };
      }).get();
    }
  });
  var Nt = /%20/g,
    Ft = /#.*$/,
    It = /([?&])_=[^&]*/,
    Rt = /^(.*?):[ \t]*([^\r\n]*)$/gm,
    qt = /^(?:GET|HEAD)$/,
    Ht = /^\/\//,
    Bt = {},
    Vt = {},
    zt = "*/".concat("*"),
    Wt = g.createElement("a");
  function Yt(e) {
    return function (t, n) {
      "string" != typeof t && (n = t, t = "*");
      var i,
        r = 0,
        o = t.toLowerCase().match(z) || [];
      if (h(n)) for (; i = o[r++];) "+" === i[0] ? (i = i.slice(1) || "*", (e[i] = e[i] || []).unshift(n)) : (e[i] = e[i] || []).push(n);
    };
  }
  function Ut(e, t, n, i) {
    var r = {},
      o = e === Vt;
    function a(s) {
      var l;
      return r[s] = !0, k.each(e[s] || [], function (e, s) {
        var u = s(t, n, i);
        return "string" != typeof u || o || r[u] ? o ? !(l = u) : void 0 : (t.dataTypes.unshift(u), a(u), !1);
      }), l;
    }
    return a(t.dataTypes[0]) || !r["*"] && a("*");
  }
  function Kt(e, t) {
    var n,
      i,
      r = k.ajaxSettings.flatOptions || {};
    for (n in t) void 0 !== t[n] && ((r[n] ? e : i || (i = {}))[n] = t[n]);
    return i && k.extend(!0, e, i), e;
  }
  Wt.href = Dt.href, k.extend({
    active: 0,
    lastModified: {},
    etag: {},
    ajaxSettings: {
      url: Dt.href,
      type: "GET",
      isLocal: /^(?:about|app|app-storage|.+-extension|file|res|widget):$/.test(Dt.protocol),
      global: !0,
      processData: !0,
      async: !0,
      contentType: "application/x-www-form-urlencoded; charset=UTF-8",
      accepts: {
        "*": zt,
        text: "text/plain",
        html: "text/html",
        xml: "application/xml, text/xml",
        json: "application/json, text/javascript"
      },
      contents: {
        xml: /\bxml\b/,
        html: /\bhtml/,
        json: /\bjson\b/
      },
      responseFields: {
        xml: "responseXML",
        text: "responseText",
        json: "responseJSON"
      },
      converters: {
        "* text": String,
        "text html": !0,
        "text json": JSON.parse,
        "text xml": k.parseXML
      },
      flatOptions: {
        url: !0,
        context: !0
      }
    },
    ajaxSetup: function (e, t) {
      return t ? Kt(Kt(e, k.ajaxSettings), t) : Kt(k.ajaxSettings, e);
    },
    ajaxPrefilter: Yt(Bt),
    ajaxTransport: Yt(Vt),
    ajax: function (t, n) {
      "object" == typeof t && (n = t, t = void 0), n = n || {};
      var i,
        r,
        o,
        a,
        s,
        l,
        u,
        c,
        d,
        p,
        f = k.ajaxSetup({}, n),
        h = f.context || f,
        m = f.context && (h.nodeType || h.jquery) ? k(h) : k.event,
        v = k.Deferred(),
        y = k.Callbacks("once memory"),
        b = f.statusCode || {},
        w = {},
        x = {},
        C = "canceled",
        T = {
          readyState: 0,
          getResponseHeader: function (e) {
            var t;
            if (u) {
              if (!a) for (a = {}; t = Rt.exec(o);) a[t[1].toLowerCase() + " "] = (a[t[1].toLowerCase() + " "] || []).concat(t[2]);
              t = a[e.toLowerCase() + " "];
            }
            return null == t ? null : t.join(", ");
          },
          getAllResponseHeaders: function () {
            return u ? o : null;
          },
          setRequestHeader: function (e, t) {
            return null == u && (e = x[e.toLowerCase()] = x[e.toLowerCase()] || e, w[e] = t), this;
          },
          overrideMimeType: function (e) {
            return null == u && (f.mimeType = e), this;
          },
          statusCode: function (e) {
            var t;
            if (e) if (u) T.always(e[T.status]);else for (t in e) b[t] = [b[t], e[t]];
            return this;
          },
          abort: function (e) {
            var t = e || C;
            return i && i.abort(t), E(0, t), this;
          }
        };
      if (v.promise(T), f.url = ((t || f.url || Dt.href) + "").replace(Ht, Dt.protocol + "//"), f.type = n.method || n.type || f.method || f.type, f.dataTypes = (f.dataType || "*").toLowerCase().match(z) || [""], null == f.crossDomain) {
        l = g.createElement("a");
        try {
          l.href = f.url, l.href = l.href, f.crossDomain = Wt.protocol + "//" + Wt.host != l.protocol + "//" + l.host;
        } catch (e) {
          f.crossDomain = !0;
        }
      }
      if (f.data && f.processData && "string" != typeof f.data && (f.data = k.param(f.data, f.traditional)), Ut(Bt, f, n, T), u) return T;
      for (d in (c = k.event && f.global) && 0 == k.active++ && k.event.trigger("ajaxStart"), f.type = f.type.toUpperCase(), f.hasContent = !qt.test(f.type), r = f.url.replace(Ft, ""), f.hasContent ? f.data && f.processData && 0 === (f.contentType || "").indexOf("application/x-www-form-urlencoded") && (f.data = f.data.replace(Nt, "+")) : (p = f.url.slice(r.length), f.data && (f.processData || "string" == typeof f.data) && (r += (St.test(r) ? "&" : "?") + f.data, delete f.data), !1 === f.cache && (r = r.replace(It, "$1"), p = (St.test(r) ? "&" : "?") + "_=" + Ot.guid++ + p), f.url = r + p), f.ifModified && (k.lastModified[r] && T.setRequestHeader("If-Modified-Since", k.lastModified[r]), k.etag[r] && T.setRequestHeader("If-None-Match", k.etag[r])), (f.data && f.hasContent && !1 !== f.contentType || n.contentType) && T.setRequestHeader("Content-Type", f.contentType), T.setRequestHeader("Accept", f.dataTypes[0] && f.accepts[f.dataTypes[0]] ? f.accepts[f.dataTypes[0]] + ("*" !== f.dataTypes[0] ? ", " + zt + "; q=0.01" : "") : f.accepts["*"]), f.headers) T.setRequestHeader(d, f.headers[d]);
      if (f.beforeSend && (!1 === f.beforeSend.call(h, T, f) || u)) return T.abort();
      if (C = "abort", y.add(f.complete), T.done(f.success), T.fail(f.error), i = Ut(Vt, f, n, T)) {
        if (T.readyState = 1, c && m.trigger("ajaxSend", [T, f]), u) return T;
        f.async && f.timeout > 0 && (s = e.setTimeout(function () {
          T.abort("timeout");
        }, f.timeout));
        try {
          u = !1, i.send(w, E);
        } catch (e) {
          if (u) throw e;
          E(-1, e);
        }
      } else E(-1, "No Transport");
      function E(t, n, a, l) {
        var d,
          p,
          g,
          w,
          x,
          C = n;
        u || (u = !0, s && e.clearTimeout(s), i = void 0, o = l || "", T.readyState = t > 0 ? 4 : 0, d = t >= 200 && t < 300 || 304 === t, a && (w = function (e, t, n) {
          for (var i, r, o, a, s = e.contents, l = e.dataTypes; "*" === l[0];) l.shift(), void 0 === i && (i = e.mimeType || t.getResponseHeader("Content-Type"));
          if (i) for (r in s) if (s[r] && s[r].test(i)) {
            l.unshift(r);
            break;
          }
          if (l[0] in n) o = l[0];else {
            for (r in n) {
              if (!l[0] || e.converters[r + " " + l[0]]) {
                o = r;
                break;
              }
              a || (a = r);
            }
            o = o || a;
          }
          if (o) return o !== l[0] && l.unshift(o), n[o];
        }(f, T, a)), !d && k.inArray("script", f.dataTypes) > -1 && k.inArray("json", f.dataTypes) < 0 && (f.converters["text script"] = function () {}), w = function (e, t, n, i) {
          var r,
            o,
            a,
            s,
            l,
            u = {},
            c = e.dataTypes.slice();
          if (c[1]) for (a in e.converters) u[a.toLowerCase()] = e.converters[a];
          for (o = c.shift(); o;) if (e.responseFields[o] && (n[e.responseFields[o]] = t), !l && i && e.dataFilter && (t = e.dataFilter(t, e.dataType)), l = o, o = c.shift()) if ("*" === o) o = l;else if ("*" !== l && l !== o) {
            if (!(a = u[l + " " + o] || u["* " + o])) for (r in u) if ((s = r.split(" "))[1] === o && (a = u[l + " " + s[0]] || u["* " + s[0]])) {
              !0 === a ? a = u[r] : !0 !== u[r] && (o = s[0], c.unshift(s[1]));
              break;
            }
            if (!0 !== a) if (a && e.throws) t = a(t);else try {
              t = a(t);
            } catch (e) {
              return {
                state: "parsererror",
                error: a ? e : "No conversion from " + l + " to " + o
              };
            }
          }
          return {
            state: "success",
            data: t
          };
        }(f, w, T, d), d ? (f.ifModified && ((x = T.getResponseHeader("Last-Modified")) && (k.lastModified[r] = x), (x = T.getResponseHeader("etag")) && (k.etag[r] = x)), 204 === t || "HEAD" === f.type ? C = "nocontent" : 304 === t ? C = "notmodified" : (C = w.state, p = w.data, d = !(g = w.error))) : (g = C, !t && C || (C = "error", t < 0 && (t = 0))), T.status = t, T.statusText = (n || C) + "", d ? v.resolveWith(h, [p, C, T]) : v.rejectWith(h, [T, C, g]), T.statusCode(b), b = void 0, c && m.trigger(d ? "ajaxSuccess" : "ajaxError", [T, f, d ? p : g]), y.fireWith(h, [T, C]), c && (m.trigger("ajaxComplete", [T, f]), --k.active || k.event.trigger("ajaxStop")));
      }
      return T;
    },
    getJSON: function (e, t, n) {
      return k.get(e, t, n, "json");
    },
    getScript: function (e, t) {
      return k.get(e, void 0, t, "script");
    }
  }), k.each(["get", "post"], function (e, t) {
    k[t] = function (e, n, i, r) {
      return h(n) && (r = r || i, i = n, n = void 0), k.ajax(k.extend({
        url: e,
        type: t,
        dataType: r,
        data: n,
        success: i
      }, k.isPlainObject(e) && e));
    };
  }), k.ajaxPrefilter(function (e) {
    var t;
    for (t in e.headers) "content-type" === t.toLowerCase() && (e.contentType = e.headers[t] || "");
  }), k._evalUrl = function (e, t, n) {
    return k.ajax({
      url: e,
      type: "GET",
      dataType: "script",
      cache: !0,
      async: !1,
      global: !1,
      converters: {
        "text script": function () {}
      },
      dataFilter: function (e) {
        k.globalEval(e, t, n);
      }
    });
  }, k.fn.extend({
    wrapAll: function (e) {
      var t;
      return this[0] && (h(e) && (e = e.call(this[0])), t = k(e, this[0].ownerDocument).eq(0).clone(!0), this[0].parentNode && t.insertBefore(this[0]), t.map(function () {
        for (var e = this; e.firstElementChild;) e = e.firstElementChild;
        return e;
      }).append(this)), this;
    },
    wrapInner: function (e) {
      return h(e) ? this.each(function (t) {
        k(this).wrapInner(e.call(this, t));
      }) : this.each(function () {
        var t = k(this),
          n = t.contents();
        n.length ? n.wrapAll(e) : t.append(e);
      });
    },
    wrap: function (e) {
      var t = h(e);
      return this.each(function (n) {
        k(this).wrapAll(t ? e.call(this, n) : e);
      });
    },
    unwrap: function (e) {
      return this.parent(e).not("body").each(function () {
        k(this).replaceWith(this.childNodes);
      }), this;
    }
  }), k.expr.pseudos.hidden = function (e) {
    return !k.expr.pseudos.visible(e);
  }, k.expr.pseudos.visible = function (e) {
    return !!(e.offsetWidth || e.offsetHeight || e.getClientRects().length);
  }, k.ajaxSettings.xhr = function () {
    try {
      return new e.XMLHttpRequest();
    } catch (e) {}
  };
  var Xt = {
      0: 200,
      1223: 204
    },
    Jt = k.ajaxSettings.xhr();
  f.cors = !!Jt && "withCredentials" in Jt, f.ajax = Jt = !!Jt, k.ajaxTransport(function (t) {
    var n, i;
    if (f.cors || Jt && !t.crossDomain) return {
      send: function (r, o) {
        var a,
          s = t.xhr();
        if (s.open(t.type, t.url, t.async, t.username, t.password), t.xhrFields) for (a in t.xhrFields) s[a] = t.xhrFields[a];
        for (a in t.mimeType && s.overrideMimeType && s.overrideMimeType(t.mimeType), t.crossDomain || r["X-Requested-With"] || (r["X-Requested-With"] = "XMLHttpRequest"), r) s.setRequestHeader(a, r[a]);
        n = function (e) {
          return function () {
            n && (n = i = s.onload = s.onerror = s.onabort = s.ontimeout = s.onreadystatechange = null, "abort" === e ? s.abort() : "error" === e ? "number" != typeof s.status ? o(0, "error") : o(s.status, s.statusText) : o(Xt[s.status] || s.status, s.statusText, "text" !== (s.responseType || "text") || "string" != typeof s.responseText ? {
              binary: s.response
            } : {
              text: s.responseText
            }, s.getAllResponseHeaders()));
          };
        }, s.onload = n(), i = s.onerror = s.ontimeout = n("error"), void 0 !== s.onabort ? s.onabort = i : s.onreadystatechange = function () {
          4 === s.readyState && e.setTimeout(function () {
            n && i();
          });
        }, n = n("abort");
        try {
          s.send(t.hasContent && t.data || null);
        } catch (e) {
          if (n) throw e;
        }
      },
      abort: function () {
        n && n();
      }
    };
  }), k.ajaxPrefilter(function (e) {
    e.crossDomain && (e.contents.script = !1);
  }), k.ajaxSetup({
    accepts: {
      script: "text/javascript, application/javascript, application/ecmascript, application/x-ecmascript"
    },
    contents: {
      script: /\b(?:java|ecma)script\b/
    },
    converters: {
      "text script": function (e) {
        return k.globalEval(e), e;
      }
    }
  }), k.ajaxPrefilter("script", function (e) {
    void 0 === e.cache && (e.cache = !1), e.crossDomain && (e.type = "GET");
  }), k.ajaxTransport("script", function (e) {
    var t, n;
    if (e.crossDomain || e.scriptAttrs) return {
      send: function (i, r) {
        t = k("<script>").attr(e.scriptAttrs || {}).prop({
          charset: e.scriptCharset,
          src: e.url
        }).on("load error", n = function (e) {
          t.remove(), n = null, e && r("error" === e.type ? 404 : 200, e.type);
        }), g.head.appendChild(t[0]);
      },
      abort: function () {
        n && n();
      }
    };
  });
  var Gt,
    Qt = [],
    Zt = /(=)\?(?=&|$)|\?\?/;
  k.ajaxSetup({
    jsonp: "callback",
    jsonpCallback: function () {
      var e = Qt.pop() || k.expando + "_" + Ot.guid++;
      return this[e] = !0, e;
    }
  }), k.ajaxPrefilter("json jsonp", function (t, n, i) {
    var r,
      o,
      a,
      s = !1 !== t.jsonp && (Zt.test(t.url) ? "url" : "string" == typeof t.data && 0 === (t.contentType || "").indexOf("application/x-www-form-urlencoded") && Zt.test(t.data) && "data");
    if (s || "jsonp" === t.dataTypes[0]) return r = t.jsonpCallback = h(t.jsonpCallback) ? t.jsonpCallback() : t.jsonpCallback, s ? t[s] = t[s].replace(Zt, "$1" + r) : !1 !== t.jsonp && (t.url += (St.test(t.url) ? "&" : "?") + t.jsonp + "=" + r), t.converters["script json"] = function () {
      return a || k.error(r + " was not called"), a[0];
    }, t.dataTypes[0] = "json", o = e[r], e[r] = function () {
      a = arguments;
    }, i.always(function () {
      void 0 === o ? k(e).removeProp(r) : e[r] = o, t[r] && (t.jsonpCallback = n.jsonpCallback, Qt.push(r)), a && h(o) && o(a[0]), a = o = void 0;
    }), "script";
  }), f.createHTMLDocument = ((Gt = g.implementation.createHTMLDocument("").body).innerHTML = "<form></form><form></form>", 2 === Gt.childNodes.length), k.parseHTML = function (e, t, n) {
    return "string" != typeof e ? [] : ("boolean" == typeof t && (n = t, t = !1), t || (f.createHTMLDocument ? ((i = (t = g.implementation.createHTMLDocument("")).createElement("base")).href = g.location.href, t.head.appendChild(i)) : t = g), o = !n && [], (r = F.exec(e)) ? [t.createElement(r[1])] : (r = Ae([e], t, o), o && o.length && k(o).remove(), k.merge([], r.childNodes)));
    var i, r, o;
  }, k.fn.load = function (e, t, n) {
    var i,
      r,
      o,
      a = this,
      s = e.indexOf(" ");
    return s > -1 && (i = kt(e.slice(s)), e = e.slice(0, s)), h(t) ? (n = t, t = void 0) : t && "object" == typeof t && (r = "POST"), a.length > 0 && k.ajax({
      url: e,
      type: r || "GET",
      dataType: "html",
      data: t
    }).done(function (e) {
      o = arguments, a.html(i ? k("<div>").append(k.parseHTML(e)).find(i) : e);
    }).always(n && function (e, t) {
      a.each(function () {
        n.apply(this, o || [e.responseText, t, e]);
      });
    }), this;
  }, k.expr.pseudos.animated = function (e) {
    return k.grep(k.timers, function (t) {
      return e === t.elem;
    }).length;
  }, k.offset = {
    setOffset: function (e, t, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u = k.css(e, "position"),
        c = k(e),
        d = {};
      "static" === u && (e.style.position = "relative"), s = c.offset(), o = k.css(e, "top"), l = k.css(e, "left"), ("absolute" === u || "fixed" === u) && (o + l).indexOf("auto") > -1 ? (a = (i = c.position()).top, r = i.left) : (a = parseFloat(o) || 0, r = parseFloat(l) || 0), h(t) && (t = t.call(e, n, k.extend({}, s))), null != t.top && (d.top = t.top - s.top + a), null != t.left && (d.left = t.left - s.left + r), "using" in t ? t.using.call(e, d) : c.css(d);
    }
  }, k.fn.extend({
    offset: function (e) {
      if (arguments.length) return void 0 === e ? this : this.each(function (t) {
        k.offset.setOffset(this, e, t);
      });
      var t,
        n,
        i = this[0];
      return i ? i.getClientRects().length ? (t = i.getBoundingClientRect(), n = i.ownerDocument.defaultView, {
        top: t.top + n.pageYOffset,
        left: t.left + n.pageXOffset
      }) : {
        top: 0,
        left: 0
      } : void 0;
    },
    position: function () {
      if (this[0]) {
        var e,
          t,
          n,
          i = this[0],
          r = {
            top: 0,
            left: 0
          };
        if ("fixed" === k.css(i, "position")) t = i.getBoundingClientRect();else {
          for (t = this.offset(), n = i.ownerDocument, e = i.offsetParent || n.documentElement; e && (e === n.body || e === n.documentElement) && "static" === k.css(e, "position");) e = e.parentNode;
          e && e !== i && 1 === e.nodeType && ((r = k(e).offset()).top += k.css(e, "borderTopWidth", !0), r.left += k.css(e, "borderLeftWidth", !0));
        }
        return {
          top: t.top - r.top - k.css(i, "marginTop", !0),
          left: t.left - r.left - k.css(i, "marginLeft", !0)
        };
      }
    },
    offsetParent: function () {
      return this.map(function () {
        for (var e = this.offsetParent; e && "static" === k.css(e, "position");) e = e.offsetParent;
        return e || pe;
      });
    }
  }), k.each({
    scrollLeft: "pageXOffset",
    scrollTop: "pageYOffset"
  }, function (e, t) {
    var n = "pageYOffset" === t;
    k.fn[e] = function (i) {
      return G(this, function (e, i, r) {
        var o;
        if (m(e) ? o = e : 9 === e.nodeType && (o = e.defaultView), void 0 === r) return o ? o[t] : e[i];
        o ? o.scrollTo(n ? o.pageXOffset : r, n ? r : o.pageYOffset) : e[i] = r;
      }, e, i, arguments.length);
    };
  }), k.each(["top", "left"], function (e, t) {
    k.cssHooks[t] = Ge(f.pixelPosition, function (e, n) {
      if (n) return n = Je(e, t), We.test(n) ? k(e).position()[t] + "px" : n;
    });
  }), k.each({
    Height: "height",
    Width: "width"
  }, function (e, t) {
    k.each({
      padding: "inner" + e,
      content: t,
      "": "outer" + e
    }, function (n, i) {
      k.fn[i] = function (r, o) {
        var a = arguments.length && (n || "boolean" != typeof r),
          s = n || (!0 === r || !0 === o ? "margin" : "border");
        return G(this, function (t, n, r) {
          var o;
          return m(t) ? 0 === i.indexOf("outer") ? t["inner" + e] : t.document.documentElement["client" + e] : 9 === t.nodeType ? (o = t.documentElement, Math.max(t.body["scroll" + e], o["scroll" + e], t.body["offset" + e], o["offset" + e], o["client" + e])) : void 0 === r ? k.css(t, n, s) : k.style(t, n, r, s);
        }, t, a ? r : void 0, a);
      };
    });
  }), k.each(["ajaxStart", "ajaxStop", "ajaxComplete", "ajaxError", "ajaxSuccess", "ajaxSend"], function (e, t) {
    k.fn[t] = function (e) {
      return this.on(t, e);
    };
  }), k.fn.extend({
    bind: function (e, t, n) {
      return this.on(e, null, t, n);
    },
    unbind: function (e, t) {
      return this.off(e, null, t);
    },
    delegate: function (e, t, n, i) {
      return this.on(t, e, n, i);
    },
    undelegate: function (e, t, n) {
      return 1 === arguments.length ? this.off(e, "**") : this.off(t, e || "**", n);
    },
    hover: function (e, t) {
      return this.mouseenter(e).mouseleave(t || e);
    }
  }), k.each("blur focus focusin focusout resize scroll click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup contextmenu".split(" "), function (e, t) {
    k.fn[t] = function (e, n) {
      return arguments.length > 0 ? this.on(t, null, e, n) : this.trigger(t);
    };
  });
  var en = /^[\s\uFEFF\xA0]+|([^\s\uFEFF\xA0])[\s\uFEFF\xA0]+$/g;
  k.proxy = function (e, t) {
    var n, i, o;
    if ("string" == typeof t && (n = e[t], t = e, e = n), h(e)) return i = r.call(arguments, 2), o = function () {
      return e.apply(t || this, i.concat(r.call(arguments)));
    }, o.guid = e.guid = e.guid || k.guid++, o;
  }, k.holdReady = function (e) {
    e ? k.readyWait++ : k.ready(!0);
  }, k.isArray = Array.isArray, k.parseJSON = JSON.parse, k.nodeName = T, k.isFunction = h, k.isWindow = m, k.camelCase = te, k.type = b, k.now = Date.now, k.isNumeric = function (e) {
    var t = k.type(e);
    return ("number" === t || "string" === t) && !isNaN(e - parseFloat(e));
  }, k.trim = function (e) {
    return null == e ? "" : (e + "").replace(en, "$1");
  }, "function" == typeof define && define.amd && define("jquery", [], function () {
    return k;
  });
  var tn = e.jQuery,
    nn = e.$;
  return k.noConflict = function (t) {
    return e.$ === k && (e.$ = nn), t && e.jQuery === k && (e.jQuery = tn), k;
  }, void 0 === t && (e.jQuery = e.$ = k), k;
}), /* flatpickr v4.6.13, @license MIT */
function (e, t) {
  "object" == typeof exports && "undefined" != typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define(t) : (e = "undefined" != typeof globalThis ? globalThis : e || self).flatpickr = t();
}(this, function () {
  "use strict";

  /*! *****************************************************************************
      Copyright (c) Microsoft Corporation.
  
      Permission to use, copy, modify, and/or distribute this software for any
      purpose with or without fee is hereby granted.
  
      THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
      REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
      AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
      INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
      LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
      OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
      PERFORMANCE OF THIS SOFTWARE.
      ***************************************************************************** */
  var e = function () {
    return e = Object.assign || function (e) {
      for (var t, n = 1, i = arguments.length; n < i; n++) for (var r in t = arguments[n]) Object.prototype.hasOwnProperty.call(t, r) && (e[r] = t[r]);
      return e;
    }, e.apply(this, arguments);
  };
  function t() {
    for (var e = 0, t = 0, n = arguments.length; t < n; t++) e += arguments[t].length;
    var i = Array(e),
      r = 0;
    for (t = 0; t < n; t++) for (var o = arguments[t], a = 0, s = o.length; a < s; a++, r++) i[r] = o[a];
    return i;
  }
  var n = ["onChange", "onClose", "onDayCreate", "onDestroy", "onKeyDown", "onMonthChange", "onOpen", "onParseConfig", "onReady", "onValueUpdate", "onYearChange", "onPreCalendarPosition"],
    i = {
      _disable: [],
      allowInput: !1,
      allowInvalidPreload: !1,
      altFormat: "F j, Y",
      altInput: !1,
      altInputClass: "form-control input",
      animate: "object" == typeof window && -1 === window.navigator.userAgent.indexOf("MSIE"),
      ariaDateFormat: "F j, Y",
      autoFillDefaultTime: !0,
      clickOpens: !0,
      closeOnSelect: !0,
      conjunction: ", ",
      dateFormat: "Y-m-d",
      defaultHour: 12,
      defaultMinute: 0,
      defaultSeconds: 0,
      disable: [],
      disableMobile: !1,
      enableSeconds: !1,
      enableTime: !1,
      errorHandler: function (e) {
        return "undefined" != typeof console && void 0;
      },
      getWeek: function (e) {
        var t = new Date(e.getTime());
        t.setHours(0, 0, 0, 0), t.setDate(t.getDate() + 3 - (t.getDay() + 6) % 7);
        var n = new Date(t.getFullYear(), 0, 4);
        return 1 + Math.round(((t.getTime() - n.getTime()) / 864e5 - 3 + (n.getDay() + 6) % 7) / 7);
      },
      hourIncrement: 1,
      ignoredFocusElements: [],
      inline: !1,
      locale: "default",
      minuteIncrement: 5,
      mode: "single",
      monthSelectorType: "dropdown",
      nextArrow: "<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 17 17'><g></g><path d='M13.207 8.472l-7.854 7.854-0.707-0.707 7.146-7.146-7.146-7.148 0.707-0.707 7.854 7.854z' /></svg>",
      noCalendar: !1,
      now: new Date(),
      onChange: [],
      onClose: [],
      onDayCreate: [],
      onDestroy: [],
      onKeyDown: [],
      onMonthChange: [],
      onOpen: [],
      onParseConfig: [],
      onReady: [],
      onValueUpdate: [],
      onYearChange: [],
      onPreCalendarPosition: [],
      plugins: [],
      position: "auto",
      positionElement: void 0,
      prevArrow: "<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 17 17'><g></g><path d='M5.207 8.471l7.146 7.147-0.707 0.707-7.853-7.854 7.854-7.853 0.707 0.707-7.147 7.146z' /></svg>",
      shorthandCurrentMonth: !1,
      showMonths: 1,
      static: !1,
      time_24hr: !1,
      weekNumbers: !1,
      wrap: !1
    },
    r = {
      weekdays: {
        shorthand: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
        longhand: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]
      },
      months: {
        shorthand: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
        longhand: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
      },
      daysInMonth: [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31],
      firstDayOfWeek: 0,
      ordinal: function (e) {
        var t = e % 100;
        if (t > 3 && t < 21) return "th";
        switch (t % 10) {
          case 1:
            return "st";
          case 2:
            return "nd";
          case 3:
            return "rd";
          default:
            return "th";
        }
      },
      rangeSeparator: " to ",
      weekAbbreviation: "Wk",
      scrollTitle: "Scroll to increment",
      toggleTitle: "Click to toggle",
      amPM: ["AM", "PM"],
      yearAriaLabel: "Year",
      monthAriaLabel: "Month",
      hourAriaLabel: "Hour",
      minuteAriaLabel: "Minute",
      time_24hr: !1
    },
    o = function (e, t) {
      return void 0 === t && (t = 2), ("000" + e).slice(-1 * t);
    },
    a = function (e) {
      return !0 === e ? 1 : 0;
    };
  function s(e, t) {
    var n;
    return function () {
      var i = this,
        r = arguments;
      clearTimeout(n), n = setTimeout(function () {
        return e.apply(i, r);
      }, t);
    };
  }
  var l = function (e) {
    return e instanceof Array ? e : [e];
  };
  function u(e, t, n) {
    if (!0 === n) return e.classList.add(t);
    e.classList.remove(t);
  }
  function c(e, t, n) {
    var i = window.document.createElement(e);
    return t = t || "", n = n || "", i.className = t, void 0 !== n && (i.textContent = n), i;
  }
  function d(e) {
    for (; e.firstChild;) e.removeChild(e.firstChild);
  }
  function p(e, t) {
    return t(e) ? e : e.parentNode ? p(e.parentNode, t) : void 0;
  }
  function f(e, t) {
    var n = c("div", "numInputWrapper"),
      i = c("input", "numInput " + e),
      r = c("span", "arrowUp"),
      o = c("span", "arrowDown");
    if (-1 === navigator.userAgent.indexOf("MSIE 9.0") ? i.type = "number" : (i.type = "text", i.pattern = "\\d*"), void 0 !== t) for (var a in t) i.setAttribute(a, t[a]);
    return n.appendChild(i), n.appendChild(r), n.appendChild(o), n;
  }
  function h(e) {
    try {
      return "function" == typeof e.composedPath ? e.composedPath()[0] : e.target;
    } catch (t) {
      return e.target;
    }
  }
  var m = function () {},
    g = function (e, t, n) {
      return n.months[t ? "shorthand" : "longhand"][e];
    },
    v = {
      D: m,
      F: function (e, t, n) {
        e.setMonth(n.months.longhand.indexOf(t));
      },
      G: function (e, t) {
        e.setHours((e.getHours() >= 12 ? 12 : 0) + parseFloat(t));
      },
      H: function (e, t) {
        e.setHours(parseFloat(t));
      },
      J: function (e, t) {
        e.setDate(parseFloat(t));
      },
      K: function (e, t, n) {
        e.setHours(e.getHours() % 12 + 12 * a(new RegExp(n.amPM[1], "i").test(t)));
      },
      M: function (e, t, n) {
        e.setMonth(n.months.shorthand.indexOf(t));
      },
      S: function (e, t) {
        e.setSeconds(parseFloat(t));
      },
      U: function (e, t) {
        return new Date(1e3 * parseFloat(t));
      },
      W: function (e, t, n) {
        var i = parseInt(t),
          r = new Date(e.getFullYear(), 0, 2 + 7 * (i - 1), 0, 0, 0, 0);
        return r.setDate(r.getDate() - r.getDay() + n.firstDayOfWeek), r;
      },
      Y: function (e, t) {
        e.setFullYear(parseFloat(t));
      },
      Z: function (e, t) {
        return new Date(t);
      },
      d: function (e, t) {
        e.setDate(parseFloat(t));
      },
      h: function (e, t) {
        e.setHours((e.getHours() >= 12 ? 12 : 0) + parseFloat(t));
      },
      i: function (e, t) {
        e.setMinutes(parseFloat(t));
      },
      j: function (e, t) {
        e.setDate(parseFloat(t));
      },
      l: m,
      m: function (e, t) {
        e.setMonth(parseFloat(t) - 1);
      },
      n: function (e, t) {
        e.setMonth(parseFloat(t) - 1);
      },
      s: function (e, t) {
        e.setSeconds(parseFloat(t));
      },
      u: function (e, t) {
        return new Date(parseFloat(t));
      },
      w: m,
      y: function (e, t) {
        e.setFullYear(2e3 + parseFloat(t));
      }
    },
    y = {
      D: "",
      F: "",
      G: "(\\d\\d|\\d)",
      H: "(\\d\\d|\\d)",
      J: "(\\d\\d|\\d)\\w+",
      K: "",
      M: "",
      S: "(\\d\\d|\\d)",
      U: "(.+)",
      W: "(\\d\\d|\\d)",
      Y: "(\\d{4})",
      Z: "(.+)",
      d: "(\\d\\d|\\d)",
      h: "(\\d\\d|\\d)",
      i: "(\\d\\d|\\d)",
      j: "(\\d\\d|\\d)",
      l: "",
      m: "(\\d\\d|\\d)",
      n: "(\\d\\d|\\d)",
      s: "(\\d\\d|\\d)",
      u: "(.+)",
      w: "(\\d\\d|\\d)",
      y: "(\\d{2})"
    },
    b = {
      Z: function (e) {
        return e.toISOString();
      },
      D: function (e, t, n) {
        return t.weekdays.shorthand[b.w(e, t, n)];
      },
      F: function (e, t, n) {
        return g(b.n(e, t, n) - 1, !1, t);
      },
      G: function (e, t, n) {
        return o(b.h(e, t, n));
      },
      H: function (e) {
        return o(e.getHours());
      },
      J: function (e, t) {
        return void 0 !== t.ordinal ? e.getDate() + t.ordinal(e.getDate()) : e.getDate();
      },
      K: function (e, t) {
        return t.amPM[a(e.getHours() > 11)];
      },
      M: function (e, t) {
        return g(e.getMonth(), !0, t);
      },
      S: function (e) {
        return o(e.getSeconds());
      },
      U: function (e) {
        return e.getTime() / 1e3;
      },
      W: function (e, t, n) {
        return n.getWeek(e);
      },
      Y: function (e) {
        return o(e.getFullYear(), 4);
      },
      d: function (e) {
        return o(e.getDate());
      },
      h: function (e) {
        return e.getHours() % 12 ? e.getHours() % 12 : 12;
      },
      i: function (e) {
        return o(e.getMinutes());
      },
      j: function (e) {
        return e.getDate();
      },
      l: function (e, t) {
        return t.weekdays.longhand[e.getDay()];
      },
      m: function (e) {
        return o(e.getMonth() + 1);
      },
      n: function (e) {
        return e.getMonth() + 1;
      },
      s: function (e) {
        return e.getSeconds();
      },
      u: function (e) {
        return e.getTime();
      },
      w: function (e) {
        return e.getDay();
      },
      y: function (e) {
        return String(e.getFullYear()).substring(2);
      }
    },
    w = function (e) {
      var t = e.config,
        n = void 0 === t ? i : t,
        o = e.l10n,
        a = void 0 === o ? r : o,
        s = e.isMobile,
        l = void 0 !== s && s;
      return function (e, t, i) {
        var r = i || a;
        return void 0 === n.formatDate || l ? t.split("").map(function (t, i, o) {
          return b[t] && "\\" !== o[i - 1] ? b[t](e, r, n) : "\\" !== t ? t : "";
        }).join("") : n.formatDate(e, t, r);
      };
    },
    x = function (e) {
      var t = e.config,
        n = void 0 === t ? i : t,
        o = e.l10n,
        a = void 0 === o ? r : o;
      return function (e, t, r, o) {
        if (0 === e || e) {
          var s,
            l = o || a,
            u = e;
          if (e instanceof Date) s = new Date(e.getTime());else if ("string" != typeof e && void 0 !== e.toFixed) s = new Date(e);else if ("string" == typeof e) {
            var c = t || (n || i).dateFormat,
              d = String(e).trim();
            if ("today" === d) s = new Date(), r = !0;else if (n && n.parseDate) s = n.parseDate(e, c);else if (/Z$/.test(d) || /GMT$/.test(d)) s = new Date(e);else {
              for (var p = void 0, f = [], h = 0, m = 0, g = ""; h < c.length; h++) {
                var b = c[h],
                  w = "\\" === b,
                  x = "\\" === c[h - 1] || w;
                if (y[b] && !x) {
                  g += y[b];
                  var k = new RegExp(g).exec(e);
                  k && (p = !0) && f["Y" !== b ? "push" : "unshift"]({
                    fn: v[b],
                    val: k[++m]
                  });
                } else w || (g += ".");
              }
              s = n && n.noCalendar ? new Date(new Date().setHours(0, 0, 0, 0)) : new Date(new Date().getFullYear(), 0, 1, 0, 0, 0, 0), f.forEach(function (e) {
                var t = e.fn,
                  n = e.val;
                return s = t(s, n, l) || s;
              }), s = p ? s : void 0;
            }
          }
          if (s instanceof Date && !isNaN(s.getTime())) return !0 === r && s.setHours(0, 0, 0, 0), s;
          n.errorHandler(new Error("Invalid date provided: " + u));
        }
      };
    };
  function k(e, t, n) {
    return void 0 === n && (n = !0), !1 !== n ? new Date(e.getTime()).setHours(0, 0, 0, 0) - new Date(t.getTime()).setHours(0, 0, 0, 0) : e.getTime() - t.getTime();
  }
  var C = function (e, t, n) {
      return e > Math.min(t, n) && e < Math.max(t, n);
    },
    T = function (e, t, n) {
      return 3600 * e + 60 * t + n;
    },
    E = function (e) {
      var t = Math.floor(e / 3600),
        n = (e - 3600 * t) / 60;
      return [t, n, e - 3600 * t - 60 * n];
    },
    D = {
      DAY: 864e5
    };
  function O(e) {
    var t = e.defaultHour,
      n = e.defaultMinute,
      i = e.defaultSeconds;
    if (void 0 !== e.minDate) {
      var r = e.minDate.getHours(),
        o = e.minDate.getMinutes(),
        a = e.minDate.getSeconds();
      t < r && (t = r), t === r && n < o && (n = o), t === r && n === o && i < a && (i = e.minDate.getSeconds());
    }
    if (void 0 !== e.maxDate) {
      var s = e.maxDate.getHours(),
        l = e.maxDate.getMinutes();
      (t = Math.min(t, s)) === s && (n = Math.min(l, n)), t === s && n === l && (i = e.maxDate.getSeconds());
    }
    return {
      hours: t,
      minutes: n,
      seconds: i
    };
  }
  "function" != typeof Object.assign && (Object.assign = function (e) {
    for (var t = [], n = 1; n < arguments.length; n++) t[n - 1] = arguments[n];
    if (!e) throw TypeError("Cannot convert undefined or null to object");
    for (var i = function (t) {
        t && Object.keys(t).forEach(function (n) {
          return e[n] = t[n];
        });
      }, r = 0, o = t; r < o.length; r++) {
      i(o[r]);
    }
    return e;
  });
  var S = 300;
  function A(m, v) {
    var b = {
      config: e(e({}, i), M.defaultConfig),
      l10n: r
    };
    function A() {
      var e;
      return (null === (e = b.calendarContainer) || void 0 === e ? void 0 : e.getRootNode()).activeElement || document.activeElement;
    }
    function j(e) {
      return e.bind(b);
    }
    function P() {
      var e = b.config;
      !1 === e.weekNumbers && 1 === e.showMonths || !0 !== e.noCalendar && window.requestAnimationFrame(function () {
        if (void 0 !== b.calendarContainer && (b.calendarContainer.style.visibility = "hidden", b.calendarContainer.style.display = "block"), void 0 !== b.daysContainer) {
          var t = (b.days.offsetWidth + 1) * e.showMonths;
          b.daysContainer.style.width = t + "px", b.calendarContainer.style.width = t + (void 0 !== b.weekWrapper ? b.weekWrapper.offsetWidth : 0) + "px", b.calendarContainer.style.removeProperty("visibility"), b.calendarContainer.style.removeProperty("display");
        }
      });
    }
    function L(e) {
      if (0 === b.selectedDates.length) {
        var t = void 0 === b.config.minDate || k(new Date(), b.config.minDate) >= 0 ? new Date() : new Date(b.config.minDate.getTime()),
          n = O(b.config);
        t.setHours(n.hours, n.minutes, n.seconds, t.getMilliseconds()), b.selectedDates = [t], b.latestSelectedDateObj = t;
      }
      void 0 !== e && "blur" !== e.type && function (e) {
        e.preventDefault();
        var t = "keydown" === e.type,
          n = h(e),
          i = n;
        void 0 !== b.amPM && n === b.amPM && (b.amPM.textContent = b.l10n.amPM[a(b.amPM.textContent === b.l10n.amPM[0])]);
        var r = parseFloat(i.getAttribute("min")),
          s = parseFloat(i.getAttribute("max")),
          l = parseFloat(i.getAttribute("step")),
          u = parseInt(i.value, 10),
          c = e.delta || (t ? 38 === e.which ? 1 : -1 : 0),
          d = u + l * c;
        if (void 0 !== i.value && 2 === i.value.length) {
          var p = i === b.hourElement,
            f = i === b.minuteElement;
          d < r ? (d = s + d + a(!p) + (a(p) && a(!b.amPM)), f && B(void 0, -1, b.hourElement)) : d > s && (d = i === b.hourElement ? d - s - a(!b.amPM) : r, f && B(void 0, 1, b.hourElement)), b.amPM && p && (1 === l ? d + u === 23 : Math.abs(d - u) > l) && (b.amPM.textContent = b.l10n.amPM[a(b.amPM.textContent === b.l10n.amPM[0])]), i.value = o(d);
        }
      }(e);
      var i = b._input.value;
      $(), De(), b._input.value !== i && b._debouncedChange();
    }
    function $() {
      if (void 0 !== b.hourElement && void 0 !== b.minuteElement) {
        var e,
          t,
          n = (parseInt(b.hourElement.value.slice(-2), 10) || 0) % 24,
          i = (parseInt(b.minuteElement.value, 10) || 0) % 60,
          r = void 0 !== b.secondElement ? (parseInt(b.secondElement.value, 10) || 0) % 60 : 0;
        void 0 !== b.amPM && (e = n, t = b.amPM.textContent, n = e % 12 + 12 * a(t === b.l10n.amPM[1]));
        var o = void 0 !== b.config.minTime || b.config.minDate && b.minDateHasTime && b.latestSelectedDateObj && 0 === k(b.latestSelectedDateObj, b.config.minDate, !0),
          s = void 0 !== b.config.maxTime || b.config.maxDate && b.maxDateHasTime && b.latestSelectedDateObj && 0 === k(b.latestSelectedDateObj, b.config.maxDate, !0);
        if (void 0 !== b.config.maxTime && void 0 !== b.config.minTime && b.config.minTime > b.config.maxTime) {
          var l = T(b.config.minTime.getHours(), b.config.minTime.getMinutes(), b.config.minTime.getSeconds()),
            u = T(b.config.maxTime.getHours(), b.config.maxTime.getMinutes(), b.config.maxTime.getSeconds()),
            c = T(n, i, r);
          if (c > u && c < l) {
            var d = E(l);
            n = d[0], i = d[1], r = d[2];
          }
        } else {
          if (s) {
            var p = void 0 !== b.config.maxTime ? b.config.maxTime : b.config.maxDate;
            (n = Math.min(n, p.getHours())) === p.getHours() && (i = Math.min(i, p.getMinutes())), i === p.getMinutes() && (r = Math.min(r, p.getSeconds()));
          }
          if (o) {
            var f = void 0 !== b.config.minTime ? b.config.minTime : b.config.minDate;
            (n = Math.max(n, f.getHours())) === f.getHours() && i < f.getMinutes() && (i = f.getMinutes()), i === f.getMinutes() && (r = Math.max(r, f.getSeconds()));
          }
        }
        N(n, i, r);
      }
    }
    function _(e) {
      var t = e || b.latestSelectedDateObj;
      t && t instanceof Date && N(t.getHours(), t.getMinutes(), t.getSeconds());
    }
    function N(e, t, n) {
      void 0 !== b.latestSelectedDateObj && b.latestSelectedDateObj.setHours(e % 24, t, n || 0, 0), b.hourElement && b.minuteElement && !b.isMobile && (b.hourElement.value = o(b.config.time_24hr ? e : (12 + e) % 12 + 12 * a(e % 12 == 0)), b.minuteElement.value = o(t), void 0 !== b.amPM && (b.amPM.textContent = b.l10n.amPM[a(e >= 12)]), void 0 !== b.secondElement && (b.secondElement.value = o(n)));
    }
    function F(e) {
      var t = h(e),
        n = parseInt(t.value) + (e.delta || 0);
      (n / 1e3 > 1 || "Enter" === e.key && !/[^\d]/.test(n.toString())) && ie(n);
    }
    function I(e, t, n, i) {
      return t instanceof Array ? t.forEach(function (t) {
        return I(e, t, n, i);
      }) : e instanceof Array ? e.forEach(function (e) {
        return I(e, t, n, i);
      }) : (e.addEventListener(t, n, i), void b._handlers.push({
        remove: function () {
          return e.removeEventListener(t, n, i);
        }
      }));
    }
    function R() {
      xe("onChange");
    }
    function q(e, t) {
      var n = void 0 !== e ? b.parseDate(e) : b.latestSelectedDateObj || (b.config.minDate && b.config.minDate > b.now ? b.config.minDate : b.config.maxDate && b.config.maxDate < b.now ? b.config.maxDate : b.now),
        i = b.currentYear,
        r = b.currentMonth;
      try {
        void 0 !== n && (b.currentYear = n.getFullYear(), b.currentMonth = n.getMonth());
      } catch (e) {
        e.message = "Invalid date supplied: " + n, b.config.errorHandler(e);
      }
      t && b.currentYear !== i && (xe("onYearChange"), X()), !t || b.currentYear === i && b.currentMonth === r || xe("onMonthChange"), b.redraw();
    }
    function H(e) {
      var t = h(e);
      ~t.className.indexOf("arrow") && B(e, t.classList.contains("arrowUp") ? 1 : -1);
    }
    function B(e, t, n) {
      var i = e && h(e),
        r = n || i && i.parentNode && i.parentNode.firstChild,
        o = ke("increment");
      o.delta = t, r && r.dispatchEvent(o);
    }
    function V(e, t, n, i) {
      var r = re(t, !0),
        o = c("span", e, t.getDate().toString());
      return o.dateObj = t, o.$i = i, o.setAttribute("aria-label", b.formatDate(t, b.config.ariaDateFormat)), -1 === e.indexOf("hidden") && 0 === k(t, b.now) && (b.todayDateElem = o, o.classList.add("today"), o.setAttribute("aria-current", "date")), r ? (o.tabIndex = -1, Ce(t) && (o.classList.add("selected"), b.selectedDateElem = o, "range" === b.config.mode && (u(o, "startRange", b.selectedDates[0] && 0 === k(t, b.selectedDates[0], !0)), u(o, "endRange", b.selectedDates[1] && 0 === k(t, b.selectedDates[1], !0)), "nextMonthDay" === e && o.classList.add("inRange")))) : o.classList.add("flatpickr-disabled"), "range" === b.config.mode && function (e) {
        return !("range" !== b.config.mode || b.selectedDates.length < 2) && k(e, b.selectedDates[0]) >= 0 && k(e, b.selectedDates[1]) <= 0;
      }(t) && !Ce(t) && o.classList.add("inRange"), b.weekNumbers && 1 === b.config.showMonths && "prevMonthDay" !== e && i % 7 == 6 && b.weekNumbers.insertAdjacentHTML("beforeend", "<span class='flatpickr-day'>" + b.config.getWeek(t) + "</span>"), xe("onDayCreate", o), o;
    }
    function z(e) {
      e.focus(), "range" === b.config.mode && le(e);
    }
    function W(e) {
      for (var t = e > 0 ? 0 : b.config.showMonths - 1, n = e > 0 ? b.config.showMonths : -1, i = t; i != n; i += e) for (var r = b.daysContainer.children[i], o = e > 0 ? 0 : r.children.length - 1, a = e > 0 ? r.children.length : -1, s = o; s != a; s += e) {
        var l = r.children[s];
        if (-1 === l.className.indexOf("hidden") && re(l.dateObj)) return l;
      }
    }
    function Y(e, t) {
      var n = A(),
        i = oe(n || document.body),
        r = void 0 !== e ? e : i ? n : void 0 !== b.selectedDateElem && oe(b.selectedDateElem) ? b.selectedDateElem : void 0 !== b.todayDateElem && oe(b.todayDateElem) ? b.todayDateElem : W(t > 0 ? 1 : -1);
      void 0 === r ? b._input.focus() : i ? function (e, t) {
        for (var n = -1 === e.className.indexOf("Month") ? e.dateObj.getMonth() : b.currentMonth, i = t > 0 ? b.config.showMonths : -1, r = t > 0 ? 1 : -1, o = n - b.currentMonth; o != i; o += r) for (var a = b.daysContainer.children[o], s = n - b.currentMonth === o ? e.$i + t : t < 0 ? a.children.length - 1 : 0, l = a.children.length, u = s; u >= 0 && u < l && u != (t > 0 ? l : -1); u += r) {
          var c = a.children[u];
          if (-1 === c.className.indexOf("hidden") && re(c.dateObj) && Math.abs(e.$i - u) >= Math.abs(t)) return z(c);
        }
        b.changeMonth(r), Y(W(r), 0);
      }(r, t) : z(r);
    }
    function U(e, t) {
      for (var n = (new Date(e, t, 1).getDay() - b.l10n.firstDayOfWeek + 7) % 7, i = b.utils.getDaysInMonth((t - 1 + 12) % 12, e), r = b.utils.getDaysInMonth(t, e), o = window.document.createDocumentFragment(), a = b.config.showMonths > 1, s = a ? "prevMonthDay hidden" : "prevMonthDay", l = a ? "nextMonthDay hidden" : "nextMonthDay", u = i + 1 - n, d = 0; u <= i; u++, d++) o.appendChild(V("flatpickr-day " + s, new Date(e, t - 1, u), 0, d));
      for (u = 1; u <= r; u++, d++) o.appendChild(V("flatpickr-day", new Date(e, t, u), 0, d));
      for (var p = r + 1; p <= 42 - n && (1 === b.config.showMonths || d % 7 != 0); p++, d++) o.appendChild(V("flatpickr-day " + l, new Date(e, t + 1, p % r), 0, d));
      var f = c("div", "dayContainer");
      return f.appendChild(o), f;
    }
    function K() {
      if (void 0 !== b.daysContainer) {
        d(b.daysContainer), b.weekNumbers && d(b.weekNumbers);
        for (var e = document.createDocumentFragment(), t = 0; t < b.config.showMonths; t++) {
          var n = new Date(b.currentYear, b.currentMonth, 1);
          n.setMonth(b.currentMonth + t), e.appendChild(U(n.getFullYear(), n.getMonth()));
        }
        b.daysContainer.appendChild(e), b.days = b.daysContainer.firstChild, "range" === b.config.mode && 1 === b.selectedDates.length && le();
      }
    }
    function X() {
      if (!(b.config.showMonths > 1 || "dropdown" !== b.config.monthSelectorType)) {
        var e = function (e) {
          return !(void 0 !== b.config.minDate && b.currentYear === b.config.minDate.getFullYear() && e < b.config.minDate.getMonth()) && !(void 0 !== b.config.maxDate && b.currentYear === b.config.maxDate.getFullYear() && e > b.config.maxDate.getMonth());
        };
        b.monthsDropdownContainer.tabIndex = -1, b.monthsDropdownContainer.innerHTML = "";
        for (var t = 0; t < 12; t++) if (e(t)) {
          var n = c("option", "flatpickr-monthDropdown-month");
          n.value = new Date(b.currentYear, t).getMonth().toString(), n.textContent = g(t, b.config.shorthandCurrentMonth, b.l10n), n.tabIndex = -1, b.currentMonth === t && (n.selected = !0), b.monthsDropdownContainer.appendChild(n);
        }
      }
    }
    function J() {
      var e,
        t = c("div", "flatpickr-month"),
        n = window.document.createDocumentFragment();
      b.config.showMonths > 1 || "static" === b.config.monthSelectorType ? e = c("span", "cur-month") : (b.monthsDropdownContainer = c("select", "flatpickr-monthDropdown-months"), b.monthsDropdownContainer.setAttribute("aria-label", b.l10n.monthAriaLabel), I(b.monthsDropdownContainer, "change", function (e) {
        var t = h(e),
          n = parseInt(t.value, 10);
        b.changeMonth(n - b.currentMonth), xe("onMonthChange");
      }), X(), e = b.monthsDropdownContainer);
      var i = f("cur-year", {
          tabindex: "-1"
        }),
        r = i.getElementsByTagName("input")[0];
      r.setAttribute("aria-label", b.l10n.yearAriaLabel), b.config.minDate && r.setAttribute("min", b.config.minDate.getFullYear().toString()), b.config.maxDate && (r.setAttribute("max", b.config.maxDate.getFullYear().toString()), r.disabled = !!b.config.minDate && b.config.minDate.getFullYear() === b.config.maxDate.getFullYear());
      var o = c("div", "flatpickr-current-month");
      return o.appendChild(e), o.appendChild(i), n.appendChild(o), t.appendChild(n), {
        container: t,
        yearElement: r,
        monthElement: e
      };
    }
    function G() {
      d(b.monthNav), b.monthNav.appendChild(b.prevMonthNav), b.config.showMonths && (b.yearElements = [], b.monthElements = []);
      for (var e = b.config.showMonths; e--;) {
        var t = J();
        b.yearElements.push(t.yearElement), b.monthElements.push(t.monthElement), b.monthNav.appendChild(t.container);
      }
      b.monthNav.appendChild(b.nextMonthNav);
    }
    function Q() {
      b.weekdayContainer ? d(b.weekdayContainer) : b.weekdayContainer = c("div", "flatpickr-weekdays");
      for (var e = b.config.showMonths; e--;) {
        var t = c("div", "flatpickr-weekdaycontainer");
        b.weekdayContainer.appendChild(t);
      }
      return Z(), b.weekdayContainer;
    }
    function Z() {
      if (b.weekdayContainer) {
        var e = b.l10n.firstDayOfWeek,
          n = t(b.l10n.weekdays.shorthand);
        e > 0 && e < n.length && (n = t(n.splice(e, n.length), n.splice(0, e)));
        for (var i = b.config.showMonths; i--;) b.weekdayContainer.children[i].innerHTML = "\n      <span class='flatpickr-weekday'>\n        " + n.join("</span><span class='flatpickr-weekday'>") + "\n      </span>\n      ";
      }
    }
    function ee(e, t) {
      void 0 === t && (t = !0);
      var n = t ? e : e - b.currentMonth;
      n < 0 && !0 === b._hidePrevMonthArrow || n > 0 && !0 === b._hideNextMonthArrow || (b.currentMonth += n, (b.currentMonth < 0 || b.currentMonth > 11) && (b.currentYear += b.currentMonth > 11 ? 1 : -1, b.currentMonth = (b.currentMonth + 12) % 12, xe("onYearChange"), X()), K(), xe("onMonthChange"), Te());
    }
    function te(e) {
      return b.calendarContainer.contains(e);
    }
    function ne(e) {
      if (b.isOpen && !b.config.inline) {
        var t = h(e),
          n = te(t),
          i = !(t === b.input || t === b.altInput || b.element.contains(t) || e.path && e.path.indexOf && (~e.path.indexOf(b.input) || ~e.path.indexOf(b.altInput))) && !n && !te(e.relatedTarget),
          r = !b.config.ignoredFocusElements.some(function (e) {
            return e.contains(t);
          });
        i && r && (b.config.allowInput && b.setDate(b._input.value, !1, b.config.altInput ? b.config.altFormat : b.config.dateFormat), void 0 !== b.timeContainer && void 0 !== b.minuteElement && void 0 !== b.hourElement && "" !== b.input.value && void 0 !== b.input.value && L(), b.close(), b.config && "range" === b.config.mode && 1 === b.selectedDates.length && b.clear(!1));
      }
    }
    function ie(e) {
      if (!(!e || b.config.minDate && e < b.config.minDate.getFullYear() || b.config.maxDate && e > b.config.maxDate.getFullYear())) {
        var t = e,
          n = b.currentYear !== t;
        b.currentYear = t || b.currentYear, b.config.maxDate && b.currentYear === b.config.maxDate.getFullYear() ? b.currentMonth = Math.min(b.config.maxDate.getMonth(), b.currentMonth) : b.config.minDate && b.currentYear === b.config.minDate.getFullYear() && (b.currentMonth = Math.max(b.config.minDate.getMonth(), b.currentMonth)), n && (b.redraw(), xe("onYearChange"), X());
      }
    }
    function re(e, t) {
      var n;
      void 0 === t && (t = !0);
      var i = b.parseDate(e, void 0, t);
      if (b.config.minDate && i && k(i, b.config.minDate, void 0 !== t ? t : !b.minDateHasTime) < 0 || b.config.maxDate && i && k(i, b.config.maxDate, void 0 !== t ? t : !b.maxDateHasTime) > 0) return !1;
      if (!b.config.enable && 0 === b.config.disable.length) return !0;
      if (void 0 === i) return !1;
      for (var r = !!b.config.enable, o = null !== (n = b.config.enable) && void 0 !== n ? n : b.config.disable, a = 0, s = void 0; a < o.length; a++) {
        if ("function" == typeof (s = o[a]) && s(i)) return r;
        if (s instanceof Date && void 0 !== i && s.getTime() === i.getTime()) return r;
        if ("string" == typeof s) {
          var l = b.parseDate(s, void 0, !0);
          return l && l.getTime() === i.getTime() ? r : !r;
        }
        if ("object" == typeof s && void 0 !== i && s.from && s.to && i.getTime() >= s.from.getTime() && i.getTime() <= s.to.getTime()) return r;
      }
      return !r;
    }
    function oe(e) {
      return void 0 !== b.daysContainer && -1 === e.className.indexOf("hidden") && -1 === e.className.indexOf("flatpickr-disabled") && b.daysContainer.contains(e);
    }
    function ae(e) {
      var t = e.target === b._input,
        n = b._input.value.trimEnd() !== Ee();
      !t || !n || e.relatedTarget && te(e.relatedTarget) || b.setDate(b._input.value, !0, e.target === b.altInput ? b.config.altFormat : b.config.dateFormat);
    }
    function se(e) {
      var t = h(e),
        n = b.config.wrap ? m.contains(t) : t === b._input,
        i = b.config.allowInput,
        r = b.isOpen && (!i || !n),
        o = b.config.inline && n && !i;
      if (13 === e.keyCode && n) {
        if (i) return b.setDate(b._input.value, !0, t === b.altInput ? b.config.altFormat : b.config.dateFormat), b.close(), t.blur();
        b.open();
      } else if (te(t) || r || o) {
        var a = !!b.timeContainer && b.timeContainer.contains(t);
        switch (e.keyCode) {
          case 13:
            a ? (e.preventDefault(), L(), me()) : ge(e);
            break;
          case 27:
            e.preventDefault(), me();
            break;
          case 8:
          case 46:
            n && !b.config.allowInput && (e.preventDefault(), b.clear());
            break;
          case 37:
          case 39:
            if (a || n) b.hourElement && b.hourElement.focus();else {
              e.preventDefault();
              var s = A();
              if (void 0 !== b.daysContainer && (!1 === i || s && oe(s))) {
                var l = 39 === e.keyCode ? 1 : -1;
                e.ctrlKey ? (e.stopPropagation(), ee(l), Y(W(1), 0)) : Y(void 0, l);
              }
            }
            break;
          case 38:
          case 40:
            e.preventDefault();
            var u = 40 === e.keyCode ? 1 : -1;
            b.daysContainer && void 0 !== t.$i || t === b.input || t === b.altInput ? e.ctrlKey ? (e.stopPropagation(), ie(b.currentYear - u), Y(W(1), 0)) : a || Y(void 0, 7 * u) : t === b.currentYearElement ? ie(b.currentYear - u) : b.config.enableTime && (!a && b.hourElement && b.hourElement.focus(), L(e), b._debouncedChange());
            break;
          case 9:
            if (a) {
              var c = [b.hourElement, b.minuteElement, b.secondElement, b.amPM].concat(b.pluginElements).filter(function (e) {
                  return e;
                }),
                d = c.indexOf(t);
              if (-1 !== d) {
                var p = c[d + (e.shiftKey ? -1 : 1)];
                e.preventDefault(), (p || b._input).focus();
              }
            } else !b.config.noCalendar && b.daysContainer && b.daysContainer.contains(t) && e.shiftKey && (e.preventDefault(), b._input.focus());
        }
      }
      if (void 0 !== b.amPM && t === b.amPM) switch (e.key) {
        case b.l10n.amPM[0].charAt(0):
        case b.l10n.amPM[0].charAt(0).toLowerCase():
          b.amPM.textContent = b.l10n.amPM[0], $(), De();
          break;
        case b.l10n.amPM[1].charAt(0):
        case b.l10n.amPM[1].charAt(0).toLowerCase():
          b.amPM.textContent = b.l10n.amPM[1], $(), De();
      }
      (n || te(t)) && xe("onKeyDown", e);
    }
    function le(e, t) {
      if (void 0 === t && (t = "flatpickr-day"), 1 === b.selectedDates.length && (!e || e.classList.contains(t) && !e.classList.contains("flatpickr-disabled"))) {
        for (var n = e ? e.dateObj.getTime() : b.days.firstElementChild.dateObj.getTime(), i = b.parseDate(b.selectedDates[0], void 0, !0).getTime(), r = Math.min(n, b.selectedDates[0].getTime()), o = Math.max(n, b.selectedDates[0].getTime()), a = !1, s = 0, l = 0, u = r; u < o; u += D.DAY) re(new Date(u), !0) || (a = a || u > r && u < o, u < i && (!s || u > s) ? s = u : u > i && (!l || u < l) && (l = u));
        Array.from(b.rContainer.querySelectorAll("*:nth-child(-n+" + b.config.showMonths + ") > ." + t)).forEach(function (t) {
          var r = t.dateObj.getTime(),
            o = s > 0 && r < s || l > 0 && r > l;
          if (o) return t.classList.add("notAllowed"), void ["inRange", "startRange", "endRange"].forEach(function (e) {
            t.classList.remove(e);
          });
          a && !o || (["startRange", "inRange", "endRange", "notAllowed"].forEach(function (e) {
            t.classList.remove(e);
          }), void 0 !== e && (e.classList.add(n <= b.selectedDates[0].getTime() ? "startRange" : "endRange"), i < n && r === i ? t.classList.add("startRange") : i > n && r === i && t.classList.add("endRange"), r >= s && (0 === l || r <= l) && C(r, i, n) && t.classList.add("inRange")));
        });
      }
    }
    function ue() {
      !b.isOpen || b.config.static || b.config.inline || fe();
    }
    function ce(e) {
      return function (t) {
        var n = b.config["_" + e + "Date"] = b.parseDate(t, b.config.dateFormat),
          i = b.config["_" + ("min" === e ? "max" : "min") + "Date"];
        void 0 !== n && (b["min" === e ? "minDateHasTime" : "maxDateHasTime"] = n.getHours() > 0 || n.getMinutes() > 0 || n.getSeconds() > 0), b.selectedDates && (b.selectedDates = b.selectedDates.filter(function (e) {
          return re(e);
        }), b.selectedDates.length || "min" !== e || _(n), De()), b.daysContainer && (he(), void 0 !== n ? b.currentYearElement[e] = n.getFullYear().toString() : b.currentYearElement.removeAttribute(e), b.currentYearElement.disabled = !!i && void 0 !== n && i.getFullYear() === n.getFullYear());
      };
    }
    function de() {
      return b.config.wrap ? m.querySelector("[data-input]") : m;
    }
    function pe() {
      "object" != typeof b.config.locale && void 0 === M.l10ns[b.config.locale] && b.config.errorHandler(new Error("flatpickr: invalid locale " + b.config.locale)), b.l10n = e(e({}, M.l10ns.default), "object" == typeof b.config.locale ? b.config.locale : "default" !== b.config.locale ? M.l10ns[b.config.locale] : void 0), y.D = "(" + b.l10n.weekdays.shorthand.join("|") + ")", y.l = "(" + b.l10n.weekdays.longhand.join("|") + ")", y.M = "(" + b.l10n.months.shorthand.join("|") + ")", y.F = "(" + b.l10n.months.longhand.join("|") + ")", y.K = "(" + b.l10n.amPM[0] + "|" + b.l10n.amPM[1] + "|" + b.l10n.amPM[0].toLowerCase() + "|" + b.l10n.amPM[1].toLowerCase() + ")", void 0 === e(e({}, v), JSON.parse(JSON.stringify(m.dataset || {}))).time_24hr && void 0 === M.defaultConfig.time_24hr && (b.config.time_24hr = b.l10n.time_24hr), b.formatDate = w(b), b.parseDate = x({
        config: b.config,
        l10n: b.l10n
      });
    }
    function fe(e) {
      if ("function" != typeof b.config.position) {
        if (void 0 !== b.calendarContainer) {
          xe("onPreCalendarPosition");
          var t = e || b._positionElement,
            n = Array.prototype.reduce.call(b.calendarContainer.children, function (e, t) {
              return e + t.offsetHeight;
            }, 0),
            i = b.calendarContainer.offsetWidth,
            r = b.config.position.split(" "),
            o = r[0],
            a = r.length > 1 ? r[1] : null,
            s = t.getBoundingClientRect(),
            l = window.innerHeight - s.bottom,
            c = "above" === o || "below" !== o && l < n && s.top > n,
            d = window.pageYOffset + s.top + (c ? -n - 2 : t.offsetHeight + 2);
          if (u(b.calendarContainer, "arrowTop", !c), u(b.calendarContainer, "arrowBottom", c), !b.config.inline) {
            var p = window.pageXOffset + s.left,
              f = !1,
              h = !1;
            "center" === a ? (p -= (i - s.width) / 2, f = !0) : "right" === a && (p -= i - s.width, h = !0), u(b.calendarContainer, "arrowLeft", !f && !h), u(b.calendarContainer, "arrowCenter", f), u(b.calendarContainer, "arrowRight", h);
            var m = window.document.body.offsetWidth - (window.pageXOffset + s.right),
              g = p + i > window.document.body.offsetWidth,
              v = m + i > window.document.body.offsetWidth;
            if (u(b.calendarContainer, "rightMost", g), !b.config.static) if (b.calendarContainer.style.top = d + "px", g) {
              if (v) {
                var y = function () {
                  for (var e = null, t = 0; t < document.styleSheets.length; t++) {
                    var n = document.styleSheets[t];
                    if (n.cssRules) {
                      try {
                        n.cssRules;
                      } catch (e) {
                        continue;
                      }
                      e = n;
                      break;
                    }
                  }
                  return null != e ? e : (i = document.createElement("style"), document.head.appendChild(i), i.sheet);
                  var i;
                }();
                if (void 0 === y) return;
                var w = window.document.body.offsetWidth,
                  x = Math.max(0, w / 2 - i / 2),
                  k = y.cssRules.length,
                  C = "{left:" + s.left + "px;right:auto;}";
                u(b.calendarContainer, "rightMost", !1), u(b.calendarContainer, "centerMost", !0), y.insertRule(".flatpickr-calendar.centerMost:before,.flatpickr-calendar.centerMost:after" + C, k), b.calendarContainer.style.left = x + "px", b.calendarContainer.style.right = "auto";
              } else b.calendarContainer.style.left = "auto", b.calendarContainer.style.right = m + "px";
            } else b.calendarContainer.style.left = p + "px", b.calendarContainer.style.right = "auto";
          }
        }
      } else b.config.position(b, e);
    }
    function he() {
      b.config.noCalendar || b.isMobile || (X(), Te(), K());
    }
    function me() {
      b._input.focus(), -1 !== window.navigator.userAgent.indexOf("MSIE") || void 0 !== navigator.msMaxTouchPoints ? setTimeout(b.close, 0) : b.close();
    }
    function ge(e) {
      e.preventDefault(), e.stopPropagation();
      var t = p(h(e), function (e) {
        return e.classList && e.classList.contains("flatpickr-day") && !e.classList.contains("flatpickr-disabled") && !e.classList.contains("notAllowed");
      });
      if (void 0 !== t) {
        var n = t,
          i = b.latestSelectedDateObj = new Date(n.dateObj.getTime()),
          r = (i.getMonth() < b.currentMonth || i.getMonth() > b.currentMonth + b.config.showMonths - 1) && "range" !== b.config.mode;
        if (b.selectedDateElem = n, "single" === b.config.mode) b.selectedDates = [i];else if ("multiple" === b.config.mode) {
          var o = Ce(i);
          o ? b.selectedDates.splice(parseInt(o), 1) : b.selectedDates.push(i);
        } else "range" === b.config.mode && (2 === b.selectedDates.length && b.clear(!1, !1), b.latestSelectedDateObj = i, b.selectedDates.push(i), 0 !== k(i, b.selectedDates[0], !0) && b.selectedDates.sort(function (e, t) {
          return e.getTime() - t.getTime();
        }));
        if ($(), r) {
          var a = b.currentYear !== i.getFullYear();
          b.currentYear = i.getFullYear(), b.currentMonth = i.getMonth(), a && (xe("onYearChange"), X()), xe("onMonthChange");
        }
        if (Te(), K(), De(), r || "range" === b.config.mode || 1 !== b.config.showMonths ? void 0 !== b.selectedDateElem && void 0 === b.hourElement && b.selectedDateElem && b.selectedDateElem.focus() : z(n), void 0 !== b.hourElement && void 0 !== b.hourElement && b.hourElement.focus(), b.config.closeOnSelect) {
          var s = "single" === b.config.mode && !b.config.enableTime,
            l = "range" === b.config.mode && 2 === b.selectedDates.length && !b.config.enableTime;
          (s || l) && me();
        }
        R();
      }
    }
    b.parseDate = x({
      config: b.config,
      l10n: b.l10n
    }), b._handlers = [], b.pluginElements = [], b.loadedPlugins = [], b._bind = I, b._setHoursFromDate = _, b._positionCalendar = fe, b.changeMonth = ee, b.changeYear = ie, b.clear = function (e, t) {
      void 0 === e && (e = !0);
      void 0 === t && (t = !0);
      b.input.value = "", void 0 !== b.altInput && (b.altInput.value = "");
      void 0 !== b.mobileInput && (b.mobileInput.value = "");
      b.selectedDates = [], b.latestSelectedDateObj = void 0, !0 === t && (b.currentYear = b._initialDate.getFullYear(), b.currentMonth = b._initialDate.getMonth());
      if (!0 === b.config.enableTime) {
        var n = O(b.config);
        N(n.hours, n.minutes, n.seconds);
      }
      b.redraw(), e && xe("onChange");
    }, b.close = function () {
      b.isOpen = !1, b.isMobile || (void 0 !== b.calendarContainer && b.calendarContainer.classList.remove("open"), void 0 !== b._input && b._input.classList.remove("active"));
      xe("onClose");
    }, b.onMouseOver = le, b._createElement = c, b.createDay = V, b.destroy = function () {
      void 0 !== b.config && xe("onDestroy");
      for (var e = b._handlers.length; e--;) b._handlers[e].remove();
      if (b._handlers = [], b.mobileInput) b.mobileInput.parentNode && b.mobileInput.parentNode.removeChild(b.mobileInput), b.mobileInput = void 0;else if (b.calendarContainer && b.calendarContainer.parentNode) if (b.config.static && b.calendarContainer.parentNode) {
        var t = b.calendarContainer.parentNode;
        if (t.lastChild && t.removeChild(t.lastChild), t.parentNode) {
          for (; t.firstChild;) t.parentNode.insertBefore(t.firstChild, t);
          t.parentNode.removeChild(t);
        }
      } else b.calendarContainer.parentNode.removeChild(b.calendarContainer);
      b.altInput && (b.input.type = "text", b.altInput.parentNode && b.altInput.parentNode.removeChild(b.altInput), delete b.altInput);
      b.input && (b.input.type = b.input._type, b.input.classList.remove("flatpickr-input"), b.input.removeAttribute("readonly"));
      ["_showTimeInput", "latestSelectedDateObj", "_hideNextMonthArrow", "_hidePrevMonthArrow", "__hideNextMonthArrow", "__hidePrevMonthArrow", "isMobile", "isOpen", "selectedDateElem", "minDateHasTime", "maxDateHasTime", "days", "daysContainer", "_input", "_positionElement", "innerContainer", "rContainer", "monthNav", "todayDateElem", "calendarContainer", "weekdayContainer", "prevMonthNav", "nextMonthNav", "monthsDropdownContainer", "currentMonthElement", "currentYearElement", "navigationCurrentMonth", "selectedDateElem", "config"].forEach(function (e) {
        try {
          delete b[e];
        } catch (e) {}
      });
    }, b.isEnabled = re, b.jumpToDate = q, b.updateValue = De, b.open = function (e, t) {
      void 0 === t && (t = b._positionElement);
      if (!0 === b.isMobile) {
        if (e) {
          e.preventDefault();
          var n = h(e);
          n && n.blur();
        }
        return void 0 !== b.mobileInput && (b.mobileInput.focus(), b.mobileInput.click()), void xe("onOpen");
      }
      if (b._input.disabled || b.config.inline) return;
      var i = b.isOpen;
      b.isOpen = !0, i || (b.calendarContainer.classList.add("open"), b._input.classList.add("active"), xe("onOpen"), fe(t));
      !0 === b.config.enableTime && !0 === b.config.noCalendar && (!1 !== b.config.allowInput || void 0 !== e && b.timeContainer.contains(e.relatedTarget) || setTimeout(function () {
        return b.hourElement.select();
      }, 50));
    }, b.redraw = he, b.set = function (e, t) {
      if (null !== e && "object" == typeof e) for (var i in Object.assign(b.config, e), e) void 0 !== ve[i] && ve[i].forEach(function (e) {
        return e();
      });else b.config[e] = t, void 0 !== ve[e] ? ve[e].forEach(function (e) {
        return e();
      }) : n.indexOf(e) > -1 && (b.config[e] = l(t));
      b.redraw(), De(!0);
    }, b.setDate = function (e, t, n) {
      void 0 === t && (t = !1);
      void 0 === n && (n = b.config.dateFormat);
      if (0 !== e && !e || e instanceof Array && 0 === e.length) return b.clear(t);
      ye(e, n), b.latestSelectedDateObj = b.selectedDates[b.selectedDates.length - 1], b.redraw(), q(void 0, t), _(), 0 === b.selectedDates.length && b.clear(!1);
      De(t), t && xe("onChange");
    }, b.toggle = function (e) {
      if (!0 === b.isOpen) return b.close();
      b.open(e);
    };
    var ve = {
      locale: [pe, Z],
      showMonths: [G, P, Q],
      minDate: [q],
      maxDate: [q],
      positionElement: [we],
      clickOpens: [function () {
        !0 === b.config.clickOpens ? (I(b._input, "focus", b.open), I(b._input, "click", b.open)) : (b._input.removeEventListener("focus", b.open), b._input.removeEventListener("click", b.open));
      }]
    };
    function ye(e, t) {
      var n = [];
      if (e instanceof Array) n = e.map(function (e) {
        return b.parseDate(e, t);
      });else if (e instanceof Date || "number" == typeof e) n = [b.parseDate(e, t)];else if ("string" == typeof e) switch (b.config.mode) {
        case "single":
        case "time":
          n = [b.parseDate(e, t)];
          break;
        case "multiple":
          n = e.split(b.config.conjunction).map(function (e) {
            return b.parseDate(e, t);
          });
          break;
        case "range":
          n = e.split(b.l10n.rangeSeparator).map(function (e) {
            return b.parseDate(e, t);
          });
      } else b.config.errorHandler(new Error("Invalid date supplied: " + JSON.stringify(e)));
      b.selectedDates = b.config.allowInvalidPreload ? n : n.filter(function (e) {
        return e instanceof Date && re(e, !1);
      }), "range" === b.config.mode && b.selectedDates.sort(function (e, t) {
        return e.getTime() - t.getTime();
      });
    }
    function be(e) {
      return e.slice().map(function (e) {
        return "string" == typeof e || "number" == typeof e || e instanceof Date ? b.parseDate(e, void 0, !0) : e && "object" == typeof e && e.from && e.to ? {
          from: b.parseDate(e.from, void 0),
          to: b.parseDate(e.to, void 0)
        } : e;
      }).filter(function (e) {
        return e;
      });
    }
    function we() {
      b._positionElement = b.config.positionElement || b._input;
    }
    function xe(e, t) {
      if (void 0 !== b.config) {
        var n = b.config[e];
        if (void 0 !== n && n.length > 0) for (var i = 0; n[i] && i < n.length; i++) n[i](b.selectedDates, b.input.value, b, t);
        "onChange" === e && (b.input.dispatchEvent(ke("change")), b.input.dispatchEvent(ke("input")));
      }
    }
    function ke(e) {
      var t = document.createEvent("Event");
      return t.initEvent(e, !0, !0), t;
    }
    function Ce(e) {
      for (var t = 0; t < b.selectedDates.length; t++) {
        var n = b.selectedDates[t];
        if (n instanceof Date && 0 === k(n, e)) return "" + t;
      }
      return !1;
    }
    function Te() {
      b.config.noCalendar || b.isMobile || !b.monthNav || (b.yearElements.forEach(function (e, t) {
        var n = new Date(b.currentYear, b.currentMonth, 1);
        n.setMonth(b.currentMonth + t), b.config.showMonths > 1 || "static" === b.config.monthSelectorType ? b.monthElements[t].textContent = g(n.getMonth(), b.config.shorthandCurrentMonth, b.l10n) + " " : b.monthsDropdownContainer.value = n.getMonth().toString(), e.value = n.getFullYear().toString();
      }), b._hidePrevMonthArrow = void 0 !== b.config.minDate && (b.currentYear === b.config.minDate.getFullYear() ? b.currentMonth <= b.config.minDate.getMonth() : b.currentYear < b.config.minDate.getFullYear()), b._hideNextMonthArrow = void 0 !== b.config.maxDate && (b.currentYear === b.config.maxDate.getFullYear() ? b.currentMonth + 1 > b.config.maxDate.getMonth() : b.currentYear > b.config.maxDate.getFullYear()));
    }
    function Ee(e) {
      var t = e || (b.config.altInput ? b.config.altFormat : b.config.dateFormat);
      return b.selectedDates.map(function (e) {
        return b.formatDate(e, t);
      }).filter(function (e, t, n) {
        return "range" !== b.config.mode || b.config.enableTime || n.indexOf(e) === t;
      }).join("range" !== b.config.mode ? b.config.conjunction : b.l10n.rangeSeparator);
    }
    function De(e) {
      void 0 === e && (e = !0), void 0 !== b.mobileInput && b.mobileFormatStr && (b.mobileInput.value = void 0 !== b.latestSelectedDateObj ? b.formatDate(b.latestSelectedDateObj, b.mobileFormatStr) : ""), b.input.value = Ee(b.config.dateFormat), void 0 !== b.altInput && (b.altInput.value = Ee(b.config.altFormat)), !1 !== e && xe("onValueUpdate");
    }
    function Oe(e) {
      var t = h(e),
        n = b.prevMonthNav.contains(t),
        i = b.nextMonthNav.contains(t);
      n || i ? ee(n ? -1 : 1) : b.yearElements.indexOf(t) >= 0 ? t.select() : t.classList.contains("arrowUp") ? b.changeYear(b.currentYear + 1) : t.classList.contains("arrowDown") && b.changeYear(b.currentYear - 1);
    }
    return function () {
      b.element = b.input = m, b.isOpen = !1, function () {
        var t = ["wrap", "weekNumbers", "allowInput", "allowInvalidPreload", "clickOpens", "time_24hr", "enableTime", "noCalendar", "altInput", "shorthandCurrentMonth", "inline", "static", "enableSeconds", "disableMobile"],
          r = e(e({}, JSON.parse(JSON.stringify(m.dataset || {}))), v),
          o = {};
        b.config.parseDate = r.parseDate, b.config.formatDate = r.formatDate, Object.defineProperty(b.config, "enable", {
          get: function () {
            return b.config._enable;
          },
          set: function (e) {
            b.config._enable = be(e);
          }
        }), Object.defineProperty(b.config, "disable", {
          get: function () {
            return b.config._disable;
          },
          set: function (e) {
            b.config._disable = be(e);
          }
        });
        var a = "time" === r.mode;
        if (!r.dateFormat && (r.enableTime || a)) {
          var s = M.defaultConfig.dateFormat || i.dateFormat;
          o.dateFormat = r.noCalendar || a ? "H:i" + (r.enableSeconds ? ":S" : "") : s + " H:i" + (r.enableSeconds ? ":S" : "");
        }
        if (r.altInput && (r.enableTime || a) && !r.altFormat) {
          var u = M.defaultConfig.altFormat || i.altFormat;
          o.altFormat = r.noCalendar || a ? "h:i" + (r.enableSeconds ? ":S K" : " K") : u + " h:i" + (r.enableSeconds ? ":S" : "") + " K";
        }
        Object.defineProperty(b.config, "minDate", {
          get: function () {
            return b.config._minDate;
          },
          set: ce("min")
        }), Object.defineProperty(b.config, "maxDate", {
          get: function () {
            return b.config._maxDate;
          },
          set: ce("max")
        });
        var c = function (e) {
          return function (t) {
            b.config["min" === e ? "_minTime" : "_maxTime"] = b.parseDate(t, "H:i:S");
          };
        };
        Object.defineProperty(b.config, "minTime", {
          get: function () {
            return b.config._minTime;
          },
          set: c("min")
        }), Object.defineProperty(b.config, "maxTime", {
          get: function () {
            return b.config._maxTime;
          },
          set: c("max")
        }), "time" === r.mode && (b.config.noCalendar = !0, b.config.enableTime = !0);
        Object.assign(b.config, o, r);
        for (var d = 0; d < t.length; d++) b.config[t[d]] = !0 === b.config[t[d]] || "true" === b.config[t[d]];
        n.filter(function (e) {
          return void 0 !== b.config[e];
        }).forEach(function (e) {
          b.config[e] = l(b.config[e] || []).map(j);
        }), b.isMobile = !b.config.disableMobile && !b.config.inline && "single" === b.config.mode && !b.config.disable.length && !b.config.enable && !b.config.weekNumbers && /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
        for (d = 0; d < b.config.plugins.length; d++) {
          var p = b.config.plugins[d](b) || {};
          for (var f in p) n.indexOf(f) > -1 ? b.config[f] = l(p[f]).map(j).concat(b.config[f]) : void 0 === r[f] && (b.config[f] = p[f]);
        }
        r.altInputClass || (b.config.altInputClass = de().className + " " + b.config.altInputClass);
        xe("onParseConfig");
      }(), pe(), function () {
        if (b.input = de(), !b.input) return void b.config.errorHandler(new Error("Invalid input element specified"));
        b.input._type = b.input.type, b.input.type = "text", b.input.classList.add("flatpickr-input"), b._input = b.input, b.config.altInput && (b.altInput = c(b.input.nodeName, b.config.altInputClass), b._input = b.altInput, b.altInput.placeholder = b.input.placeholder, b.altInput.disabled = b.input.disabled, b.altInput.required = b.input.required, b.altInput.tabIndex = b.input.tabIndex, b.altInput.type = "text", b.input.setAttribute("type", "hidden"), !b.config.static && b.input.parentNode && b.input.parentNode.insertBefore(b.altInput, b.input.nextSibling));
        b.config.allowInput || b._input.setAttribute("readonly", "readonly");
        we();
      }(), function () {
        b.selectedDates = [], b.now = b.parseDate(b.config.now) || new Date();
        var e = b.config.defaultDate || ("INPUT" !== b.input.nodeName && "TEXTAREA" !== b.input.nodeName || !b.input.placeholder || b.input.value !== b.input.placeholder ? b.input.value : null);
        e && ye(e, b.config.dateFormat);
        b._initialDate = b.selectedDates.length > 0 ? b.selectedDates[0] : b.config.minDate && b.config.minDate.getTime() > b.now.getTime() ? b.config.minDate : b.config.maxDate && b.config.maxDate.getTime() < b.now.getTime() ? b.config.maxDate : b.now, b.currentYear = b._initialDate.getFullYear(), b.currentMonth = b._initialDate.getMonth(), b.selectedDates.length > 0 && (b.latestSelectedDateObj = b.selectedDates[0]);
        void 0 !== b.config.minTime && (b.config.minTime = b.parseDate(b.config.minTime, "H:i"));
        void 0 !== b.config.maxTime && (b.config.maxTime = b.parseDate(b.config.maxTime, "H:i"));
        b.minDateHasTime = !!b.config.minDate && (b.config.minDate.getHours() > 0 || b.config.minDate.getMinutes() > 0 || b.config.minDate.getSeconds() > 0), b.maxDateHasTime = !!b.config.maxDate && (b.config.maxDate.getHours() > 0 || b.config.maxDate.getMinutes() > 0 || b.config.maxDate.getSeconds() > 0);
      }(), b.utils = {
        getDaysInMonth: function (e, t) {
          return void 0 === e && (e = b.currentMonth), void 0 === t && (t = b.currentYear), 1 === e && (t % 4 == 0 && t % 100 != 0 || t % 400 == 0) ? 29 : b.l10n.daysInMonth[e];
        }
      }, b.isMobile || function () {
        var e = window.document.createDocumentFragment();
        if (b.calendarContainer = c("div", "flatpickr-calendar"), b.calendarContainer.tabIndex = -1, !b.config.noCalendar) {
          if (e.appendChild((b.monthNav = c("div", "flatpickr-months"), b.yearElements = [], b.monthElements = [], b.prevMonthNav = c("span", "flatpickr-prev-month"), b.prevMonthNav.innerHTML = b.config.prevArrow, b.nextMonthNav = c("span", "flatpickr-next-month"), b.nextMonthNav.innerHTML = b.config.nextArrow, G(), Object.defineProperty(b, "_hidePrevMonthArrow", {
            get: function () {
              return b.__hidePrevMonthArrow;
            },
            set: function (e) {
              b.__hidePrevMonthArrow !== e && (u(b.prevMonthNav, "flatpickr-disabled", e), b.__hidePrevMonthArrow = e);
            }
          }), Object.defineProperty(b, "_hideNextMonthArrow", {
            get: function () {
              return b.__hideNextMonthArrow;
            },
            set: function (e) {
              b.__hideNextMonthArrow !== e && (u(b.nextMonthNav, "flatpickr-disabled", e), b.__hideNextMonthArrow = e);
            }
          }), b.currentYearElement = b.yearElements[0], Te(), b.monthNav)), b.innerContainer = c("div", "flatpickr-innerContainer"), b.config.weekNumbers) {
            var t = function () {
                b.calendarContainer.classList.add("hasWeeks");
                var e = c("div", "flatpickr-weekwrapper");
                e.appendChild(c("span", "flatpickr-weekday", b.l10n.weekAbbreviation));
                var t = c("div", "flatpickr-weeks");
                return e.appendChild(t), {
                  weekWrapper: e,
                  weekNumbers: t
                };
              }(),
              n = t.weekWrapper,
              i = t.weekNumbers;
            b.innerContainer.appendChild(n), b.weekNumbers = i, b.weekWrapper = n;
          }
          b.rContainer = c("div", "flatpickr-rContainer"), b.rContainer.appendChild(Q()), b.daysContainer || (b.daysContainer = c("div", "flatpickr-days"), b.daysContainer.tabIndex = -1), K(), b.rContainer.appendChild(b.daysContainer), b.innerContainer.appendChild(b.rContainer), e.appendChild(b.innerContainer);
        }
        b.config.enableTime && e.appendChild(function () {
          b.calendarContainer.classList.add("hasTime"), b.config.noCalendar && b.calendarContainer.classList.add("noCalendar");
          var e = O(b.config);
          b.timeContainer = c("div", "flatpickr-time"), b.timeContainer.tabIndex = -1;
          var t = c("span", "flatpickr-time-separator", ":"),
            n = f("flatpickr-hour", {
              "aria-label": b.l10n.hourAriaLabel
            });
          b.hourElement = n.getElementsByTagName("input")[0];
          var i = f("flatpickr-minute", {
            "aria-label": b.l10n.minuteAriaLabel
          });
          b.minuteElement = i.getElementsByTagName("input")[0], b.hourElement.tabIndex = b.minuteElement.tabIndex = -1, b.hourElement.value = o(b.latestSelectedDateObj ? b.latestSelectedDateObj.getHours() : b.config.time_24hr ? e.hours : function (e) {
            switch (e % 24) {
              case 0:
              case 12:
                return 12;
              default:
                return e % 12;
            }
          }(e.hours)), b.minuteElement.value = o(b.latestSelectedDateObj ? b.latestSelectedDateObj.getMinutes() : e.minutes), b.hourElement.setAttribute("step", b.config.hourIncrement.toString()), b.minuteElement.setAttribute("step", b.config.minuteIncrement.toString()), b.hourElement.setAttribute("min", b.config.time_24hr ? "0" : "1"), b.hourElement.setAttribute("max", b.config.time_24hr ? "23" : "12"), b.hourElement.setAttribute("maxlength", "2"), b.minuteElement.setAttribute("min", "0"), b.minuteElement.setAttribute("max", "59"), b.minuteElement.setAttribute("maxlength", "2"), b.timeContainer.appendChild(n), b.timeContainer.appendChild(t), b.timeContainer.appendChild(i), b.config.time_24hr && b.timeContainer.classList.add("time24hr");
          if (b.config.enableSeconds) {
            b.timeContainer.classList.add("hasSeconds");
            var r = f("flatpickr-second");
            b.secondElement = r.getElementsByTagName("input")[0], b.secondElement.value = o(b.latestSelectedDateObj ? b.latestSelectedDateObj.getSeconds() : e.seconds), b.secondElement.setAttribute("step", b.minuteElement.getAttribute("step")), b.secondElement.setAttribute("min", "0"), b.secondElement.setAttribute("max", "59"), b.secondElement.setAttribute("maxlength", "2"), b.timeContainer.appendChild(c("span", "flatpickr-time-separator", ":")), b.timeContainer.appendChild(r);
          }
          b.config.time_24hr || (b.amPM = c("span", "flatpickr-am-pm", b.l10n.amPM[a((b.latestSelectedDateObj ? b.hourElement.value : b.config.defaultHour) > 11)]), b.amPM.title = b.l10n.toggleTitle, b.amPM.tabIndex = -1, b.timeContainer.appendChild(b.amPM));
          return b.timeContainer;
        }());
        u(b.calendarContainer, "rangeMode", "range" === b.config.mode), u(b.calendarContainer, "animate", !0 === b.config.animate), u(b.calendarContainer, "multiMonth", b.config.showMonths > 1), b.calendarContainer.appendChild(e);
        var r = void 0 !== b.config.appendTo && void 0 !== b.config.appendTo.nodeType;
        if ((b.config.inline || b.config.static) && (b.calendarContainer.classList.add(b.config.inline ? "inline" : "static"), b.config.inline && (!r && b.element.parentNode ? b.element.parentNode.insertBefore(b.calendarContainer, b._input.nextSibling) : void 0 !== b.config.appendTo && b.config.appendTo.appendChild(b.calendarContainer)), b.config.static)) {
          var s = c("div", "flatpickr-wrapper");
          b.element.parentNode && b.element.parentNode.insertBefore(s, b.element), s.appendChild(b.element), b.altInput && s.appendChild(b.altInput), s.appendChild(b.calendarContainer);
        }
        b.config.static || b.config.inline || (void 0 !== b.config.appendTo ? b.config.appendTo : window.document.body).appendChild(b.calendarContainer);
      }(), function () {
        b.config.wrap && ["open", "close", "toggle", "clear"].forEach(function (e) {
          Array.prototype.forEach.call(b.element.querySelectorAll("[data-" + e + "]"), function (t) {
            return I(t, "click", b[e]);
          });
        });
        if (b.isMobile) return void function () {
          var e = b.config.enableTime ? b.config.noCalendar ? "time" : "datetime-local" : "date";
          b.mobileInput = c("input", b.input.className + " flatpickr-mobile"), b.mobileInput.tabIndex = 1, b.mobileInput.type = e, b.mobileInput.disabled = b.input.disabled, b.mobileInput.required = b.input.required, b.mobileInput.placeholder = b.input.placeholder, b.mobileFormatStr = "datetime-local" === e ? "Y-m-d\\TH:i:S" : "date" === e ? "Y-m-d" : "H:i:S", b.selectedDates.length > 0 && (b.mobileInput.defaultValue = b.mobileInput.value = b.formatDate(b.selectedDates[0], b.mobileFormatStr));
          b.config.minDate && (b.mobileInput.min = b.formatDate(b.config.minDate, "Y-m-d"));
          b.config.maxDate && (b.mobileInput.max = b.formatDate(b.config.maxDate, "Y-m-d"));
          b.input.getAttribute("step") && (b.mobileInput.step = String(b.input.getAttribute("step")));
          b.input.type = "hidden", void 0 !== b.altInput && (b.altInput.type = "hidden");
          try {
            b.input.parentNode && b.input.parentNode.insertBefore(b.mobileInput, b.input.nextSibling);
          } catch (e) {}
          I(b.mobileInput, "change", function (e) {
            b.setDate(h(e).value, !1, b.mobileFormatStr), xe("onChange"), xe("onClose");
          });
        }();
        var e = s(ue, 50);
        b._debouncedChange = s(R, S), b.daysContainer && !/iPhone|iPad|iPod/i.test(navigator.userAgent) && I(b.daysContainer, "mouseover", function (e) {
          "range" === b.config.mode && le(h(e));
        });
        I(b._input, "keydown", se), void 0 !== b.calendarContainer && I(b.calendarContainer, "keydown", se);
        b.config.inline || b.config.static || I(window, "resize", e);
        void 0 !== window.ontouchstart ? I(window.document, "touchstart", ne) : I(window.document, "mousedown", ne);
        I(window.document, "focus", ne, {
          capture: !0
        }), !0 === b.config.clickOpens && (I(b._input, "focus", b.open), I(b._input, "click", b.open));
        void 0 !== b.daysContainer && (I(b.monthNav, "click", Oe), I(b.monthNav, ["keyup", "increment"], F), I(b.daysContainer, "click", ge));
        if (void 0 !== b.timeContainer && void 0 !== b.minuteElement && void 0 !== b.hourElement) {
          var t = function (e) {
            return h(e).select();
          };
          I(b.timeContainer, ["increment"], L), I(b.timeContainer, "blur", L, {
            capture: !0
          }), I(b.timeContainer, "click", H), I([b.hourElement, b.minuteElement], ["focus", "click"], t), void 0 !== b.secondElement && I(b.secondElement, "focus", function () {
            return b.secondElement && b.secondElement.select();
          }), void 0 !== b.amPM && I(b.amPM, "click", function (e) {
            L(e);
          });
        }
        b.config.allowInput && I(b._input, "blur", ae);
      }(), (b.selectedDates.length || b.config.noCalendar) && (b.config.enableTime && _(b.config.noCalendar ? b.latestSelectedDateObj : void 0), De(!1)), P();
      var t = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
      !b.isMobile && t && fe(), xe("onReady");
    }(), b;
  }
  function j(e, t) {
    for (var n = Array.prototype.slice.call(e).filter(function (e) {
        return e instanceof HTMLElement;
      }), i = [], r = 0; r < n.length; r++) {
      var o = n[r];
      try {
        if (null !== o.getAttribute("data-fp-omit")) continue;
        void 0 !== o._flatpickr && (o._flatpickr.destroy(), o._flatpickr = void 0), o._flatpickr = A(o, t || {}), i.push(o._flatpickr);
      } catch (e) {
        void 0;
      }
    }
    return 1 === i.length ? i[0] : i;
  }
  "undefined" != typeof HTMLElement && "undefined" != typeof HTMLCollection && "undefined" != typeof NodeList && (HTMLCollection.prototype.flatpickr = NodeList.prototype.flatpickr = function (e) {
    return j(this, e);
  }, HTMLElement.prototype.flatpickr = function (e) {
    return j([this], e);
  });
  var M = function (e, t) {
    return "string" == typeof e ? j(window.document.querySelectorAll(e), t) : e instanceof Node ? j([e], t) : j(e, t);
  };
  return M.defaultConfig = {}, M.l10ns = {
    en: e({}, r),
    default: e({}, r)
  }, M.localize = function (t) {
    M.l10ns.default = e(e({}, M.l10ns.default), t);
  }, M.setDefaults = function (t) {
    M.defaultConfig = e(e({}, M.defaultConfig), t);
  }, M.parseDate = x({}), M.formatDate = w({}), M.compareDates = k, "undefined" != typeof jQuery && void 0 !== jQuery.fn && (jQuery.fn.flatpickr = function (e) {
    return j(this, e);
  }), Date.prototype.fp_incr = function (e) {
    return new Date(this.getFullYear(), this.getMonth(), this.getDate() + ("string" == typeof e ? parseInt(e, 10) : e));
  }, "undefined" != typeof window && (window.flatpickr = M), M;
}), function (e) {
  "function" == typeof define && define.amd ? define(["jquery"], e) : "object" == typeof exports ? e(require("jquery")) : e(jQuery);
}(function (e, t) {
  var n = "plugin_hideShowPassword",
    i = ["show", "innerToggle"],
    r = function () {
      var e = document.body,
        t = document.createElement("input"),
        n = !0;
      e || (e = document.createElement("body")), t = e.appendChild(t);
      try {
        t.setAttribute("type", "text");
      } catch (e) {
        n = !1;
      }
      return e.removeChild(t), n;
    }();
  function o(t, n) {
    this.element = e(t), this.wrapperElement = e(), this.toggleElement = e(), this.init(n);
  }
  o.prototype = {
    init: function (t) {
      this.update(t, e.fn.hideShowPassword.defaults) && (this.element.addClass(this.options.className), this.options.innerToggle && (this.wrapElement(this.options.wrapper), this.initToggle(this.options.toggle), "string" == typeof this.options.innerToggle && (this.toggleElement.hide(), this.element.one(this.options.innerToggle, e.proxy(function () {
        this.toggleElement.show();
      }, this)))), this.element.trigger(this.options.initEvent, [this]));
    },
    update: function (e, t) {
      return this.options = this.prepareOptions(e, t), this.updateElement() && this.element.trigger(this.options.changeEvent, [this]).trigger(this.state().changeEvent, [this]), this.options.enable;
    },
    toggle: function (e) {
      return e = e || "toggle", this.update({
        show: e
      });
    },
    prepareOptions: function (t, n) {
      var i,
        r = t || {},
        o = [];
      if (n = n || this.options, t = e.extend(!0, {}, n, t), r.hasOwnProperty("wrapper") && r.wrapper.hasOwnProperty("inheritStyles") && (t.wrapper.inheritStyles = r.wrapper.inheritStyles), t.enable && ("toggle" === t.show ? t.show = this.isType("hidden", t.states) : "infer" === t.show && (t.show = this.isType("shown", t.states)), "infer" === t.toggle.position && (t.toggle.position = "rtl" === this.element.css("text-direction") ? "left" : "right"), !e.isArray(t.toggle.attachToKeyCodes))) {
        if (!0 === t.toggle.attachToKeyCodes) switch ((i = e(t.toggle.element)).prop("tagName").toLowerCase()) {
          case "button":
          case "input":
            break;
          case "a":
            if (i.filter("[href]").length) {
              o.push(32);
              break;
            }
          default:
            o.push(32, 13);
        }
        t.toggle.attachToKeyCodes = o;
      }
      return t;
    },
    updateElement: function () {
      return !(!this.options.enable || this.isType()) && (this.element.prop(e.extend({}, this.options.props, this.state().props)).addClass(this.state().className).removeClass(this.otherState().className), this.options.triggerOnToggle && this.element.trigger(this.options.triggerOnToggle, [this]), this.updateToggle(), !0);
    },
    isType: function (e, n) {
      return (n = n || this.options.states)[e = e || this.state(t, t, n).props.type] && (e = n[e].props.type), this.element.prop("type") === e;
    },
    state: function (e, n, i) {
      return i = i || this.options.states, e === t && (e = this.options.show), "boolean" == typeof e && (e = e ? "shown" : "hidden"), n && (e = "shown" === e ? "hidden" : "shown"), i[e];
    },
    otherState: function (e) {
      return this.state(e, !0);
    },
    wrapElement: function (t) {
      var n,
        i = t.enforceWidth;
      return this.wrapperElement.length || (n = this.element.outerWidth(), e.each(t.inheritStyles, e.proxy(function (e, n) {
        t.styles[n] = this.element.css(n);
      }, this)), this.element.css(t.innerElementStyles).wrap(e(t.element).addClass(t.className).css(t.styles)), this.wrapperElement = this.element.parent(), !0 === i && (i = this.wrapperElement.outerWidth() !== n && n), !1 !== i && this.wrapperElement.css("width", i)), this.wrapperElement;
    },
    initToggle: function (t) {
      return this.toggleElement.length || (this.toggleElement = e(t.element).attr(t.attr).addClass(t.className).css(t.styles).appendTo(this.wrapperElement), this.updateToggle(), this.positionToggle(t.position, t.verticalAlign, t.offset), t.touchSupport ? (this.toggleElement.css(t.touchStyles), this.element.on(t.attachToTouchEvent, e.proxy(this.toggleTouchEvent, this))) : this.toggleElement.on(t.attachToEvent, e.proxy(this.toggleEvent, this)), t.attachToKeyCodes.length && this.toggleElement.on(t.attachToKeyEvent, e.proxy(this.toggleKeyEvent, this))), this.toggleElement;
    },
    positionToggle: function (e, t, n) {
      var i = {};
      switch (i[e] = n, t) {
        case "top":
        case "bottom":
          i[t] = n;
          break;
        case "middle":
          i.top = "50%", i.marginTop = this.toggleElement.outerHeight() / -2;
      }
      return this.toggleElement.css(i);
    },
    updateToggle: function (e, t) {
      var n, i;
      return this.toggleElement.length && (n = "padding-" + this.options.toggle.position, e = e || this.state().toggle, t = t || this.otherState().toggle, this.toggleElement.attr(e.attr).addClass(e.className).removeClass(t.className).html(e.content), i = this.toggleElement.outerWidth() + 2 * this.options.toggle.offset, this.element.css(n) !== i && this.element.css(n, i)), this.toggleElement;
    },
    toggleEvent: function (e) {
      e.preventDefault(), this.toggle();
    },
    toggleKeyEvent: function (t) {
      e.each(this.options.toggle.attachToKeyCodes, e.proxy(function (e, n) {
        if (t.which === n) return this.toggleEvent(t), !1;
      }, this));
    },
    toggleTouchEvent: function (e) {
      var t,
        n,
        i,
        r = this.toggleElement.offset().left;
      r && (t = e.pageX || e.originalEvent.pageX, "left" === this.options.toggle.position ? (n = t, i = r += this.toggleElement.outerWidth()) : (n = r, i = t), i >= n && this.toggleEvent(e));
    }
  }, e.fn.hideShowPassword = function () {
    var t = {};
    return e.each(arguments, function (n, r) {
      var o = {};
      if ("object" == typeof r) o = r;else {
        if (!i[n]) return !1;
        o[i[n]] = r;
      }
      e.extend(!0, t, o);
    }), this.each(function () {
      var i = e(this),
        r = i.data(n);
      r ? r.update(t) : i.data(n, new o(this, t));
    });
  }, e.each({
    show: !0,
    hide: !1,
    toggle: "toggle"
  }, function (t, n) {
    e.fn[t + "Password"] = function (e, t) {
      return this.hideShowPassword(n, e, t);
    };
  }), e.fn.hideShowPassword.defaults = {
    show: "infer",
    innerToggle: !1,
    enable: r,
    triggerOnToggle: !1,
    className: "hideShowPassword-field",
    initEvent: "hideShowPasswordInit",
    changeEvent: "passwordVisibilityChange",
    props: {
      autocapitalize: "off",
      autocomplete: "off",
      autocorrect: "off",
      spellcheck: "false"
    },
    toggle: {
      element: '<button type="button">',
      className: "hideShowPassword-toggle",
      touchSupport: "undefined" != typeof Modernizr && Modernizr.touchevents,
      attachToEvent: "click.hideShowPassword",
      attachToTouchEvent: "touchstart.hideShowPassword mousedown.hideShowPassword",
      attachToKeyEvent: "keyup",
      attachToKeyCodes: !0,
      styles: {
        position: "absolute"
      },
      touchStyles: {
        pointerEvents: "none"
      },
      position: "infer",
      verticalAlign: "middle",
      offset: 0,
      attr: {
        role: "button",
        "aria-label": "Show Password",
        title: "Show Password",
        tabIndex: 0
      }
    },
    wrapper: {
      element: "<div>",
      className: "hideShowPassword-wrapper",
      enforceWidth: !0,
      styles: {
        position: "relative"
      },
      inheritStyles: ["display", "verticalAlign", "marginTop", "marginRight", "marginBottom", "marginLeft"],
      innerElementStyles: {
        marginTop: 0,
        marginRight: 0,
        marginBottom: 0,
        marginLeft: 0
      }
    },
    states: {
      shown: {
        className: "hideShowPassword-shown",
        changeEvent: "passwordShown",
        props: {
          type: "text"
        },
        toggle: {
          className: "hideShowPassword-toggle-hide",
          content: "Hide",
          attr: {
            "aria-pressed": "true",
            title: "Hide Password"
          }
        }
      },
      hidden: {
        className: "hideShowPassword-hidden",
        changeEvent: "passwordHidden",
        props: {
          type: "password"
        },
        toggle: {
          className: "hideShowPassword-toggle-show",
          content: "Show",
          attr: {
            "aria-pressed": "false",
            title: "Show Password"
          }
        }
      }
    }
  };
}),
/*!
 * jQuery Validation Plugin v1.19.5
 *
 * https://jqueryvalidation.org/
 *
 * Copyright (c) 2022 Jörn Zaefferer
 * Released under the MIT license
 */
function (e) {
  "function" == typeof define && define.amd ? define(["jquery"], e) : "object" == typeof module && module.exports ? module.exports = e(require("jquery")) : e(jQuery);
}(function (e) {
  e.extend(e.fn, {
    validate: function (t) {
      if (this.length) {
        var n = e.data(this[0], "validator");
        return n || (this.attr("novalidate", "novalidate"), n = new e.validator(t, this[0]), e.data(this[0], "validator", n), n.settings.onsubmit && (this.on("click.validate", ":submit", function (t) {
          n.submitButton = t.currentTarget, e(this).hasClass("cancel") && (n.cancelSubmit = !0), void 0 !== e(this).attr("formnovalidate") && (n.cancelSubmit = !0);
        }), this.on("submit.validate", function (t) {
          function i() {
            var i, r;
            return n.submitButton && (n.settings.submitHandler || n.formSubmitted) && (i = e("<input type='hidden'/>").attr("name", n.submitButton.name).val(e(n.submitButton).val()).appendTo(n.currentForm)), !(n.settings.submitHandler && !n.settings.debug) || (r = n.settings.submitHandler.call(n, n.currentForm, t), i && i.remove(), void 0 !== r && r);
          }
          return n.settings.debug && t.preventDefault(), n.cancelSubmit ? (n.cancelSubmit = !1, i()) : n.form() ? n.pendingRequest ? (n.formSubmitted = !0, !1) : i() : (n.focusInvalid(), !1);
        })), n);
      }
      t && t.debug && window.console && void 0;
    },
    valid: function () {
      var t, n, i;
      return e(this[0]).is("form") ? t = this.validate().form() : (i = [], t = !0, n = e(this[0].form).validate(), this.each(function () {
        (t = n.element(this) && t) || (i = i.concat(n.errorList));
      }), n.errorList = i), t;
    },
    rules: function (t, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u = this[0],
        c = void 0 !== this.attr("contenteditable") && "false" !== this.attr("contenteditable");
      if (null != u && (!u.form && c && (u.form = this.closest("form")[0], u.name = this.attr("name")), null != u.form)) {
        if (t) switch (r = (i = e.data(u.form, "validator").settings).rules, o = e.validator.staticRules(u), t) {
          case "add":
            e.extend(o, e.validator.normalizeRule(n)), delete o.messages, r[u.name] = o, n.messages && (i.messages[u.name] = e.extend(i.messages[u.name], n.messages));
            break;
          case "remove":
            return n ? (l = {}, e.each(n.split(/\s/), function (e, t) {
              l[t] = o[t], delete o[t];
            }), l) : (delete r[u.name], o);
        }
        return (a = e.validator.normalizeRules(e.extend({}, e.validator.classRules(u), e.validator.attributeRules(u), e.validator.dataRules(u), e.validator.staticRules(u)), u)).required && (s = a.required, delete a.required, a = e.extend({
          required: s
        }, a)), a.remote && (s = a.remote, delete a.remote, a = e.extend(a, {
          remote: s
        })), a;
      }
    }
  });
  var t,
    n = function (e) {
      return e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
    };
  e.extend(e.expr.pseudos || e.expr[":"], {
    blank: function (t) {
      return !n("" + e(t).val());
    },
    filled: function (t) {
      var i = e(t).val();
      return null !== i && !!n("" + i);
    },
    unchecked: function (t) {
      return !e(t).prop("checked");
    }
  }), e.validator = function (t, n) {
    this.settings = e.extend(!0, {}, e.validator.defaults, t), this.currentForm = n, this.init();
  }, e.validator.format = function (t, n) {
    return 1 === arguments.length ? function () {
      var n = e.makeArray(arguments);
      return n.unshift(t), e.validator.format.apply(this, n);
    } : (void 0 === n || (arguments.length > 2 && n.constructor !== Array && (n = e.makeArray(arguments).slice(1)), n.constructor !== Array && (n = [n]), e.each(n, function (e, n) {
      t = t.replace(new RegExp("\\{" + e + "\\}", "g"), function () {
        return n;
      });
    })), t);
  }, e.extend(e.validator, {
    defaults: {
      messages: {},
      groups: {},
      rules: {},
      errorClass: "error",
      pendingClass: "pending",
      validClass: "valid",
      errorElement: "label",
      focusCleanup: !1,
      focusInvalid: !0,
      errorContainer: e([]),
      errorLabelContainer: e([]),
      onsubmit: !0,
      ignore: ":hidden",
      ignoreTitle: !1,
      onfocusin: function (e) {
        this.lastActive = e, this.settings.focusCleanup && (this.settings.unhighlight && this.settings.unhighlight.call(this, e, this.settings.errorClass, this.settings.validClass), this.hideThese(this.errorsFor(e)));
      },
      onfocusout: function (e) {
        this.checkable(e) || !(e.name in this.submitted) && this.optional(e) || this.element(e);
      },
      onkeyup: function (t, n) {
        9 === n.which && "" === this.elementValue(t) || -1 !== e.inArray(n.keyCode, [16, 17, 18, 20, 35, 36, 37, 38, 39, 40, 45, 144, 225]) || (t.name in this.submitted || t.name in this.invalid) && this.element(t);
      },
      onclick: function (e) {
        e.name in this.submitted ? this.element(e) : e.parentNode.name in this.submitted && this.element(e.parentNode);
      },
      highlight: function (t, n, i) {
        "radio" === t.type ? this.findByName(t.name).addClass(n).removeClass(i) : e(t).addClass(n).removeClass(i);
      },
      unhighlight: function (t, n, i) {
        "radio" === t.type ? this.findByName(t.name).removeClass(n).addClass(i) : e(t).removeClass(n).addClass(i);
      }
    },
    setDefaults: function (t) {
      e.extend(e.validator.defaults, t);
    },
    messages: {
      required: "This field is required.",
      remote: "Please fix this field.",
      email: "Please enter a valid email address.",
      url: "Please enter a valid URL.",
      date: "Please enter a valid date.",
      dateISO: "Please enter a valid date (ISO).",
      number: "Please enter a valid number.",
      digits: "Please enter only digits.",
      equalTo: "Please enter the same value again.",
      maxlength: e.validator.format("Please enter no more than {0} characters."),
      minlength: e.validator.format("Please enter at least {0} characters."),
      rangelength: e.validator.format("Please enter a value between {0} and {1} characters long."),
      range: e.validator.format("Please enter a value between {0} and {1}."),
      max: e.validator.format("Please enter a value less than or equal to {0}."),
      min: e.validator.format("Please enter a value greater than or equal to {0}."),
      step: e.validator.format("Please enter a multiple of {0}.")
    },
    autoCreateRanges: !1,
    prototype: {
      init: function () {
        this.labelContainer = e(this.settings.errorLabelContainer), this.errorContext = this.labelContainer.length && this.labelContainer || e(this.currentForm), this.containers = e(this.settings.errorContainer).add(this.settings.errorLabelContainer), this.submitted = {}, this.valueCache = {}, this.pendingRequest = 0, this.pending = {}, this.invalid = {}, this.reset();
        var t,
          n = this.currentForm,
          i = this.groups = {};
        function r(t) {
          var i = void 0 !== e(this).attr("contenteditable") && "false" !== e(this).attr("contenteditable");
          if (!this.form && i && (this.form = e(this).closest("form")[0], this.name = e(this).attr("name")), n === this.form) {
            var r = e.data(this.form, "validator"),
              o = "on" + t.type.replace(/^validate/, ""),
              a = r.settings;
            a[o] && !e(this).is(a.ignore) && a[o].call(r, this, t);
          }
        }
        e.each(this.settings.groups, function (t, n) {
          "string" == typeof n && (n = n.split(/\s/)), e.each(n, function (e, n) {
            i[n] = t;
          });
        }), t = this.settings.rules, e.each(t, function (n, i) {
          t[n] = e.validator.normalizeRule(i);
        }), e(this.currentForm).on("focusin.validate focusout.validate keyup.validate", ":text, [type='password'], [type='file'], select, textarea, [type='number'], [type='search'], [type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'], [type='radio'], [type='checkbox'], [contenteditable], [type='button']", r).on("click.validate", "select, option, [type='radio'], [type='checkbox']", r), this.settings.invalidHandler && e(this.currentForm).on("invalid-form.validate", this.settings.invalidHandler);
      },
      form: function () {
        return this.checkForm(), e.extend(this.submitted, this.errorMap), this.invalid = e.extend({}, this.errorMap), this.valid() || e(this.currentForm).triggerHandler("invalid-form", [this]), this.showErrors(), this.valid();
      },
      checkForm: function () {
        this.prepareForm();
        for (var e = 0, t = this.currentElements = this.elements(); t[e]; e++) this.check(t[e]);
        return this.valid();
      },
      element: function (t) {
        var n,
          i,
          r = this.clean(t),
          o = this.validationTargetFor(r),
          a = this,
          s = !0;
        return void 0 === o ? delete this.invalid[r.name] : (this.prepareElement(o), this.currentElements = e(o), (i = this.groups[o.name]) && e.each(this.groups, function (e, t) {
          t === i && e !== o.name && (r = a.validationTargetFor(a.clean(a.findByName(e)))) && r.name in a.invalid && (a.currentElements.push(r), s = a.check(r) && s);
        }), n = !1 !== this.check(o), s = s && n, this.invalid[o.name] = !n, this.numberOfInvalids() || (this.toHide = this.toHide.add(this.containers)), this.showErrors(), e(t).attr("aria-invalid", !n)), s;
      },
      showErrors: function (t) {
        if (t) {
          var n = this;
          e.extend(this.errorMap, t), this.errorList = e.map(this.errorMap, function (e, t) {
            return {
              message: e,
              element: n.findByName(t)[0]
            };
          }), this.successList = e.grep(this.successList, function (e) {
            return !(e.name in t);
          });
        }
        this.settings.showErrors ? this.settings.showErrors.call(this, this.errorMap, this.errorList) : this.defaultShowErrors();
      },
      resetForm: function () {
        e.fn.resetForm && e(this.currentForm).resetForm(), this.invalid = {}, this.submitted = {}, this.prepareForm(), this.hideErrors();
        var t = this.elements().removeData("previousValue").removeAttr("aria-invalid");
        this.resetElements(t);
      },
      resetElements: function (e) {
        var t;
        if (this.settings.unhighlight) for (t = 0; e[t]; t++) this.settings.unhighlight.call(this, e[t], this.settings.errorClass, ""), this.findByName(e[t].name).removeClass(this.settings.validClass);else e.removeClass(this.settings.errorClass).removeClass(this.settings.validClass);
      },
      numberOfInvalids: function () {
        return this.objectLength(this.invalid);
      },
      objectLength: function (e) {
        var t,
          n = 0;
        for (t in e) void 0 !== e[t] && null !== e[t] && !1 !== e[t] && n++;
        return n;
      },
      hideErrors: function () {
        this.hideThese(this.toHide);
      },
      hideThese: function (e) {
        e.not(this.containers).text(""), this.addWrapper(e).hide();
      },
      valid: function () {
        return 0 === this.size();
      },
      size: function () {
        return this.errorList.length;
      },
      focusInvalid: function () {
        if (this.settings.focusInvalid) try {
          e(this.findLastActive() || this.errorList.length && this.errorList[0].element || []).filter(":visible").trigger("focus").trigger("focusin");
        } catch (e) {}
      },
      findLastActive: function () {
        var t = this.lastActive;
        return t && 1 === e.grep(this.errorList, function (e) {
          return e.element.name === t.name;
        }).length && t;
      },
      elements: function () {
        var t = this,
          n = {};
        return e(this.currentForm).find("input, select, textarea, [contenteditable]").not(":submit, :reset, :image, :disabled").not(this.settings.ignore).filter(function () {
          var i = this.name || e(this).attr("name"),
            r = void 0 !== e(this).attr("contenteditable") && "false" !== e(this).attr("contenteditable");
          return !i && t.settings.debug && window.console && void 0, r && (this.form = e(this).closest("form")[0], this.name = i), this.form === t.currentForm && !(i in n || !t.objectLength(e(this).rules())) && (n[i] = !0, !0);
        });
      },
      clean: function (t) {
        return e(t)[0];
      },
      errors: function () {
        var t = this.settings.errorClass.split(" ").join(".");
        return e(this.settings.errorElement + "." + t, this.errorContext);
      },
      resetInternals: function () {
        this.successList = [], this.errorList = [], this.errorMap = {}, this.toShow = e([]), this.toHide = e([]);
      },
      reset: function () {
        this.resetInternals(), this.currentElements = e([]);
      },
      prepareForm: function () {
        this.reset(), this.toHide = this.errors().add(this.containers);
      },
      prepareElement: function (e) {
        this.reset(), this.toHide = this.errorsFor(e);
      },
      elementValue: function (t) {
        var n,
          i,
          r = e(t),
          o = t.type,
          a = void 0 !== r.attr("contenteditable") && "false" !== r.attr("contenteditable");
        return "radio" === o || "checkbox" === o ? this.findByName(t.name).filter(":checked").val() : "number" === o && void 0 !== t.validity ? t.validity.badInput ? "NaN" : r.val() : (n = a ? r.text() : r.val(), "file" === o ? "C:\\fakepath\\" === n.substr(0, 12) ? n.substr(12) : (i = n.lastIndexOf("/")) >= 0 || (i = n.lastIndexOf("\\")) >= 0 ? n.substr(i + 1) : n : "string" == typeof n ? n.replace(/\r/g, "") : n);
      },
      check: function (t) {
        t = this.validationTargetFor(this.clean(t));
        var n,
          i,
          r,
          o,
          a = e(t).rules(),
          s = e.map(a, function (e, t) {
            return t;
          }).length,
          l = !1,
          u = this.elementValue(t);
        for (i in "function" == typeof a.normalizer ? o = a.normalizer : "function" == typeof this.settings.normalizer && (o = this.settings.normalizer), o && (u = o.call(t, u), delete a.normalizer), a) {
          r = {
            method: i,
            parameters: a[i]
          };
          try {
            if ("dependency-mismatch" === (n = e.validator.methods[i].call(this, u, t, r.parameters)) && 1 === s) {
              l = !0;
              continue;
            }
            if (l = !1, "pending" === n) return void (this.toHide = this.toHide.not(this.errorsFor(t)));
            if (!n) return this.formatAndAdd(t, r), !1;
          } catch (e) {
            throw this.settings.debug && window.console && void 0, e instanceof TypeError && (e.message += ".  Exception occurred when checking element " + t.id + ", check the '" + r.method + "' method."), e;
          }
        }
        if (!l) return this.objectLength(a) && this.successList.push(t), !0;
      },
      customDataMessage: function (t, n) {
        return e(t).data("msg" + n.charAt(0).toUpperCase() + n.substring(1).toLowerCase()) || e(t).data("msg");
      },
      customMessage: function (e, t) {
        var n = this.settings.messages[e];
        return n && (n.constructor === String ? n : n[t]);
      },
      findDefined: function () {
        for (var e = 0; e < arguments.length; e++) if (void 0 !== arguments[e]) return arguments[e];
      },
      defaultMessage: function (t, n) {
        "string" == typeof n && (n = {
          method: n
        });
        var i = this.findDefined(this.customMessage(t.name, n.method), this.customDataMessage(t, n.method), !this.settings.ignoreTitle && t.title || void 0, e.validator.messages[n.method], "<strong>Warning: No message defined for " + t.name + "</strong>"),
          r = /\$?\{(\d+)\}/g;
        return "function" == typeof i ? i = i.call(this, n.parameters, t) : r.test(i) && (i = e.validator.format(i.replace(r, "{$1}"), n.parameters)), i;
      },
      formatAndAdd: function (e, t) {
        var n = this.defaultMessage(e, t);
        this.errorList.push({
          message: n,
          element: e,
          method: t.method
        }), this.errorMap[e.name] = n, this.submitted[e.name] = n;
      },
      addWrapper: function (e) {
        return this.settings.wrapper && (e = e.add(e.parent(this.settings.wrapper))), e;
      },
      defaultShowErrors: function () {
        var e, t, n;
        for (e = 0; this.errorList[e]; e++) n = this.errorList[e], this.settings.highlight && this.settings.highlight.call(this, n.element, this.settings.errorClass, this.settings.validClass), this.showLabel(n.element, n.message);
        if (this.errorList.length && (this.toShow = this.toShow.add(this.containers)), this.settings.success) for (e = 0; this.successList[e]; e++) this.showLabel(this.successList[e]);
        if (this.settings.unhighlight) for (e = 0, t = this.validElements(); t[e]; e++) this.settings.unhighlight.call(this, t[e], this.settings.errorClass, this.settings.validClass);
        this.toHide = this.toHide.not(this.toShow), this.hideErrors(), this.addWrapper(this.toShow).show();
      },
      validElements: function () {
        return this.currentElements.not(this.invalidElements());
      },
      invalidElements: function () {
        return e(this.errorList).map(function () {
          return this.element;
        });
      },
      showLabel: function (t, n) {
        var i,
          r,
          o,
          a,
          s = this.errorsFor(t),
          l = this.idOrName(t),
          u = e(t).attr("aria-describedby");
        s.length ? (s.removeClass(this.settings.validClass).addClass(this.settings.errorClass), s.html(n)) : (i = s = e("<" + this.settings.errorElement + ">").attr("id", l + "-error").addClass(this.settings.errorClass).html(n || ""), this.settings.wrapper && (i = s.hide().show().wrap("<" + this.settings.wrapper + "/>").parent()), this.labelContainer.length ? this.labelContainer.append(i) : this.settings.errorPlacement ? this.settings.errorPlacement.call(this, i, e(t)) : i.insertAfter(t), s.is("label") ? s.attr("for", l) : 0 === s.parents("label[for='" + this.escapeCssMeta(l) + "']").length && (o = s.attr("id"), u ? u.match(new RegExp("\\b" + this.escapeCssMeta(o) + "\\b")) || (u += " " + o) : u = o, e(t).attr("aria-describedby", u), (r = this.groups[t.name]) && (a = this, e.each(a.groups, function (t, n) {
          n === r && e("[name='" + a.escapeCssMeta(t) + "']", a.currentForm).attr("aria-describedby", s.attr("id"));
        })))), !n && this.settings.success && (s.text(""), "string" == typeof this.settings.success ? s.addClass(this.settings.success) : this.settings.success(s, t)), this.toShow = this.toShow.add(s);
      },
      errorsFor: function (t) {
        var n = this.escapeCssMeta(this.idOrName(t)),
          i = e(t).attr("aria-describedby"),
          r = "label[for='" + n + "'], label[for='" + n + "'] *";
        return i && (r = r + ", #" + this.escapeCssMeta(i).replace(/\s+/g, ", #")), this.errors().filter(r);
      },
      escapeCssMeta: function (e) {
        return void 0 === e ? "" : e.replace(/([\\!"#$%&'()*+,./:;<=>?@\[\]^`{|}~])/g, "\\$1");
      },
      idOrName: function (e) {
        return this.groups[e.name] || (this.checkable(e) ? e.name : e.id || e.name);
      },
      validationTargetFor: function (t) {
        return this.checkable(t) && (t = this.findByName(t.name)), e(t).not(this.settings.ignore)[0];
      },
      checkable: function (e) {
        return /radio|checkbox/i.test(e.type);
      },
      findByName: function (t) {
        return e(this.currentForm).find("[name='" + this.escapeCssMeta(t) + "']");
      },
      getLength: function (t, n) {
        switch (n.nodeName.toLowerCase()) {
          case "select":
            return e("option:selected", n).length;
          case "input":
            if (this.checkable(n)) return this.findByName(n.name).filter(":checked").length;
        }
        return t.length;
      },
      depend: function (e, t) {
        return !this.dependTypes[typeof e] || this.dependTypes[typeof e](e, t);
      },
      dependTypes: {
        boolean: function (e) {
          return e;
        },
        string: function (t, n) {
          return !!e(t, n.form).length;
        },
        function: function (e, t) {
          return e(t);
        }
      },
      optional: function (t) {
        var n = this.elementValue(t);
        return !e.validator.methods.required.call(this, n, t) && "dependency-mismatch";
      },
      startRequest: function (t) {
        this.pending[t.name] || (this.pendingRequest++, e(t).addClass(this.settings.pendingClass), this.pending[t.name] = !0);
      },
      stopRequest: function (t, n) {
        this.pendingRequest--, this.pendingRequest < 0 && (this.pendingRequest = 0), delete this.pending[t.name], e(t).removeClass(this.settings.pendingClass), n && 0 === this.pendingRequest && this.formSubmitted && this.form() && 0 === this.pendingRequest ? (e(this.currentForm).trigger("submit"), this.submitButton && e("input:hidden[name='" + this.submitButton.name + "']", this.currentForm).remove(), this.formSubmitted = !1) : !n && 0 === this.pendingRequest && this.formSubmitted && (e(this.currentForm).triggerHandler("invalid-form", [this]), this.formSubmitted = !1);
      },
      previousValue: function (t, n) {
        return n = "string" == typeof n && n || "remote", e.data(t, "previousValue") || e.data(t, "previousValue", {
          old: null,
          valid: !0,
          message: this.defaultMessage(t, {
            method: n
          })
        });
      },
      destroy: function () {
        this.resetForm(), e(this.currentForm).off(".validate").removeData("validator").find(".validate-equalTo-blur").off(".validate-equalTo").removeClass("validate-equalTo-blur").find(".validate-lessThan-blur").off(".validate-lessThan").removeClass("validate-lessThan-blur").find(".validate-lessThanEqual-blur").off(".validate-lessThanEqual").removeClass("validate-lessThanEqual-blur").find(".validate-greaterThanEqual-blur").off(".validate-greaterThanEqual").removeClass("validate-greaterThanEqual-blur").find(".validate-greaterThan-blur").off(".validate-greaterThan").removeClass("validate-greaterThan-blur");
      }
    },
    classRuleSettings: {
      required: {
        required: !0
      },
      email: {
        email: !0
      },
      url: {
        url: !0
      },
      date: {
        date: !0
      },
      dateISO: {
        dateISO: !0
      },
      number: {
        number: !0
      },
      digits: {
        digits: !0
      },
      creditcard: {
        creditcard: !0
      }
    },
    addClassRules: function (t, n) {
      t.constructor === String ? this.classRuleSettings[t] = n : e.extend(this.classRuleSettings, t);
    },
    classRules: function (t) {
      var n = {},
        i = e(t).attr("class");
      return i && e.each(i.split(" "), function () {
        this in e.validator.classRuleSettings && e.extend(n, e.validator.classRuleSettings[this]);
      }), n;
    },
    normalizeAttributeRule: function (e, t, n, i) {
      /min|max|step/.test(n) && (null === t || /number|range|text/.test(t)) && (i = Number(i), isNaN(i) && (i = void 0)), i || 0 === i ? e[n] = i : t === n && "range" !== t && (e["date" === t ? "dateISO" : n] = !0);
    },
    attributeRules: function (t) {
      var n,
        i,
        r = {},
        o = e(t),
        a = t.getAttribute("type");
      for (n in e.validator.methods) "required" === n ? ("" === (i = t.getAttribute(n)) && (i = !0), i = !!i) : i = o.attr(n), this.normalizeAttributeRule(r, a, n, i);
      return r.maxlength && /-1|2147483647|524288/.test(r.maxlength) && delete r.maxlength, r;
    },
    dataRules: function (t) {
      var n,
        i,
        r = {},
        o = e(t),
        a = t.getAttribute("type");
      for (n in e.validator.methods) "" === (i = o.data("rule" + n.charAt(0).toUpperCase() + n.substring(1).toLowerCase())) && (i = !0), this.normalizeAttributeRule(r, a, n, i);
      return r;
    },
    staticRules: function (t) {
      var n = {},
        i = e.data(t.form, "validator");
      return i.settings.rules && (n = e.validator.normalizeRule(i.settings.rules[t.name]) || {}), n;
    },
    normalizeRules: function (t, n) {
      return e.each(t, function (i, r) {
        if (!1 !== r) {
          if (r.param || r.depends) {
            var o = !0;
            switch (typeof r.depends) {
              case "string":
                o = !!e(r.depends, n.form).length;
                break;
              case "function":
                o = r.depends.call(n, n);
            }
            o ? t[i] = void 0 === r.param || r.param : (e.data(n.form, "validator").resetElements(e(n)), delete t[i]);
          }
        } else delete t[i];
      }), e.each(t, function (e, i) {
        t[e] = "function" == typeof i && "normalizer" !== e ? i(n) : i;
      }), e.each(["minlength", "maxlength"], function () {
        t[this] && (t[this] = Number(t[this]));
      }), e.each(["rangelength", "range"], function () {
        var e;
        t[this] && (Array.isArray(t[this]) ? t[this] = [Number(t[this][0]), Number(t[this][1])] : "string" == typeof t[this] && (e = t[this].replace(/[\[\]]/g, "").split(/[\s,]+/), t[this] = [Number(e[0]), Number(e[1])]));
      }), e.validator.autoCreateRanges && (null != t.min && null != t.max && (t.range = [t.min, t.max], delete t.min, delete t.max), null != t.minlength && null != t.maxlength && (t.rangelength = [t.minlength, t.maxlength], delete t.minlength, delete t.maxlength)), t;
    },
    normalizeRule: function (t) {
      if ("string" == typeof t) {
        var n = {};
        e.each(t.split(/\s/), function () {
          n[this] = !0;
        }), t = n;
      }
      return t;
    },
    addMethod: function (t, n, i) {
      e.validator.methods[t] = n, e.validator.messages[t] = void 0 !== i ? i : e.validator.messages[t], n.length < 3 && e.validator.addClassRules(t, e.validator.normalizeRule(t));
    },
    methods: {
      required: function (t, n, i) {
        if (!this.depend(i, n)) return "dependency-mismatch";
        if ("select" === n.nodeName.toLowerCase()) {
          var r = e(n).val();
          return r && r.length > 0;
        }
        return this.checkable(n) ? this.getLength(t, n) > 0 : null != t && t.length > 0;
      },
      email: function (e, t) {
        return this.optional(t) || /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(e);
      },
      url: function (e, t) {
        return this.optional(t) || /^(?:(?:(?:https?|ftp):)?\/\/)(?:(?:[^\]\[?\/<~#`!@$^&*()+=}|:";',>{ ]|%[0-9A-Fa-f]{2})+(?::(?:[^\]\[?\/<~#`!@$^&*()+=}|:";',>{ ]|%[0-9A-Fa-f]{2})*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u00a1-\uffff][a-z0-9\u00a1-\uffff_-]{0,62})?[a-z0-9\u00a1-\uffff]\.)+(?:[a-z\u00a1-\uffff]{2,}\.?))(?::\d{2,5})?(?:[/?#]\S*)?$/i.test(e);
      },
      date: (t = !1, function (e, n) {
        return t || (t = !0, this.settings.debug && window.console && void 0), this.optional(n) || !/Invalid|NaN/.test(new Date(e).toString());
      }),
      dateISO: function (e, t) {
        return this.optional(t) || /^\d{4}[\/\-](0?[1-9]|1[012])[\/\-](0?[1-9]|[12][0-9]|3[01])$/.test(e);
      },
      number: function (e, t) {
        return this.optional(t) || /^(?:-?\d+|-?\d{1,3}(?:,\d{3})+)?(?:\.\d+)?$/.test(e);
      },
      digits: function (e, t) {
        return this.optional(t) || /^\d+$/.test(e);
      },
      minlength: function (e, t, n) {
        var i = Array.isArray(e) ? e.length : this.getLength(e, t);
        return this.optional(t) || i >= n;
      },
      maxlength: function (e, t, n) {
        var i = Array.isArray(e) ? e.length : this.getLength(e, t);
        return this.optional(t) || i <= n;
      },
      rangelength: function (e, t, n) {
        var i = Array.isArray(e) ? e.length : this.getLength(e, t);
        return this.optional(t) || i >= n[0] && i <= n[1];
      },
      min: function (e, t, n) {
        return this.optional(t) || e >= n;
      },
      max: function (e, t, n) {
        return this.optional(t) || e <= n;
      },
      range: function (e, t, n) {
        return this.optional(t) || e >= n[0] && e <= n[1];
      },
      step: function (t, n, i) {
        var r,
          o = e(n).attr("type"),
          a = "Step attribute on input type " + o + " is not supported.",
          s = new RegExp("\\b" + o + "\\b"),
          l = function (e) {
            var t = ("" + e).match(/(?:\.(\d+))?$/);
            return t && t[1] ? t[1].length : 0;
          },
          u = function (e) {
            return Math.round(e * Math.pow(10, r));
          },
          c = !0;
        if (o && !s.test(["text", "number", "range"].join())) throw new Error(a);
        return r = l(i), (l(t) > r || u(t) % u(i) != 0) && (c = !1), this.optional(n) || c;
      },
      equalTo: function (t, n, i) {
        var r = e(i);
        return this.settings.onfocusout && r.not(".validate-equalTo-blur").length && r.addClass("validate-equalTo-blur").on("blur.validate-equalTo", function () {
          e(n).valid();
        }), t === r.val();
      },
      remote: function (t, n, i, r) {
        if (this.optional(n)) return "dependency-mismatch";
        r = "string" == typeof r && r || "remote";
        var o,
          a,
          s,
          l = this.previousValue(n, r);
        return this.settings.messages[n.name] || (this.settings.messages[n.name] = {}), l.originalMessage = l.originalMessage || this.settings.messages[n.name][r], this.settings.messages[n.name][r] = l.message, i = "string" == typeof i && {
          url: i
        } || i, s = e.param(e.extend({
          data: t
        }, i.data)), l.old === s ? l.valid : (l.old = s, o = this, this.startRequest(n), (a = {})[n.name] = t, e.ajax(e.extend(!0, {
          mode: "abort",
          port: "validate" + n.name,
          dataType: "json",
          data: a,
          context: o.currentForm,
          success: function (e) {
            var i,
              a,
              s,
              u = !0 === e || "true" === e;
            o.settings.messages[n.name][r] = l.originalMessage, u ? (s = o.formSubmitted, o.resetInternals(), o.toHide = o.errorsFor(n), o.formSubmitted = s, o.successList.push(n), o.invalid[n.name] = !1, o.showErrors()) : (i = {}, a = e || o.defaultMessage(n, {
              method: r,
              parameters: t
            }), i[n.name] = l.message = a, o.invalid[n.name] = !0, o.showErrors(i)), l.valid = u, o.stopRequest(n, u);
          }
        }, i)), "pending");
      }
    }
  });
  var i,
    r = {};
  return e.ajaxPrefilter ? e.ajaxPrefilter(function (e, t, n) {
    var i = e.port;
    "abort" === e.mode && (r[i] && r[i].abort(), r[i] = n);
  }) : (i = e.ajax, e.ajax = function (t) {
    var n = ("mode" in t ? t : e.ajaxSettings).mode,
      o = ("port" in t ? t : e.ajaxSettings).port;
    return "abort" === n ? (r[o] && r[o].abort(), r[o] = i.apply(this, arguments), r[o]) : i.apply(this, arguments);
  }), e;
}),
/*!
 * @copyright Copyright &copy; Kartik Visweswaran, Krajee.com, 2014 - 2020
 * @version 1.3.6
 *
 * Date formatter utility library that allows formatting date/time variables or Date objects using PHP DateTime format.
 * This library is a standalone javascript library and does not depend on other libraries or plugins like jQuery. The
 * library also adds support for Universal Module Definition (UMD).
 * 
 * @see http://php.net/manual/en/function.date.php
 *
 * For more JQuery plugins visit http://plugins.krajee.com
 * For more Yii related demos visit http://demos.krajee.com
 */
function (e, t) {
  "function" == typeof define && define.amd ? define([], t) : "object" == typeof module && module.exports ? module.exports = t() : e.DateFormatter = t();
}("undefined" != typeof self ? self : this, function () {
  var e, t;
  return t = {
    DAY: 864e5,
    HOUR: 3600,
    defaults: {
      dateSettings: {
        days: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
        daysShort: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
        months: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
        monthsShort: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
        meridiem: ["AM", "PM"],
        ordinal: function (e) {
          var t = e % 10,
            n = {
              1: "st",
              2: "nd",
              3: "rd"
            };
          return 1 !== Math.floor(e % 100 / 10) && n[t] ? n[t] : "th";
        }
      },
      separators: /[ \-+\/.:@]/g,
      validParts: /[dDjlNSwzWFmMntLoYyaABgGhHisueTIOPZcrU]/g,
      intParts: /[djwNzmnyYhHgGis]/g,
      tzParts: /\b(?:[PMCEA][SDP]T|(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time|(?:GMT|UTC)(?:[-+]\d{4})?)\b/g,
      tzClip: /[^-+\dA-Z]/g
    },
    getInt: function (e, t) {
      return parseInt(e, t || 10);
    },
    compare: function (e, t) {
      return "string" == typeof e && "string" == typeof t && e.toLowerCase() === t.toLowerCase();
    },
    lpad: function (e, n, i) {
      var r = e.toString();
      return i = i || "0", r.length < n ? t.lpad(i + r, n) : r;
    },
    merge: function (e) {
      var n, i;
      for (e = e || {}, n = 1; n < arguments.length; n++) if (i = arguments[n]) for (var r in i) i.hasOwnProperty(r) && ("object" == typeof i[r] ? t.merge(e[r], i[r]) : e[r] = i[r]);
      return e;
    },
    getIndex: function (e, t) {
      for (var n = 0; n < t.length; n++) if (t[n].toLowerCase() === e.toLowerCase()) return n;
      return -1;
    }
  }, (e = function (e) {
    var n = this,
      i = t.merge(t.defaults, e);
    n.dateSettings = i.dateSettings, n.separators = i.separators, n.validParts = i.validParts, n.intParts = i.intParts, n.tzParts = i.tzParts, n.tzClip = i.tzClip;
  }).prototype = {
    constructor: e,
    getMonth: function (e) {
      var n;
      return 0 === (n = t.getIndex(e, this.dateSettings.monthsShort) + 1) && (n = t.getIndex(e, this.dateSettings.months) + 1), n;
    },
    parseDate: function (e, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u,
        c,
        d,
        p,
        f = this,
        h = !1,
        m = !1,
        g = f.dateSettings,
        v = {
          date: null,
          year: null,
          month: null,
          day: null,
          hour: 0,
          min: 0,
          sec: 0
        };
      if (!e) return null;
      if (e instanceof Date) return e;
      if ("U" === n) return (o = t.getInt(e)) ? new Date(1e3 * o) : e;
      switch (typeof e) {
        case "number":
          return new Date(e);
        case "string":
          break;
        default:
          return null;
      }
      if (!(i = n.match(f.validParts)) || 0 === i.length) throw new Error("Invalid date format definition.");
      for (o = i.length - 1; o >= 0; o--) "S" === i[o] && i.splice(o, 1);
      for (r = e.replace(f.separators, "\0").split("\0"), o = 0; o < r.length; o++) switch (a = r[o], s = t.getInt(a), i[o]) {
        case "y":
        case "Y":
          if (!s) return null;
          d = a.length, v.year = 2 === d ? t.getInt((s < 70 ? "20" : "19") + a) : s, h = !0;
          break;
        case "m":
        case "n":
        case "M":
        case "F":
          if (isNaN(s)) {
            if (!((l = f.getMonth(a)) > 0)) return null;
            v.month = l;
          } else {
            if (!(s >= 1 && s <= 12)) return null;
            v.month = s;
          }
          h = !0;
          break;
        case "d":
        case "j":
          if (!(s >= 1 && s <= 31)) return null;
          v.day = s, h = !0;
          break;
        case "g":
        case "h":
          if (p = r[u = i.indexOf("a") > -1 ? i.indexOf("a") : i.indexOf("A") > -1 ? i.indexOf("A") : -1], -1 !== u) c = t.compare(p, g.meridiem[0]) ? 0 : t.compare(p, g.meridiem[1]) ? 12 : -1, s >= 1 && s <= 12 && -1 !== c ? v.hour = s % 12 == 0 ? c : s + c : s >= 0 && s <= 23 && (v.hour = s);else {
            if (!(s >= 0 && s <= 23)) return null;
            v.hour = s;
          }
          m = !0;
          break;
        case "G":
        case "H":
          if (!(s >= 0 && s <= 23)) return null;
          v.hour = s, m = !0;
          break;
        case "i":
          if (!(s >= 0 && s <= 59)) return null;
          v.min = s, m = !0;
          break;
        case "s":
          if (!(s >= 0 && s <= 59)) return null;
          v.sec = s, m = !0;
      }
      if (!0 === h) {
        var y = v.year || 0,
          b = v.month ? v.month - 1 : 0,
          w = v.day || 1;
        v.date = new Date(y, b, w, v.hour, v.min, v.sec, 0);
      } else {
        if (!0 !== m) return null;
        v.date = new Date(0, 0, 0, v.hour, v.min, v.sec, 0);
      }
      return v.date;
    },
    guessDate: function (e, n) {
      if ("string" != typeof e) return e;
      var i,
        r,
        o,
        a,
        s,
        l,
        u = e.replace(this.separators, "\0").split("\0"),
        c = n.match(this.validParts),
        d = new Date(),
        p = 0;
      if (!/^[djmn]/g.test(c[0])) return e;
      for (o = 0; o < u.length; o++) {
        if (p = 2, s = u[o], l = t.getInt(s.substr(0, 2)), isNaN(l)) return null;
        switch (o) {
          case 0:
            "m" === c[0] || "n" === c[0] ? d.setMonth(l - 1) : d.setDate(l);
            break;
          case 1:
            "m" === c[0] || "n" === c[0] ? d.setDate(l) : d.setMonth(l - 1);
            break;
          case 2:
            if (r = d.getFullYear(), p = (i = s.length) < 4 ? i : 4, !(r = t.getInt(i < 4 ? r.toString().substr(0, 4 - i) + s : s.substr(0, 4)))) return null;
            d.setFullYear(r);
            break;
          case 3:
            d.setHours(l);
            break;
          case 4:
            d.setMinutes(l);
            break;
          case 5:
            d.setSeconds(l);
        }
        (a = s.substr(p)).length > 0 && u.splice(o + 1, 0, a);
      }
      return d;
    },
    parseFormat: function (e, n) {
      var i,
        r = this,
        o = r.dateSettings,
        a = /\\?(.?)/gi,
        s = function (e, t) {
          return i[e] ? i[e]() : t;
        };
      return i = {
        d: function () {
          return t.lpad(i.j(), 2);
        },
        D: function () {
          return o.daysShort[i.w()];
        },
        j: function () {
          return n.getDate();
        },
        l: function () {
          return o.days[i.w()];
        },
        N: function () {
          return i.w() || 7;
        },
        w: function () {
          return n.getDay();
        },
        z: function () {
          var e = new Date(i.Y(), i.n() - 1, i.j()),
            n = new Date(i.Y(), 0, 1);
          return Math.round((e - n) / t.DAY);
        },
        W: function () {
          var e = new Date(i.Y(), i.n() - 1, i.j() - i.N() + 3),
            n = new Date(e.getFullYear(), 0, 4);
          return t.lpad(1 + Math.round((e - n) / t.DAY / 7), 2);
        },
        F: function () {
          return o.months[n.getMonth()];
        },
        m: function () {
          return t.lpad(i.n(), 2);
        },
        M: function () {
          return o.monthsShort[n.getMonth()];
        },
        n: function () {
          return n.getMonth() + 1;
        },
        t: function () {
          return new Date(i.Y(), i.n(), 0).getDate();
        },
        L: function () {
          var e = i.Y();
          return e % 4 == 0 && e % 100 != 0 || e % 400 == 0 ? 1 : 0;
        },
        o: function () {
          var e = i.n(),
            t = i.W();
          return i.Y() + (12 === e && t < 9 ? 1 : 1 === e && t > 9 ? -1 : 0);
        },
        Y: function () {
          return n.getFullYear();
        },
        y: function () {
          return i.Y().toString().slice(-2);
        },
        a: function () {
          return i.A().toLowerCase();
        },
        A: function () {
          var e = i.G() < 12 ? 0 : 1;
          return o.meridiem[e];
        },
        B: function () {
          var e = n.getUTCHours() * t.HOUR,
            i = 60 * n.getUTCMinutes(),
            r = n.getUTCSeconds();
          return t.lpad(Math.floor((e + i + r + t.HOUR) / 86.4) % 1e3, 3);
        },
        g: function () {
          return i.G() % 12 || 12;
        },
        G: function () {
          return n.getHours();
        },
        h: function () {
          return t.lpad(i.g(), 2);
        },
        H: function () {
          return t.lpad(i.G(), 2);
        },
        i: function () {
          return t.lpad(n.getMinutes(), 2);
        },
        s: function () {
          return t.lpad(n.getSeconds(), 2);
        },
        u: function () {
          return t.lpad(1e3 * n.getMilliseconds(), 6);
        },
        e: function () {
          return /\((.*)\)/.exec(String(n))[1] || "Coordinated Universal Time";
        },
        I: function () {
          return new Date(i.Y(), 0) - Date.UTC(i.Y(), 0) != new Date(i.Y(), 6) - Date.UTC(i.Y(), 6) ? 1 : 0;
        },
        O: function () {
          var e = n.getTimezoneOffset(),
            i = Math.abs(e);
          return (e > 0 ? "-" : "+") + t.lpad(100 * Math.floor(i / 60) + i % 60, 4);
        },
        P: function () {
          var e = i.O();
          return e.substr(0, 3) + ":" + e.substr(3, 2);
        },
        T: function () {
          return (String(n).match(r.tzParts) || [""]).pop().replace(r.tzClip, "") || "UTC";
        },
        Z: function () {
          return 60 * -n.getTimezoneOffset();
        },
        c: function () {
          return "Y-m-d\\TH:i:sP".replace(a, s);
        },
        r: function () {
          return "D, d M Y H:i:s O".replace(a, s);
        },
        U: function () {
          return n.getTime() / 1e3 || 0;
        }
      }, s(e, e);
    },
    formatDate: function (e, n) {
      var i,
        r,
        o,
        a,
        s,
        l = this,
        u = "";
      if ("string" == typeof e && !(e = l.parseDate(e, n))) return null;
      if (e instanceof Date) {
        for (o = n.length, i = 0; i < o; i++) "S" !== (s = n.charAt(i)) && "\\" !== s && (i > 0 && "\\" === n.charAt(i - 1) ? u += s : (a = l.parseFormat(s, e), i !== o - 1 && l.intParts.test(s) && "S" === n.charAt(i + 1) && (r = t.getInt(a) || 0, a += l.dateSettings.ordinal(r)), u += a));
        return u;
      }
      return "";
    }
  }, e;
}), laravelValidation = {
  implicitRules: ["Required", "Confirmed"],
  init: function () {
    var e = $.fn.validate;
    $.fn.validate = function (t) {
      var n = "proengsoft_jsvalidation";
      return 0 === $(this).find('input[name="' + n + '"]').length && $("<input>").attr({
        type: "hidden",
        name: n
      }).appendTo(this), e.apply(this, [t]);
    }, $.validator.classRuleSettings = {}, $.validator.attributeRules = function () {}, $.validator.dataRules = this.arrayRules, $.validator.prototype.arrayRulesCache = {}, this.setupValidations();
  },
  arrayRules: function (e) {
    var t = {},
      n = $.data(e.form, "validator"),
      i = n.arrayRulesCache;
    return -1 === e.name.indexOf("[") || (e.name in i || (i[e.name] = {}), $.each(n.settings.rules, function (n, r) {
      if (n in i[e.name]) t = laravelValidation.helpers.mergeRules(t, i[e.name][n]);else {
        i[e.name][n] = {};
        var o = laravelValidation.helpers.regexFromWildcard(n);
        if (e.name.match(o)) {
          var a = $.validator.normalizeRule(r) || {};
          i[e.name][n] = a, t = laravelValidation.helpers.mergeRules(t, a);
        }
      }
    })), t;
  },
  setupValidations: function () {
    var e = function (e) {
        return e[0][1][2];
      },
      t = function (e) {
        var t = $(e.currentForm).attr("method");
        return $(e.currentForm).find('input[name="_method"]').length && (t = $(e.currentForm).find('input[name="_method"]').val()), t;
      },
      n = function (e, n, i, r) {
        return {
          mode: "abort",
          port: "validate" + n.name,
          dataType: "json",
          data: r,
          context: e.currentForm,
          url: $(e.currentForm).attr("action"),
          type: t(e),
          beforeSend: function (n) {
            var r = function (e) {
              return e[0][1][1];
            }(i);
            if ("get" !== t(e) && r) return n.setRequestHeader("X-XSRF-TOKEN", r);
          }
        };
      },
      i = function (e, t, n, i) {
        var r = !0,
          o = e.previousValue(n);
        return $.each(i, function (i, a) {
          var s = a[3] || -1 !== laravelValidation.implicitRules.indexOf(a[0]),
            l = a[0],
            u = a[2];
          return !s && e.optional(n) ? (r = "dependency-mismatch", !1) : (void 0 !== laravelValidation.methods[l] ? $.each(t, function (t, i) {
            if (!1 === (r = laravelValidation.methods[l].call(e, i, n, a[1], function (t) {
              if (e.settings.messages[n.name].laravelValidationRemote = o.originalMessage, t) {
                var r = e.formSubmitted;
                e.prepareElement(n), e.formSubmitted = r, e.successList.push(n), delete e.invalid[n.name], e.showErrors();
              } else {
                var a = {};
                a[n.name] = o.message = "function" == typeof u ? u(i) : u, e.invalid[n.name] = !0, e.showErrors(a);
              }
              e.showErrors(e.errorMap), o.valid = t;
            }))) return !1;
          }) : r = !1, !0 !== r ? (e.settings.messages[n.name] || (e.settings.messages[n.name] = {}), e.settings.messages[n.name].laravelValidation = u, !1) : void 0);
        }), r;
      };
    $.validator.addMethod("laravelValidation", function (e, t, n) {
      var r = [],
        o = [];
      $.each(n, function (e, t) {
        var n = -1 !== t[4].indexOf("[");
        t[3] || -1 !== laravelValidation.implicitRules.indexOf(t[0]) ? n ? o.unshift(t) : r.unshift(t) : n ? o.push(t) : r.push(t);
      });
      var a = i(this, [e], t, r),
        s = Array.isArray(e) ? e : [e],
        l = i(this, s, t, o);
      return a && l;
    }, ""), $.validator.addMethod("laravelValidationRemote", function (t, i, r) {
      if (!function (e) {
        var t = !1;
        return $.each(e, function (e, n) {
          t = t || n[3];
        }), t;
      }(r) && this.optional(i)) return "dependency-mismatch";
      var o,
        a,
        s = this.previousValue(i);
      return this.settings.messages[i.name] || (this.settings.messages[i.name] = {}), s.originalMessage = this.settings.messages[i.name].laravelValidationRemote, this.settings.messages[i.name].laravelValidationRemote = s.message, laravelValidation.helpers.arrayEquals(s.old, t) || s.old === t ? s.valid : (s.old = t, o = this, this.startRequest(i), (a = $(o.currentForm).serializeArray()).push({
        name: "_jsvalidation",
        value: i.name
      }), a.push({
        name: "_jsvalidation_validate_all",
        value: e(r)
      }), $.ajax(n(o, i, r, a)).always(function (e, n) {
        var r, a, l, u;
        if ("error" === n) u = !1, e = laravelValidation.helpers.parseErrorResponse(e);else {
          if ("success" !== n) return;
          u = !0 === e || "true" === e;
        }
        o.settings.messages[i.name].laravelValidationRemote = s.originalMessage, u ? (l = o.formSubmitted, o.prepareElement(i), o.formSubmitted = l, o.successList.push(i), delete o.invalid[i.name], o.showErrors()) : (r = {}, a = e || o.defaultMessage(i, "remote"), r[i.name] = s.message = "function" == typeof a ? a(t) : a[0], o.invalid[i.name] = !0, o.showErrors(r)), o.showErrors(o.errorMap), s.valid = u, o.stopRequest(i, u);
      }), "pending");
    }, ""), $.validator.addMethod("laravelValidationFormRequest", function (e, t, i) {
      var r = this,
        o = r.previousValue(t),
        a = $(r.currentForm).serializeArray();
      return a.push({
        name: "__proengsoft_form_request",
        value: 1
      }), JSON.stringify(o.old) === JSON.stringify(a) ? (o.valid || r.showErrors(o.errors || {}), o.valid) : (o.old = a, this.startRequest(t), $.ajax(n(r, t, i, a)).always(function (e, n) {
        var i = {},
          a = "success" === n && (!0 === e || "true" === e);
        a ? (r.resetInternals(), r.toHide = r.errorsFor(t)) : ($.each(e, function (e, t) {
          var n = laravelValidation.helpers.findByName(r, e)[0];
          n && (i[n.name] = laravelValidation.helpers.encode(t[0] || ""));
        }), $.isEmptyObject(i) && (a = !0)), o.valid = a, o.errors = i, r.showErrors(i), r.stopRequest(t, a);
      }), "pending");
    }, "");
  }
}, $(function () {
  laravelValidation.init();
}), function () {
  "use strict";

  var e = {
      "./node_modules/locutus/php/array/array_diff.js":
      /*!******************************************************!*\
        !*** ./node_modules/locutus/php/array/array_diff.js ***!
        \******************************************************/
      function (e) {
        e.exports = function (e) {
          var t = {},
            n = arguments.length,
            i = "",
            r = 1,
            o = "",
            a = {};
          e: for (i in e) for (r = 1; r < n; r++) {
            for (o in a = arguments[r]) if (a[o] === e[i]) continue e;
            t[i] = e[i];
          }
          return t;
        };
      },
      "./node_modules/locutus/php/datetime/strtotime.js":
      /*!********************************************************!*\
        !*** ./node_modules/locutus/php/datetime/strtotime.js ***!
        \********************************************************/
      function (e) {
        var t = "[ \\t]+",
          n = "[ \\t]*",
          i = "(?:([ap])\\.?m\\.?([\\t ]|$))",
          r = "(2[0-4]|[01]?[0-9])",
          o = "([01][0-9]|2[0-4])",
          a = "(0?[1-9]|1[0-2])",
          s = "([0-5]?[0-9])",
          l = "([0-5][0-9])",
          u = "(60|[0-5]?[0-9])",
          c = "(60|[0-5][0-9])",
          d = "(?:\\.([0-9]+))",
          p = "sunday|monday|tuesday|wednesday|thursday|friday|saturday",
          f = "sun|mon|tue|wed|thu|fri|sat",
          h = p + "|" + f + "|weekdays?",
          m = "first|second|third|fourth|fifth|sixth|seventh|eighth?|ninth|tenth|eleventh|twelfth",
          g = "next|last|previous|this",
          v = "(?:second|sec|minute|min|hour|day|fortnight|forthnight|month|year)s?|weeks|" + h,
          y = "([0-9]{1,4})",
          b = "([0-9]{4})",
          w = "(1[0-2]|0?[0-9])",
          x = "(0[0-9]|1[0-2])",
          k = "(?:(3[01]|[0-2]?[0-9])(?:st|nd|rd|th)?)",
          C = "(0[0-9]|[1-2][0-9]|3[01])",
          T = "january|february|march|april|may|june|july|august|september|october|november|december",
          E = "jan|feb|mar|apr|may|jun|jul|aug|sept?|oct|nov|dec",
          D = "(" + T + "|" + E + "|i[vx]|vi{0,3}|xi{0,2}|i{1,3})",
          O = "((?:GMT)?([+-])" + r + ":?" + s + "?)",
          S = D + "[ .\\t-]*" + k + "[,.stndrh\\t ]*";
        function A(e, t) {
          switch (t = t && t.toLowerCase()) {
            case "a":
              e += 12 === e ? -12 : 0;
              break;
            case "p":
              e += 12 !== e ? 12 : 0;
          }
          return e;
        }
        function j(e) {
          var t = +e;
          return e.length < 4 && t < 100 && (t += t < 70 ? 2e3 : 1900), t;
        }
        function M(e) {
          return {
            jan: 0,
            january: 0,
            i: 0,
            feb: 1,
            february: 1,
            ii: 1,
            mar: 2,
            march: 2,
            iii: 2,
            apr: 3,
            april: 3,
            iv: 3,
            may: 4,
            v: 4,
            jun: 5,
            june: 5,
            vi: 5,
            jul: 6,
            july: 6,
            vii: 6,
            aug: 7,
            august: 7,
            viii: 7,
            sep: 8,
            sept: 8,
            september: 8,
            ix: 8,
            oct: 9,
            october: 9,
            x: 9,
            nov: 10,
            november: 10,
            xi: 10,
            dec: 11,
            december: 11,
            xii: 11
          }[e.toLowerCase()];
        }
        function P(e) {
          var t = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : 0;
          return {
            mon: 1,
            monday: 1,
            tue: 2,
            tuesday: 2,
            wed: 3,
            wednesday: 3,
            thu: 4,
            thursday: 4,
            fri: 5,
            friday: 5,
            sat: 6,
            saturday: 6,
            sun: 0,
            sunday: 0
          }[e.toLowerCase()] || t;
        }
        function L(e, t) {
          if (!(e = e && e.match(/(?:GMT)?([+-])(\d+)(:?)(\d{0,2})/i))) return t;
          var n = "-" === e[1] ? -1 : 1,
            i = +e[2],
            r = +e[4];
          return e[4] || e[3] || (r = Math.floor(i % 100), i = Math.floor(i / 100)), n * (60 * i + r) * 60;
        }
        var $ = {
            acdt: 37800,
            acst: 34200,
            addt: -7200,
            adt: -10800,
            aedt: 39600,
            aest: 36e3,
            ahdt: -32400,
            ahst: -36e3,
            akdt: -28800,
            akst: -32400,
            amt: -13840,
            apt: -10800,
            ast: -14400,
            awdt: 32400,
            awst: 28800,
            awt: -10800,
            bdst: 7200,
            bdt: -36e3,
            bmt: -14309,
            bst: 3600,
            cast: 34200,
            cat: 7200,
            cddt: -14400,
            cdt: -18e3,
            cemt: 10800,
            cest: 7200,
            cet: 3600,
            cmt: -15408,
            cpt: -18e3,
            cst: -21600,
            cwt: -18e3,
            chst: 36e3,
            dmt: -1521,
            eat: 10800,
            eddt: -10800,
            edt: -14400,
            eest: 10800,
            eet: 7200,
            emt: -26248,
            ept: -14400,
            est: -18e3,
            ewt: -14400,
            ffmt: -14660,
            fmt: -4056,
            gdt: 39600,
            gmt: 0,
            gst: 36e3,
            hdt: -34200,
            hkst: 32400,
            hkt: 28800,
            hmt: -19776,
            hpt: -34200,
            hst: -36e3,
            hwt: -34200,
            iddt: 14400,
            idt: 10800,
            imt: 25025,
            ist: 7200,
            jdt: 36e3,
            jmt: 8440,
            jst: 32400,
            kdt: 36e3,
            kmt: 5736,
            kst: 30600,
            lst: 9394,
            mddt: -18e3,
            mdst: 16279,
            mdt: -21600,
            mest: 7200,
            met: 3600,
            mmt: 9017,
            mpt: -21600,
            msd: 14400,
            msk: 10800,
            mst: -25200,
            mwt: -21600,
            nddt: -5400,
            ndt: -9052,
            npt: -9e3,
            nst: -12600,
            nwt: -9e3,
            nzdt: 46800,
            nzmt: 41400,
            nzst: 43200,
            pddt: -21600,
            pdt: -25200,
            pkst: 21600,
            pkt: 18e3,
            plmt: 25590,
            pmt: -13236,
            ppmt: -17340,
            ppt: -25200,
            pst: -28800,
            pwt: -25200,
            qmt: -18840,
            rmt: 5794,
            sast: 7200,
            sdmt: -16800,
            sjmt: -20173,
            smt: -13884,
            sst: -39600,
            tbmt: 10751,
            tmt: 12344,
            uct: 0,
            utc: 0,
            wast: 7200,
            wat: 3600,
            wemt: 7200,
            west: 3600,
            wet: 0,
            wib: 25200,
            wita: 28800,
            wit: 32400,
            wmt: 5040,
            yddt: -25200,
            ydt: -28800,
            ypt: -28800,
            yst: -32400,
            ywt: -28800,
            a: 3600,
            b: 7200,
            c: 10800,
            d: 14400,
            e: 18e3,
            f: 21600,
            g: 25200,
            h: 28800,
            i: 32400,
            k: 36e3,
            l: 39600,
            m: 43200,
            n: -3600,
            o: -7200,
            p: -10800,
            q: -14400,
            r: -18e3,
            s: -21600,
            t: -25200,
            u: -28800,
            v: -32400,
            w: -36e3,
            x: -39600,
            y: -43200,
            z: 0
          },
          _ = {
            yesterday: {
              regex: /^yesterday/i,
              name: "yesterday",
              callback: function () {
                return this.rd -= 1, this.resetTime();
              }
            },
            now: {
              regex: /^now/i,
              name: "now"
            },
            noon: {
              regex: /^noon/i,
              name: "noon",
              callback: function () {
                return this.resetTime() && this.time(12, 0, 0, 0);
              }
            },
            midnightOrToday: {
              regex: /^(midnight|today)/i,
              name: "midnight | today",
              callback: function () {
                return this.resetTime();
              }
            },
            tomorrow: {
              regex: /^tomorrow/i,
              name: "tomorrow",
              callback: function () {
                return this.rd += 1, this.resetTime();
              }
            },
            timestamp: {
              regex: /^@(-?\d+)/i,
              name: "timestamp",
              callback: function (e, t) {
                return this.rs += +t, this.y = 1970, this.m = 0, this.d = 1, this.dates = 0, this.resetTime() && this.zone(0);
              }
            },
            firstOrLastDay: {
              regex: /^(first|last) day of/i,
              name: "firstdayof | lastdayof",
              callback: function (e, t) {
                "first" === t.toLowerCase() ? this.firstOrLastDayOfMonth = 1 : this.firstOrLastDayOfMonth = -1;
              }
            },
            backOrFrontOf: {
              regex: RegExp("^(back|front) of " + r + n + i + "?", "i"),
              name: "backof | frontof",
              callback: function (e, t, n, i) {
                var r = +n,
                  o = 15;
                return "back" === t.toLowerCase() || (r -= 1, o = 45), r = A(r, i), this.resetTime() && this.time(r, o, 0, 0);
              }
            },
            weekdayOf: {
              regex: RegExp("^(" + m + "|" + g + ")" + t + "(" + p + "|" + f + ")" + t + "of", "i"),
              name: "weekdayof"
            },
            mssqltime: {
              regex: RegExp("^" + a + ":" + l + ":" + c + "[:.]([0-9]+)" + i, "i"),
              name: "mssqltime",
              callback: function (e, t, n, i, r, o) {
                return this.time(A(+t, o), +n, +i, +r.substr(0, 3));
              }
            },
            timeLong12: {
              regex: RegExp("^" + a + "[:.]" + s + "[:.]" + c + n + i, "i"),
              name: "timelong12",
              callback: function (e, t, n, i, r) {
                return this.time(A(+t, r), +n, +i, 0);
              }
            },
            timeShort12: {
              regex: RegExp("^" + a + "[:.]" + l + n + i, "i"),
              name: "timeshort12",
              callback: function (e, t, n, i) {
                return this.time(A(+t, i), +n, 0, 0);
              }
            },
            timeTiny12: {
              regex: RegExp("^" + a + n + i, "i"),
              name: "timetiny12",
              callback: function (e, t, n) {
                return this.time(A(+t, n), 0, 0, 0);
              }
            },
            soap: {
              regex: RegExp("^" + b + "-" + x + "-" + C + "T" + o + ":" + l + ":" + c + d + O + "?", "i"),
              name: "soap",
              callback: function (e, t, n, i, r, o, a, s, l) {
                return this.ymd(+t, n - 1, +i) && this.time(+r, +o, +a, +s.substr(0, 3)) && this.zone(L(l));
              }
            },
            wddx: {
              regex: RegExp("^" + b + "-" + w + "-" + k + "T" + r + ":" + s + ":" + u),
              name: "wddx",
              callback: function (e, t, n, i, r, o, a) {
                return this.ymd(+t, n - 1, +i) && this.time(+r, +o, +a, 0);
              }
            },
            exif: {
              regex: RegExp("^" + b + ":" + x + ":" + C + " " + o + ":" + l + ":" + c, "i"),
              name: "exif",
              callback: function (e, t, n, i, r, o, a) {
                return this.ymd(+t, n - 1, +i) && this.time(+r, +o, +a, 0);
              }
            },
            xmlRpc: {
              regex: RegExp("^" + b + x + C + "T" + r + ":" + l + ":" + c),
              name: "xmlrpc",
              callback: function (e, t, n, i, r, o, a) {
                return this.ymd(+t, n - 1, +i) && this.time(+r, +o, +a, 0);
              }
            },
            xmlRpcNoColon: {
              regex: RegExp("^" + b + x + C + "[Tt]" + r + l + c),
              name: "xmlrpcnocolon",
              callback: function (e, t, n, i, r, o, a) {
                return this.ymd(+t, n - 1, +i) && this.time(+r, +o, +a, 0);
              }
            },
            clf: {
              regex: RegExp("^" + k + "/(" + E + ")/" + b + ":" + o + ":" + l + ":" + c + t + O, "i"),
              name: "clf",
              callback: function (e, t, n, i, r, o, a, s) {
                return this.ymd(+i, M(n), +t) && this.time(+r, +o, +a, 0) && this.zone(L(s));
              }
            },
            iso8601long: {
              regex: RegExp("^t?" + r + "[:.]" + s + "[:.]" + u + d, "i"),
              name: "iso8601long",
              callback: function (e, t, n, i, r) {
                return this.time(+t, +n, +i, +r.substr(0, 3));
              }
            },
            dateTextual: {
              regex: RegExp("^" + D + "[ .\\t-]*" + k + "[,.stndrh\\t ]+" + y, "i"),
              name: "datetextual",
              callback: function (e, t, n, i) {
                return this.ymd(j(i), M(t), +n);
              }
            },
            pointedDate4: {
              regex: RegExp("^" + k + "[.\\t-]" + w + "[.-]" + b),
              name: "pointeddate4",
              callback: function (e, t, n, i) {
                return this.ymd(+i, n - 1, +t);
              }
            },
            pointedDate2: {
              regex: RegExp("^" + k + "[.\\t]" + w + "\\.([0-9]{2})"),
              name: "pointeddate2",
              callback: function (e, t, n, i) {
                return this.ymd(j(i), n - 1, +t);
              }
            },
            timeLong24: {
              regex: RegExp("^t?" + r + "[:.]" + s + "[:.]" + u),
              name: "timelong24",
              callback: function (e, t, n, i) {
                return this.time(+t, +n, +i, 0);
              }
            },
            dateNoColon: {
              regex: RegExp("^" + b + x + C),
              name: "datenocolon",
              callback: function (e, t, n, i) {
                return this.ymd(+t, n - 1, +i);
              }
            },
            pgydotd: {
              regex: RegExp("^" + b + "\\.?(00[1-9]|0[1-9][0-9]|[12][0-9][0-9]|3[0-5][0-9]|36[0-6])"),
              name: "pgydotd",
              callback: function (e, t, n) {
                return this.ymd(+t, 0, +n);
              }
            },
            timeShort24: {
              regex: RegExp("^t?" + r + "[:.]" + s, "i"),
              name: "timeshort24",
              callback: function (e, t, n) {
                return this.time(+t, +n, 0, 0);
              }
            },
            iso8601noColon: {
              regex: RegExp("^t?" + o + l + c, "i"),
              name: "iso8601nocolon",
              callback: function (e, t, n, i) {
                return this.time(+t, +n, +i, 0);
              }
            },
            iso8601dateSlash: {
              regex: RegExp("^" + b + "/" + x + "/" + C + "/"),
              name: "iso8601dateslash",
              callback: function (e, t, n, i) {
                return this.ymd(+t, n - 1, +i);
              }
            },
            dateSlash: {
              regex: RegExp("^" + b + "/" + w + "/" + k),
              name: "dateslash",
              callback: function (e, t, n, i) {
                return this.ymd(+t, n - 1, +i);
              }
            },
            american: {
              regex: RegExp("^" + w + "/" + k + "/" + y),
              name: "american",
              callback: function (e, t, n, i) {
                return this.ymd(j(i), t - 1, +n);
              }
            },
            americanShort: {
              regex: RegExp("^" + w + "/" + k),
              name: "americanshort",
              callback: function (e, t, n) {
                return this.ymd(this.y, t - 1, +n);
              }
            },
            gnuDateShortOrIso8601date2: {
              regex: RegExp("^" + y + "-" + w + "-" + k),
              name: "gnudateshort | iso8601date2",
              callback: function (e, t, n, i) {
                return this.ymd(j(t), n - 1, +i);
              }
            },
            iso8601date4: {
              regex: RegExp("^([+-]?[0-9]{4})-" + x + "-" + C),
              name: "iso8601date4",
              callback: function (e, t, n, i) {
                return this.ymd(+t, n - 1, +i);
              }
            },
            gnuNoColon: {
              regex: RegExp("^t?" + o + l, "i"),
              name: "gnunocolon",
              callback: function (e, t, n) {
                switch (this.times) {
                  case 0:
                    return this.time(+t, +n, 0, this.f);
                  case 1:
                    return this.y = 100 * t + +n, this.times++, !0;
                  default:
                    return !1;
                }
              }
            },
            gnuDateShorter: {
              regex: RegExp("^" + b + "-" + w),
              name: "gnudateshorter",
              callback: function (e, t, n) {
                return this.ymd(+t, n - 1, 1);
              }
            },
            pgTextReverse: {
              regex: RegExp("^(\\d{3,4}|[4-9]\\d|3[2-9])-(" + E + ")-" + C, "i"),
              name: "pgtextreverse",
              callback: function (e, t, n, i) {
                return this.ymd(j(t), M(n), +i);
              }
            },
            dateFull: {
              regex: RegExp("^" + k + "[ \\t.-]*" + D + "[ \\t.-]*" + y, "i"),
              name: "datefull",
              callback: function (e, t, n, i) {
                return this.ymd(j(i), M(n), +t);
              }
            },
            dateNoDay: {
              regex: RegExp("^" + D + "[ .\\t-]*" + b, "i"),
              name: "datenoday",
              callback: function (e, t, n) {
                return this.ymd(+n, M(t), 1);
              }
            },
            dateNoDayRev: {
              regex: RegExp("^" + b + "[ .\\t-]*" + D, "i"),
              name: "datenodayrev",
              callback: function (e, t, n) {
                return this.ymd(+t, M(n), 1);
              }
            },
            pgTextShort: {
              regex: RegExp("^(" + E + ")-" + C + "-" + y, "i"),
              name: "pgtextshort",
              callback: function (e, t, n, i) {
                return this.ymd(j(i), M(t), +n);
              }
            },
            dateNoYear: {
              regex: RegExp("^" + S, "i"),
              name: "datenoyear",
              callback: function (e, t, n) {
                return this.ymd(this.y, M(t), +n);
              }
            },
            dateNoYearRev: {
              regex: RegExp("^" + k + "[ .\\t-]*" + D, "i"),
              name: "datenoyearrev",
              callback: function (e, t, n) {
                return this.ymd(this.y, M(n), +t);
              }
            },
            isoWeekDay: {
              regex: RegExp("^" + b + "-?W(0[1-9]|[1-4][0-9]|5[0-3])(?:-?([0-7]))?"),
              name: "isoweekday | isoweek",
              callback: function (e, t, n, i) {
                if (i = i ? +i : 1, !this.ymd(+t, 0, 1)) return !1;
                var r = new Date(this.y, this.m, this.d).getDay();
                r = 0 - (r > 4 ? r - 7 : r), this.rd += r + 7 * (n - 1) + i;
              }
            },
            relativeText: {
              regex: RegExp("^(" + m + "|" + g + ")" + t + "(" + v + ")", "i"),
              name: "relativetext",
              callback: function (e, t, n) {
                var i,
                  r = {
                    amount: {
                      last: -1,
                      previous: -1,
                      this: 0,
                      first: 1,
                      next: 1,
                      second: 2,
                      third: 3,
                      fourth: 4,
                      fifth: 5,
                      sixth: 6,
                      seventh: 7,
                      eight: 8,
                      eighth: 8,
                      ninth: 9,
                      tenth: 10,
                      eleventh: 11,
                      twelfth: 12
                    }[i = t.toLowerCase()],
                    behavior: {
                      this: 1
                    }[i] || 0
                  },
                  o = r.amount;
                switch (n.toLowerCase()) {
                  case "sec":
                  case "secs":
                  case "second":
                  case "seconds":
                    this.rs += o;
                    break;
                  case "min":
                  case "mins":
                  case "minute":
                  case "minutes":
                    this.ri += o;
                    break;
                  case "hour":
                  case "hours":
                    this.rh += o;
                    break;
                  case "day":
                  case "days":
                    this.rd += o;
                    break;
                  case "fortnight":
                  case "fortnights":
                  case "forthnight":
                  case "forthnights":
                    this.rd += 14 * o;
                    break;
                  case "week":
                  case "weeks":
                    this.rd += 7 * o;
                    break;
                  case "month":
                  case "months":
                    this.rm += o;
                    break;
                  case "year":
                  case "years":
                    this.ry += o;
                    break;
                  case "mon":
                  case "monday":
                  case "tue":
                  case "tuesday":
                  case "wed":
                  case "wednesday":
                  case "thu":
                  case "thursday":
                  case "fri":
                  case "friday":
                  case "sat":
                  case "saturday":
                  case "sun":
                  case "sunday":
                    this.resetTime(), this.weekday = P(n, 7), this.weekdayBehavior = 1, this.rd += 7 * (o > 0 ? o - 1 : o);
                }
              }
            },
            relative: {
              regex: RegExp("^([+-]*)[ \\t]*(\\d+)" + n + "(" + v + "|week)", "i"),
              name: "relative",
              callback: function (e, t, n, i) {
                var r = t.replace(/[^-]/g, "").length,
                  o = +n * Math.pow(-1, r);
                switch (i.toLowerCase()) {
                  case "sec":
                  case "secs":
                  case "second":
                  case "seconds":
                    this.rs += o;
                    break;
                  case "min":
                  case "mins":
                  case "minute":
                  case "minutes":
                    this.ri += o;
                    break;
                  case "hour":
                  case "hours":
                    this.rh += o;
                    break;
                  case "day":
                  case "days":
                    this.rd += o;
                    break;
                  case "fortnight":
                  case "fortnights":
                  case "forthnight":
                  case "forthnights":
                    this.rd += 14 * o;
                    break;
                  case "week":
                  case "weeks":
                    this.rd += 7 * o;
                    break;
                  case "month":
                  case "months":
                    this.rm += o;
                    break;
                  case "year":
                  case "years":
                    this.ry += o;
                    break;
                  case "mon":
                  case "monday":
                  case "tue":
                  case "tuesday":
                  case "wed":
                  case "wednesday":
                  case "thu":
                  case "thursday":
                  case "fri":
                  case "friday":
                  case "sat":
                  case "saturday":
                  case "sun":
                  case "sunday":
                    this.resetTime(), this.weekday = P(i, 7), this.weekdayBehavior = 1, this.rd += 7 * (o > 0 ? o - 1 : o);
                }
              }
            },
            dayText: {
              regex: RegExp("^(" + h + ")", "i"),
              name: "daytext",
              callback: function (e, t) {
                this.resetTime(), this.weekday = P(t, 0), 2 !== this.weekdayBehavior && (this.weekdayBehavior = 1);
              }
            },
            relativeTextWeek: {
              regex: RegExp("^(" + g + ")" + t + "week", "i"),
              name: "relativetextweek",
              callback: function (e, t) {
                switch (this.weekdayBehavior = 2, t.toLowerCase()) {
                  case "this":
                    this.rd += 0;
                    break;
                  case "next":
                    this.rd += 7;
                    break;
                  case "last":
                  case "previous":
                    this.rd -= 7;
                }
                isNaN(this.weekday) && (this.weekday = 1);
              }
            },
            monthFullOrMonthAbbr: {
              regex: RegExp("^(" + T + "|" + E + ")", "i"),
              name: "monthfull | monthabbr",
              callback: function (e, t) {
                return this.ymd(this.y, M(t), this.d);
              }
            },
            tzCorrection: {
              regex: RegExp("^" + O, "i"),
              name: "tzcorrection",
              callback: function (e) {
                return this.zone(L(e));
              }
            },
            tzAbbr: {
              regex: RegExp("^\\(?([a-zA-Z]{1,6})\\)?"),
              name: "tzabbr",
              callback: function (e, t) {
                var n = $[t.toLowerCase()];
                return !isNaN(n) && this.zone(n);
              }
            },
            ago: {
              regex: /^ago/i,
              name: "ago",
              callback: function () {
                this.ry = -this.ry, this.rm = -this.rm, this.rd = -this.rd, this.rh = -this.rh, this.ri = -this.ri, this.rs = -this.rs, this.rf = -this.rf;
              }
            },
            year4: {
              regex: RegExp("^" + b),
              name: "year4",
              callback: function (e, t) {
                return this.y = +t, !0;
              }
            },
            whitespace: {
              regex: /^[ .,\t]+/,
              name: "whitespace"
            },
            dateShortWithTimeLong: {
              regex: RegExp("^" + S + "t?" + r + "[:.]" + s + "[:.]" + u, "i"),
              name: "dateshortwithtimelong",
              callback: function (e, t, n, i, r, o) {
                return this.ymd(this.y, M(t), +n) && this.time(+i, +r, +o, 0);
              }
            },
            dateShortWithTimeLong12: {
              regex: RegExp("^" + S + a + "[:.]" + s + "[:.]" + c + n + i, "i"),
              name: "dateshortwithtimelong12",
              callback: function (e, t, n, i, r, o, a) {
                return this.ymd(this.y, M(t), +n) && this.time(A(+i, a), +r, +o, 0);
              }
            },
            dateShortWithTimeShort: {
              regex: RegExp("^" + S + "t?" + r + "[:.]" + s, "i"),
              name: "dateshortwithtimeshort",
              callback: function (e, t, n, i, r) {
                return this.ymd(this.y, M(t), +n) && this.time(+i, +r, 0, 0);
              }
            },
            dateShortWithTimeShort12: {
              regex: RegExp("^" + S + a + "[:.]" + l + n + i, "i"),
              name: "dateshortwithtimeshort12",
              callback: function (e, t, n, i, r, o) {
                return this.ymd(this.y, M(t), +n) && this.time(A(+i, o), +r, 0, 0);
              }
            }
          },
          N = {
            y: NaN,
            m: NaN,
            d: NaN,
            h: NaN,
            i: NaN,
            s: NaN,
            f: NaN,
            ry: 0,
            rm: 0,
            rd: 0,
            rh: 0,
            ri: 0,
            rs: 0,
            rf: 0,
            weekday: NaN,
            weekdayBehavior: 0,
            firstOrLastDayOfMonth: 0,
            z: NaN,
            dates: 0,
            times: 0,
            zones: 0,
            ymd: function (e, t, n) {
              return !(this.dates > 0) && (this.dates++, this.y = e, this.m = t, this.d = n, !0);
            },
            time: function (e, t, n, i) {
              return !(this.times > 0) && (this.times++, this.h = e, this.i = t, this.s = n, this.f = i, !0);
            },
            resetTime: function () {
              return this.h = 0, this.i = 0, this.s = 0, this.f = 0, this.times = 0, !0;
            },
            zone: function (e) {
              return this.zones <= 1 && (this.zones++, this.z = e, !0);
            },
            toDate: function (e) {
              switch (this.dates && !this.times && (this.h = this.i = this.s = this.f = 0), isNaN(this.y) && (this.y = e.getFullYear()), isNaN(this.m) && (this.m = e.getMonth()), isNaN(this.d) && (this.d = e.getDate()), isNaN(this.h) && (this.h = e.getHours()), isNaN(this.i) && (this.i = e.getMinutes()), isNaN(this.s) && (this.s = e.getSeconds()), isNaN(this.f) && (this.f = e.getMilliseconds()), this.firstOrLastDayOfMonth) {
                case 1:
                  this.d = 1;
                  break;
                case -1:
                  this.d = 0, this.m += 1;
              }
              if (!isNaN(this.weekday)) {
                var t = new Date(e.getTime());
                t.setFullYear(this.y, this.m, this.d), t.setHours(this.h, this.i, this.s, this.f);
                var n = t.getDay();
                if (2 === this.weekdayBehavior) 0 === n && 0 !== this.weekday && (this.weekday = -6), 0 === this.weekday && 0 !== n && (this.weekday = 7), this.d -= n, this.d += this.weekday;else {
                  var i = this.weekday - n;
                  (this.rd < 0 && i < 0 || this.rd >= 0 && i <= -this.weekdayBehavior) && (i += 7), this.weekday >= 0 ? this.d += i : this.d -= 7 - (Math.abs(this.weekday) - n), this.weekday = NaN;
                }
              }
              this.y += this.ry, this.m += this.rm, this.d += this.rd, this.h += this.rh, this.i += this.ri, this.s += this.rs, this.f += this.rf, this.ry = this.rm = this.rd = 0, this.rh = this.ri = this.rs = this.rf = 0;
              var r = new Date(e.getTime());
              switch (r.setFullYear(this.y, this.m, this.d), r.setHours(this.h, this.i, this.s, this.f), this.firstOrLastDayOfMonth) {
                case 1:
                  r.setDate(1);
                  break;
                case -1:
                  r.setMonth(r.getMonth() + 1, 0);
              }
              return isNaN(this.z) || r.getTimezoneOffset() === this.z || (r.setUTCFullYear(r.getFullYear(), r.getMonth(), r.getDate()), r.setUTCHours(r.getHours(), r.getMinutes(), r.getSeconds() - this.z, r.getMilliseconds())), r;
            }
          };
        e.exports = function (e, t) {
          null == t && (t = Math.floor(Date.now() / 1e3));
          for (var n = [_.yesterday, _.now, _.noon, _.midnightOrToday, _.tomorrow, _.timestamp, _.firstOrLastDay, _.backOrFrontOf, _.timeTiny12, _.timeShort12, _.timeLong12, _.mssqltime, _.timeShort24, _.timeLong24, _.iso8601long, _.gnuNoColon, _.iso8601noColon, _.americanShort, _.american, _.iso8601date4, _.iso8601dateSlash, _.dateSlash, _.gnuDateShortOrIso8601date2, _.gnuDateShorter, _.dateFull, _.pointedDate4, _.pointedDate2, _.dateNoDay, _.dateNoDayRev, _.dateTextual, _.dateNoYear, _.dateNoYearRev, _.dateNoColon, _.xmlRpc, _.xmlRpcNoColon, _.soap, _.wddx, _.exif, _.pgydotd, _.isoWeekDay, _.pgTextShort, _.pgTextReverse, _.clf, _.year4, _.ago, _.dayText, _.relativeTextWeek, _.relativeText, _.monthFullOrMonthAbbr, _.tzCorrection, _.tzAbbr, _.dateShortWithTimeShort12, _.dateShortWithTimeLong12, _.dateShortWithTimeShort, _.dateShortWithTimeLong, _.relative, _.whitespace], i = Object.create(N); e.length;) {
            for (var r = null, o = null, a = 0, s = n.length; a < s; a++) {
              var l = n[a],
                u = e.match(l.regex);
              u && (!r || u[0].length > r[0].length) && (r = u, o = l);
            }
            if (!o || o.callback && !1 === o.callback.apply(i, r)) return !1;
            e = e.substr(r[0].length), o = null, r = null;
          }
          return Math.floor(i.toDate(new Date(1e3 * t)) / 1e3);
        };
      },
      "./node_modules/locutus/php/info/ini_get.js":
      /*!**************************************************!*\
        !*** ./node_modules/locutus/php/info/ini_get.js ***!
        \**************************************************/
      function (e, t, n) {
        e.exports = function (e) {
          var t = "undefined" != typeof window ? window : n.g;
          t.$locutus = t.$locutus || {};
          var i = t.$locutus;
          return i.php = i.php || {}, i.php.ini = i.php.ini || {}, i.php.ini[e] && void 0 !== i.php.ini[e].local_value ? null === i.php.ini[e].local_value ? "" : i.php.ini[e].local_value : "";
        };
      },
      "./node_modules/locutus/php/strings/strlen.js":
      /*!****************************************************!*\
        !*** ./node_modules/locutus/php/strings/strlen.js ***!
        \****************************************************/
      function (e, t, n) {
        e.exports = function (e) {
          var t = e + "";
          if ("off" === (n( /*! ../info/ini_get */"./node_modules/locutus/php/info/ini_get.js")("unicode.semantics") || "off")) return t.length;
          var i = 0,
            r = 0,
            o = function (e, t) {
              var n = e.charCodeAt(t),
                i = "",
                r = "";
              if (n >= 55296 && n <= 56319) {
                if (e.length <= t + 1) throw new Error("High surrogate without following low surrogate");
                if ((i = e.charCodeAt(t + 1)) < 56320 || i > 57343) throw new Error("High surrogate without following low surrogate");
                return e.charAt(t) + e.charAt(t + 1);
              }
              if (n >= 56320 && n <= 57343) {
                if (0 === t) throw new Error("Low surrogate without preceding high surrogate");
                if ((r = e.charCodeAt(t - 1)) < 55296 || r > 56319) throw new Error("Low surrogate without preceding high surrogate");
                return !1;
              }
              return e.charAt(t);
            };
          for (i = 0, r = 0; i < t.length; i++) !1 !== o(t, i) && r++;
          return r;
        };
      },
      "./node_modules/locutus/php/var/is_numeric.js":
      /*!****************************************************!*\
        !*** ./node_modules/locutus/php/var/is_numeric.js ***!
        \****************************************************/
      function (e) {
        e.exports = function (e) {
          var t = [" ", "\n", "\r", "\t", "\f", "\v", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", "​", "\u2028", "\u2029", "　"].join("");
          return ("number" == typeof e || "string" == typeof e && -1 === t.indexOf(e.slice(-1))) && "" !== e && !isNaN(e);
        };
      }
    },
    t = {};
  function n(i) {
    var r = t[i];
    if (void 0 !== r) return r.exports;
    var o = t[i] = {
      exports: {}
    };
    return e[i](o, o.exports, n), o.exports;
  }
  n.n = function (e) {
    var t = e && e.__esModule ? function () {
      return e.default;
    } : function () {
      return e;
    };
    return n.d(t, {
      a: t
    }), t;
  }, n.d = function (e, t) {
    for (var i in t) n.o(t, i) && !n.o(e, i) && Object.defineProperty(e, i, {
      enumerable: !0,
      get: t[i]
    });
  }, n.g = function () {
    if ("object" == typeof globalThis) return globalThis;
    try {
      return this || new Function("return this")();
    } catch (e) {
      if ("object" == typeof window) return window;
    }
  }(), n.o = function (e, t) {
    return Object.prototype.hasOwnProperty.call(e, t);
  }, n.r = function (e) {
    "undefined" != typeof Symbol && Symbol.toStringTag && Object.defineProperty(e, Symbol.toStringTag, {
      value: "Module"
    }), Object.defineProperty(e, "__esModule", {
      value: !0
    });
  };
  var i = {};
  !function () {
    /*!****************************************!*\
      !*** ./resources/assets/js/helpers.js ***!
      \****************************************/
    n.r(i);
    var e = n( /*! locutus/php/strings/strlen */"./node_modules/locutus/php/strings/strlen.js"),
      t = n.n(e),
      r = n( /*! locutus/php/array/array_diff */"./node_modules/locutus/php/array/array_diff.js"),
      o = n.n(r),
      a = n( /*! locutus/php/datetime/strtotime */"./node_modules/locutus/php/datetime/strtotime.js"),
      s = n.n(a),
      l = n( /*! locutus/php/var/is_numeric */"./node_modules/locutus/php/var/is_numeric.js"),
      u = n.n(l);
    /*!
     * Laravel Javascript Validation
     *
     * https://github.com/proengsoft/laravel-jsvalidation
     *
     * Helper functions used by validators
     *
     * Copyright (c) 2017 Proengsoft
     * Released under the MIT license
     */
    $.extend(!0, laravelValidation, {
      helpers: {
        numericRules: ["Integer", "Numeric"],
        fileinfo: function (e, t) {
          var n = e.value;
          return t = void 0 !== t ? t : 0, null !== e.files && void 0 !== e.files[t] && {
            file: n,
            extension: n.substr(n.lastIndexOf(".") + 1),
            size: e.files[t].size / 1024,
            type: e.files[t].type
          };
        },
        selector: function (e) {
          var t = [];
          this.isArray(e) || (e = [e]);
          for (var n = 0; n < e.length; n++) t.push("[name='" + e[n] + "']");
          return t.join();
        },
        hasNumericRules: function (e) {
          return this.hasRules(e, this.numericRules);
        },
        hasRules: function (e, t) {
          var n = !1;
          "string" == typeof t && (t = [t]);
          var i = $.data(e.form, "validator"),
            r = [],
            o = i.arrayRulesCache;
          return e.name in o && $.each(o[e.name], function (e, t) {
            r.push(t);
          }), e.name in i.settings.rules && r.push(i.settings.rules[e.name]), $.each(r, function (e, i) {
            if ("laravelValidation" in i) for (var r = i.laravelValidation, o = 0; o < r.length; o++) if (-1 !== $.inArray(r[o][0], t)) return n = !0, !1;
          }), n;
        },
        strlen: function (e) {
          return t()(e);
        },
        getSize: function (e, t, n) {
          return this.hasNumericRules(t) && this.is_numeric(n) ? parseFloat(n) : this.isArray(n) ? parseFloat(n.length) : "file" === t.type ? parseFloat(Math.floor(this.fileinfo(t).size)) : parseFloat(this.strlen(n));
        },
        getLaravelValidation: function (e, t) {
          var n = void 0;
          return $.each($.validator.staticRules(t), function (t, i) {
            "laravelValidation" === t && $.each(i, function (t, i) {
              i[0] === e && (n = i);
            });
          }), n;
        },
        parseTime: function (e, t) {
          var n = !1,
            i = new DateFormatter();
          if ("number" == typeof e && void 0 === t) return e;
          if ("object" == typeof t) {
            var r = this.getLaravelValidation("DateFormat", t);
            t = void 0 !== r ? r[1][0] : null;
          }
          return n = null == t ? this.strtotime(e) : (n = i.parseDate(e, t)) instanceof Date && i.formatDate(n, t) === e && Math.round(n.getTime() / 1e3);
        },
        compareDates: function (e, t, n, i, r) {
          var o = this.parseTime(i);
          if (!o) {
            var a = this.dependentElement(e, n, i);
            if (void 0 === a) return !1;
            o = this.parseTime(e.elementValue(a), a);
          }
          var s = this.parseTime(t, n);
          if (!1 === s) return !1;
          switch (r) {
            case "<":
              return s < o;
            case "<=":
              return s <= o;
            case "==":
            case "===":
              return s === o;
            case ">":
              return s > o;
            case ">=":
              return s >= o;
            default:
              throw new Error("Unsupported operator.");
          }
        },
        guessDate: function (e, t) {
          return new DateFormatter().guessDate(e, t);
        },
        strtotime: function (e, t) {
          return s()(e, t);
        },
        is_numeric: function (e) {
          return u()(e);
        },
        isArray: function (e) {
          return "[object Array]" === Object.prototype.toString.call(e);
        },
        arrayDiff: function (e, t) {
          return o()(e, t);
        },
        arrayEquals: function (e, t) {
          return !(!this.isArray(e) || !this.isArray(t)) && e.length === t.length && $.isEmptyObject(this.arrayDiff(e, t));
        },
        dependentElement: function (e, t, n) {
          var i = e.findByName(n);
          if (void 0 !== i[0] && e.settings.onfocusout) {
            var r = "blur";
            "SELECT" !== i[0].tagName && "OPTION" !== i[0].tagName && "checkbox" !== i[0].type && "radio" !== i[0].type || (r = "click");
            var o = ".validate-laravelValidation";
            i.off(o).off(r + o + "-" + t.name).on(r + o + "-" + t.name, function () {
              $(t).valid();
            });
          }
          return i[0];
        },
        parseErrorResponse: function (e) {
          var t = ["Whoops, looks like something went wrong."];
          if ("responseText" in e) {
            var n = e.responseText.match(/<h1\s*>(.*)<\/h1\s*>/i);
            this.isArray(n) && (t = [n[1]]);
          }
          return t;
        },
        escapeRegExp: function (e) {
          return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");
        },
        regexFromWildcard: function (e) {
          var t = e.split("[*]");
          return 1 === t.length && t.push(""), new RegExp("^" + t.map(function (e) {
            return laravelValidation.helpers.escapeRegExp(e);
          }).join("\\[[^\\]]*\\]") + "$");
        },
        mergeRules: function (e, t) {
          var n = {
            laravelValidation: t.laravelValidation || [],
            laravelValidationRemote: t.laravelValidationRemote || []
          };
          for (var i in n) 0 !== n[i].length && (void 0 === e[i] && (e[i] = []), e[i] = e[i].concat(n[i]));
          return e;
        },
        encode: function (e) {
          return $("<div/>").text(e).html();
        },
        findByArrayName: function (e, t) {
          for (var n = t.replace(/\.([^\.]+)/g, "[$1]"), i = [n, n + "[]", n.replace(/(.*)\[(.*)\]$/g, "$1[]")], r = 0; r < i.length; r++) {
            var o = e.findByName(i[r]);
            if (o.length > 0) return o;
          }
          return $(null);
        },
        findByName: function (e, t) {
          var n = e.findByName(t);
          if (n.length > 0) return n;
          for (var i = t.split("."), r = i.length; r > 0; r--) {
            for (var o = [], a = 0; a < r; a++) o.push(i[a]);
            if ((n = this.findByArrayName(e, o.join("."))).length > 0) return n;
          }
          return $(null);
        },
        allElementValues: function (e, t) {
          return -1 !== t.name.indexOf("[]") ? e.findByName(t.name).map(function (t, n) {
            return e.elementValue(n);
          }).get() : e.elementValue(t);
        }
      }
    });
  }();
}(),
/*!
 * Laravel Javascript Validation
 *
 * https://github.com/proengsoft/laravel-jsvalidation
 *
 * Timezone Helper functions used by validators
 *
 * Copyright (c) 2017 Proengsoft
 * Released under the MIT license
 */
$.extend(!0, laravelValidation, {
  helpers: {
    isTimezone: function (e) {
      var t = {
          africa: ["abidjan", "accra", "addis_ababa", "algiers", "asmara", "bamako", "bangui", "banjul", "bissau", "blantyre", "brazzaville", "bujumbura", "cairo", "casablanca", "ceuta", "conakry", "dakar", "dar_es_salaam", "djibouti", "douala", "el_aaiun", "freetown", "gaborone", "harare", "johannesburg", "juba", "kampala", "khartoum", "kigali", "kinshasa", "lagos", "libreville", "lome", "luanda", "lubumbashi", "lusaka", "malabo", "maputo", "maseru", "mbabane", "mogadishu", "monrovia", "nairobi", "ndjamena", "niamey", "nouakchott", "ouagadougou", "porto-novo", "sao_tome", "tripoli", "tunis", "windhoek"],
          america: ["adak", "anchorage", "anguilla", "antigua", "araguaina", "argentina/buenos_aires", "argentina/catamarca", "argentina/cordoba", "argentina/jujuy", "argentina/la_rioja", "argentina/mendoza", "argentina/rio_gallegos", "argentina/salta", "argentina/san_juan", "argentina/san_luis", "argentina/tucuman", "argentina/ushuaia", "aruba", "asuncion", "atikokan", "bahia", "bahia_banderas", "barbados", "belem", "belize", "blanc-sablon", "boa_vista", "bogota", "boise", "cambridge_bay", "campo_grande", "cancun", "caracas", "cayenne", "cayman", "chicago", "chihuahua", "costa_rica", "creston", "cuiaba", "curacao", "danmarkshavn", "dawson", "dawson_creek", "denver", "detroit", "dominica", "edmonton", "eirunepe", "el_salvador", "fortaleza", "glace_bay", "godthab", "goose_bay", "grand_turk", "grenada", "guadeloupe", "guatemala", "guayaquil", "guyana", "halifax", "havana", "hermosillo", "indiana/indianapolis", "indiana/knox", "indiana/marengo", "indiana/petersburg", "indiana/tell_city", "indiana/vevay", "indiana/vincennes", "indiana/winamac", "inuvik", "iqaluit", "jamaica", "juneau", "kentucky/louisville", "kentucky/monticello", "kralendijk", "la_paz", "lima", "los_angeles", "lower_princes", "maceio", "managua", "manaus", "marigot", "martinique", "matamoros", "mazatlan", "menominee", "merida", "metlakatla", "mexico_city", "miquelon", "moncton", "monterrey", "montevideo", "montreal", "montserrat", "nassau", "new_york", "nipigon", "nome", "noronha", "north_dakota/beulah", "north_dakota/center", "north_dakota/new_salem", "ojinaga", "panama", "pangnirtung", "paramaribo", "phoenix", "port-au-prince", "port_of_spain", "porto_velho", "puerto_rico", "rainy_river", "rankin_inlet", "recife", "regina", "resolute", "rio_branco", "santa_isabel", "santarem", "santiago", "santo_domingo", "sao_paulo", "scoresbysund", "shiprock", "sitka", "st_barthelemy", "st_johns", "st_kitts", "st_lucia", "st_thomas", "st_vincent", "swift_current", "tegucigalpa", "thule", "thunder_bay", "tijuana", "toronto", "tortola", "vancouver", "whitehorse", "winnipeg", "yakutat", "yellowknife"],
          antarctica: ["casey", "davis", "dumontdurville", "macquarie", "mawson", "mcmurdo", "palmer", "rothera", "south_pole", "syowa", "vostok"],
          arctic: ["longyearbyen"],
          asia: ["aden", "almaty", "amman", "anadyr", "aqtau", "aqtobe", "ashgabat", "baghdad", "bahrain", "baku", "bangkok", "beirut", "bishkek", "brunei", "choibalsan", "chongqing", "colombo", "damascus", "dhaka", "dili", "dubai", "dushanbe", "gaza", "harbin", "hebron", "ho_chi_minh", "hong_kong", "hovd", "irkutsk", "jakarta", "jayapura", "jerusalem", "kabul", "kamchatka", "karachi", "kashgar", "kathmandu", "khandyga", "kolkata", "krasnoyarsk", "kuala_lumpur", "kuching", "kuwait", "macau", "magadan", "makassar", "manila", "muscat", "nicosia", "novokuznetsk", "novosibirsk", "omsk", "oral", "phnom_penh", "pontianak", "pyongyang", "qatar", "qyzylorda", "rangoon", "riyadh", "sakhalin", "samarkand", "seoul", "shanghai", "singapore", "taipei", "tashkent", "tbilisi", "tehran", "thimphu", "tokyo", "ulaanbaatar", "urumqi", "ust-nera", "vientiane", "vladivostok", "yakutsk", "yekaterinburg", "yerevan"],
          atlantic: ["azores", "bermuda", "canary", "cape_verde", "faroe", "madeira", "reykjavik", "south_georgia", "st_helena", "stanley"],
          australia: ["adelaide", "brisbane", "broken_hill", "currie", "darwin", "eucla", "hobart", "lindeman", "lord_howe", "melbourne", "perth", "sydney"],
          europe: ["amsterdam", "andorra", "athens", "belgrade", "berlin", "bratislava", "brussels", "bucharest", "budapest", "busingen", "chisinau", "copenhagen", "dublin", "gibraltar", "guernsey", "helsinki", "isle_of_man", "istanbul", "jersey", "kaliningrad", "kiev", "lisbon", "ljubljana", "london", "luxembourg", "madrid", "malta", "mariehamn", "minsk", "monaco", "moscow", "oslo", "paris", "podgorica", "prague", "riga", "rome", "samara", "san_marino", "sarajevo", "simferopol", "skopje", "sofia", "stockholm", "tallinn", "tirane", "uzhgorod", "vaduz", "vatican", "vienna", "vilnius", "volgograd", "warsaw", "zagreb", "zaporozhye", "zurich"],
          indian: ["antananarivo", "chagos", "christmas", "cocos", "comoro", "kerguelen", "mahe", "maldives", "mauritius", "mayotte", "reunion"],
          pacific: ["apia", "auckland", "chatham", "chuuk", "easter", "efate", "enderbury", "fakaofo", "fiji", "funafuti", "galapagos", "gambier", "guadalcanal", "guam", "honolulu", "johnston", "kiritimati", "kosrae", "kwajalein", "majuro", "marquesas", "midway", "nauru", "niue", "norfolk", "noumea", "pago_pago", "palau", "pitcairn", "pohnpei", "port_moresby", "rarotonga", "saipan", "tahiti", "tarawa", "tongatapu", "wake", "wallis"],
          utc: [""]
        },
        n = e.split("/", 2),
        i = n[0].toLowerCase(),
        r = "";
      return n[1] && (r = n[1].toLowerCase()), i in t && (0 === t[i].length || -1 !== t[i].indexOf(r));
    }
  }
}),
/*!
 * Laravel Javascript Validation
 *
 * https://github.com/proengsoft/laravel-jsvalidation
 *
 * Methods that implement Laravel Validations
 *
 * Copyright (c) 2017 Proengsoft
 * Released under the MIT license
 */
$.extend(!0, laravelValidation, {
  methods: {
    helpers: laravelValidation.helpers,
    jsRemoteTimer: 0,
    Sometimes: function () {
      return !0;
    },
    Bail: function () {
      return !0;
    },
    Nullable: function () {
      return !0;
    },
    Filled: function (e, t) {
      return $.validator.methods.required.call(this, e, t, !0);
    },
    Required: function (e, t) {
      return $.validator.methods.required.call(this, e, t);
    },
    RequiredWith: function (e, t, n) {
      var i = this,
        r = !1,
        o = this;
      return $.each(n, function (e, n) {
        var a = laravelValidation.helpers.dependentElement(o, t, n);
        r = r || void 0 !== a && $.validator.methods.required.call(i, o.elementValue(a), a, !0);
      }), !r || $.validator.methods.required.call(this, e, t, !0);
    },
    RequiredWithAll: function (e, t, n) {
      var i = this,
        r = !0,
        o = this;
      return $.each(n, function (e, n) {
        var a = laravelValidation.helpers.dependentElement(o, t, n);
        r = r && void 0 !== a && $.validator.methods.required.call(i, o.elementValue(a), a, !0);
      }), !r || $.validator.methods.required.call(this, e, t, !0);
    },
    RequiredWithout: function (e, t, n) {
      var i = this,
        r = !1,
        o = this;
      return $.each(n, function (e, n) {
        var a = laravelValidation.helpers.dependentElement(o, t, n);
        r = r || void 0 === a || !$.validator.methods.required.call(i, o.elementValue(a), a, !0);
      }), !r || $.validator.methods.required.call(this, e, t, !0);
    },
    RequiredWithoutAll: function (e, t, n) {
      var i = this,
        r = !0,
        o = this;
      return $.each(n, function (e, n) {
        var a = laravelValidation.helpers.dependentElement(o, t, n);
        r = r && (void 0 === a || !$.validator.methods.required.call(i, o.elementValue(a), a, !0));
      }), !r || $.validator.methods.required.call(this, e, t, !0);
    },
    RequiredIf: function (e, t, n) {
      var i = laravelValidation.helpers.dependentElement(this, t, n[0]);
      if (void 0 !== i) {
        var r = String(this.elementValue(i));
        if (void 0 !== r) {
          var o = n.slice(1);
          if (-1 !== $.inArray(r, o)) return $.validator.methods.required.call(this, e, t, !0);
        }
      }
      return !0;
    },
    RequiredUnless: function (e, t, n) {
      var i = laravelValidation.helpers.dependentElement(this, t, n[0]);
      if (void 0 !== i) {
        var r = String(this.elementValue(i));
        if (void 0 !== r) {
          var o = n.slice(1);
          if (-1 !== $.inArray(r, o)) return !0;
        }
      }
      return $.validator.methods.required.call(this, e, t, !0);
    },
    Confirmed: function (e, t, n) {
      return laravelValidation.methods.Same.call(this, e, t, n);
    },
    Same: function (e, t, n) {
      var i = laravelValidation.helpers.dependentElement(this, t, n[0]);
      return void 0 !== i && String(e) === String(this.elementValue(i));
    },
    InArray: function (e, t, n) {
      if (void 0 === n[0]) return !1;
      for (var i = this.elements(), r = !1, o = laravelValidation.helpers.regexFromWildcard(n[0]), a = 0; a < i.length; a++) {
        var s = i[a].name;
        if (s.match(o)) {
          var l = laravelValidation.methods.Same.call(this, e, t, [s]);
          r = r || l;
        }
      }
      return r;
    },
    Distinct: function (e, t, n) {
      if (void 0 === n[0]) return !1;
      for (var i = this.elements(), r = !1, o = laravelValidation.helpers.regexFromWildcard(n[0]), a = 0; a < i.length; a++) {
        var s = i[a].name;
        if (s !== t.name && s.match(o)) {
          var l = laravelValidation.methods.Same.call(this, e, t, [s]);
          r = r || l;
        }
      }
      return !r;
    },
    Different: function (e, t, n) {
      return !laravelValidation.methods.Same.call(this, e, t, n);
    },
    Accepted: function (e) {
      return new RegExp("^(?:(yes|on|1|true))$", "i").test(e);
    },
    Array: function (e, t) {
      return -1 !== t.name.indexOf("[") && -1 !== t.name.indexOf("]") || laravelValidation.helpers.isArray(e);
    },
    Boolean: function (e) {
      return new RegExp("^(?:(true|false|1|0))$", "i").test(e);
    },
    Integer: function (e) {
      return new RegExp("^(?:-?\\d+)$", "i").test(e);
    },
    Numeric: function (e, t) {
      return $.validator.methods.number.call(this, e, t, !0);
    },
    String: function (e) {
      return "string" == typeof e;
    },
    Digits: function (e, t, n) {
      return $.validator.methods.number.call(this, e, t, !0) && e.length === parseInt(n, 10);
    },
    DigitsBetween: function (e, t, n) {
      return $.validator.methods.number.call(this, e, t, !0) && e.length >= parseFloat(n[0]) && e.length <= parseFloat(n[1]);
    },
    Size: function (e, t, n) {
      return laravelValidation.helpers.getSize(this, t, e) === parseFloat(n[0]);
    },
    Between: function (e, t, n) {
      return laravelValidation.helpers.getSize(this, t, e) >= parseFloat(n[0]) && laravelValidation.helpers.getSize(this, t, e) <= parseFloat(n[1]);
    },
    Min: function (e, t, n) {
      return e = laravelValidation.helpers.allElementValues(this, t), laravelValidation.helpers.getSize(this, t, e) >= parseFloat(n[0]);
    },
    Max: function (e, t, n) {
      return e = laravelValidation.helpers.allElementValues(this, t), laravelValidation.helpers.getSize(this, t, e) <= parseFloat(n[0]);
    },
    In: function (e, t, n) {
      if (laravelValidation.helpers.isArray(e) && laravelValidation.helpers.hasRules(t, "Array")) {
        var i = laravelValidation.helpers.arrayDiff(e, n);
        return 0 === Object.keys(i).length;
      }
      return -1 !== n.indexOf(e.toString());
    },
    NotIn: function (e, t, n) {
      return -1 === n.indexOf(e.toString());
    },
    Ip: function (e) {
      return /^(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)\.(25[0-5]|2[0-4]\d|[01]?\d\d?)$/i.test(e) || /^((([0-9A-Fa-f]{1,4}:){7}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){6}:[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){5}:([0-9A-Fa-f]{1,4}:)?[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){4}:([0-9A-Fa-f]{1,4}:){0,2}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){3}:([0-9A-Fa-f]{1,4}:){0,3}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){2}:([0-9A-Fa-f]{1,4}:){0,4}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){6}((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|(([0-9A-Fa-f]{1,4}:){0,5}:((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|(::([0-9A-Fa-f]{1,4}:){0,5}((\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b)\.){3}(\b((25[0-5])|(1\d{2})|(2[0-4]\d)|(\d{1,2}))\b))|([0-9A-Fa-f]{1,4}::([0-9A-Fa-f]{1,4}:){0,5}[0-9A-Fa-f]{1,4})|(::([0-9A-Fa-f]{1,4}:){0,6}[0-9A-Fa-f]{1,4})|(([0-9A-Fa-f]{1,4}:){1,7}:))$/i.test(e);
    },
    Email: function (e, t) {
      return $.validator.methods.email.call(this, e, t, !0);
    },
    Url: function (e, t) {
      return $.validator.methods.url.call(this, e, t, !0);
    },
    File: function (e, t) {
      return !(window.File && window.FileReader && window.FileList && window.Blob) || "files" in t && t.files.length > 0;
    },
    Mimes: function (e, t, n) {
      if (!(window.File && window.FileReader && window.FileList && window.Blob)) return !0;
      var i = $.map(n, function (e) {
          return e.toLowerCase();
        }),
        r = laravelValidation.helpers.fileinfo(t);
      return !1 !== r && -1 !== i.indexOf(r.extension.toLowerCase());
    },
    Mimetypes: function (e, t, n) {
      if (!(window.File && window.FileReader && window.FileList && window.Blob)) return !0;
      var i = $.map(n, function (e) {
          return e.toLowerCase();
        }),
        r = laravelValidation.helpers.fileinfo(t);
      return !1 !== r && -1 !== i.indexOf(r.type.toLowerCase());
    },
    Image: function (e, t) {
      return laravelValidation.methods.Mimes.call(this, e, t, ["jpg", "png", "gif", "bmp", "svg", "jpeg"]);
    },
    Dimensions: function (value, element, params, callback) {
      if (!(window.File && window.FileReader && window.FileList && window.Blob)) return !0;
      if (null === element.files || void 0 === element.files[0]) return !1;
      var fr = new FileReader();
      return fr.onload = function () {
        var img = new Image();
        img.onload = function () {
          var height = parseFloat(img.naturalHeight),
            width = parseFloat(img.naturalWidth),
            ratio = width / height,
            notValid = params.width && parseFloat(params.width !== width) || params.min_width && parseFloat(params.min_width) > width || params.max_width && parseFloat(params.max_width) < width || params.height && parseFloat(params.height) !== height || params.min_height && parseFloat(params.min_height) > height || params.max_height && parseFloat(params.max_height) < height || params.ratio && ratio !== parseFloat(eval(params.ratio));
          callback(!notValid);
        }, img.onerror = function () {
          callback(!1);
        }, img.src = fr.result;
      }, fr.readAsDataURL(element.files[0]), "pending";
    },
    Alpha: function (e) {
      return "string" == typeof e && new RegExp("^(?:^[a-zà-ü]+$)$", "i").test(e);
    },
    AlphaNum: function (e) {
      return "string" == typeof e && new RegExp("^(?:^[a-z0-9à-ü]+$)$", "i").test(e);
    },
    AlphaDash: function (e) {
      return "string" == typeof e && new RegExp("^(?:^[a-z0-9à-ü_-]+$)$", "i").test(e);
    },
    Regex: function (e, t, n) {
      var i = ["x", "s", "u", "X", "U", "A"],
        r = new RegExp("^(?:/)(.*\\/?[^/]*|[^/]*)(?:/)([gmixXsuUAJ]*)?$"),
        o = n[0].match(r);
      if (null === o) return !1;
      var a = [];
      if (void 0 !== o[2]) {
        a = o[2].split("");
        for (var s = 0; s < a.length < s; s++) if (-1 !== i.indexOf(a[s])) return !0;
      }
      return new RegExp("^(?:" + o[1] + ")$", a.join()).test(e);
    },
    Date: function (e) {
      return !1 !== laravelValidation.helpers.strtotime(e);
    },
    DateFormat: function (e, t, n) {
      return !1 !== laravelValidation.helpers.parseTime(e, n[0]);
    },
    Before: function (e, t, n) {
      return laravelValidation.helpers.compareDates(this, e, t, n[0], "<");
    },
    BeforeOrEqual: function (e, t, n) {
      return laravelValidation.helpers.compareDates(this, e, t, n[0], "<=");
    },
    After: function (e, t, n) {
      return laravelValidation.helpers.compareDates(this, e, t, n[0], ">");
    },
    AfterOrEqual: function (e, t, n) {
      return laravelValidation.helpers.compareDates(this, e, t, n[0], ">=");
    },
    Timezone: function (e) {
      return laravelValidation.helpers.isTimezone(e);
    },
    Json: function (e) {
      var t = !0;
      try {
        JSON.parse(e);
      } catch (e) {
        t = !1;
      }
      return t;
    },
    ProengsoftNoop: function (e) {
      return !0;
    }
  }
}), document.body.hasAttribute("data-disable-pace") && (paceOptions = {
  ajax: !1,
  startOnPageLoad: !1
}), function () {
  var e,
    t,
    n,
    i,
    r,
    o,
    a,
    s,
    l,
    u,
    c,
    d,
    p,
    f,
    h,
    m,
    g,
    v,
    y,
    b,
    w,
    x,
    k,
    C,
    T,
    E,
    D,
    O,
    S,
    A,
    j,
    M,
    P,
    L,
    $,
    _,
    N,
    F,
    I,
    R,
    q,
    H,
    B,
    V,
    z,
    W,
    Y,
    U,
    K = [].slice,
    X = {}.hasOwnProperty,
    J = function (e, t) {
      for (var n in t) X.call(t, n) && (e[n] = t[n]);
      function i() {
        this.constructor = e;
      }
      return i.prototype = t.prototype, e.prototype = new i(), e.__super__ = t.prototype, e;
    },
    G = [].indexOf || function (e) {
      for (var t = 0, n = this.length; t < n; t++) if (t in this && this[t] === e) return t;
      return -1;
    };
  for (w = {
    catchupTime: 100,
    initialRate: .03,
    minTime: 250,
    ghostTime: 100,
    maxProgressPerFrame: 20,
    easeFactor: 1.25,
    startOnPageLoad: !0,
    restartOnPushState: !0,
    restartOnRequestAfter: 500,
    target: "body",
    elements: {
      checkInterval: 100,
      selectors: ["body"]
    },
    eventLag: {
      minSamples: 10,
      sampleCount: 3,
      lagThreshold: 3
    },
    ajax: {
      trackMethods: ["GET"],
      trackWebSockets: !0,
      ignoreURLs: []
    }
  }, S = function () {
    var e;
    return null != (e = "undefined" != typeof performance && null !== performance && "function" == typeof performance.now ? performance.now() : void 0) ? e : +new Date();
  }, j = window.requestAnimationFrame || window.mozRequestAnimationFrame || window.webkitRequestAnimationFrame || window.msRequestAnimationFrame, b = window.cancelAnimationFrame || window.mozCancelAnimationFrame, null == j && (j = function (e) {
    return setTimeout(e, 50);
  }, b = function (e) {
    return clearTimeout(e);
  }), P = function (e) {
    var t, n;
    return t = S(), (n = function () {
      var i;
      return (i = S() - t) >= 33 ? (t = S(), e(i, function () {
        return j(n);
      })) : setTimeout(n, 33 - i);
    })();
  }, M = function () {
    var e, t, n;
    return n = arguments[0], t = arguments[1], e = 3 <= arguments.length ? K.call(arguments, 2) : [], "function" == typeof n[t] ? n[t].apply(n, e) : n[t];
  }, x = function () {
    var e, t, n, i, r, o, a;
    for (t = arguments[0], o = 0, a = (i = 2 <= arguments.length ? K.call(arguments, 1) : []).length; o < a; o++) if (n = i[o]) for (e in n) X.call(n, e) && (r = n[e], null != t[e] && "object" == typeof t[e] && null != r && "object" == typeof r ? x(t[e], r) : t[e] = r);
    return t;
  }, g = function (e) {
    var t, n, i, r, o;
    for (n = t = 0, r = 0, o = e.length; r < o; r++) i = e[r], n += Math.abs(i), t++;
    return n / t;
  }, C = function (e, t) {
    var n, i, r;
    if (null == e && (e = "options"), null == t && (t = !0), r = document.querySelector("[data-pace-" + e + "]")) {
      if (n = r.getAttribute("data-pace-" + e), !t) return n;
      try {
        return JSON.parse(n);
      } catch (e) {
        return i = e, "undefined" != typeof console && null !== console ? void 0 : void 0;
      }
    }
  }, a = function () {
    function e() {}
    return e.prototype.on = function (e, t, n, i) {
      var r;
      return null == i && (i = !1), null == this.bindings && (this.bindings = {}), null == (r = this.bindings)[e] && (r[e] = []), this.bindings[e].push({
        handler: t,
        ctx: n,
        once: i
      });
    }, e.prototype.once = function (e, t, n) {
      return this.on(e, t, n, !0);
    }, e.prototype.off = function (e, t) {
      var n, i, r;
      if (null != (null != (i = this.bindings) ? i[e] : void 0)) {
        if (null == t) return delete this.bindings[e];
        for (n = 0, r = []; n < this.bindings[e].length;) this.bindings[e][n].handler === t ? r.push(this.bindings[e].splice(n, 1)) : r.push(n++);
        return r;
      }
    }, e.prototype.trigger = function () {
      var e, t, n, i, r, o, a, s, l;
      if (n = arguments[0], e = 2 <= arguments.length ? K.call(arguments, 1) : [], null != (a = this.bindings) ? a[n] : void 0) {
        for (r = 0, l = []; r < this.bindings[n].length;) i = (s = this.bindings[n][r]).handler, t = s.ctx, o = s.once, i.apply(null != t ? t : this, e), o ? l.push(this.bindings[n].splice(r, 1)) : l.push(r++);
        return l;
      }
    }, e;
  }(), u = window.Pace || {}, window.Pace = u, x(u, a.prototype), A = u.options = x({}, w, window.paceOptions, C()), B = 0, z = (Y = ["ajax", "document", "eventLag", "elements"]).length; B < z; B++) !0 === A[N = Y[B]] && (A[N] = w[N]);
  l = function (e) {
    function t() {
      return t.__super__.constructor.apply(this, arguments);
    }
    return J(t, e), t;
  }(Error), t = function () {
    function e() {
      this.progress = 0;
    }
    return e.prototype.getElement = function () {
      var e;
      if (null == this.el) {
        if (!(e = document.querySelector(A.target))) throw new l();
        this.el = document.createElement("div"), this.el.className = "pace pace-active", document.body.className = document.body.className.replace(/pace-done/g, ""), document.body.className += " pace-running", this.el.innerHTML = '<div class="pace-progress">\n  <div class="pace-progress-inner"></div>\n</div>\n<div class="pace-activity"></div>', null != e.firstChild ? e.insertBefore(this.el, e.firstChild) : e.appendChild(this.el);
      }
      return this.el;
    }, e.prototype.finish = function () {
      var e;
      return (e = this.getElement()).className = e.className.replace("pace-active", ""), e.className += " pace-inactive", document.body.className = document.body.className.replace("pace-running", ""), document.body.className += " pace-done";
    }, e.prototype.update = function (e) {
      return this.progress = e, this.render();
    }, e.prototype.destroy = function () {
      try {
        this.getElement().parentNode.removeChild(this.getElement());
      } catch (e) {
        l = e;
      }
      return this.el = void 0;
    }, e.prototype.render = function () {
      var e, t, n, i, r, o, a;
      if (null == document.querySelector(A.target)) return !1;
      for (e = this.getElement(), i = "translate3d(" + this.progress + "%, 0, 0)", r = 0, o = (a = ["webkitTransform", "msTransform", "transform"]).length; r < o; r++) t = a[r], e.children[0].style[t] = i;
      return (!this.lastRenderedProgress || this.lastRenderedProgress | 0 !== this.progress | 0) && (e.children[0].setAttribute("data-progress-text", (0 | this.progress) + "%"), this.progress >= 100 ? n = "99" : (n = this.progress < 10 ? "0" : "", n += 0 | this.progress), e.children[0].setAttribute("data-progress", "" + n)), this.lastRenderedProgress = this.progress;
    }, e.prototype.done = function () {
      return this.progress >= 100;
    }, e;
  }(), s = function () {
    function e() {
      this.bindings = {};
    }
    return e.prototype.trigger = function (e, t) {
      var n, i, r, o, a;
      if (null != this.bindings[e]) {
        for (a = [], i = 0, r = (o = this.bindings[e]).length; i < r; i++) n = o[i], a.push(n.call(this, t));
        return a;
      }
    }, e.prototype.on = function (e, t) {
      var n;
      return null == (n = this.bindings)[e] && (n[e] = []), this.bindings[e].push(t);
    }, e;
  }(), H = window.XMLHttpRequest, q = window.XDomainRequest, R = window.WebSocket, k = function (e, t) {
    var n, i;
    for (n in i = [], t.prototype) try {
      null == e[n] && "function" != typeof t[n] ? "function" == typeof Object.defineProperty ? i.push(Object.defineProperty(e, n, {
        get: function () {
          return t.prototype[n];
        },
        configurable: !0,
        enumerable: !0
      })) : i.push(e[n] = t.prototype[n]) : i.push(void 0);
    } catch (e) {
      e;
    }
    return i;
  }, D = [], u.ignore = function () {
    var e, t, n;
    return t = arguments[0], e = 2 <= arguments.length ? K.call(arguments, 1) : [], D.unshift("ignore"), n = t.apply(null, e), D.shift(), n;
  }, u.track = function () {
    var e, t, n;
    return t = arguments[0], e = 2 <= arguments.length ? K.call(arguments, 1) : [], D.unshift("track"), n = t.apply(null, e), D.shift(), n;
  }, _ = function (e) {
    var t;
    if (null == e && (e = "GET"), "track" === D[0]) return "force";
    if (!D.length && A.ajax) {
      if ("socket" === e && A.ajax.trackWebSockets) return !0;
      if (t = e.toUpperCase(), G.call(A.ajax.trackMethods, t) >= 0) return !0;
    }
    return !1;
  }, c = function (e) {
    function t() {
      var e,
        n = this;
      t.__super__.constructor.apply(this, arguments), e = function (e) {
        var t;
        return t = e.open, e.open = function (i, r, o) {
          return _(i) && n.trigger("request", {
            type: i,
            url: r,
            request: e
          }), t.apply(e, arguments);
        };
      }, window.XMLHttpRequest = function (t) {
        var n;
        return n = new H(t), e(n), n;
      };
      try {
        k(window.XMLHttpRequest, H);
      } catch (e) {}
      if (null != q) {
        window.XDomainRequest = function () {
          var t;
          return t = new q(), e(t), t;
        };
        try {
          k(window.XDomainRequest, q);
        } catch (e) {}
      }
      if (null != R && A.ajax.trackWebSockets) {
        window.WebSocket = function (e, t) {
          var i;
          return i = null != t ? new R(e, t) : new R(e), _("socket") && n.trigger("request", {
            type: "socket",
            url: e,
            protocols: t,
            request: i
          }), i;
        };
        try {
          k(window.WebSocket, R);
        } catch (e) {}
      }
    }
    return J(t, e), t;
  }(s), V = null, $ = function (e) {
    var t, n, i, r;
    for (n = 0, i = (r = A.ajax.ignoreURLs).length; n < i; n++) if ("string" == typeof (t = r[n])) {
      if (-1 !== e.indexOf(t)) return !0;
    } else if (t.test(e)) return !0;
    return !1;
  }, (T = function () {
    return null == V && (V = new c()), V;
  })().on("request", function (t) {
    var n, i, r, o, a;
    if (o = t.type, r = t.request, a = t.url, !$(a)) return u.running || !1 === A.restartOnRequestAfter && "force" !== _(o) ? void 0 : (i = arguments, "boolean" == typeof (n = A.restartOnRequestAfter || 0) && (n = 0), setTimeout(function () {
      var t, n, a, s, l;
      if ("socket" === o ? r.readyState < 2 : 0 < (a = r.readyState) && a < 4) {
        for (u.restart(), l = [], t = 0, n = (s = u.sources).length; t < n; t++) {
          if ((N = s[t]) instanceof e) {
            N.watch.apply(N, i);
            break;
          }
          l.push(void 0);
        }
        return l;
      }
    }, n));
  }), e = function () {
    function e() {
      var e = this;
      this.elements = [], T().on("request", function () {
        return e.watch.apply(e, arguments);
      });
    }
    return e.prototype.watch = function (e) {
      var t, n, i, r;
      if (i = e.type, t = e.request, r = e.url, !$(r)) return n = "socket" === i ? new f(t) : new h(t), this.elements.push(n);
    }, e;
  }(), h = function (e) {
    var t,
      n,
      i,
      r,
      o,
      a = this;
    if (this.progress = 0, null != window.ProgressEvent) for (e.addEventListener("progress", function (e) {
      return e.lengthComputable ? a.progress = 100 * e.loaded / e.total : a.progress = a.progress + (100 - a.progress) / 2;
    }, !1), n = 0, i = (o = ["load", "abort", "timeout", "error"]).length; n < i; n++) t = o[n], e.addEventListener(t, function () {
      return a.progress = 100;
    }, !1);else r = e.onreadystatechange, e.onreadystatechange = function () {
      var t;
      return 0 === (t = e.readyState) || 4 === t ? a.progress = 100 : 3 === e.readyState && (a.progress = 50), "function" == typeof r ? r.apply(null, arguments) : void 0;
    };
  }, f = function (e) {
    var t,
      n,
      i,
      r,
      o = this;
    for (this.progress = 0, n = 0, i = (r = ["error", "open"]).length; n < i; n++) t = r[n], e.addEventListener(t, function () {
      return o.progress = 100;
    }, !1);
  }, i = function (e) {
    var t, n, i, o;
    for (null == e && (e = {}), this.elements = [], null == e.selectors && (e.selectors = []), n = 0, i = (o = e.selectors).length; n < i; n++) t = o[n], this.elements.push(new r(t));
  }, r = function () {
    function e(e) {
      this.selector = e, this.progress = 0, this.check();
    }
    return e.prototype.check = function () {
      var e = this;
      return document.querySelector(this.selector) ? this.done() : setTimeout(function () {
        return e.check();
      }, A.elements.checkInterval);
    }, e.prototype.done = function () {
      return this.progress = 100;
    }, e;
  }(), n = function () {
    function e() {
      var e,
        t,
        n = this;
      this.progress = null != (t = this.states[document.readyState]) ? t : 100, e = document.onreadystatechange, document.onreadystatechange = function () {
        return null != n.states[document.readyState] && (n.progress = n.states[document.readyState]), "function" == typeof e ? e.apply(null, arguments) : void 0;
      };
    }
    return e.prototype.states = {
      loading: 0,
      interactive: 50,
      complete: 100
    }, e;
  }(), o = function () {
    var e,
      t,
      n,
      i,
      r,
      o = this;
    this.progress = 0, e = 0, r = [], i = 0, n = S(), t = setInterval(function () {
      var a;
      return a = S() - n - 50, n = S(), r.push(a), r.length > A.eventLag.sampleCount && r.shift(), e = g(r), ++i >= A.eventLag.minSamples && e < A.eventLag.lagThreshold ? (o.progress = 100, clearInterval(t)) : o.progress = 3 / (e + 3) * 100;
    }, 50);
  }, p = function () {
    function e(e) {
      this.source = e, this.last = this.sinceLastUpdate = 0, this.rate = A.initialRate, this.catchup = 0, this.progress = this.lastProgress = 0, null != this.source && (this.progress = M(this.source, "progress"));
    }
    return e.prototype.tick = function (e, t) {
      var n;
      return null == t && (t = M(this.source, "progress")), t >= 100 && (this.done = !0), t === this.last ? this.sinceLastUpdate += e : (this.sinceLastUpdate && (this.rate = (t - this.last) / this.sinceLastUpdate), this.catchup = (t - this.progress) / A.catchupTime, this.sinceLastUpdate = 0, this.last = t), t > this.progress && (this.progress += this.catchup * e), n = 1 - Math.pow(this.progress / 100, A.easeFactor), this.progress += n * this.rate * e, this.progress = Math.min(this.lastProgress + A.maxProgressPerFrame, this.progress), this.progress = Math.max(0, this.progress), this.progress = Math.min(100, this.progress), this.lastProgress = this.progress, this.progress;
    }, e;
  }(), F = null, L = null, v = null, I = null, m = null, y = null, u.running = !1, E = function () {
    if (A.restartOnPushState) return u.restart();
  }, null != window.history.pushState && (W = window.history.pushState, window.history.pushState = function () {
    return E(), W.apply(window.history, arguments);
  }), null != window.history.replaceState && (U = window.history.replaceState, window.history.replaceState = function () {
    return E(), U.apply(window.history, arguments);
  }), d = {
    ajax: e,
    elements: i,
    document: n,
    eventLag: o
  }, (O = function () {
    var e, n, i, r, o, a, s, l;
    for (u.sources = F = [], n = 0, r = (a = ["ajax", "elements", "document", "eventLag"]).length; n < r; n++) !1 !== A[e = a[n]] && F.push(new d[e](A[e]));
    for (i = 0, o = (l = null != (s = A.extraSources) ? s : []).length; i < o; i++) N = l[i], F.push(new N(A));
    return u.bar = v = new t(), L = [], I = new p();
  })(), u.stop = function () {
    return u.trigger("stop"), u.running = !1, v.destroy(), y = !0, null != m && ("function" == typeof b && b(m), m = null), O();
  }, u.restart = function () {
    return u.trigger("restart"), u.stop(), u.start();
  }, u.go = function () {
    var e;
    return u.running = !0, v.render(), e = S(), y = !1, m = P(function (t, n) {
      var i, r, o, a, s, l, c, d, f, h, m, g, b, w, x;
      for (100 - v.progress, r = h = 0, o = !0, l = m = 0, b = F.length; m < b; l = ++m) for (N = F[l], f = null != L[l] ? L[l] : L[l] = [], c = g = 0, w = (s = null != (x = N.elements) ? x : [N]).length; g < w; c = ++g) a = s[c], o &= (d = null != f[c] ? f[c] : f[c] = new p(a)).done, d.done || (r++, h += d.tick(t));
      return i = h / r, v.update(I.tick(t, i)), v.done() || o || y ? (v.update(100), u.trigger("done"), setTimeout(function () {
        return v.finish(), u.running = !1, u.trigger("hide");
      }, Math.max(A.ghostTime, Math.max(A.minTime - (S() - e), 0)))) : n();
    });
  }, u.start = function (e) {
    x(A, e), u.running = !0;
    try {
      v.render();
    } catch (e) {
      l = e;
    }
    return document.querySelector(".pace") ? (u.trigger("start"), u.go()) : setTimeout(u.start, 50);
  }, "function" == typeof define && define.amd ? define(["pace"], function () {
    return u;
  }) : "object" == typeof exports ? module.exports = u : A.startOnPageLoad && u.start();
}.call(this), function (e, t) {
  "function" == typeof define && define.amd ? define("sifter", t) : "object" == typeof exports ? module.exports = t() : e.Sifter = t();
}(this, function () {
  var e = function (e, t) {
    this.items = e, this.settings = t || {
      diacritics: !0
    };
  };
  e.prototype.tokenize = function (e) {
    if (!(e = r(String(e || "").toLowerCase())) || !e.length) return [];
    var t,
      n,
      i,
      a,
      l = [],
      u = e.split(/ +/);
    for (t = 0, n = u.length; t < n; t++) {
      if (i = o(u[t]), this.settings.diacritics) for (a in s) s.hasOwnProperty(a) && (i = i.replace(new RegExp(a, "g"), s[a]));
      l.push({
        string: u[t],
        regex: new RegExp(i, "i")
      });
    }
    return l;
  }, e.prototype.iterator = function (e, t) {
    var n;
    n = a(e) ? Array.prototype.forEach || function (e) {
      for (var t = 0, n = this.length; t < n; t++) e(this[t], t, this);
    } : function (e) {
      for (var t in this) this.hasOwnProperty(t) && e(this[t], t, this);
    }, n.apply(e, [t]);
  }, e.prototype.getScoreFunction = function (e, t) {
    var n, r, o, a;
    e = this.prepareSearch(e, t), r = e.tokens, n = e.options.fields, o = r.length, a = e.options.nesting;
    var s,
      l = function (e, t) {
        var n, i;
        return e ? -1 === (i = (e = String(e || "")).search(t.regex)) ? 0 : (n = t.string.length / e.length, 0 === i && (n += .5), n) : 0;
      },
      u = (s = n.length) ? 1 === s ? function (e, t) {
        return l(i(t, n[0], a), e);
      } : function (e, t) {
        for (var r = 0, o = 0; r < s; r++) o += l(i(t, n[r], a), e);
        return o / s;
      } : function () {
        return 0;
      };
    return o ? 1 === o ? function (e) {
      return u(r[0], e);
    } : "and" === e.options.conjunction ? function (e) {
      for (var t, n = 0, i = 0; n < o; n++) {
        if ((t = u(r[n], e)) <= 0) return 0;
        i += t;
      }
      return i / o;
    } : function (e) {
      for (var t = 0, n = 0; t < o; t++) n += u(r[t], e);
      return n / o;
    } : function () {
      return 0;
    };
  }, e.prototype.getSortFunction = function (e, n) {
    var r, o, a, s, l, u, c, d, p, f, h;
    if (h = !(e = (a = this).prepareSearch(e, n)).query && n.sort_empty || n.sort, p = function (e, t) {
      return "$score" === e ? t.score : i(a.items[t.id], e, n.nesting);
    }, l = [], h) for (r = 0, o = h.length; r < o; r++) (e.query || "$score" !== h[r].field) && l.push(h[r]);
    if (e.query) {
      for (f = !0, r = 0, o = l.length; r < o; r++) if ("$score" === l[r].field) {
        f = !1;
        break;
      }
      f && l.unshift({
        field: "$score",
        direction: "desc"
      });
    } else for (r = 0, o = l.length; r < o; r++) if ("$score" === l[r].field) {
      l.splice(r, 1);
      break;
    }
    for (d = [], r = 0, o = l.length; r < o; r++) d.push("desc" === l[r].direction ? -1 : 1);
    return (u = l.length) ? 1 === u ? (s = l[0].field, c = d[0], function (e, n) {
      return c * t(p(s, e), p(s, n));
    }) : function (e, n) {
      var i, r, o;
      for (i = 0; i < u; i++) if (o = l[i].field, r = d[i] * t(p(o, e), p(o, n))) return r;
      return 0;
    } : null;
  }, e.prototype.prepareSearch = function (e, t) {
    if ("object" == typeof e) return e;
    var i = (t = n({}, t)).fields,
      r = t.sort,
      o = t.sort_empty;
    return i && !a(i) && (t.fields = [i]), r && !a(r) && (t.sort = [r]), o && !a(o) && (t.sort_empty = [o]), {
      options: t,
      query: String(e || "").toLowerCase(),
      tokens: this.tokenize(e),
      total: 0,
      items: []
    };
  }, e.prototype.search = function (e, t) {
    var n,
      i,
      r,
      o,
      a = this;
    return i = this.prepareSearch(e, t), t = i.options, e = i.query, o = t.score || a.getScoreFunction(i), e.length ? a.iterator(a.items, function (e, r) {
      n = o(e), (!1 === t.filter || n > 0) && i.items.push({
        score: n,
        id: r
      });
    }) : a.iterator(a.items, function (e, t) {
      i.items.push({
        score: 1,
        id: t
      });
    }), (r = a.getSortFunction(i, t)) && i.items.sort(r), i.total = i.items.length, "number" == typeof t.limit && (i.items = i.items.slice(0, t.limit)), i;
  };
  var t = function (e, t) {
      return "number" == typeof e && "number" == typeof t ? e > t ? 1 : e < t ? -1 : 0 : (e = l(String(e || ""))) > (t = l(String(t || ""))) ? 1 : t > e ? -1 : 0;
    },
    n = function (e, t) {
      var n, i, r, o;
      for (n = 1, i = arguments.length; n < i; n++) if (o = arguments[n]) for (r in o) o.hasOwnProperty(r) && (e[r] = o[r]);
      return e;
    },
    i = function (e, t, n) {
      if (e && t) {
        if (!n) return e[t];
        for (var i = t.split("."); i.length && (e = e[i.shift()]););
        return e;
      }
    },
    r = function (e) {
      return (e + "").replace(/^\s+|\s+$|/g, "");
    },
    o = function (e) {
      return (e + "").replace(/([.?*+^$[\]\\(){}|-])/g, "\\$1");
    },
    a = Array.isArray || "undefined" != typeof $ && $.isArray || function (e) {
      return "[object Array]" === Object.prototype.toString.call(e);
    },
    s = {
      a: "[aḀḁĂăÂâǍǎȺⱥȦȧẠạÄäÀàÁáĀāÃãÅåąĄÃąĄ]",
      b: "[b␢βΒB฿𐌁ᛒ]",
      c: "[cĆćĈĉČčĊċC̄c̄ÇçḈḉȻȼƇƈɕᴄＣｃ]",
      d: "[dĎďḊḋḐḑḌḍḒḓḎḏĐđD̦d̦ƉɖƊɗƋƌᵭᶁᶑȡᴅＤｄð]",
      e: "[eÉéÈèÊêḘḙĚěĔĕẼẽḚḛẺẻĖėËëĒēȨȩĘęᶒɆɇȄȅẾếỀềỄễỂểḜḝḖḗḔḕȆȇẸẹỆệⱸᴇＥｅɘǝƏƐε]",
      f: "[fƑƒḞḟ]",
      g: "[gɢ₲ǤǥĜĝĞğĢģƓɠĠġ]",
      h: "[hĤĥĦħḨḩẖẖḤḥḢḣɦʰǶƕ]",
      i: "[iÍíÌìĬĭÎîǏǐÏïḮḯĨĩĮįĪīỈỉȈȉȊȋỊịḬḭƗɨɨ̆ᵻᶖİiIıɪＩｉ]",
      j: "[jȷĴĵɈɉʝɟʲ]",
      k: "[kƘƙꝀꝁḰḱǨǩḲḳḴḵκϰ₭]",
      l: "[lŁłĽľĻļĹĺḶḷḸḹḼḽḺḻĿŀȽƚⱠⱡⱢɫɬᶅɭȴʟＬｌ]",
      n: "[nŃńǸǹŇňÑñṄṅŅņṆṇṊṋṈṉN̈n̈ƝɲȠƞᵰᶇɳȵɴＮｎŊŋ]",
      o: "[oØøÖöÓóÒòÔôǑǒŐőŎŏȮȯỌọƟɵƠơỎỏŌōÕõǪǫȌȍՕօ]",
      p: "[pṔṕṖṗⱣᵽƤƥᵱ]",
      q: "[qꝖꝗʠɊɋꝘꝙq̃]",
      r: "[rŔŕɌɍŘřŖŗṘṙȐȑȒȓṚṛⱤɽ]",
      s: "[sŚśṠṡṢṣꞨꞩŜŝŠšŞşȘșS̈s̈]",
      t: "[tŤťṪṫŢţṬṭƮʈȚțṰṱṮṯƬƭ]",
      u: "[uŬŭɄʉỤụÜüÚúÙùÛûǓǔŰűŬŭƯưỦủŪūŨũŲųȔȕ∪]",
      v: "[vṼṽṾṿƲʋꝞꝟⱱʋ]",
      w: "[wẂẃẀẁŴŵẄẅẆẇẈẉ]",
      x: "[xẌẍẊẋχ]",
      y: "[yÝýỲỳŶŷŸÿỸỹẎẏỴỵɎɏƳƴ]",
      z: "[zŹźẐẑŽžŻżẒẓẔẕƵƶ]"
    },
    l = function () {
      var e,
        t,
        n,
        i,
        r = "",
        o = {};
      for (n in s) if (s.hasOwnProperty(n)) for (r += i = s[n].substring(2, s[n].length - 1), e = 0, t = i.length; e < t; e++) o[i.charAt(e)] = n;
      var a = new RegExp("[" + r + "]", "g");
      return function (e) {
        return e.replace(a, function (e) {
          return o[e];
        }).toLowerCase();
      };
    }();
  return e;
}), function (e, t) {
  "function" == typeof define && define.amd ? define("microplugin", t) : "object" == typeof exports ? module.exports = t() : e.MicroPlugin = t();
}(this, function () {
  var e = {
      mixin: function (e) {
        e.plugins = {}, e.prototype.initializePlugins = function (e) {
          var n,
            i,
            r,
            o = this,
            a = [];
          if (o.plugins = {
            names: [],
            settings: {},
            requested: {},
            loaded: {}
          }, t.isArray(e)) for (n = 0, i = e.length; n < i; n++) "string" == typeof e[n] ? a.push(e[n]) : (o.plugins.settings[e[n].name] = e[n].options, a.push(e[n].name));else if (e) for (r in e) e.hasOwnProperty(r) && (o.plugins.settings[r] = e[r], a.push(r));
          for (; a.length;) o.require(a.shift());
        }, e.prototype.loadPlugin = function (t) {
          var n = this,
            i = n.plugins,
            r = e.plugins[t];
          if (!e.plugins.hasOwnProperty(t)) throw new Error('Unable to find "' + t + '" plugin');
          i.requested[t] = !0, i.loaded[t] = r.fn.apply(n, [n.plugins.settings[t] || {}]), i.names.push(t);
        }, e.prototype.require = function (e) {
          var t = this,
            n = t.plugins;
          if (!t.plugins.loaded.hasOwnProperty(e)) {
            if (n.requested[e]) throw new Error('Plugin has circular dependency ("' + e + '")');
            t.loadPlugin(e);
          }
          return n.loaded[e];
        }, e.define = function (t, n) {
          e.plugins[t] = {
            name: t,
            fn: n
          };
        };
      }
    },
    t = {
      isArray: Array.isArray || function (e) {
        return "[object Array]" === Object.prototype.toString.call(e);
      }
    };
  return e;
}), function (e, t) {
  "function" == typeof define && define.amd ? define("selectize", ["jquery", "sifter", "microplugin"], t) : "object" == typeof exports ? module.exports = t(require("jquery"), require("sifter"), require("microplugin")) : e.Selectize = t(e.jQuery, e.Sifter, e.MicroPlugin);
}(this, function (e, t, n) {
  "use strict";

  var i = function (e, t) {
    if ("string" != typeof t || t.length) {
      var n = "string" == typeof t ? new RegExp(t, "i") : t,
        i = function (e) {
          var t = 0;
          if (3 === e.nodeType) {
            var r = e.data.search(n);
            if (r >= 0 && e.data.length > 0) {
              var o = e.data.match(n),
                a = document.createElement("span");
              a.className = "highlight";
              var s = e.splitText(r),
                l = (s.splitText(o[0].length), s.cloneNode(!0));
              a.appendChild(l), s.parentNode.replaceChild(a, s), t = 1;
            }
          } else if (1 === e.nodeType && e.childNodes && !/(script|style)/i.test(e.tagName) && ("highlight" !== e.className || "SPAN" !== e.tagName)) for (var u = 0; u < e.childNodes.length; ++u) u += i(e.childNodes[u]);
          return t;
        };
      return e.each(function () {
        i(this);
      });
    }
  };
  e.fn.removeHighlight = function () {
    return this.find("span.highlight").each(function () {
      this.parentNode.firstChild.nodeName;
      var e = this.parentNode;
      e.replaceChild(this.firstChild, this), e.normalize();
    }).end();
  };
  var r = function () {};
  r.prototype = {
    on: function (e, t) {
      this._events = this._events || {}, this._events[e] = this._events[e] || [], this._events[e].push(t);
    },
    off: function (e, t) {
      var n = arguments.length;
      return 0 === n ? delete this._events : 1 === n ? delete this._events[e] : (this._events = this._events || {}, void (e in this._events != !1 && this._events[e].splice(this._events[e].indexOf(t), 1)));
    },
    trigger: function (e) {
      if (this._events = this._events || {}, e in this._events != !1) for (var t = 0; t < this._events[e].length; t++) this._events[e][t].apply(this, Array.prototype.slice.call(arguments, 1));
    }
  }, r.mixin = function (e) {
    for (var t = ["on", "off", "trigger"], n = 0; n < t.length; n++) e.prototype[t[n]] = r.prototype[t[n]];
  };
  var o,
    a,
    s = /Mac/.test(navigator.userAgent),
    l = s ? 91 : 17,
    u = s ? 18 : 17,
    c = !/android/i.test(window.navigator.userAgent) && !!document.createElement("input").validity,
    d = function (e) {
      return void 0 !== e;
    },
    p = function (e) {
      return null == e ? null : "boolean" == typeof e ? e ? "1" : "0" : e + "";
    },
    f = function (e) {
      return (e + "").replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
    },
    h = {
      before: function (e, t, n) {
        var i = e[t];
        e[t] = function () {
          return n.apply(e, arguments), i.apply(e, arguments);
        };
      },
      after: function (e, t, n) {
        var i = e[t];
        e[t] = function () {
          var t = i.apply(e, arguments);
          return n.apply(e, arguments), t;
        };
      }
    },
    m = function (e, t, n) {
      var i,
        r = e.trigger,
        o = {};
      for (i in e.trigger = function () {
        var n = arguments[0];
        if (-1 === t.indexOf(n)) return r.apply(e, arguments);
        o[n] = arguments;
      }, n.apply(e, []), e.trigger = r, o) o.hasOwnProperty(i) && r.apply(e, o[i]);
    },
    g = function (e) {
      var t = {};
      if ("selectionStart" in e) t.start = e.selectionStart, t.length = e.selectionEnd - t.start;else if (document.selection) {
        e.focus();
        var n = document.selection.createRange(),
          i = document.selection.createRange().text.length;
        n.moveStart("character", -e.value.length), t.start = n.text.length - i, t.length = i;
      }
      return t;
    },
    v = function (t) {
      var n = null,
        i = function (i, r) {
          var o, a, s, l, u, c, d, p, f, h;
          (r = r || {}, (i = i || window.event || {}).metaKey || i.altKey) || (r.force || !1 !== t.data("grow")) && (o = t.val(), i.type && "keydown" === i.type.toLowerCase() && (s = (a = i.keyCode) >= 48 && a <= 57 || a >= 65 && a <= 90 || a >= 96 && a <= 111 || a >= 186 && a <= 222 || 32 === a, 46 === a || 8 === a ? (p = g(t[0])).length ? o = o.substring(0, p.start) + o.substring(p.start + p.length) : 8 === a && p.start ? o = o.substring(0, p.start - 1) + o.substring(p.start + 1) : 46 === a && void 0 !== p.start && (o = o.substring(0, p.start) + o.substring(p.start + 1)) : s && (c = i.shiftKey, d = String.fromCharCode(i.keyCode), o += d = c ? d.toUpperCase() : d.toLowerCase())), l = t.attr("placeholder"), !o && l && (o = l), h = t, (u = ((f = o) ? (y.$testInput || (y.$testInput = e("<span />").css({
            position: "absolute",
            top: -99999,
            left: -99999,
            width: "auto",
            padding: 0,
            whiteSpace: "pre"
          }).appendTo("body")), y.$testInput.text(f), function (e, t, n) {
            var i,
              r,
              o = {};
            if (n) for (i = 0, r = n.length; i < r; i++) o[n[i]] = e.css(n[i]);else o = e.css();
            t.css(o);
          }(h, y.$testInput, ["letterSpacing", "fontSize", "fontFamily", "fontWeight", "textTransform"]), y.$testInput.width()) : 0) + 4) !== n && (n = u, t.width(u), t.triggerHandler("resize")));
        };
      t.on("keydown keyup update blur", i), i();
    },
    y = function (n, i) {
      var r,
        o,
        a,
        s,
        l = this;
      (s = n[0]).selectize = l;
      var u,
        c,
        d,
        p = window.getComputedStyle && window.getComputedStyle(s, null);
      if (a = (a = p ? p.getPropertyValue("direction") : s.currentStyle && s.currentStyle.direction) || n.parents("[dir]:first").attr("dir") || "", e.extend(l, {
        order: 0,
        settings: i,
        $input: n,
        tabIndex: n.attr("tabindex") || "",
        tagType: "select" === s.tagName.toLowerCase() ? 1 : 2,
        rtl: /rtl/i.test(a),
        eventNS: ".selectize" + ++y.count,
        highlightedValue: null,
        isBlurring: !1,
        isOpen: !1,
        isDisabled: !1,
        isRequired: n.is("[required]"),
        isInvalid: !1,
        isLocked: !1,
        isFocused: !1,
        isInputHidden: !1,
        isSetup: !1,
        isShiftDown: !1,
        isCmdDown: !1,
        isCtrlDown: !1,
        ignoreFocus: !1,
        ignoreBlur: !1,
        ignoreHover: !1,
        hasOptions: !1,
        currentResults: null,
        lastValue: "",
        caretPos: 0,
        loading: 0,
        loadedSearches: {},
        $activeOption: null,
        $activeItems: [],
        optgroups: {},
        options: {},
        userOptions: {},
        items: [],
        renderCache: {},
        onSearchChange: null === i.loadThrottle ? l.onSearchChange : (u = l.onSearchChange, c = i.loadThrottle, function () {
          var e = this,
            t = arguments;
          window.clearTimeout(d), d = window.setTimeout(function () {
            u.apply(e, t);
          }, c);
        })
      }), l.sifter = new t(this.options, {
        diacritics: i.diacritics
      }), l.settings.options) {
        for (r = 0, o = l.settings.options.length; r < o; r++) l.registerOption(l.settings.options[r]);
        delete l.settings.options;
      }
      if (l.settings.optgroups) {
        for (r = 0, o = l.settings.optgroups.length; r < o; r++) l.registerOptionGroup(l.settings.optgroups[r]);
        delete l.settings.optgroups;
      }
      l.settings.mode = l.settings.mode || (1 === l.settings.maxItems ? "single" : "multi"), "boolean" != typeof l.settings.hideSelected && (l.settings.hideSelected = "multi" === l.settings.mode), l.initializePlugins(l.settings.plugins), l.setupCallbacks(), l.setupTemplates(), l.setup();
    };
  return r.mixin(y), void 0 !== n ? n.mixin(y) : (o = "Dependency MicroPlugin is missing", (a = {
    explanation: 'Make sure you either: (1) are using the "standalone" version of Selectize, or (2) require MicroPlugin before you load Selectize.'
  }) || (a = {}), void 0, a.explanation && (console.group && void 0, void 0, console.group && void 0)), e.extend(y.prototype, {
    setup: function () {
      var t,
        n,
        i,
        r,
        o,
        a,
        d,
        p,
        f,
        h,
        m,
        g,
        y,
        b,
        w = this,
        x = w.settings,
        k = w.eventNS,
        C = e(window),
        T = e(document),
        E = w.$input;
      if (d = w.settings.mode, p = E.attr("class") || "", t = e("<div>").addClass(x.wrapperClass).addClass(p).addClass(d), n = e("<div>").addClass(x.inputClass).addClass("items").appendTo(t), i = e('<input type="text" autocomplete="off" />').appendTo(n).attr("tabindex", E.is(":disabled") ? "-1" : w.tabIndex), a = e(x.dropdownParent || t), r = e("<div>").addClass(x.dropdownClass).addClass(d).hide().appendTo(a), o = e("<div>").addClass(x.dropdownContentClass).appendTo(r), (h = E.attr("id")) && (i.attr("id", h + "-selectized"), e("label[for='" + h + "']").attr("for", h + "-selectized")), w.settings.copyClassesToDropdown && r.addClass(p), t.css({
        width: E[0].style.width
      }), w.plugins.names.length && (f = "plugin-" + w.plugins.names.join(" plugin-"), t.addClass(f), r.addClass(f)), (null === x.maxItems || x.maxItems > 1) && 1 === w.tagType && E.attr("multiple", "multiple"), w.settings.placeholder && i.attr("placeholder", x.placeholder), !w.settings.splitOn && w.settings.delimiter) {
        var D = w.settings.delimiter.replace(/[-\/\\^$*+?.()|[\]{}]/g, "\\$&");
        w.settings.splitOn = new RegExp("\\s*" + D + "+\\s*");
      }
      E.attr("autocorrect") && i.attr("autocorrect", E.attr("autocorrect")), E.attr("autocapitalize") && i.attr("autocapitalize", E.attr("autocapitalize")), i[0].type = E[0].type, w.$wrapper = t, w.$control = n, w.$control_input = i, w.$dropdown = r, w.$dropdown_content = o, r.on("mouseenter mousedown click", "[data-disabled]>[data-selectable]", function (e) {
        e.stopImmediatePropagation();
      }), r.on("mouseenter", "[data-selectable]", function () {
        return w.onOptionHover.apply(w, arguments);
      }), r.on("mousedown click", "[data-selectable]", function () {
        return w.onOptionSelect.apply(w, arguments);
      }), g = "mousedown", y = "*:not(input)", b = function () {
        return w.onItemSelect.apply(w, arguments);
      }, (m = n).on(g, y, function (e) {
        for (var t = e.target; t && t.parentNode !== m[0];) t = t.parentNode;
        return e.currentTarget = t, b.apply(this, [e]);
      }), v(i), n.on({
        mousedown: function () {
          return w.onMouseDown.apply(w, arguments);
        },
        click: function () {
          return w.onClick.apply(w, arguments);
        }
      }), i.on({
        mousedown: function (e) {
          e.stopPropagation();
        },
        keydown: function () {
          return w.onKeyDown.apply(w, arguments);
        },
        keyup: function () {
          return w.onKeyUp.apply(w, arguments);
        },
        keypress: function () {
          return w.onKeyPress.apply(w, arguments);
        },
        resize: function () {
          w.positionDropdown.apply(w, []);
        },
        blur: function () {
          return w.onBlur.apply(w, arguments);
        },
        focus: function () {
          return w.ignoreBlur = !1, w.onFocus.apply(w, arguments);
        },
        paste: function () {
          return w.onPaste.apply(w, arguments);
        }
      }), T.on("keydown" + k, function (e) {
        w.isCmdDown = e[s ? "metaKey" : "ctrlKey"], w.isCtrlDown = e[s ? "altKey" : "ctrlKey"], w.isShiftDown = e.shiftKey;
      }), T.on("keyup" + k, function (e) {
        e.keyCode === u && (w.isCtrlDown = !1), 16 === e.keyCode && (w.isShiftDown = !1), e.keyCode === l && (w.isCmdDown = !1);
      }), T.on("mousedown" + k, function (e) {
        if (w.isFocused) {
          if (e.target === w.$dropdown[0] || e.target.parentNode === w.$dropdown[0]) return !1;
          w.$control.has(e.target).length || e.target === w.$control[0] || w.blur(e.target);
        }
      }), C.on(["scroll" + k, "resize" + k].join(" "), function () {
        w.isOpen && w.positionDropdown.apply(w, arguments);
      }), C.on("mousemove" + k, function () {
        w.ignoreHover = !1;
      }), this.revertSettings = {
        $children: E.children().detach(),
        tabindex: E.attr("tabindex")
      }, E.attr("tabindex", -1).hide().after(w.$wrapper), e.isArray(x.items) && (w.setValue(x.items), delete x.items), c && E.on("invalid" + k, function (e) {
        e.preventDefault(), w.isInvalid = !0, w.refreshState();
      }), w.updateOriginalInput(), w.refreshItems(), w.refreshState(), w.updatePlaceholder(), w.isSetup = !0, E.is(":disabled") && w.disable(), w.on("change", this.onChange), E.data("selectize", w), E.addClass("selectized"), w.trigger("initialize"), !0 === x.preload && w.onSearchChange("");
    },
    setupTemplates: function () {
      var t = this,
        n = t.settings.labelField,
        i = t.settings.optgroupLabelField,
        r = {
          optgroup: function (e) {
            return '<div class="optgroup">' + e.html + "</div>";
          },
          optgroup_header: function (e, t) {
            return '<div class="optgroup-header">' + t(e[i]) + "</div>";
          },
          option: function (e, t) {
            return '<div class="option">' + t(e[n]) + "</div>";
          },
          item: function (e, t) {
            return '<div class="item">' + t(e[n]) + "</div>";
          },
          option_create: function (e, t) {
            return '<div class="create">Add <strong>' + t(e.input) + "</strong>&hellip;</div>";
          }
        };
      t.settings.render = e.extend({}, r, t.settings.render);
    },
    setupCallbacks: function () {
      var e,
        t,
        n = {
          initialize: "onInitialize",
          change: "onChange",
          item_add: "onItemAdd",
          item_remove: "onItemRemove",
          clear: "onClear",
          option_add: "onOptionAdd",
          option_remove: "onOptionRemove",
          option_clear: "onOptionClear",
          optgroup_add: "onOptionGroupAdd",
          optgroup_remove: "onOptionGroupRemove",
          optgroup_clear: "onOptionGroupClear",
          dropdown_open: "onDropdownOpen",
          dropdown_close: "onDropdownClose",
          type: "onType",
          load: "onLoad",
          focus: "onFocus",
          blur: "onBlur"
        };
      for (e in n) n.hasOwnProperty(e) && (t = this.settings[n[e]]) && this.on(e, t);
    },
    onClick: function (e) {
      var t = this;
      t.isFocused && t.isOpen || (t.focus(), e.preventDefault());
    },
    onMouseDown: function (t) {
      var n = this,
        i = t.isDefaultPrevented();
      e(t.target);
      if (n.isFocused) {
        if (t.target !== n.$control_input[0]) return "single" === n.settings.mode ? n.isOpen ? n.close() : n.open() : i || n.setActiveItem(null), !1;
      } else i || window.setTimeout(function () {
        n.focus();
      }, 0);
    },
    onChange: function () {
      this.$input.trigger("change");
    },
    onPaste: function (t) {
      var n = this;
      n.isFull() || n.isInputHidden || n.isLocked ? t.preventDefault() : n.settings.splitOn && setTimeout(function () {
        var t = n.$control_input.val();
        if (t.match(n.settings.splitOn)) for (var i = e.trim(t).split(n.settings.splitOn), r = 0, o = i.length; r < o; r++) n.createItem(i[r]);
      }, 0);
    },
    onKeyPress: function (e) {
      if (this.isLocked) return e && e.preventDefault();
      var t = String.fromCharCode(e.keyCode || e.which);
      return this.settings.create && "multi" === this.settings.mode && t === this.settings.delimiter ? (this.createItem(), e.preventDefault(), !1) : void 0;
    },
    onKeyDown: function (e) {
      e.target, this.$control_input[0];
      var t = this;
      if (t.isLocked) 9 !== e.keyCode && e.preventDefault();else {
        switch (e.keyCode) {
          case 65:
            if (t.isCmdDown) return void t.selectAll();
            break;
          case 27:
            return void (t.isOpen && (e.preventDefault(), e.stopPropagation(), t.close()));
          case 78:
            if (!e.ctrlKey || e.altKey) break;
          case 40:
            if (!t.isOpen && t.hasOptions) t.open();else if (t.$activeOption) {
              t.ignoreHover = !0;
              var n = t.getAdjacentOption(t.$activeOption, 1);
              n.length && t.setActiveOption(n, !0, !0);
            }
            return void e.preventDefault();
          case 80:
            if (!e.ctrlKey || e.altKey) break;
          case 38:
            if (t.$activeOption) {
              t.ignoreHover = !0;
              var i = t.getAdjacentOption(t.$activeOption, -1);
              i.length && t.setActiveOption(i, !0, !0);
            }
            return void e.preventDefault();
          case 13:
            return void (t.isOpen && t.$activeOption && (t.onOptionSelect({
              currentTarget: t.$activeOption
            }), e.preventDefault()));
          case 37:
            return void t.advanceSelection(-1, e);
          case 39:
            return void t.advanceSelection(1, e);
          case 9:
            return t.settings.selectOnTab && t.isOpen && t.$activeOption && (t.onOptionSelect({
              currentTarget: t.$activeOption
            }), t.isFull() || e.preventDefault()), void (t.settings.create && t.createItem() && e.preventDefault());
          case 8:
          case 46:
            return void t.deleteSelection(e);
        }
        !t.isFull() && !t.isInputHidden || (s ? e.metaKey : e.ctrlKey) || e.preventDefault();
      }
    },
    onKeyUp: function (e) {
      var t = this;
      if (t.isLocked) return e && e.preventDefault();
      var n = t.$control_input.val() || "";
      t.lastValue !== n && (t.lastValue = n, t.onSearchChange(n), t.refreshOptions(), t.trigger("type", n));
    },
    onSearchChange: function (e) {
      var t = this,
        n = t.settings.load;
      n && (t.loadedSearches.hasOwnProperty(e) || (t.loadedSearches[e] = !0, t.load(function (i) {
        n.apply(t, [e, i]);
      })));
    },
    onFocus: function (e) {
      var t = this,
        n = t.isFocused;
      if (t.isDisabled) return t.blur(), e && e.preventDefault(), !1;
      t.ignoreFocus || (t.isFocused = !0, "focus" === t.settings.preload && t.onSearchChange(""), n || t.trigger("focus"), t.$activeItems.length || (t.showInput(), t.setActiveItem(null), t.refreshOptions(!!t.settings.openOnFocus)), t.refreshState());
    },
    onBlur: function (e, t) {
      var n = this;
      if (n.isFocused && (n.isFocused = !1, !n.ignoreFocus)) {
        if (!n.ignoreBlur && document.activeElement === n.$dropdown_content[0]) return n.ignoreBlur = !0, void n.onFocus(e);
        var i = function () {
          n.close(), n.setTextboxValue(""), n.setActiveItem(null), n.setActiveOption(null), n.setCaret(n.items.length), n.refreshState(), t && t.focus && t.focus(), n.isBlurring = !1, n.ignoreFocus = !1, n.trigger("blur");
        };
        n.isBlurring = !0, n.ignoreFocus = !0, n.settings.create && n.settings.createOnBlur ? n.createItem(null, !1, i) : i();
      }
    },
    onOptionHover: function (e) {
      this.ignoreHover || this.setActiveOption(e.currentTarget, !1);
    },
    onOptionSelect: function (t) {
      var n,
        i,
        r = this;
      t.preventDefault && (t.preventDefault(), t.stopPropagation()), (i = e(t.currentTarget)).hasClass("create") ? r.createItem(null, function () {
        r.settings.closeAfterSelect && r.close();
      }) : void 0 !== (n = i.attr("data-value")) && (r.lastQuery = null, r.setTextboxValue(""), r.addItem(n), r.settings.closeAfterSelect ? r.close() : !r.settings.hideSelected && t.type && /mouse/.test(t.type) && r.setActiveOption(r.getOption(n)));
    },
    onItemSelect: function (e) {
      var t = this;
      t.isLocked || "multi" === t.settings.mode && (e.preventDefault(), t.setActiveItem(e.currentTarget, e));
    },
    load: function (e) {
      var t = this,
        n = t.$wrapper.addClass(t.settings.loadingClass);
      t.loading++, e.apply(t, [function (e) {
        t.loading = Math.max(t.loading - 1, 0), e && e.length && (t.addOption(e), t.refreshOptions(t.isFocused && !t.isInputHidden)), t.loading || n.removeClass(t.settings.loadingClass), t.trigger("load", e);
      }]);
    },
    setTextboxValue: function (e) {
      var t = this.$control_input;
      t.val() !== e && (t.val(e).triggerHandler("update"), this.lastValue = e);
    },
    getValue: function () {
      return 1 === this.tagType && this.$input.attr("multiple") ? this.items : this.items.join(this.settings.delimiter);
    },
    setValue: function (e, t) {
      m(this, t ? [] : ["change"], function () {
        this.clear(t), this.addItems(e, t);
      });
    },
    setActiveItem: function (t, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u,
        c,
        d = this;
      if ("single" !== d.settings.mode) {
        if (!(t = e(t)).length) return e(d.$activeItems).removeClass("active"), d.$activeItems = [], void (d.isFocused && d.showInput());
        if ("mousedown" === (i = n && n.type.toLowerCase()) && d.isShiftDown && d.$activeItems.length) {
          for (c = d.$control.children(".active:last"), (a = Array.prototype.indexOf.apply(d.$control[0].childNodes, [c[0]])) > (s = Array.prototype.indexOf.apply(d.$control[0].childNodes, [t[0]])) && (u = a, a = s, s = u), r = a; r <= s; r++) l = d.$control[0].childNodes[r], -1 === d.$activeItems.indexOf(l) && (e(l).addClass("active"), d.$activeItems.push(l));
          n.preventDefault();
        } else "mousedown" === i && d.isCtrlDown || "keydown" === i && this.isShiftDown ? t.hasClass("active") ? (o = d.$activeItems.indexOf(t[0]), d.$activeItems.splice(o, 1), t.removeClass("active")) : d.$activeItems.push(t.addClass("active")[0]) : (e(d.$activeItems).removeClass("active"), d.$activeItems = [t.addClass("active")[0]]);
        d.hideInput(), this.isFocused || d.focus();
      }
    },
    setActiveOption: function (t, n, i) {
      var r,
        o,
        a,
        s,
        l,
        u = this;
      u.$activeOption && u.$activeOption.removeClass("active"), u.$activeOption = null, (t = e(t)).length && (u.$activeOption = t.addClass("active"), !n && d(n) || (r = u.$dropdown_content.height(), o = u.$activeOption.outerHeight(!0), n = u.$dropdown_content.scrollTop() || 0, s = a = u.$activeOption.offset().top - u.$dropdown_content.offset().top + n, l = a - r + o, a + o > r + n ? u.$dropdown_content.stop().animate({
        scrollTop: l
      }, i ? u.settings.scrollDuration : 0) : a < n && u.$dropdown_content.stop().animate({
        scrollTop: s
      }, i ? u.settings.scrollDuration : 0)));
    },
    selectAll: function () {
      var e = this;
      "single" !== e.settings.mode && (e.$activeItems = Array.prototype.slice.apply(e.$control.children(":not(input)").addClass("active")), e.$activeItems.length && (e.hideInput(), e.close()), e.focus());
    },
    hideInput: function () {
      var e = this;
      e.setTextboxValue(""), e.$control_input.css({
        opacity: 0,
        position: "absolute",
        left: e.rtl ? 1e4 : -1e4
      }), e.isInputHidden = !0;
    },
    showInput: function () {
      this.$control_input.css({
        opacity: 1,
        position: "relative",
        left: 0
      }), this.isInputHidden = !1;
    },
    focus: function () {
      var e = this;
      e.isDisabled || (e.ignoreFocus = !0, e.$control_input[0].focus(), window.setTimeout(function () {
        e.ignoreFocus = !1, e.onFocus();
      }, 0));
    },
    blur: function (e) {
      this.$control_input[0].blur(), this.onBlur(null, e);
    },
    getScoreFunction: function (e) {
      return this.sifter.getScoreFunction(e, this.getSearchOptions());
    },
    getSearchOptions: function () {
      var e = this.settings,
        t = e.sortField;
      return "string" == typeof t && (t = [{
        field: t
      }]), {
        fields: e.searchField,
        conjunction: e.searchConjunction,
        sort: t,
        nesting: e.nesting
      };
    },
    search: function (t) {
      var n,
        i,
        r,
        o = this,
        a = o.settings,
        s = this.getSearchOptions();
      if (a.score && "function" != typeof (r = o.settings.score.apply(this, [t]))) throw new Error('Selectize "score" setting must be a function that returns a function');
      if (t !== o.lastQuery ? (o.lastQuery = t, i = o.sifter.search(t, e.extend(s, {
        score: r
      })), o.currentResults = i) : i = e.extend(!0, {}, o.currentResults), a.hideSelected) for (n = i.items.length - 1; n >= 0; n--) -1 !== o.items.indexOf(p(i.items[n].id)) && i.items.splice(n, 1);
      return i;
    },
    refreshOptions: function (t) {
      var n, r, o, a, s, l, u, c, d, f, h, m, g, v, y, b;
      void 0 === t && (t = !0);
      var w,
        x,
        k = this,
        C = e.trim(k.$control_input.val()),
        T = k.search(C),
        E = k.$dropdown_content,
        D = k.$activeOption && p(k.$activeOption.attr("data-value"));
      for (a = T.items.length, "number" == typeof k.settings.maxOptions && (a = Math.min(a, k.settings.maxOptions)), s = {}, l = [], n = 0; n < a; n++) for (u = k.options[T.items[n].id], c = k.render("option", u), d = u[k.settings.optgroupField] || "", r = 0, o = (f = e.isArray(d) ? d : [d]) && f.length; r < o; r++) d = f[r], k.optgroups.hasOwnProperty(d) || (d = ""), s.hasOwnProperty(d) || (s[d] = document.createDocumentFragment(), l.push(d)), s[d].appendChild(c);
      for (this.settings.lockOptgroupOrder && l.sort(function (e, t) {
        return (k.optgroups[e].$order || 0) - (k.optgroups[t].$order || 0);
      }), h = document.createDocumentFragment(), n = 0, a = l.length; n < a; n++) d = l[n], k.optgroups.hasOwnProperty(d) && s[d].childNodes.length ? ((m = document.createDocumentFragment()).appendChild(k.render("optgroup_header", k.optgroups[d])), m.appendChild(s[d]), h.appendChild(k.render("optgroup", e.extend({}, k.optgroups[d], {
        html: (w = m, x = void 0, x = document.createElement("div"), x.appendChild(w.cloneNode(!0)), x.innerHTML),
        dom: m
      })))) : h.appendChild(s[d]);
      if (E.html(h), k.settings.highlight && (E.removeHighlight(), T.query.length && T.tokens.length)) for (n = 0, a = T.tokens.length; n < a; n++) i(E, T.tokens[n].regex);
      if (!k.settings.hideSelected) for (n = 0, a = k.items.length; n < a; n++) k.getOption(k.items[n]).addClass("selected");
      (g = k.canCreate(C)) && (E.prepend(k.render("option_create", {
        input: C
      })), b = e(E[0].childNodes[0])), k.hasOptions = T.items.length > 0 || g, k.hasOptions ? (T.items.length > 0 ? ((y = D && k.getOption(D)) && y.length ? v = y : "single" === k.settings.mode && k.items.length && (v = k.getOption(k.items[0])), v && v.length || (v = b && !k.settings.addPrecedence ? k.getAdjacentOption(b, 1) : E.find("[data-selectable]:first"))) : v = b, k.setActiveOption(v), t && !k.isOpen && k.open()) : (k.setActiveOption(null), t && k.isOpen && k.close());
    },
    addOption: function (t) {
      var n,
        i,
        r,
        o = this;
      if (e.isArray(t)) for (n = 0, i = t.length; n < i; n++) o.addOption(t[n]);else (r = o.registerOption(t)) && (o.userOptions[r] = !0, o.lastQuery = null, o.trigger("option_add", r, t));
    },
    registerOption: function (e) {
      var t = p(e[this.settings.valueField]);
      return null != t && !this.options.hasOwnProperty(t) && (e.$order = e.$order || ++this.order, this.options[t] = e, t);
    },
    registerOptionGroup: function (e) {
      var t = p(e[this.settings.optgroupValueField]);
      return !!t && (e.$order = e.$order || ++this.order, this.optgroups[t] = e, t);
    },
    addOptionGroup: function (e, t) {
      t[this.settings.optgroupValueField] = e, (e = this.registerOptionGroup(t)) && this.trigger("optgroup_add", e, t);
    },
    removeOptionGroup: function (e) {
      this.optgroups.hasOwnProperty(e) && (delete this.optgroups[e], this.renderCache = {}, this.trigger("optgroup_remove", e));
    },
    clearOptionGroups: function () {
      this.optgroups = {}, this.renderCache = {}, this.trigger("optgroup_clear");
    },
    updateOption: function (t, n) {
      var i,
        r,
        o,
        a,
        s,
        l,
        u,
        c = this;
      if (t = p(t), o = p(n[c.settings.valueField]), null !== t && c.options.hasOwnProperty(t)) {
        if ("string" != typeof o) throw new Error("Value must be set in option data");
        u = c.options[t].$order, o !== t && (delete c.options[t], -1 !== (a = c.items.indexOf(t)) && c.items.splice(a, 1, o)), n.$order = n.$order || u, c.options[o] = n, s = c.renderCache.item, l = c.renderCache.option, s && (delete s[t], delete s[o]), l && (delete l[t], delete l[o]), -1 !== c.items.indexOf(o) && (i = c.getItem(t), r = e(c.render("item", n)), i.hasClass("active") && r.addClass("active"), i.replaceWith(r)), c.lastQuery = null, c.isOpen && c.refreshOptions(!1);
      }
    },
    removeOption: function (e, t) {
      var n = this;
      e = p(e);
      var i = n.renderCache.item,
        r = n.renderCache.option;
      i && delete i[e], r && delete r[e], delete n.userOptions[e], delete n.options[e], n.lastQuery = null, n.trigger("option_remove", e), n.removeItem(e, t);
    },
    clearOptions: function () {
      var t = this;
      t.loadedSearches = {}, t.userOptions = {}, t.renderCache = {};
      var n = t.options;
      e.each(t.options, function (e, i) {
        -1 == t.items.indexOf(e) && delete n[e];
      }), t.options = t.sifter.items = n, t.lastQuery = null, t.trigger("option_clear");
    },
    getOption: function (e) {
      return this.getElementWithValue(e, this.$dropdown_content.find("[data-selectable]"));
    },
    getAdjacentOption: function (t, n) {
      var i = this.$dropdown.find("[data-selectable]"),
        r = i.index(t) + n;
      return r >= 0 && r < i.length ? i.eq(r) : e();
    },
    getElementWithValue: function (t, n) {
      if (null != (t = p(t))) for (var i = 0, r = n.length; i < r; i++) if (n[i].getAttribute("data-value") === t) return e(n[i]);
      return e();
    },
    getItem: function (e) {
      return this.getElementWithValue(e, this.$control.children());
    },
    addItems: function (t, n) {
      this.buffer = document.createDocumentFragment();
      for (var i = this.$control[0].childNodes, r = 0; r < i.length; r++) this.buffer.appendChild(i[r]);
      for (var o = e.isArray(t) ? t : [t], a = (r = 0, o.length); r < a; r++) this.isPending = r < a - 1, this.addItem(o[r], n);
      var s = this.$control[0];
      s.insertBefore(this.buffer, s.firstChild), this.buffer = null;
    },
    addItem: function (t, n) {
      m(this, n ? [] : ["change"], function () {
        var i,
          r,
          o,
          a,
          s,
          l = this,
          u = l.settings.mode;
        t = p(t), -1 === l.items.indexOf(t) ? l.options.hasOwnProperty(t) && ("single" === u && l.clear(n), "multi" === u && l.isFull() || (i = e(l.render("item", l.options[t])), s = l.isFull(), l.items.splice(l.caretPos, 0, t), l.insertAtCaret(i), (!l.isPending || !s && l.isFull()) && l.refreshState(), l.isSetup && (o = l.$dropdown_content.find("[data-selectable]"), l.isPending || (r = l.getOption(t), a = l.getAdjacentOption(r, 1).attr("data-value"), l.refreshOptions(l.isFocused && "single" !== u), a && l.setActiveOption(l.getOption(a))), !o.length || l.isFull() ? l.close() : l.isPending || l.positionDropdown(), l.updatePlaceholder(), l.trigger("item_add", t, i), l.isPending || l.updateOriginalInput({
          silent: n
        })))) : "single" === u && l.close();
      });
    },
    removeItem: function (t, n) {
      var i,
        r,
        o,
        a = this;
      i = t instanceof e ? t : a.getItem(t), t = p(i.attr("data-value")), -1 !== (r = a.items.indexOf(t)) && (i.remove(), i.hasClass("active") && (o = a.$activeItems.indexOf(i[0]), a.$activeItems.splice(o, 1)), a.items.splice(r, 1), a.lastQuery = null, !a.settings.persist && a.userOptions.hasOwnProperty(t) && a.removeOption(t, n), r < a.caretPos && a.setCaret(a.caretPos - 1), a.refreshState(), a.updatePlaceholder(), a.updateOriginalInput({
        silent: n
      }), a.positionDropdown(), a.trigger("item_remove", t, i));
    },
    createItem: function (t, n) {
      var i = this,
        r = i.caretPos;
      t = t || e.trim(i.$control_input.val() || "");
      var o = arguments[arguments.length - 1];
      if ("function" != typeof o && (o = function () {}), "boolean" != typeof n && (n = !0), !i.canCreate(t)) return o(), !1;
      i.lock();
      var a,
        s,
        l = "function" == typeof i.settings.create ? this.settings.create : function (e) {
          var t = {};
          return t[i.settings.labelField] = e, t[i.settings.valueField] = e, t;
        },
        u = (a = function (e) {
          if (i.unlock(), !e || "object" != typeof e) return o();
          var t = p(e[i.settings.valueField]);
          if ("string" != typeof t) return o();
          i.setTextboxValue(""), i.addOption(e), i.setCaret(r), i.addItem(t), i.refreshOptions(n && "single" !== i.settings.mode), o(e);
        }, s = !1, function () {
          s || (s = !0, a.apply(this, arguments));
        }),
        c = l.apply(this, [t, u]);
      return void 0 !== c && u(c), !0;
    },
    refreshItems: function () {
      this.lastQuery = null, this.isSetup && this.addItem(this.items), this.refreshState(), this.updateOriginalInput();
    },
    refreshState: function () {
      this.refreshValidityState(), this.refreshClasses();
    },
    refreshValidityState: function () {
      if (!this.isRequired) return !1;
      var e = !this.items.length;
      this.isInvalid = e, this.$control_input.prop("required", e), this.$input.prop("required", !e);
    },
    refreshClasses: function () {
      var t = this,
        n = t.isFull(),
        i = t.isLocked;
      t.$wrapper.toggleClass("rtl", t.rtl), t.$control.toggleClass("focus", t.isFocused).toggleClass("disabled", t.isDisabled).toggleClass("required", t.isRequired).toggleClass("invalid", t.isInvalid).toggleClass("locked", i).toggleClass("full", n).toggleClass("not-full", !n).toggleClass("input-active", t.isFocused && !t.isInputHidden).toggleClass("dropdown-active", t.isOpen).toggleClass("has-options", !e.isEmptyObject(t.options)).toggleClass("has-items", t.items.length > 0), t.$control_input.data("grow", !n && !i);
    },
    isFull: function () {
      return null !== this.settings.maxItems && this.items.length >= this.settings.maxItems;
    },
    updateOriginalInput: function (e) {
      var t,
        n,
        i,
        r,
        o = this;
      if (e = e || {}, 1 === o.tagType) {
        for (i = [], t = 0, n = o.items.length; t < n; t++) r = o.options[o.items[t]][o.settings.labelField] || "", i.push('<option value="' + f(o.items[t]) + '" selected="selected">' + f(r) + "</option>");
        i.length || this.$input.attr("multiple") || i.push('<option value="" selected="selected"></option>'), o.$input.html(i.join(""));
      } else o.$input.val(o.getValue()), o.$input.attr("value", o.$input.val());
      o.isSetup && (e.silent || o.trigger("change", o.$input.val()));
    },
    updatePlaceholder: function () {
      if (this.settings.placeholder) {
        var e = this.$control_input;
        this.items.length ? e.removeAttr("placeholder") : e.attr("placeholder", this.settings.placeholder), e.triggerHandler("update", {
          force: !0
        });
      }
    },
    open: function () {
      var e = this;
      e.isLocked || e.isOpen || "multi" === e.settings.mode && e.isFull() || (e.focus(), e.isOpen = !0, e.refreshState(), e.$dropdown.css({
        visibility: "hidden",
        display: "block"
      }), e.positionDropdown(), e.$dropdown.css({
        visibility: "visible"
      }), e.trigger("dropdown_open", e.$dropdown));
    },
    close: function () {
      var e = this,
        t = e.isOpen;
      "single" === e.settings.mode && e.items.length && (e.hideInput(), e.isBlurring || e.$control_input.blur()), e.isOpen = !1, e.$dropdown.hide(), e.setActiveOption(null), e.refreshState(), t && e.trigger("dropdown_close", e.$dropdown);
    },
    positionDropdown: function () {
      var e = this.$control,
        t = "body" === this.settings.dropdownParent ? e.offset() : e.position();
      t.top += e.outerHeight(!0), this.$dropdown.css({
        width: e[0].getBoundingClientRect().width,
        top: t.top,
        left: t.left
      });
    },
    clear: function (e) {
      var t = this;
      t.items.length && (t.$control.children(":not(input)").remove(), t.items = [], t.lastQuery = null, t.setCaret(0), t.setActiveItem(null), t.updatePlaceholder(), t.updateOriginalInput({
        silent: e
      }), t.refreshState(), t.showInput(), t.trigger("clear"));
    },
    insertAtCaret: function (e) {
      var t = Math.min(this.caretPos, this.items.length),
        n = e[0],
        i = this.buffer || this.$control[0];
      0 === t ? i.insertBefore(n, i.firstChild) : i.insertBefore(n, i.childNodes[t]), this.setCaret(t + 1);
    },
    deleteSelection: function (t) {
      var n,
        i,
        r,
        o,
        a,
        s,
        l,
        u,
        c,
        d = this;
      if (r = t && 8 === t.keyCode ? -1 : 1, o = g(d.$control_input[0]), d.$activeOption && !d.settings.hideSelected && (l = d.getAdjacentOption(d.$activeOption, -1).attr("data-value")), a = [], d.$activeItems.length) {
        for (c = d.$control.children(".active:" + (r > 0 ? "last" : "first")), s = d.$control.children(":not(input)").index(c), r > 0 && s++, n = 0, i = d.$activeItems.length; n < i; n++) a.push(e(d.$activeItems[n]).attr("data-value"));
        t && (t.preventDefault(), t.stopPropagation());
      } else (d.isFocused || "single" === d.settings.mode) && d.items.length && (r < 0 && 0 === o.start && 0 === o.length ? a.push(d.items[d.caretPos - 1]) : r > 0 && o.start === d.$control_input.val().length && a.push(d.items[d.caretPos]));
      if (!a.length || "function" == typeof d.settings.onDelete && !1 === d.settings.onDelete.apply(d, [a])) return !1;
      for (void 0 !== s && d.setCaret(s); a.length;) d.removeItem(a.pop());
      return d.showInput(), d.positionDropdown(), d.refreshOptions(!0), l && (u = d.getOption(l)).length && d.setActiveOption(u), !0;
    },
    advanceSelection: function (e, t) {
      var n,
        i,
        r,
        o,
        a,
        s = this;
      0 !== e && (s.rtl && (e *= -1), n = e > 0 ? "last" : "first", i = g(s.$control_input[0]), s.isFocused && !s.isInputHidden ? (o = s.$control_input.val().length, (e < 0 ? 0 === i.start && 0 === i.length : i.start === o) && !o && s.advanceCaret(e, t)) : (a = s.$control.children(".active:" + n)).length && (r = s.$control.children(":not(input)").index(a), s.setActiveItem(null), s.setCaret(e > 0 ? r + 1 : r)));
    },
    advanceCaret: function (e, t) {
      var n,
        i,
        r = this;
      0 !== e && (n = e > 0 ? "next" : "prev", r.isShiftDown ? (i = r.$control_input[n]()).length && (r.hideInput(), r.setActiveItem(i), t && t.preventDefault()) : r.setCaret(r.caretPos + e));
    },
    setCaret: function (t) {
      var n,
        i,
        r,
        o,
        a = this;
      if (t = "single" === a.settings.mode ? a.items.length : Math.max(0, Math.min(a.items.length, t)), !a.isPending) for (n = 0, i = (r = a.$control.children(":not(input)")).length; n < i; n++) o = e(r[n]).detach(), n < t ? a.$control_input.before(o) : a.$control.append(o);
      a.caretPos = t;
    },
    lock: function () {
      this.close(), this.isLocked = !0, this.refreshState();
    },
    unlock: function () {
      this.isLocked = !1, this.refreshState();
    },
    disable: function () {
      var e = this;
      e.$input.prop("disabled", !0), e.$control_input.prop("disabled", !0).prop("tabindex", -1), e.isDisabled = !0, e.lock();
    },
    enable: function () {
      var e = this;
      e.$input.prop("disabled", !1), e.$control_input.prop("disabled", !1).prop("tabindex", e.tabIndex), e.isDisabled = !1, e.unlock();
    },
    destroy: function () {
      var t = this,
        n = t.eventNS,
        i = t.revertSettings;
      t.trigger("destroy"), t.off(), t.$wrapper.remove(), t.$dropdown.remove(), t.$input.html("").append(i.$children).removeAttr("tabindex").removeClass("selectized").attr({
        tabindex: i.tabindex
      }).show(), t.$control_input.removeData("grow"), t.$input.removeData("selectize"), 0 == --y.count && y.$testInput && (y.$testInput.remove(), y.$testInput = void 0), e(window).off(n), e(document).off(n), e(document.body).off(n), delete t.$input[0].selectize;
    },
    render: function (t, n) {
      var i,
        r,
        o = "",
        a = !1,
        s = this;
      return "option" !== t && "item" !== t || (a = !!(i = p(n[s.settings.valueField]))), a && (d(s.renderCache[t]) || (s.renderCache[t] = {}), s.renderCache[t].hasOwnProperty(i)) ? s.renderCache[t][i] : (o = e(s.settings.render[t].apply(this, [n, f])), "option" === t || "option_create" === t ? n[s.settings.disabledField] || o.attr("data-selectable", "") : "optgroup" === t && (r = n[s.settings.optgroupValueField] || "", o.attr("data-group", r), n[s.settings.disabledField] && o.attr("data-disabled", "")), "option" !== t && "item" !== t || o.attr("data-value", i || ""), a && (s.renderCache[t][i] = o[0]), o[0]);
    },
    clearCache: function (e) {
      void 0 === e ? this.renderCache = {} : delete this.renderCache[e];
    },
    canCreate: function (e) {
      var t = this;
      if (!t.settings.create) return !1;
      var n = t.settings.createFilter;
      return e.length && ("function" != typeof n || n.apply(t, [e])) && ("string" != typeof n || new RegExp(n).test(e)) && (!(n instanceof RegExp) || n.test(e));
    }
  }), y.count = 0, y.defaults = {
    options: [],
    optgroups: [],
    plugins: [],
    delimiter: ",",
    splitOn: null,
    persist: !0,
    diacritics: !0,
    create: !1,
    createOnBlur: !1,
    createFilter: null,
    highlight: !0,
    openOnFocus: !0,
    maxOptions: 1e3,
    maxItems: null,
    hideSelected: null,
    addPrecedence: !1,
    selectOnTab: !1,
    preload: !1,
    allowEmptyOption: !1,
    closeAfterSelect: !1,
    scrollDuration: 60,
    loadThrottle: 300,
    loadingClass: "loading",
    dataAttr: "data-data",
    optgroupField: "optgroup",
    valueField: "value",
    labelField: "text",
    disabledField: "disabled",
    optgroupLabelField: "label",
    optgroupValueField: "value",
    lockOptgroupOrder: !1,
    sortField: "$order",
    searchField: ["text"],
    searchConjunction: "and",
    mode: null,
    wrapperClass: "selectize-control",
    inputClass: "selectize-input",
    dropdownClass: "selectize-dropdown",
    dropdownContentClass: "selectize-dropdown-content",
    dropdownParent: null,
    copyClassesToDropdown: !0,
    render: {}
  }, e.fn.selectize = function (t) {
    var n = e.fn.selectize.defaults,
      i = e.extend({}, n, t),
      r = i.dataAttr,
      o = i.labelField,
      a = i.valueField,
      s = i.disabledField,
      l = i.optgroupField,
      u = i.optgroupLabelField,
      c = i.optgroupValueField;
    return this.each(function () {
      if (!this.selectize) {
        var d = e(this),
          f = this.tagName.toLowerCase(),
          h = d.attr("placeholder") || d.attr("data-placeholder");
        h || i.allowEmptyOption || (h = d.children('option[value=""]').text());
        var m = {
          placeholder: h,
          options: [],
          optgroups: [],
          items: []
        };
        "select" === f ? function (t, n) {
          var d,
            f,
            h,
            m,
            g = n.options,
            v = {},
            y = function (e) {
              var t = r && e.attr(r);
              return "string" == typeof t && t.length ? JSON.parse(t) : null;
            },
            b = function (t, r) {
              t = e(t);
              var u = p(t.val());
              if (u || i.allowEmptyOption) if (v.hasOwnProperty(u)) {
                if (r) {
                  var c = v[u][l];
                  c ? e.isArray(c) ? c.push(r) : v[u][l] = [c, r] : v[u][l] = r;
                }
              } else {
                var d = y(t) || {};
                d[o] = d[o] || t.text(), d[a] = d[a] || u, d[s] = d[s] || t.prop("disabled"), d[l] = d[l] || r, v[u] = d, g.push(d), t.is(":selected") && n.items.push(u);
              }
            },
            w = function (t) {
              var i, r, o, a, l;
              for ((o = (t = e(t)).attr("label")) && ((a = y(t) || {})[u] = o, a[c] = o, a[s] = t.prop("disabled"), n.optgroups.push(a)), i = 0, r = (l = e("option", t)).length; i < r; i++) b(l[i], o);
            };
          for (n.maxItems = t.attr("multiple") ? null : 1, d = 0, f = (m = t.children()).length; d < f; d++) "optgroup" === (h = m[d].tagName.toLowerCase()) ? w(m[d]) : "option" === h && b(m[d]);
        }(d, m) : function (t, n) {
          var s,
            l,
            u,
            c,
            d = t.attr(r);
          if (d) for (n.options = JSON.parse(d), s = 0, l = n.options.length; s < l; s++) n.items.push(n.options[s][a]);else {
            var p = e.trim(t.val() || "");
            if (!i.allowEmptyOption && !p.length) return;
            for (s = 0, l = (u = p.split(i.delimiter)).length; s < l; s++) (c = {})[o] = u[s], c[a] = u[s], n.options.push(c);
            n.items = u;
          }
        }(d, m), new y(d, e.extend(!0, {}, n, m, t));
      }
    });
  }, e.fn.selectize.defaults = y.defaults, e.fn.selectize.support = {
    validity: c
  }, y.define("drag_drop", function (t) {
    if (!e.fn.sortable) throw new Error('The "drag_drop" plugin requires jQuery UI "sortable".');
    if ("multi" === this.settings.mode) {
      var n,
        i = this;
      i.lock = (n = i.lock, function () {
        var e = i.$control.data("sortable");
        return e && e.disable(), n.apply(i, arguments);
      }), i.unlock = function () {
        var e = i.unlock;
        return function () {
          var t = i.$control.data("sortable");
          return t && t.enable(), e.apply(i, arguments);
        };
      }(), i.setup = function () {
        var t = i.setup;
        return function () {
          t.apply(this, arguments);
          var n = i.$control.sortable({
            items: "[data-value]",
            forcePlaceholderSize: !0,
            disabled: i.isLocked,
            start: function (e, t) {
              t.placeholder.css("width", t.helper.css("width")), n.css({
                overflow: "visible"
              });
            },
            stop: function () {
              n.css({
                overflow: "hidden"
              });
              var t = i.$activeItems ? i.$activeItems.slice() : null,
                r = [];
              n.children("[data-value]").each(function () {
                r.push(e(this).attr("data-value"));
              }), i.setValue(r), i.setActiveItem(t);
            }
          });
        };
      }();
    }
  }), y.define("dropdown_header", function (t) {
    var n,
      i = this;
    t = e.extend({
      title: "Untitled",
      headerClass: "selectize-dropdown-header",
      titleRowClass: "selectize-dropdown-header-title",
      labelClass: "selectize-dropdown-header-label",
      closeClass: "selectize-dropdown-header-close",
      html: function (e) {
        return '<div class="' + e.headerClass + '"><div class="' + e.titleRowClass + '"><span class="' + e.labelClass + '">' + e.title + '</span><a href="javascript:void(0)" class="' + e.closeClass + '">&times;</a></div></div>';
      }
    }, t), i.setup = (n = i.setup, function () {
      n.apply(i, arguments), i.$dropdown_header = e(t.html(t)), i.$dropdown.prepend(i.$dropdown_header);
    });
  }), y.define("optgroup_columns", function (t) {
    var n,
      i = this;
    t = e.extend({
      equalizeWidth: !0,
      equalizeHeight: !0
    }, t), this.getAdjacentOption = function (t, n) {
      var i = t.closest("[data-group]").find("[data-selectable]"),
        r = i.index(t) + n;
      return r >= 0 && r < i.length ? i.eq(r) : e();
    }, this.onKeyDown = (n = i.onKeyDown, function (e) {
      var t, r, o, a;
      return !this.isOpen || 37 !== e.keyCode && 39 !== e.keyCode ? n.apply(this, arguments) : (i.ignoreHover = !0, t = (a = this.$activeOption.closest("[data-group]")).find("[data-selectable]").index(this.$activeOption), void ((r = (o = (a = 37 === e.keyCode ? a.prev("[data-group]") : a.next("[data-group]")).find("[data-selectable]")).eq(Math.min(o.length - 1, t))).length && this.setActiveOption(r)));
    });
    var r = function () {
        var e,
          t = r.width,
          n = document;
        return void 0 === t && ((e = n.createElement("div")).innerHTML = '<div style="width:50px;height:50px;position:absolute;left:-50px;top:-50px;overflow:auto;"><div style="width:1px;height:100px;"></div></div>', e = e.firstChild, n.body.appendChild(e), t = r.width = e.offsetWidth - e.clientWidth, n.body.removeChild(e)), t;
      },
      o = function () {
        var n, o, a, s, l, u, c;
        if ((o = (c = e("[data-group]", i.$dropdown_content)).length) && i.$dropdown_content.width()) {
          if (t.equalizeHeight) {
            for (a = 0, n = 0; n < o; n++) a = Math.max(a, c.eq(n).height());
            c.css({
              height: a
            });
          }
          t.equalizeWidth && (u = i.$dropdown_content.innerWidth() - r(), s = Math.round(u / o), c.css({
            width: s
          }), o > 1 && (l = u - s * (o - 1), c.eq(o - 1).css({
            width: l
          })));
        }
      };
    (t.equalizeHeight || t.equalizeWidth) && (h.after(this, "positionDropdown", o), h.after(this, "refreshOptions", o));
  }), y.define("remove_button", function (t) {
    t = e.extend({
      label: "&times;",
      title: "Remove",
      className: "remove",
      append: !0
    }, t);
    "single" !== this.settings.mode ? function (t, n) {
      var i,
        r = t,
        o = '<a href="javascript:void(0)" class="' + n.className + '" tabindex="-1" title="' + f(n.title) + '">' + n.label + "</a>";
      t.setup = (i = r.setup, function () {
        if (n.append) {
          var a = r.settings.render.item;
          r.settings.render.item = function (e) {
            return n = a.apply(t, arguments), i = o, r = n.search(/(<\/[^>]+>\s*)$/), n.substring(0, r) + i + n.substring(r);
            var n, i, r;
          };
        }
        i.apply(t, arguments), t.$control.on("click", "." + n.className, function (t) {
          if (t.preventDefault(), !r.isLocked) {
            var n = e(t.currentTarget).parent();
            r.setActiveItem(n), r.deleteSelection() && r.setCaret(r.items.length);
          }
        });
      });
    }(this, t) : function (t, n) {
      n.className = "remove-single";
      var i,
        r = t,
        o = '<a href="javascript:void(0)" class="' + n.className + '" tabindex="-1" title="' + f(n.title) + '">' + n.label + "</a>";
      t.setup = (i = r.setup, function () {
        if (n.append) {
          var a = e(r.$input.context).attr("id"),
            s = (e("#" + a), r.settings.render.item);
          r.settings.render.item = function (n) {
            return i = s.apply(t, arguments), r = o, e("<span>").append(i).append(r);
            var i, r;
          };
        }
        i.apply(t, arguments), t.$control.on("click", "." + n.className, function (e) {
          e.preventDefault(), r.isLocked || r.clear();
        });
      });
    }(this, t);
  }), y.define("restore_on_backspace", function (e) {
    var t,
      n = this;
    e.text = e.text || function (e) {
      return e[this.settings.labelField];
    }, this.onKeyDown = (t = n.onKeyDown, function (n) {
      var i, r;
      return 8 === n.keyCode && "" === this.$control_input.val() && !this.$activeItems.length && (i = this.caretPos - 1) >= 0 && i < this.items.length ? (r = this.options[this.items[i]], this.deleteSelection(n) && (this.setTextboxValue(e.text.apply(this, [r])), this.refreshOptions(!0)), void n.preventDefault()) : t.apply(this, arguments);
    });
  }), y;
}), Selectize.define("disableDelete", function (e) {
  this.deleteSelection = function () {};
}), Selectize.define("max_items", function (e) {
  var t,
    n = this;
  e = $.extend({
    max: 3,
    message: "Show :count more...",
    html: function (e, t) {
      return '<a href="javascript:void(0)" class="selectize-show-more-items sp-description" style="display:block; line-height: 18px; margin-bottom: 3px;">' + e.message.replace(":count", t) + "</a>";
    }
  }, e), n.setup = (t = n.setup, function () {
    if (t.apply(n, arguments), !(n.items.length <= e.max)) {
      var i = n.items.length - e.max;
      n.$show_more = $(e.html(e, i)), n.$show_more.insertAfter(n.$control), n.$control.find(".item:gt(" + (e.max - 1) + ")").hide(), n.$show_more.on("click", function () {
        n.$control.find(".item").show(), $(this).hide();
      });
    }
  });
}),
/*!
* @supportpal/sweetalert2 v11.6.13
* Released under the MIT License.
*/
function (e, t) {
  "object" == typeof exports && "undefined" != typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define(t) : (e = "undefined" != typeof globalThis ? globalThis : e || self).Sweetalert2 = t();
}(this, function () {
  "use strict";

  var e = {
    awaitingPromise: new WeakMap(),
    promise: new WeakMap(),
    innerParams: new WeakMap(),
    domCache: new WeakMap()
  };
  const t = e => {
      const t = {};
      for (const n in e) t[e[n]] = "swal2-" + e[n];
      return t;
    },
    n = t(["container", "shown", "height-auto", "iosfix", "popup", "modal", "no-backdrop", "no-transition", "toast", "toast-shown", "show", "hide", "close", "title", "html-container", "actions", "confirm", "deny", "cancel", "default-outline", "footer", "icon", "icon-content", "image", "input", "file", "range", "select", "radio", "checkbox", "label", "textarea", "inputerror", "input-label", "validation-message", "progress-steps", "active-progress-step", "progress-step", "progress-step-line", "loader", "loading", "styled", "top", "top-start", "top-end", "top-left", "top-right", "center", "center-start", "center-end", "center-left", "center-right", "bottom", "bottom-start", "bottom-end", "bottom-left", "bottom-right", "grow-row", "grow-column", "grow-fullscreen", "rtl", "timer-progress-bar", "timer-progress-bar-container", "scrollbar-measure", "icon-success", "icon-warning", "icon-info", "icon-question", "icon-error"]),
    i = t(["success", "warning", "info", "question", "error"]),
    r = "SweetAlert2:",
    o = e => e.charAt(0).toUpperCase() + e.slice(1),
    a = e => {
      void 0;
    },
    s = e => {
      void 0;
    },
    l = [],
    u = (e, t) => {
      var n;
      n = `"${e}" is deprecated and will be removed in the next major release. Please use "${t}" instead.`, l.includes(n) || (l.push(n), a(n));
    },
    c = e => "function" == typeof e ? e() : e,
    d = e => e && "function" == typeof e.toPromise,
    p = e => d(e) ? e.toPromise() : Promise.resolve(e),
    f = e => e && Promise.resolve(e) === e,
    h = () => document.body.querySelector(`.${n.container}`),
    m = e => {
      const t = h();
      return t ? t.querySelector(e) : null;
    },
    g = e => m(`.${e}`),
    v = () => g(n.popup),
    y = () => g(n.icon),
    b = () => g(n.title),
    w = () => g(n["html-container"]),
    x = () => g(n.image),
    k = () => g(n["progress-steps"]),
    C = () => g(n["validation-message"]),
    T = () => m(`.${n.actions} .${n.confirm}`),
    E = () => m(`.${n.actions} .${n.cancel}`),
    D = () => m(`.${n.actions} .${n.deny}`),
    O = () => m(`.${n.loader}`),
    S = () => g(n.actions),
    A = () => g(n.footer),
    j = () => g(n["timer-progress-bar"]),
    M = () => g(n.close),
    P = () => {
      const e = Array.from(v().querySelectorAll('[tabindex]:not([tabindex="-1"]):not([tabindex="0"])')).sort((e, t) => {
          const n = parseInt(e.getAttribute("tabindex")),
            i = parseInt(t.getAttribute("tabindex"));
          return n > i ? 1 : n < i ? -1 : 0;
        }),
        t = Array.from(v().querySelectorAll('\n  a[href],\n  area[href],\n  input:not([disabled]),\n  select:not([disabled]),\n  textarea:not([disabled]),\n  button:not([disabled]),\n  iframe,\n  object,\n  embed,\n  [tabindex="0"],\n  [contenteditable],\n  audio[controls],\n  video[controls],\n  summary\n')).filter(e => "-1" !== e.getAttribute("tabindex"));
      return (e => {
        const t = [];
        for (let n = 0; n < e.length; n++) -1 === t.indexOf(e[n]) && t.push(e[n]);
        return t;
      })(e.concat(t)).filter(e => J(e));
    },
    L = () => F(document.body, n.shown) && !F(document.body, n["toast-shown"]) && !F(document.body, n["no-backdrop"]),
    $ = () => v() && F(v(), n.toast),
    _ = {
      previousBodyPadding: null
    },
    N = (e, t) => {
      if (e.textContent = "", t) {
        const n = new DOMParser().parseFromString(t, "text/html");
        Array.from(n.querySelector("head").childNodes).forEach(t => {
          e.appendChild(t);
        }), Array.from(n.querySelector("body").childNodes).forEach(t => {
          t instanceof HTMLVideoElement || t instanceof HTMLAudioElement ? e.appendChild(t.cloneNode(!0)) : e.appendChild(t);
        });
      }
    },
    F = (e, t) => {
      if (!t) return !1;
      const n = t.split(/\s+/);
      for (let t = 0; t < n.length; t++) if (!e.classList.contains(n[t])) return !1;
      return !0;
    },
    I = (e, t, r) => {
      if (((e, t) => {
        Array.from(e.classList).forEach(r => {
          Object.values(n).includes(r) || Object.values(i).includes(r) || Object.values(t.showClass).includes(r) || e.classList.remove(r);
        });
      })(e, t), t.customClass && t.customClass[r]) {
        if ("string" != typeof t.customClass[r] && !t.customClass[r].forEach) return void a(`Invalid type of customClass.${r}! Expected string or iterable object, got "${typeof t.customClass[r]}"`);
        B(e, t.customClass[r]);
      }
    },
    R = (e, t) => {
      if (!t) return null;
      switch (t) {
        case "select":
        case "textarea":
        case "file":
          return e.querySelector(`.${n.popup} > .${n[t]}`);
        case "checkbox":
          return e.querySelector(`.${n.popup} > .${n.checkbox} input`);
        case "radio":
          return e.querySelector(`.${n.popup} > .${n.radio} input:checked`) || e.querySelector(`.${n.popup} > .${n.radio} input:first-child`);
        case "range":
          return e.querySelector(`.${n.popup} > .${n.range} input`);
        default:
          return e.querySelector(`.${n.popup} > .${n.input}`);
      }
    },
    q = e => {
      if (e.focus(), "file" !== e.type) {
        const t = e.value;
        e.value = "", e.value = t;
      }
    },
    H = (e, t, n) => {
      e && t && ("string" == typeof t && (t = t.split(/\s+/).filter(Boolean)), t.forEach(t => {
        Array.isArray(e) ? e.forEach(e => {
          n ? e.classList.add(t) : e.classList.remove(t);
        }) : n ? e.classList.add(t) : e.classList.remove(t);
      }));
    },
    B = (e, t) => {
      H(e, t, !0);
    },
    V = (e, t) => {
      H(e, t, !1);
    },
    z = (e, t) => {
      const n = Array.from(e.children);
      for (let e = 0; e < n.length; e++) {
        const i = n[e];
        if (i instanceof HTMLElement && F(i, t)) return i;
      }
    },
    W = (e, t, n) => {
      n === `${parseInt(n)}` && (n = parseInt(n)), n || 0 === parseInt(n) ? e.style[t] = "number" == typeof n ? `${n}px` : n : e.style.removeProperty(t);
    },
    Y = function (e) {
      let t = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : "flex";
      e.style.display = t;
    },
    U = e => {
      e.style.display = "none";
    },
    K = (e, t, n, i) => {
      const r = e.querySelector(t);
      r && (r.style[n] = i);
    },
    X = function (e, t) {
      t ? Y(e, arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : "flex") : U(e);
    },
    J = e => !(!e || !(e.offsetWidth || e.offsetHeight || e.getClientRects().length)),
    G = e => !!(e.scrollHeight > e.clientHeight),
    Q = e => {
      const t = window.getComputedStyle(e),
        n = parseFloat(t.getPropertyValue("animation-duration") || "0"),
        i = parseFloat(t.getPropertyValue("transition-duration") || "0");
      return n > 0 || i > 0;
    },
    Z = function (e) {
      let t = arguments.length > 1 && void 0 !== arguments[1] && arguments[1];
      const n = j();
      J(n) && (t && (n.style.transition = "none", n.style.width = "100%"), setTimeout(() => {
        n.style.transition = `width ${e / 1e3}s linear`, n.style.width = "0%";
      }, 10));
    },
    ee = {},
    te = e => new Promise(t => {
      if (!e) return t();
      const n = window.scrollX,
        i = window.scrollY;
      ee.restoreFocusTimeout = setTimeout(() => {
        ee.previousActiveElement instanceof HTMLElement ? (ee.previousActiveElement.focus(), ee.previousActiveElement = null) : document.body && document.body.focus(), t();
      }, 100), window.scrollTo(n, i);
    }),
    ne = () => "undefined" == typeof window || "undefined" == typeof document,
    ie = `\n <div aria-labelledby="${n.title}" aria-describedby="${n["html-container"]}" class="${n.popup}" tabindex="-1">\n   <button type="button" class="${n.close}"></button>\n   <ul class="${n["progress-steps"]}"></ul>\n   <div class="${n.icon}"></div>\n   <img class="${n.image}" />\n   <h2 class="${n.title}" id="${n.title}"></h2>\n   <div class="${n["html-container"]}" id="${n["html-container"]}"></div>\n   <input class="${n.input}" />\n   <input type="file" class="${n.file}" />\n   <div class="${n.range}">\n     <input type="range" />\n     <output></output>\n   </div>\n   <select class="${n.select}"></select>\n   <div class="${n.radio}"></div>\n   <label for="${n.checkbox}" class="${n.checkbox}">\n     <input type="checkbox" />\n     <span class="${n.label}"></span>\n   </label>\n   <textarea class="${n.textarea}"></textarea>\n   <div class="${n["validation-message"]}" id="${n["validation-message"]}"></div>\n   <div class="${n.actions}">\n     <div class="${n.loader}"></div>\n     <button type="button" class="${n.confirm}"></button>\n     <button type="button" class="${n.deny}"></button>\n     <button type="button" class="${n.cancel}"></button>\n   </div>\n   <div class="${n.footer}"></div>\n   <div class="${n["timer-progress-bar-container"]}">\n     <div class="${n["timer-progress-bar"]}"></div>\n   </div>\n </div>\n`.replace(/(^|\n)\s*/g, ""),
    re = () => {
      ee.currentInstance.resetValidationMessage();
    },
    oe = e => {
      const t = (() => {
        const e = h();
        return !!e && (e.remove(), V([document.documentElement, document.body], [n["no-backdrop"], n["toast-shown"], n["has-column"]]), !0);
      })();
      if (ne()) return void s("SweetAlert2 requires document to initialize");
      const i = document.createElement("div");
      i.className = n.container, t && B(i, n["no-transition"]), N(i, ie);
      const r = "string" == typeof (o = e.target) ? document.querySelector(o) : o;
      var o;
      r.appendChild(i), (e => {
        const t = v();
        t.setAttribute("role", e.toast ? "alert" : "dialog"), t.setAttribute("aria-live", e.toast ? "polite" : "assertive"), e.toast || t.setAttribute("aria-modal", "true");
      })(e), (e => {
        "rtl" === window.getComputedStyle(e).direction && B(h(), n.rtl);
      })(r), (() => {
        const e = v(),
          t = z(e, n.input),
          i = z(e, n.file),
          r = e.querySelector(`.${n.range} input`),
          o = e.querySelector(`.${n.range} output`),
          a = z(e, n.select),
          s = e.querySelector(`.${n.checkbox} input`),
          l = z(e, n.textarea);
        t.oninput = re, i.onchange = re, a.onchange = re, s.onchange = re, l.oninput = re, r.oninput = () => {
          re(), o.value = r.value;
        }, r.onchange = () => {
          re(), o.value = r.value;
        };
      })();
    },
    ae = (e, t) => {
      e instanceof HTMLElement ? t.appendChild(e) : "object" == typeof e ? se(e, t) : e && N(t, e);
    },
    se = (e, t) => {
      e.jquery ? le(t, e) : N(t, e.toString());
    },
    le = (e, t) => {
      if (e.textContent = "", 0 in t) for (let n = 0; (n in t); n++) e.appendChild(t[n].cloneNode(!0));else e.appendChild(t.cloneNode(!0));
    },
    ue = (() => {
      if (ne()) return !1;
      const e = document.createElement("div"),
        t = {
          WebkitAnimation: "webkitAnimationEnd",
          animation: "animationend"
        };
      for (const n in t) if (Object.prototype.hasOwnProperty.call(t, n) && void 0 !== e.style[n]) return t[n];
      return !1;
    })(),
    ce = (e, t) => {
      const i = S(),
        r = O();
      t.showConfirmButton || t.showDenyButton || t.showCancelButton ? Y(i) : U(i), I(i, t, "actions"), function (e, t, i) {
        const r = T(),
          o = D(),
          a = E();
        de(r, "confirm", i), de(o, "deny", i), de(a, "cancel", i), function (e, t, i, r) {
          if (!r.buttonsStyling) return void V([e, t, i], n.styled);
          B([e, t, i], n.styled), r.confirmButtonColor && (e.style.backgroundColor = r.confirmButtonColor, B(e, n["default-outline"]));
          r.denyButtonColor && (t.style.backgroundColor = r.denyButtonColor, B(t, n["default-outline"]));
          r.cancelButtonColor && (i.style.backgroundColor = r.cancelButtonColor, B(i, n["default-outline"]));
        }(r, o, a, i), i.reverseButtons && (i.toast ? (e.insertBefore(a, r), e.insertBefore(o, r)) : (e.insertBefore(a, t), e.insertBefore(o, t), e.insertBefore(r, t)));
      }(i, r, t), N(r, t.loaderHtml), I(r, t, "loader");
    };
  function de(e, t, i) {
    X(e, i[`show${o(t)}Button`], "inline-block"), N(e, i[`${t}ButtonText`]), e.setAttribute("aria-label", i[`${t}ButtonAriaLabel`]), e.className = n[t], I(e, i, `${t}Button`), B(e, i[`${t}ButtonClass`]);
  }
  const pe = (e, t) => {
    const i = h();
    i && (!function (e, t) {
      "string" == typeof t ? e.style.background = t : t || B([document.documentElement, document.body], n["no-backdrop"]);
    }(i, t.backdrop), function (e, t) {
      t in n ? B(e, n[t]) : (a('The "position" parameter is not valid, defaulting to "center"'), B(e, n.center));
    }(i, t.position), function (e, t) {
      if (t && "string" == typeof t) {
        const i = `grow-${t}`;
        i in n && B(e, n[i]);
      }
    }(i, t.grow), I(i, t, "container"));
  };
  const fe = ["input", "file", "range", "select", "radio", "checkbox", "textarea"],
    he = e => {
      if (!xe[e.input]) return void s(`Unexpected type of input! Expected "text", "email", "password", "number", "tel", "select", "radio", "checkbox", "textarea", "file" or "url", got "${e.input}"`);
      const t = be(e.input),
        n = xe[e.input](t, e);
      Y(t), setTimeout(() => {
        q(n);
      });
    },
    me = (e, t) => {
      const n = R(v(), e);
      if (n) {
        (e => {
          for (let t = 0; t < e.attributes.length; t++) {
            const n = e.attributes[t].name;
            ["type", "value", "style"].includes(n) || e.removeAttribute(n);
          }
        })(n);
        for (const e in t) n.setAttribute(e, t[e]);
      }
    },
    ge = e => {
      const t = be(e.input);
      "object" == typeof e.customClass && B(t, e.customClass.input);
    },
    ve = (e, t) => {
      e.placeholder && !t.inputPlaceholder || (e.placeholder = t.inputPlaceholder);
    },
    ye = (e, t, i) => {
      if (i.inputLabel) {
        e.id = n.input;
        const r = document.createElement("label"),
          o = n["input-label"];
        r.setAttribute("for", e.id), r.className = o, "object" == typeof i.customClass && B(r, i.customClass.inputLabel), r.innerText = i.inputLabel, t.insertAdjacentElement("beforebegin", r);
      }
    },
    be = e => z(v(), n[e] || n.input),
    we = (e, t) => {
      ["string", "number"].includes(typeof t) ? e.value = `${t}` : f(t) || a(`Unexpected type of inputValue! Expected "string", "number" or "Promise", got "${typeof t}"`);
    },
    xe = {};
  xe.text = xe.email = xe.password = xe.number = xe.tel = xe.url = (e, t) => (we(e, t.inputValue), ye(e, e, t), ve(e, t), e.type = t.input, e), xe.file = (e, t) => (ye(e, e, t), ve(e, t), e), xe.range = (e, t) => {
    const n = e.querySelector("input"),
      i = e.querySelector("output");
    return we(n, t.inputValue), n.type = t.input, we(i, t.inputValue), ye(n, e, t), e;
  }, xe.select = (e, t) => {
    if (e.textContent = "", t.inputPlaceholder) {
      const n = document.createElement("option");
      N(n, t.inputPlaceholder), n.value = "", n.disabled = !0, n.selected = !0, e.appendChild(n);
    }
    return ye(e, e, t), e;
  }, xe.radio = e => (e.textContent = "", e), xe.checkbox = (e, t) => {
    const i = R(v(), "checkbox");
    i.value = "1", i.id = n.checkbox, i.checked = Boolean(t.inputValue);
    const r = e.querySelector("span");
    return N(r, t.inputPlaceholder), i;
  }, xe.textarea = (e, t) => {
    we(e, t.inputValue), ve(e, t), ye(e, e, t);
    return setTimeout(() => {
      if ("MutationObserver" in window) {
        const t = parseInt(window.getComputedStyle(v()).width);
        new MutationObserver(() => {
          const n = e.offsetWidth + (i = e, parseInt(window.getComputedStyle(i).marginLeft) + parseInt(window.getComputedStyle(i).marginRight));
          var i;
          v().style.width = n > t ? `${n}px` : null;
        }).observe(e, {
          attributes: !0,
          attributeFilter: ["style"]
        });
      }
    }), e;
  };
  const ke = (t, i) => {
      const r = w();
      I(r, i, "htmlContainer"), i.html ? (ae(i.html, r), Y(r, "block")) : i.text ? (r.textContent = i.text, Y(r, "block")) : U(r), ((t, i) => {
        const r = v(),
          o = e.innerParams.get(t),
          a = !o || i.input !== o.input;
        fe.forEach(e => {
          const t = z(r, n[e]);
          me(e, i.inputAttributes), t.className = n[e], a && U(t);
        }), i.input && (a && he(i), ge(i));
      })(t, i);
    },
    Ce = (e, t) => {
      for (const n in i) t.icon !== n && V(e, i[n]);
      B(e, i[t.icon]), De(e, t), Te(), I(e, t, "icon");
    },
    Te = () => {
      const e = v(),
        t = window.getComputedStyle(e).getPropertyValue("background-color"),
        n = e.querySelectorAll("[class^=swal2-success-circular-line], .swal2-success-fix");
      for (let e = 0; e < n.length; e++) n[e].style.backgroundColor = t;
    },
    Ee = (e, t) => {
      let n,
        i = e.innerHTML;
      if (t.iconHtml) n = Oe(t.iconHtml);else if ("success" === t.icon) n = '\n  <div class="swal2-success-circular-line-left"></div>\n  <span class="swal2-success-line-tip"></span> <span class="swal2-success-line-long"></span>\n  <div class="swal2-success-ring"></div> <div class="swal2-success-fix"></div>\n  <div class="swal2-success-circular-line-right"></div>\n', i = i.replace(/ style=".*?"/g, "");else if ("error" === t.icon) n = '\n  <span class="swal2-x-mark">\n    <span class="swal2-x-mark-line-left"></span>\n    <span class="swal2-x-mark-line-right"></span>\n  </span>\n';else {
        n = Oe({
          question: "?",
          warning: "!",
          info: "i"
        }[t.icon]);
      }
      i.trim() !== n.trim() && N(e, n);
    },
    De = (e, t) => {
      if (t.iconColor) {
        e.style.color = t.iconColor, e.style.borderColor = t.iconColor;
        for (const n of [".swal2-success-line-tip", ".swal2-success-line-long", ".swal2-x-mark-line-left", ".swal2-x-mark-line-right"]) K(e, n, "backgroundColor", t.iconColor);
        K(e, ".swal2-success-ring", "borderColor", t.iconColor);
      }
    },
    Oe = e => `<div class="${n["icon-content"]}">${e}</div>`,
    Se = (e, t) => {
      e.className = `${n.popup} ${J(e) ? t.showClass.popup : ""}`, t.toast ? (B([document.documentElement, document.body], n["toast-shown"]), B(e, n.toast)) : B(e, n.modal), I(e, t, "popup"), "string" == typeof t.customClass && B(e, t.customClass), t.icon && B(e, n[`icon-${t.icon}`]);
    },
    Ae = e => {
      const t = document.createElement("li");
      return B(t, n["progress-step"]), N(t, e), t;
    },
    je = e => {
      const t = document.createElement("li");
      return B(t, n["progress-step-line"]), e.progressStepsDistance && W(t, "width", e.progressStepsDistance), t;
    },
    Me = (t, r) => {
      ((e, t) => {
        const n = h(),
          i = v();
        t.toast ? (W(n, "width", t.width), i.style.width = "100%", i.insertBefore(O(), y())) : W(i, "width", t.width), W(i, "padding", t.padding), t.color && (i.style.color = t.color), t.background && (i.style.background = t.background), U(C()), Se(i, t);
      })(0, r), pe(0, r), ((e, t) => {
        const i = k();
        t.progressSteps && 0 !== t.progressSteps.length ? (Y(i), i.textContent = "", t.currentProgressStep >= t.progressSteps.length && a("Invalid currentProgressStep parameter, it should be less than progressSteps.length (currentProgressStep like JS arrays starts from 0)"), t.progressSteps.forEach((e, r) => {
          const o = Ae(e);
          if (i.appendChild(o), r === t.currentProgressStep && B(o, n["active-progress-step"]), r !== t.progressSteps.length - 1) {
            const e = je(t);
            i.appendChild(e);
          }
        })) : U(i);
      })(0, r), ((t, n) => {
        const r = e.innerParams.get(t),
          o = y();
        if (r && n.icon === r.icon) return Ee(o, n), void Ce(o, n);
        if (n.icon || n.iconHtml) {
          if (n.icon && -1 === Object.keys(i).indexOf(n.icon)) return s(`Unknown icon! Expected "success", "error", "warning", "info" or "question", got "${n.icon}"`), void U(o);
          Y(o), Ee(o, n), Ce(o, n), B(o, n.showClass.icon);
        } else U(o);
      })(t, r), ((e, t) => {
        const i = x();
        t.imageUrl ? (Y(i, ""), i.setAttribute("src", t.imageUrl), i.setAttribute("alt", t.imageAlt), W(i, "width", t.imageWidth), W(i, "height", t.imageHeight), i.className = n.image, I(i, t, "image")) : U(i);
      })(0, r), ((e, t) => {
        const n = b();
        X(n, t.title || t.titleText, "block"), t.title && ae(t.title, n), t.titleText && (n.innerText = t.titleText), I(n, t, "title");
      })(0, r), ((e, t) => {
        const n = M();
        N(n, t.closeButtonHtml), I(n, t, "closeButton"), X(n, t.showCloseButton), n.setAttribute("aria-label", t.closeButtonAriaLabel);
      })(0, r), ke(t, r), ce(0, r), ((e, t) => {
        const n = A();
        X(n, t.footer), t.footer && ae(t.footer, n), I(n, t, "footer");
      })(0, r), "function" == typeof r.didRender && r.didRender(v());
    };
  function Pe() {
    const t = e.innerParams.get(this);
    if (!t) return;
    const i = e.domCache.get(this);
    U(i.loader), $() ? t.icon && Y(y()) : Le(i), V([i.popup, i.actions], n.loading), i.popup.removeAttribute("aria-busy"), i.popup.removeAttribute("data-loading"), i.confirmButton.disabled = !1, i.denyButton.disabled = !1, i.cancelButton.disabled = !1;
  }
  const Le = e => {
    const t = e.popup.getElementsByClassName(e.loader.getAttribute("data-button-to-replace"));
    t.length ? Y(t[0], "inline-block") : J(T()) || J(D()) || J(E()) || U(e.actions);
  };
  const $e = () => T() && T().click(),
    _e = Object.freeze({
      cancel: "cancel",
      backdrop: "backdrop",
      close: "close",
      esc: "esc",
      timer: "timer"
    }),
    Ne = e => {
      e.keydownTarget && e.keydownHandlerAdded && (e.keydownTarget.removeEventListener("keydown", e.keydownHandler, {
        capture: e.keydownListenerCapture
      }), e.keydownHandlerAdded = !1);
    },
    Fe = (e, t, n) => {
      const i = P();
      if (i.length) return (t += n) === i.length ? t = 0 : -1 === t && (t = i.length - 1), i[t].focus();
      v().focus();
    },
    Ie = ["ArrowRight", "ArrowDown"],
    Re = ["ArrowLeft", "ArrowUp"],
    qe = (t, n, i) => {
      const r = e.innerParams.get(t);
      r && (n.isComposing || 229 === n.keyCode || (r.stopKeydownPropagation && n.stopPropagation(), "Enter" === n.key ? He(t, n, r) : "Tab" === n.key ? Be(n, r) : [...Ie, ...Re].includes(n.key) ? Ve(n.key) : "Escape" === n.key && ze(n, r, i)));
    },
    He = (e, t, n) => {
      if (c(n.allowEnterKey) && t.target && e.getInput() && t.target instanceof HTMLElement && t.target.outerHTML === e.getInput().outerHTML) {
        if (["textarea", "file"].includes(n.input)) return;
        $e(), t.preventDefault();
      }
    },
    Be = (e, t) => {
      const n = e.target,
        i = P();
      let r = -1;
      for (let e = 0; e < i.length; e++) if (n === i[e]) {
        r = e;
        break;
      }
      e.shiftKey ? Fe(0, r, -1) : Fe(0, r, 1), e.stopPropagation(), e.preventDefault();
    },
    Ve = e => {
      const t = [T(), D(), E()];
      if (document.activeElement instanceof HTMLElement && !t.includes(document.activeElement)) return;
      const n = Ie.includes(e) ? "nextElementSibling" : "previousElementSibling";
      let i = document.activeElement;
      for (let e = 0; e < S().children.length; e++) {
        if (i = i[n], !i) return;
        if (i instanceof HTMLButtonElement && J(i)) break;
      }
      i instanceof HTMLButtonElement && i.focus();
    },
    ze = (e, t, n) => {
      c(t.allowEscapeKey) && (e.preventDefault(), n(_e.esc));
    };
  var We = {
    swalPromiseResolve: new WeakMap(),
    swalPromiseReject: new WeakMap()
  };
  const Ye = () => {
      Array.from(document.body.children).forEach(e => {
        e.hasAttribute("data-previous-aria-hidden") ? (e.setAttribute("aria-hidden", e.getAttribute("data-previous-aria-hidden")), e.removeAttribute("data-previous-aria-hidden")) : e.removeAttribute("aria-hidden");
      });
    },
    Ue = () => {
      const e = navigator.userAgent,
        t = !!e.match(/iPad/i) || !!e.match(/iPhone/i),
        n = !!e.match(/WebKit/i);
      if (t && n && !e.match(/CriOS/i)) {
        const e = 44;
        v().scrollHeight > window.innerHeight - e && (h().style.paddingBottom = `${e}px`);
      }
    },
    Ke = () => {
      const e = h();
      let t;
      e.ontouchstart = e => {
        t = Xe(e);
      }, e.ontouchmove = e => {
        t && (e.preventDefault(), e.stopPropagation());
      };
    },
    Xe = e => {
      const t = e.target,
        n = h();
      return !Je(e) && !Ge(e) && (t === n || !G(n) && t instanceof HTMLElement && "INPUT" !== t.tagName && "TEXTAREA" !== t.tagName && (!G(w()) || !w().contains(t)));
    },
    Je = e => e.touches && e.touches.length && "stylus" === e.touches[0].touchType,
    Ge = e => e.touches && e.touches.length > 1,
    Qe = () => {
      null === _.previousBodyPadding && document.body.scrollHeight > window.innerHeight && (_.previousBodyPadding = parseInt(window.getComputedStyle(document.body).getPropertyValue("padding-right")), document.body.style.paddingRight = `${_.previousBodyPadding + (() => {
        const e = document.createElement("div");
        e.className = n["scrollbar-measure"], document.body.appendChild(e);
        const t = e.getBoundingClientRect().width - e.clientWidth;
        return document.body.removeChild(e), t;
      })()}px`);
    };
  function Ze(e, t, i, r) {
    $() ? at(e, r) : (te(i).then(() => at(e, r)), Ne(ee));
    /^((?!chrome|android).)*safari/i.test(navigator.userAgent) ? (t.setAttribute("style", "display:none !important"), t.removeAttribute("class"), t.innerHTML = "") : t.remove(), L() && (null !== _.previousBodyPadding && (document.body.style.paddingRight = `${_.previousBodyPadding}px`, _.previousBodyPadding = null), (() => {
      if (F(document.body, n.iosfix)) {
        const e = parseInt(document.body.style.top, 10);
        V(document.body, n.iosfix), document.body.style.top = "", document.body.scrollTop = -1 * e;
      }
    })(), Ye()), V([document.documentElement, document.body], [n.shown, n["height-auto"], n["no-backdrop"], n["toast-shown"]]);
  }
  function et(e) {
    e = it(e);
    const t = We.swalPromiseResolve.get(this),
      n = tt(this);
    this.isAwaitingPromise() ? e.isDismissed || (nt(this), t(e)) : n && t(e);
  }
  const tt = t => {
    const n = v();
    if (!n) return !1;
    const i = e.innerParams.get(t);
    if (!i || F(n, i.hideClass.popup)) return !1;
    V(n, i.showClass.popup), B(n, i.hideClass.popup);
    const r = h();
    return V(r, i.showClass.backdrop), B(r, i.hideClass.backdrop), rt(t, n, i), !0;
  };
  const nt = t => {
      t.isAwaitingPromise() && (e.awaitingPromise.delete(t), e.innerParams.get(t) || t._destroy());
    },
    it = e => void 0 === e ? {
      isConfirmed: !1,
      isDenied: !1,
      isDismissed: !0
    } : Object.assign({
      isConfirmed: !1,
      isDenied: !1,
      isDismissed: !1
    }, e),
    rt = (e, t, n) => {
      const i = h(),
        r = ue && Q(t);
      "function" == typeof n.willClose && n.willClose(t), r ? ot(e, t, i, n.returnFocus, n.didClose) : Ze(e, i, n.returnFocus, n.didClose);
    },
    ot = (e, t, n, i, r) => {
      ee.swalCloseEventFinishedCallback = Ze.bind(null, e, n, i, r), t.addEventListener(ue, function (e) {
        e.target === t && (ee.swalCloseEventFinishedCallback(), delete ee.swalCloseEventFinishedCallback);
      });
    },
    at = (e, t) => {
      setTimeout(() => {
        "function" == typeof t && t.bind(e.params)(), e._destroy();
      });
    };
  function st(t, n, i) {
    const r = e.domCache.get(t);
    n.forEach(e => {
      r[e].disabled = i;
    });
  }
  function lt(e, t) {
    if (e) if ("radio" === e.type) {
      const n = e.parentNode.parentNode.querySelectorAll("input");
      for (let e = 0; e < n.length; e++) n[e].disabled = t;
    } else e.disabled = t;
  }
  const ut = {
      title: "",
      titleText: "",
      text: "",
      html: "",
      footer: "",
      icon: void 0,
      iconColor: void 0,
      iconHtml: void 0,
      template: void 0,
      toast: !1,
      showClass: {
        popup: "swal2-show",
        backdrop: "swal2-backdrop-show",
        icon: "swal2-icon-show"
      },
      hideClass: {
        popup: "swal2-hide",
        backdrop: "swal2-backdrop-hide",
        icon: "swal2-icon-hide"
      },
      customClass: {},
      target: "body",
      color: void 0,
      backdrop: !0,
      heightAuto: !0,
      allowOutsideClick: !0,
      allowEscapeKey: !0,
      allowEnterKey: !0,
      stopKeydownPropagation: !0,
      keydownListenerCapture: !1,
      showConfirmButton: !0,
      showDenyButton: !1,
      showCancelButton: !1,
      preConfirm: void 0,
      preDeny: void 0,
      confirmButtonText: "OK",
      confirmButtonAriaLabel: "",
      confirmButtonColor: void 0,
      denyButtonText: "No",
      denyButtonAriaLabel: "",
      denyButtonColor: void 0,
      cancelButtonText: "Cancel",
      cancelButtonAriaLabel: "",
      cancelButtonColor: void 0,
      buttonsStyling: !0,
      reverseButtons: !1,
      focusConfirm: !0,
      focusDeny: !1,
      focusCancel: !1,
      returnFocus: !0,
      showCloseButton: !1,
      closeButtonHtml: "&times;",
      closeButtonAriaLabel: "Close this dialog",
      loaderHtml: "",
      showLoaderOnConfirm: !1,
      showLoaderOnDeny: !1,
      imageUrl: void 0,
      imageWidth: void 0,
      imageHeight: void 0,
      imageAlt: "",
      timer: void 0,
      timerProgressBar: !1,
      width: void 0,
      padding: void 0,
      background: void 0,
      input: void 0,
      inputPlaceholder: "",
      inputLabel: "",
      inputValue: "",
      inputOptions: {},
      inputAutoTrim: !0,
      inputAttributes: {},
      inputValidator: void 0,
      returnInputValueOnDeny: !1,
      validationMessage: void 0,
      grow: !1,
      position: "center",
      progressSteps: [],
      currentProgressStep: void 0,
      progressStepsDistance: void 0,
      willOpen: void 0,
      didOpen: void 0,
      didRender: void 0,
      willClose: void 0,
      didClose: void 0,
      didDestroy: void 0,
      scrollbarPadding: !0
    },
    ct = ["allowEscapeKey", "allowOutsideClick", "background", "buttonsStyling", "cancelButtonAriaLabel", "cancelButtonColor", "cancelButtonText", "closeButtonAriaLabel", "closeButtonHtml", "color", "confirmButtonAriaLabel", "confirmButtonColor", "confirmButtonText", "currentProgressStep", "customClass", "denyButtonAriaLabel", "denyButtonColor", "denyButtonText", "didClose", "didDestroy", "footer", "hideClass", "html", "icon", "iconColor", "iconHtml", "imageAlt", "imageHeight", "imageUrl", "imageWidth", "preConfirm", "preDeny", "progressSteps", "returnFocus", "reverseButtons", "showCancelButton", "showCloseButton", "showConfirmButton", "showDenyButton", "text", "title", "titleText", "willClose"],
    dt = {},
    pt = ["allowOutsideClick", "allowEnterKey", "backdrop", "focusConfirm", "focusDeny", "focusCancel", "returnFocus", "heightAuto", "keydownListenerCapture"],
    ft = e => Object.prototype.hasOwnProperty.call(ut, e),
    ht = e => -1 !== ct.indexOf(e),
    mt = e => dt[e],
    gt = e => {
      ft(e) || a(`Unknown parameter "${e}"`);
    },
    vt = e => {
      pt.includes(e) && a(`The parameter "${e}" is incompatible with toasts`);
    },
    yt = e => {
      mt(e) && u(e, mt(e));
    };
  const bt = e => {
    const t = {};
    return Object.keys(e).forEach(n => {
      ht(n) ? t[n] = e[n] : a(`Invalid parameter to update: ${n}`);
    }), t;
  };
  const wt = e => {
      xt(e), delete e.params, delete ee.keydownHandler, delete ee.keydownTarget, delete ee.currentInstance;
    },
    xt = t => {
      t.isAwaitingPromise() ? (kt(e, t), e.awaitingPromise.set(t, !0)) : (kt(We, t), kt(e, t));
    },
    kt = (e, t) => {
      for (const n in e) e[n].delete(t);
    };
  var Ct = Object.freeze({
    __proto__: null,
    hideLoading: Pe,
    disableLoading: Pe,
    getInput: function (t) {
      const n = e.innerParams.get(t || this),
        i = e.domCache.get(t || this);
      return i ? R(i.popup, n.input) : null;
    },
    close: et,
    isAwaitingPromise: function () {
      return !!e.awaitingPromise.get(this);
    },
    rejectPromise: function (e) {
      const t = We.swalPromiseReject.get(this);
      nt(this), t && t(e);
    },
    handleAwaitingPromise: nt,
    closePopup: et,
    closeModal: et,
    closeToast: et,
    enableButtons: function () {
      st(this, ["confirmButton", "denyButton", "cancelButton"], !1);
    },
    disableButtons: function () {
      st(this, ["confirmButton", "denyButton", "cancelButton"], !0);
    },
    enableInput: function () {
      lt(this.getInput(), !1);
    },
    disableInput: function () {
      lt(this.getInput(), !0);
    },
    showValidationMessage: function (t) {
      const i = e.domCache.get(this),
        r = e.innerParams.get(this);
      N(i.validationMessage, t), i.validationMessage.className = n["validation-message"], r.customClass && r.customClass.validationMessage && B(i.validationMessage, r.customClass.validationMessage), Y(i.validationMessage);
      const o = this.getInput();
      o && (o.setAttribute("aria-invalid", !0), o.setAttribute("aria-describedby", n["validation-message"]), q(o), B(o, n.inputerror));
    },
    resetValidationMessage: function () {
      const t = e.domCache.get(this);
      t.validationMessage && U(t.validationMessage);
      const i = this.getInput();
      i && (i.removeAttribute("aria-invalid"), i.removeAttribute("aria-describedby"), V(i, n.inputerror));
    },
    getProgressSteps: function () {
      return e.domCache.get(this).progressSteps;
    },
    update: function (t) {
      const n = v(),
        i = e.innerParams.get(this);
      if (!n || F(n, i.hideClass.popup)) return a("You're trying to update the closed or closing popup, that won't work. Use the update() method in preConfirm parameter or show a new popup.");
      const r = bt(t),
        o = Object.assign({}, i, r);
      Me(this, o), e.innerParams.set(this, o), Object.defineProperties(this, {
        params: {
          value: Object.assign({}, this.params, t),
          writable: !1,
          enumerable: !0
        }
      });
    },
    _destroy: function () {
      const t = e.domCache.get(this),
        n = e.innerParams.get(this);
      n ? (t.popup && ee.swalCloseEventFinishedCallback && (ee.swalCloseEventFinishedCallback(), delete ee.swalCloseEventFinishedCallback), "function" == typeof n.didDestroy && n.didDestroy(), wt(this)) : xt(this);
    }
  });
  const Tt = e => {
      let t = v();
      t || new On(), t = v();
      const n = O();
      $() ? U(y()) : Et(t, e), Y(n), t.setAttribute("data-loading", "true"), t.setAttribute("aria-busy", "true"), t.focus();
    },
    Et = (e, t) => {
      const i = S(),
        r = O();
      !t && J(T()) && (t = T()), Y(i), t && (U(t), r.setAttribute("data-button-to-replace", t.className)), r.parentNode.insertBefore(r, t), B([e, i], n.loading);
    },
    Dt = e => e.checked ? 1 : 0,
    Ot = e => e.checked ? e.value : null,
    St = e => e.files.length ? null !== e.getAttribute("multiple") ? e.files : e.files[0] : null,
    At = (e, t) => {
      const n = v(),
        i = e => {
          Mt[t.input](n, Pt(e), t);
        };
      d(t.inputOptions) || f(t.inputOptions) ? (Tt(T()), p(t.inputOptions).then(t => {
        e.hideLoading(), i(t);
      })) : "object" == typeof t.inputOptions ? i(t.inputOptions) : s("Unexpected type of inputOptions! Expected object, Map or Promise, got " + typeof t.inputOptions);
    },
    jt = (e, t) => {
      const n = e.getInput();
      U(n), p(t.inputValue).then(i => {
        n.value = "number" === t.input ? `${parseFloat(i) || 0}` : `${i}`, Y(n), n.focus(), e.hideLoading();
      }).catch(t => {
        s(`Error in inputValue promise: ${t}`), n.value = "", Y(n), n.focus(), e.hideLoading();
      });
    },
    Mt = {
      select: (e, t, i) => {
        const r = z(e, n.select),
          o = (e, t, n) => {
            const r = document.createElement("option");
            r.value = n, N(r, t), r.selected = Lt(n, i.inputValue), e.appendChild(r);
          };
        t.forEach(e => {
          const t = e[0],
            n = e[1];
          if (Array.isArray(n)) {
            const e = document.createElement("optgroup");
            e.label = t, e.disabled = !1, r.appendChild(e), n.forEach(t => o(e, t[1], t[0]));
          } else o(r, n, t);
        }), r.focus();
      },
      radio: (e, t, i) => {
        const r = z(e, n.radio);
        t.forEach(e => {
          const t = e[0],
            o = e[1],
            a = document.createElement("input"),
            s = document.createElement("label");
          a.type = "radio", a.name = n.radio, a.value = t, Lt(t, i.inputValue) && (a.checked = !0);
          const l = document.createElement("span");
          N(l, o), l.className = n.label, s.appendChild(a), s.appendChild(l), r.appendChild(s);
        });
        const o = r.querySelectorAll("input");
        o.length && o[0].focus();
      }
    },
    Pt = e => {
      const t = [];
      return "undefined" != typeof Map && e instanceof Map ? e.forEach((e, n) => {
        let i = e;
        "object" == typeof i && (i = Pt(i)), t.push([n, i]);
      }) : Object.keys(e).forEach(n => {
        let i = e[n];
        "object" == typeof i && (i = Pt(i)), t.push([n, i]);
      }), t;
    },
    Lt = (e, t) => t && t.toString() === e.toString(),
    $t = (t, n) => {
      const i = e.innerParams.get(t);
      if (!i.input) return void s(`The "input" parameter is needed to be set when using returnInputValueOn${o(n)}`);
      const r = ((e, t) => {
        const n = e.getInput();
        if (!n) return null;
        switch (t.input) {
          case "checkbox":
            return Dt(n);
          case "radio":
            return Ot(n);
          case "file":
            return St(n);
          default:
            return t.inputAutoTrim ? n.value.trim() : n.value;
        }
      })(t, i);
      i.inputValidator ? _t(t, r, n) : t.getInput().checkValidity() ? "deny" === n ? Nt(t, r) : Rt(t, r) : (t.enableButtons(), t.showValidationMessage(i.validationMessage));
    },
    _t = (t, n, i) => {
      const r = e.innerParams.get(t);
      t.disableInput();
      Promise.resolve().then(() => p(r.inputValidator(n, r.validationMessage))).then(e => {
        t.enableButtons(), t.enableInput(), e ? t.showValidationMessage(e) : "deny" === i ? Nt(t, n) : Rt(t, n);
      });
    },
    Nt = (t, n) => {
      const i = e.innerParams.get(t || void 0);
      if (i.showLoaderOnDeny && Tt(D()), i.preDeny) {
        e.awaitingPromise.set(t || void 0, !0);
        Promise.resolve().then(() => p(i.preDeny(n, i.validationMessage))).then(e => {
          !1 === e ? (t.hideLoading(), nt(t)) : t.close({
            isDenied: !0,
            value: void 0 === e ? n : e
          });
        }).catch(e => It(t || void 0, e));
      } else t.close({
        isDenied: !0,
        value: n
      });
    },
    Ft = (e, t) => {
      e.close({
        isConfirmed: !0,
        value: t
      });
    },
    It = (e, t) => {
      e.rejectPromise(t);
    },
    Rt = (t, n) => {
      const i = e.innerParams.get(t || void 0);
      if (i.showLoaderOnConfirm && Tt(), i.preConfirm) {
        t.resetValidationMessage(), e.awaitingPromise.set(t || void 0, !0);
        Promise.resolve().then(() => p(i.preConfirm(n, i.validationMessage))).then(e => {
          J(C()) || !1 === e ? (t.hideLoading(), nt(t)) : Ft(t, void 0 === e ? n : e);
        }).catch(e => It(t || void 0, e));
      } else Ft(t, n);
    },
    qt = (t, n, i) => {
      n.popup.onclick = () => {
        const n = e.innerParams.get(t);
        n && (Ht(n) || n.timer || n.input) || i(_e.close);
      };
    },
    Ht = e => e.showConfirmButton || e.showDenyButton || e.showCancelButton || e.showCloseButton;
  let Bt = !1;
  const Vt = e => {
      e.popup.onmousedown = () => {
        e.container.onmouseup = function (t) {
          e.container.onmouseup = void 0, t.target === e.container && (Bt = !0);
        };
      };
    },
    zt = e => {
      e.container.onmousedown = () => {
        e.popup.onmouseup = function (t) {
          e.popup.onmouseup = void 0, (t.target === e.popup || e.popup.contains(t.target)) && (Bt = !0);
        };
      };
    },
    Wt = (t, n, i) => {
      n.container.onclick = r => {
        const o = e.innerParams.get(t);
        Bt ? Bt = !1 : r.target === n.container && c(o.allowOutsideClick) && i(_e.backdrop);
      };
    },
    Yt = e => e instanceof Element || (e => "object" == typeof e && e.jquery)(e);
  const Ut = () => {
      if (ee.timeout) return (() => {
        const e = j(),
          t = parseInt(window.getComputedStyle(e).width);
        e.style.removeProperty("transition"), e.style.width = "100%";
        const n = t / parseInt(window.getComputedStyle(e).width) * 100;
        e.style.removeProperty("transition"), e.style.width = `${n}%`;
      })(), ee.timeout.stop();
    },
    Kt = () => {
      if (ee.timeout) {
        const e = ee.timeout.start();
        return Z(e), e;
      }
    };
  let Xt = !1;
  const Jt = {};
  const Gt = e => {
    for (let t = e.target; t && t !== document; t = t.parentNode) for (const e in Jt) {
      const n = t.getAttribute(e);
      if (n) return void Jt[e].fire({
        template: n
      });
    }
  };
  var Qt = Object.freeze({
    __proto__: null,
    isValidParameter: ft,
    isUpdatableParameter: ht,
    isDeprecatedParameter: mt,
    argsToParams: e => {
      const t = {};
      return "object" != typeof e[0] || Yt(e[0]) ? ["title", "html", "icon"].forEach((n, i) => {
        const r = e[i];
        "string" == typeof r || Yt(r) ? t[n] = r : void 0 !== r && s(`Unexpected type of ${n}! Expected "string" or "Element", got ${typeof r}`);
      }) : Object.assign(t, e[0]), t;
    },
    getContainer: h,
    getPopup: v,
    getTitle: b,
    getHtmlContainer: w,
    getImage: x,
    getIcon: y,
    getIconContent: () => g(n["icon-content"]),
    getInputLabel: () => g(n["input-label"]),
    getCloseButton: M,
    getActions: S,
    getConfirmButton: T,
    getDenyButton: D,
    getCancelButton: E,
    getLoader: O,
    getFooter: A,
    getTimerProgressBar: j,
    getFocusableElements: P,
    getValidationMessage: C,
    isLoading: () => v().hasAttribute("data-loading"),
    isVisible: () => J(v()),
    clickConfirm: $e,
    clickDeny: () => D() && D().click(),
    clickCancel: () => E() && E().click(),
    fire: function () {
      for (var e = arguments.length, t = new Array(e), n = 0; n < e; n++) t[n] = arguments[n];
      return new this(...t);
    },
    mixin: function (e) {
      return class extends this {
        _main(t, n) {
          return super._main(t, Object.assign({}, e, n));
        }
      };
    },
    showLoading: Tt,
    enableLoading: Tt,
    getTimerLeft: () => ee.timeout && ee.timeout.getTimerLeft(),
    stopTimer: Ut,
    resumeTimer: Kt,
    toggleTimer: () => {
      const e = ee.timeout;
      return e && (e.running ? Ut() : Kt());
    },
    increaseTimer: e => {
      if (ee.timeout) {
        const t = ee.timeout.increase(e);
        return Z(t, !0), t;
      }
    },
    isTimerRunning: () => ee.timeout && ee.timeout.isRunning(),
    bindClickHandler: function () {
      Jt[arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : "data-swal-template"] = this, Xt || (document.body.addEventListener("click", Gt), Xt = !0);
    }
  });
  class Zt {
    constructor(e, t) {
      this.callback = e, this.remaining = t, this.running = !1, this.start();
    }
    start() {
      return this.running || (this.running = !0, this.started = new Date(), this.id = setTimeout(this.callback, this.remaining)), this.remaining;
    }
    stop() {
      return this.running && (this.running = !1, clearTimeout(this.id), this.remaining -= new Date().getTime() - this.started.getTime()), this.remaining;
    }
    increase(e) {
      const t = this.running;
      return t && this.stop(), this.remaining += e, t && this.start(), this.remaining;
    }
    getTimerLeft() {
      return this.running && (this.stop(), this.start()), this.remaining;
    }
    isRunning() {
      return this.running;
    }
  }
  const en = ["swal-title", "swal-html", "swal-footer"],
    tn = e => {
      const t = {};
      return Array.from(e.querySelectorAll("swal-param")).forEach(e => {
        cn(e, ["name", "value"]);
        const n = e.getAttribute("name"),
          i = e.getAttribute("value");
        t[n] = "boolean" == typeof ut[n] ? "false" !== i : "object" == typeof ut[n] ? JSON.parse(i) : i;
      }), t;
    },
    nn = e => {
      const t = {};
      return Array.from(e.querySelectorAll("swal-function-param")).forEach(e => {
        const n = e.getAttribute("name"),
          i = e.getAttribute("value");
        t[n] = new Function(`return ${i}`)();
      }), t;
    },
    rn = e => {
      const t = {};
      return Array.from(e.querySelectorAll("swal-button")).forEach(e => {
        cn(e, ["type", "color", "aria-label"]);
        const n = e.getAttribute("type");
        t[`${n}ButtonText`] = e.innerHTML, t[`show${o(n)}Button`] = !0, e.hasAttribute("color") && (t[`${n}ButtonColor`] = e.getAttribute("color")), e.hasAttribute("aria-label") && (t[`${n}ButtonAriaLabel`] = e.getAttribute("aria-label"));
      }), t;
    },
    on = e => {
      const t = {},
        n = e.querySelector("swal-image");
      return n && (cn(n, ["src", "width", "height", "alt"]), n.hasAttribute("src") && (t.imageUrl = n.getAttribute("src")), n.hasAttribute("width") && (t.imageWidth = n.getAttribute("width")), n.hasAttribute("height") && (t.imageHeight = n.getAttribute("height")), n.hasAttribute("alt") && (t.imageAlt = n.getAttribute("alt"))), t;
    },
    an = e => {
      const t = {},
        n = e.querySelector("swal-icon");
      return n && (cn(n, ["type", "color"]), n.hasAttribute("type") && (t.icon = n.getAttribute("type")), n.hasAttribute("color") && (t.iconColor = n.getAttribute("color")), t.iconHtml = n.innerHTML), t;
    },
    sn = e => {
      const t = {},
        n = e.querySelector("swal-input");
      n && (cn(n, ["type", "label", "placeholder", "value"]), t.input = n.getAttribute("type") || "text", n.hasAttribute("label") && (t.inputLabel = n.getAttribute("label")), n.hasAttribute("placeholder") && (t.inputPlaceholder = n.getAttribute("placeholder")), n.hasAttribute("value") && (t.inputValue = n.getAttribute("value")));
      const i = Array.from(e.querySelectorAll("swal-input-option"));
      return i.length && (t.inputOptions = {}, i.forEach(e => {
        cn(e, ["value"]);
        const n = e.getAttribute("value"),
          i = e.innerHTML;
        t.inputOptions[n] = i;
      })), t;
    },
    ln = (e, t) => {
      const n = {};
      for (const i in t) {
        const r = t[i],
          o = e.querySelector(r);
        o && (cn(o, []), n[r.replace(/^swal-/, "")] = o.innerHTML.trim());
      }
      return n;
    },
    un = e => {
      const t = en.concat(["swal-param", "swal-function-param", "swal-button", "swal-image", "swal-icon", "swal-input", "swal-input-option"]);
      Array.from(e.children).forEach(e => {
        const n = e.tagName.toLowerCase();
        t.includes(n) || a(`Unrecognized element <${n}>`);
      });
    },
    cn = (e, t) => {
      Array.from(e.attributes).forEach(n => {
        -1 === t.indexOf(n.name) && a([`Unrecognized attribute "${n.name}" on <${e.tagName.toLowerCase()}>.`, "" + (t.length ? `Allowed attributes are: ${t.join(", ")}` : "To set the value, use HTML within the element.")]);
      });
    },
    dn = e => {
      const t = h(),
        i = v();
      "function" == typeof e.willOpen && e.willOpen(i);
      const r = window.getComputedStyle(document.body).overflowY;
      mn(t, i, e), setTimeout(() => {
        fn(t, i);
      }, 10), L() && (hn(t, e.scrollbarPadding, r), Array.from(document.body.children).forEach(e => {
        e === h() || e.contains(h()) || (e.hasAttribute("aria-hidden") && e.setAttribute("data-previous-aria-hidden", e.getAttribute("aria-hidden")), e.setAttribute("aria-hidden", "true"));
      })), $() || ee.previousActiveElement || (ee.previousActiveElement = document.activeElement), "function" == typeof e.didOpen && setTimeout(() => e.didOpen(i)), V(t, n["no-transition"]);
    },
    pn = e => {
      const t = v();
      if (e.target !== t) return;
      const n = h();
      t.removeEventListener(ue, pn), n.style.overflowY = "auto";
    },
    fn = (e, t) => {
      ue && Q(t) ? (e.style.overflowY = "hidden", t.addEventListener(ue, pn)) : e.style.overflowY = "auto";
    },
    hn = (e, t, i) => {
      (() => {
        if ((/iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream || "MacIntel" === navigator.platform && navigator.maxTouchPoints > 1) && !F(document.body, n.iosfix)) {
          const e = document.body.scrollTop;
          document.body.style.top = -1 * e + "px", B(document.body, n.iosfix), Ke(), Ue();
        }
      })(), t && "hidden" !== i && Qe(), setTimeout(() => {
        e.scrollTop = 0;
      });
    },
    mn = (e, t, i) => {
      B(e, i.showClass.backdrop), t.style.setProperty("opacity", "0", "important"), Y(t, "grid"), setTimeout(() => {
        B(t, i.showClass.popup), t.style.removeProperty("opacity");
      }, 10), B([document.documentElement, document.body], n.shown), i.heightAuto && i.backdrop && !i.toast && B([document.documentElement, document.body], n["height-auto"]);
    };
  var gn = {
    email: (e, t) => /^[a-zA-Z0-9.+_-]+@[a-zA-Z0-9.-]+\.[a-zA-Z0-9-]{2,24}$/.test(e) ? Promise.resolve() : Promise.resolve(t || "Invalid email address"),
    url: (e, t) => /^https?:\/\/(www\.)?[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-z]{2,63}\b([-a-zA-Z0-9@:%_+.~#?&/=]*)$/.test(e) ? Promise.resolve() : Promise.resolve(t || "Invalid URL")
  };
  function vn(e) {
    !function (e) {
      e.inputValidator || Object.keys(gn).forEach(t => {
        e.input === t && (e.inputValidator = gn[t]);
      });
    }(e), e.showLoaderOnConfirm && !e.preConfirm && a("showLoaderOnConfirm is set to true, but preConfirm is not defined.\nshowLoaderOnConfirm should be used together with preConfirm, see usage example:\nhttps://sweetalert2.github.io/#ajax-request"), function (e) {
      (!e.target || "string" == typeof e.target && !document.querySelector(e.target) || "string" != typeof e.target && !e.target.appendChild) && (a('Target parameter is not valid, defaulting to "body"'), e.target = "body");
    }(e), "string" == typeof e.title && (e.title = e.title.split("\n").join("<br />")), oe(e);
  }
  let yn;
  class bn {
    constructor() {
      if ("undefined" == typeof window) return;
      yn = this;
      for (var t = arguments.length, n = new Array(t), i = 0; i < t; i++) n[i] = arguments[i];
      const r = Object.freeze(this.constructor.argsToParams(n));
      Object.defineProperties(this, {
        params: {
          value: r,
          writable: !1,
          enumerable: !0,
          configurable: !0
        }
      });
      const o = yn._main(yn.params);
      e.promise.set(this, o);
    }
    _main(t) {
      let n = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : {};
      (e => {
        !1 === e.backdrop && e.allowOutsideClick && a('"allowOutsideClick" parameter requires `backdrop` parameter to be set to `true`');
        for (const t in e) gt(t), e.toast && vt(t), yt(t);
      })(Object.assign({}, n, t)), ee.currentInstance && (ee.currentInstance._destroy(), L() && Ye()), ee.currentInstance = yn;
      const i = xn(t, n);
      vn(i), Object.freeze(i), ee.timeout && (ee.timeout.stop(), delete ee.timeout), clearTimeout(ee.restoreFocusTimeout);
      const r = kn(yn);
      return Me(yn, i), e.innerParams.set(yn, i), wn(yn, r, i);
    }
    then(t) {
      return e.promise.get(this).then(t);
    }
    finally(t) {
      return e.promise.get(this).finally(t);
    }
  }
  const wn = (t, n, i) => new Promise((r, o) => {
      const a = e => {
        t.close({
          isDismissed: !0,
          dismiss: e
        });
      };
      We.swalPromiseResolve.set(t, r), We.swalPromiseReject.set(t, o), n.confirmButton.onclick = () => {
        (t => {
          const n = e.innerParams.get(t);
          t.disableButtons(), n.input ? $t(t, "confirm") : Rt(t, !0);
        })(t);
      }, n.denyButton.onclick = () => {
        (t => {
          const n = e.innerParams.get(t);
          t.disableButtons(), n.returnInputValueOnDeny ? $t(t, "deny") : Nt(t, !1);
        })(t);
      }, n.cancelButton.onclick = () => {
        ((e, t) => {
          e.disableButtons(), t(_e.cancel);
        })(t, a);
      }, n.closeButton.onclick = () => {
        a(_e.close);
      }, ((t, n, i) => {
        e.innerParams.get(t).toast ? qt(t, n, i) : (Vt(n), zt(n), Wt(t, n, i));
      })(t, n, a), ((e, t, n, i) => {
        Ne(t), n.toast || (t.keydownHandler = t => qe(e, t, i), t.keydownTarget = n.keydownListenerCapture ? window : v(), t.keydownListenerCapture = n.keydownListenerCapture, t.keydownTarget.addEventListener("keydown", t.keydownHandler, {
          capture: t.keydownListenerCapture
        }), t.keydownHandlerAdded = !0);
      })(t, ee, i, a), ((e, t) => {
        "select" === t.input || "radio" === t.input ? At(e, t) : ["text", "email", "number", "tel", "textarea"].includes(t.input) && (d(t.inputValue) || f(t.inputValue)) && (Tt(T()), jt(e, t));
      })(t, i), dn(i), Cn(ee, i, a), Tn(n, i), setTimeout(() => {
        n.container.scrollTop = 0;
      });
    }),
    xn = (e, t) => {
      const n = (e => {
          const t = "string" == typeof e.template ? document.querySelector(e.template) : e.template;
          if (!t) return {};
          const n = t.content;
          return un(n), Object.assign(tn(n), nn(n), rn(n), on(n), an(n), sn(n), ln(n, en));
        })(e),
        i = Object.assign({}, ut, t, n, e);
      return i.showClass = Object.assign({}, ut.showClass, i.showClass), i.hideClass = Object.assign({}, ut.hideClass, i.hideClass), i;
    },
    kn = t => {
      const n = {
        popup: v(),
        container: h(),
        actions: S(),
        confirmButton: T(),
        denyButton: D(),
        cancelButton: E(),
        loader: O(),
        closeButton: M(),
        validationMessage: C(),
        progressSteps: k()
      };
      return e.domCache.set(t, n), n;
    },
    Cn = (e, t, n) => {
      const i = j();
      U(i), t.timer && (e.timeout = new Zt(() => {
        n("timer"), delete e.timeout;
      }, t.timer), t.timerProgressBar && (Y(i), I(i, t, "timerProgressBar"), setTimeout(() => {
        e.timeout && e.timeout.running && Z(t.timer);
      })));
    },
    Tn = (e, t) => {
      t.toast || (c(t.allowEnterKey) ? En(e, t) || Fe(0, -1, 1) : Dn());
    },
    En = (e, t) => t.focusDeny && J(e.denyButton) ? (e.denyButton.focus(), !0) : t.focusCancel && J(e.cancelButton) ? (e.cancelButton.focus(), !0) : !(!t.focusConfirm || !J(e.confirmButton)) && (e.confirmButton.focus(), !0),
    Dn = () => {
      document.activeElement instanceof HTMLElement && "function" == typeof document.activeElement.blur && document.activeElement.blur();
    };
  Object.assign(bn.prototype, Ct), Object.assign(bn, Qt), Object.keys(Ct).forEach(e => {
    bn[e] = function () {
      if (yn) return yn[e](...arguments);
    };
  }), bn.DismissReason = _e, bn.version = "11.6.13";
  const On = bn;
  return On.default = On, On;
}), void 0 !== this && this.Sweetalert2 && (this.swal = this.sweetAlert = this.Swal = this.SweetAlert = this.Sweetalert2), deleteAlert.defaultCheckboxSelector = 'input[name="confirm-delete[]"]', deleteAlert.translationKeys = {
  title: "messages.delete_record",
  warning: "messages.warn_delete",
  relations: "messages.delete_relations",
  confirmButton: "messages.delete_confirm",
  cancelButton: "messages.keep_record"
}, $(function () {
  var e = deleteAlert.defaultCheckboxSelector;
  $(document).on("change", e, function (t) {
    $(e + ":checked").length === $(e).length ? ($(".swal2-modal").find("button.swal2-confirm").prop("disabled", !1).removeClass("disabled"), $(".swal2-modal").find("button.swal-cancel").hide()) : ($(".swal2-modal").find("button.swal2-confirm").prop("disabled", "disabled").addClass("disabled"), $(".swal2-modal").find("button.swal2-cancel").show());
  }), $(document.body).on("click", ".delete-confirm", function () {
    var e = $(this).data("route"),
      t = $("<div/>").text($(this).data("name")).html(),
      n = $(this).data("lang"),
      i = "object" == typeof n ? n.section : Lang.get("general.record"),
      r = "object" == typeof n ? n.relations : [],
      o = this,
      a = $(this).data("severe") ? "fireSevere" : "fireDefault";
    new deleteAlert({
      ajax: {
        url: e
      }
    })[a](i, t, r).then(function (e) {
      e.value && (Swal.fire(Lang.get("messages.deleted"), Lang.get("messages.success_deleted", {
        item: Lang.get("general.record")
      }), "success"), $(o).trigger("delete-successful", [e.value]), $(o).parents("tr").remove(), "function" == typeof $.fn.dataTable && $(".dataTable").length >= 1 && $(".dataTable").dataTable()._fnAjaxUpdate());
    }), $(this).data("severe") && $(".swal2-modal").find("button.swal2-confirm").prop("disabled", "disabled").addClass("disabled");
  });
}), function (e, t) {
  "object" == typeof module && module.exports ? (module.exports = t(), module.exports.default = module.exports) : e.timeago = t();
}("undefined" != typeof window ? window : this, function () {
  var e = "second_minute_hour_day_week_month_year".split("_"),
    t = "秒_分钟_小时_天_周_月_年".split("_"),
    n = {
      en: function (t, n) {
        if (0 === n) return ["just now", "right now"];
        var i = e[parseInt(n / 2)];
        return t > 1 && (i += "s"), [t + " " + i + " ago", "in " + t + " " + i];
      },
      zh_CN: function (e, n) {
        if (0 === n) return ["刚刚", "片刻后"];
        var i = t[parseInt(n / 2)];
        return [e + i + "前", e + i + "后"];
      }
    },
    i = [60, 60, 24, 7, 365 / 7 / 12, 12],
    r = "data-tid",
    o = {};
  function a(e) {
    return e instanceof Date ? e : isNaN(e) ? /^\d+$/.test(e) ? new Date(s(e)) : (e = (e || "").trim().replace(/\.\d+/, "").replace(/-/, "/").replace(/-/, "/").replace(/(\d)T(\d)/, "$1 $2").replace(/Z/, " UTC").replace(/([\+\-]\d\d)\:?(\d\d)/, " $1$2"), new Date(e)) : new Date(s(e));
  }
  function s(e) {
    return parseInt(e);
  }
  function l(e, t, r) {
    t = n[t] ? t : n[r] ? r : "en";
    for (var o = 0, a = e < 0 ? 1 : 0, l = e = Math.abs(e); e >= i[o] && o < 6; o++) e /= i[o];
    return (e = s(e)) > (0 === (o *= 2) ? 9 : 1) && (o += 1), n[t](e, o, l)[a].replace("%s", e);
  }
  function u(e, t) {
    return ((t = t ? a(t) : new Date()) - a(e)) / 1e3;
  }
  function c(e, t) {
    return e.getAttribute ? e.getAttribute(t) : e.attr ? e.attr(t) : void 0;
  }
  function d(e, t) {
    this.nowDate = e, this.defaultLocale = t || "en";
  }
  function p(e, t) {
    return new d(e, t);
  }
  return d.prototype.doRender = function (e, t, n) {
    var a,
      s = u(t, this.nowDate),
      c = this;
    e.innerHTML = l(s, n, this.defaultLocale), o[a = setTimeout(function () {
      c.doRender(e, t, n), delete o[a];
    }, Math.min(1e3 * function (e) {
      for (var t = 1, n = 0, r = Math.abs(e); e >= i[n] && n < 6; n++) e /= i[n], t *= i[n];
      return r = (r %= t) ? t - r : t, Math.ceil(r);
    }(s), 2147483647))] = 0, function (e, t) {
      e.setAttribute ? e.setAttribute(r, t) : e.attr && e.attr(r, t);
    }(e, a);
  }, d.prototype.format = function (e, t) {
    return l(u(e, this.nowDate), t, this.defaultLocale);
  }, d.prototype.render = function (e, t) {
    void 0 === e.length && (e = [e]);
    for (var n = 0, i = e.length; n < i; n++) this.doRender(e[n], c(r = e[n], "data-timeago") || c(r, "datetime"), t);
    var r;
  }, d.prototype.setLocale = function (e) {
    this.defaultLocale = e;
  }, p.register = function (e, t) {
    n[e] = t;
  }, p.cancel = function (e) {
    var t;
    if (e) (t = c(e, r)) && (clearTimeout(t), delete o[t]);else {
      for (t in o) clearTimeout(t);
      o = {};
    }
  }, p;
}), function (e, t) {
  "object" == typeof exports && "undefined" != typeof module ? t(exports) : "function" == typeof define && define.amd ? define(["exports"], t) : t((e = "undefined" != typeof globalThis ? globalThis : e || self).Popper = {});
}(this, function (e) {
  "use strict";

  function t(e) {
    if (null == e) return window;
    if ("[object Window]" !== e.toString()) {
      var t = e.ownerDocument;
      return t && t.defaultView || window;
    }
    return e;
  }
  function n(e) {
    return e instanceof t(e).Element || e instanceof Element;
  }
  function i(e) {
    return e instanceof t(e).HTMLElement || e instanceof HTMLElement;
  }
  function r(e) {
    return "undefined" != typeof ShadowRoot && (e instanceof t(e).ShadowRoot || e instanceof ShadowRoot);
  }
  var o = Math.max,
    a = Math.min,
    s = Math.round;
  function l() {
    var e = navigator.userAgentData;
    return null != e && e.brands && Array.isArray(e.brands) ? e.brands.map(function (e) {
      return e.brand + "/" + e.version;
    }).join(" ") : navigator.userAgent;
  }
  function u() {
    return !/^((?!chrome|android).)*safari/i.test(l());
  }
  function c(e, r, o) {
    void 0 === r && (r = !1), void 0 === o && (o = !1);
    var a = e.getBoundingClientRect(),
      l = 1,
      c = 1;
    r && i(e) && (l = e.offsetWidth > 0 && s(a.width) / e.offsetWidth || 1, c = e.offsetHeight > 0 && s(a.height) / e.offsetHeight || 1);
    var d = (n(e) ? t(e) : window).visualViewport,
      p = !u() && o,
      f = (a.left + (p && d ? d.offsetLeft : 0)) / l,
      h = (a.top + (p && d ? d.offsetTop : 0)) / c,
      m = a.width / l,
      g = a.height / c;
    return {
      width: m,
      height: g,
      top: h,
      right: f + m,
      bottom: h + g,
      left: f,
      x: f,
      y: h
    };
  }
  function d(e) {
    var n = t(e);
    return {
      scrollLeft: n.pageXOffset,
      scrollTop: n.pageYOffset
    };
  }
  function p(e) {
    return e ? (e.nodeName || "").toLowerCase() : null;
  }
  function f(e) {
    return ((n(e) ? e.ownerDocument : e.document) || window.document).documentElement;
  }
  function h(e) {
    return c(f(e)).left + d(e).scrollLeft;
  }
  function m(e) {
    return t(e).getComputedStyle(e);
  }
  function g(e) {
    var t = m(e),
      n = t.overflow,
      i = t.overflowX,
      r = t.overflowY;
    return /auto|scroll|overlay|hidden/.test(n + r + i);
  }
  function v(e, n, r) {
    void 0 === r && (r = !1);
    var o,
      a,
      l = i(n),
      u = i(n) && function (e) {
        var t = e.getBoundingClientRect(),
          n = s(t.width) / e.offsetWidth || 1,
          i = s(t.height) / e.offsetHeight || 1;
        return 1 !== n || 1 !== i;
      }(n),
      m = f(n),
      v = c(e, u, r),
      y = {
        scrollLeft: 0,
        scrollTop: 0
      },
      b = {
        x: 0,
        y: 0
      };
    return (l || !l && !r) && (("body" !== p(n) || g(m)) && (y = (o = n) !== t(o) && i(o) ? {
      scrollLeft: (a = o).scrollLeft,
      scrollTop: a.scrollTop
    } : d(o)), i(n) ? ((b = c(n, !0)).x += n.clientLeft, b.y += n.clientTop) : m && (b.x = h(m))), {
      x: v.left + y.scrollLeft - b.x,
      y: v.top + y.scrollTop - b.y,
      width: v.width,
      height: v.height
    };
  }
  function y(e) {
    var t = c(e),
      n = e.offsetWidth,
      i = e.offsetHeight;
    return Math.abs(t.width - n) <= 1 && (n = t.width), Math.abs(t.height - i) <= 1 && (i = t.height), {
      x: e.offsetLeft,
      y: e.offsetTop,
      width: n,
      height: i
    };
  }
  function b(e) {
    return "html" === p(e) ? e : e.assignedSlot || e.parentNode || (r(e) ? e.host : null) || f(e);
  }
  function w(e) {
    return ["html", "body", "#document"].indexOf(p(e)) >= 0 ? e.ownerDocument.body : i(e) && g(e) ? e : w(b(e));
  }
  function x(e, n) {
    var i;
    void 0 === n && (n = []);
    var r = w(e),
      o = r === (null == (i = e.ownerDocument) ? void 0 : i.body),
      a = t(r),
      s = o ? [a].concat(a.visualViewport || [], g(r) ? r : []) : r,
      l = n.concat(s);
    return o ? l : l.concat(x(b(s)));
  }
  function k(e) {
    return ["table", "td", "th"].indexOf(p(e)) >= 0;
  }
  function C(e) {
    return i(e) && "fixed" !== m(e).position ? e.offsetParent : null;
  }
  function T(e) {
    for (var n = t(e), o = C(e); o && k(o) && "static" === m(o).position;) o = C(o);
    return o && ("html" === p(o) || "body" === p(o) && "static" === m(o).position) ? n : o || function (e) {
      var t = /firefox/i.test(l());
      if (/Trident/i.test(l()) && i(e) && "fixed" === m(e).position) return null;
      var n = b(e);
      for (r(n) && (n = n.host); i(n) && ["html", "body"].indexOf(p(n)) < 0;) {
        var o = m(n);
        if ("none" !== o.transform || "none" !== o.perspective || "paint" === o.contain || -1 !== ["transform", "perspective"].indexOf(o.willChange) || t && "filter" === o.willChange || t && o.filter && "none" !== o.filter) return n;
        n = n.parentNode;
      }
      return null;
    }(e) || n;
  }
  var E = "top",
    D = "bottom",
    O = "right",
    S = "left",
    A = "auto",
    j = [E, D, O, S],
    M = "start",
    P = "end",
    L = "clippingParents",
    $ = "viewport",
    _ = "popper",
    N = "reference",
    F = j.reduce(function (e, t) {
      return e.concat([t + "-" + M, t + "-" + P]);
    }, []),
    I = [].concat(j, [A]).reduce(function (e, t) {
      return e.concat([t, t + "-" + M, t + "-" + P]);
    }, []),
    R = ["beforeRead", "read", "afterRead", "beforeMain", "main", "afterMain", "beforeWrite", "write", "afterWrite"];
  function q(e) {
    var t = new Map(),
      n = new Set(),
      i = [];
    function r(e) {
      n.add(e.name), [].concat(e.requires || [], e.requiresIfExists || []).forEach(function (e) {
        if (!n.has(e)) {
          var i = t.get(e);
          i && r(i);
        }
      }), i.push(e);
    }
    return e.forEach(function (e) {
      t.set(e.name, e);
    }), e.forEach(function (e) {
      n.has(e.name) || r(e);
    }), i;
  }
  function H(e, t) {
    var n = t.getRootNode && t.getRootNode();
    if (e.contains(t)) return !0;
    if (n && r(n)) {
      var i = t;
      do {
        if (i && e.isSameNode(i)) return !0;
        i = i.parentNode || i.host;
      } while (i);
    }
    return !1;
  }
  function B(e) {
    return Object.assign({}, e, {
      left: e.x,
      top: e.y,
      right: e.x + e.width,
      bottom: e.y + e.height
    });
  }
  function V(e, i, r) {
    return i === $ ? B(function (e, n) {
      var i = t(e),
        r = f(e),
        o = i.visualViewport,
        a = r.clientWidth,
        s = r.clientHeight,
        l = 0,
        c = 0;
      if (o) {
        a = o.width, s = o.height;
        var d = u();
        (d || !d && "fixed" === n) && (l = o.offsetLeft, c = o.offsetTop);
      }
      return {
        width: a,
        height: s,
        x: l + h(e),
        y: c
      };
    }(e, r)) : n(i) ? function (e, t) {
      var n = c(e, !1, "fixed" === t);
      return n.top = n.top + e.clientTop, n.left = n.left + e.clientLeft, n.bottom = n.top + e.clientHeight, n.right = n.left + e.clientWidth, n.width = e.clientWidth, n.height = e.clientHeight, n.x = n.left, n.y = n.top, n;
    }(i, r) : B(function (e) {
      var t,
        n = f(e),
        i = d(e),
        r = null == (t = e.ownerDocument) ? void 0 : t.body,
        a = o(n.scrollWidth, n.clientWidth, r ? r.scrollWidth : 0, r ? r.clientWidth : 0),
        s = o(n.scrollHeight, n.clientHeight, r ? r.scrollHeight : 0, r ? r.clientHeight : 0),
        l = -i.scrollLeft + h(e),
        u = -i.scrollTop;
      return "rtl" === m(r || n).direction && (l += o(n.clientWidth, r ? r.clientWidth : 0) - a), {
        width: a,
        height: s,
        x: l,
        y: u
      };
    }(f(e)));
  }
  function z(e, t, r, s) {
    var l = "clippingParents" === t ? function (e) {
        var t = x(b(e)),
          r = ["absolute", "fixed"].indexOf(m(e).position) >= 0 && i(e) ? T(e) : e;
        return n(r) ? t.filter(function (e) {
          return n(e) && H(e, r) && "body" !== p(e);
        }) : [];
      }(e) : [].concat(t),
      u = [].concat(l, [r]),
      c = u[0],
      d = u.reduce(function (t, n) {
        var i = V(e, n, s);
        return t.top = o(i.top, t.top), t.right = a(i.right, t.right), t.bottom = a(i.bottom, t.bottom), t.left = o(i.left, t.left), t;
      }, V(e, c, s));
    return d.width = d.right - d.left, d.height = d.bottom - d.top, d.x = d.left, d.y = d.top, d;
  }
  function W(e) {
    return e.split("-")[0];
  }
  function Y(e) {
    return e.split("-")[1];
  }
  function U(e) {
    return ["top", "bottom"].indexOf(e) >= 0 ? "x" : "y";
  }
  function K(e) {
    var t,
      n = e.reference,
      i = e.element,
      r = e.placement,
      o = r ? W(r) : null,
      a = r ? Y(r) : null,
      s = n.x + n.width / 2 - i.width / 2,
      l = n.y + n.height / 2 - i.height / 2;
    switch (o) {
      case E:
        t = {
          x: s,
          y: n.y - i.height
        };
        break;
      case D:
        t = {
          x: s,
          y: n.y + n.height
        };
        break;
      case O:
        t = {
          x: n.x + n.width,
          y: l
        };
        break;
      case S:
        t = {
          x: n.x - i.width,
          y: l
        };
        break;
      default:
        t = {
          x: n.x,
          y: n.y
        };
    }
    var u = o ? U(o) : null;
    if (null != u) {
      var c = "y" === u ? "height" : "width";
      switch (a) {
        case M:
          t[u] = t[u] - (n[c] / 2 - i[c] / 2);
          break;
        case P:
          t[u] = t[u] + (n[c] / 2 - i[c] / 2);
      }
    }
    return t;
  }
  function X(e) {
    return Object.assign({}, {
      top: 0,
      right: 0,
      bottom: 0,
      left: 0
    }, e);
  }
  function J(e, t) {
    return t.reduce(function (t, n) {
      return t[n] = e, t;
    }, {});
  }
  function G(e, t) {
    void 0 === t && (t = {});
    var i = t,
      r = i.placement,
      o = void 0 === r ? e.placement : r,
      a = i.strategy,
      s = void 0 === a ? e.strategy : a,
      l = i.boundary,
      u = void 0 === l ? L : l,
      d = i.rootBoundary,
      p = void 0 === d ? $ : d,
      h = i.elementContext,
      m = void 0 === h ? _ : h,
      g = i.altBoundary,
      v = void 0 !== g && g,
      y = i.padding,
      b = void 0 === y ? 0 : y,
      w = X("number" != typeof b ? b : J(b, j)),
      x = m === _ ? N : _,
      k = e.rects.popper,
      C = e.elements[v ? x : m],
      T = z(n(C) ? C : C.contextElement || f(e.elements.popper), u, p, s),
      S = c(e.elements.reference),
      A = K({
        reference: S,
        element: k,
        strategy: "absolute",
        placement: o
      }),
      M = B(Object.assign({}, k, A)),
      P = m === _ ? M : S,
      F = {
        top: T.top - P.top + w.top,
        bottom: P.bottom - T.bottom + w.bottom,
        left: T.left - P.left + w.left,
        right: P.right - T.right + w.right
      },
      I = e.modifiersData.offset;
    if (m === _ && I) {
      var R = I[o];
      Object.keys(F).forEach(function (e) {
        var t = [O, D].indexOf(e) >= 0 ? 1 : -1,
          n = [E, D].indexOf(e) >= 0 ? "y" : "x";
        F[e] += R[n] * t;
      });
    }
    return F;
  }
  var Q = {
    placement: "bottom",
    modifiers: [],
    strategy: "absolute"
  };
  function Z() {
    for (var e = arguments.length, t = new Array(e), n = 0; n < e; n++) t[n] = arguments[n];
    return !t.some(function (e) {
      return !(e && "function" == typeof e.getBoundingClientRect);
    });
  }
  function ee(e) {
    void 0 === e && (e = {});
    var t = e,
      i = t.defaultModifiers,
      r = void 0 === i ? [] : i,
      o = t.defaultOptions,
      a = void 0 === o ? Q : o;
    return function (e, t, i) {
      void 0 === i && (i = a);
      var o,
        s,
        l = {
          placement: "bottom",
          orderedModifiers: [],
          options: Object.assign({}, Q, a),
          modifiersData: {},
          elements: {
            reference: e,
            popper: t
          },
          attributes: {},
          styles: {}
        },
        u = [],
        c = !1,
        d = {
          state: l,
          setOptions: function (i) {
            var o = "function" == typeof i ? i(l.options) : i;
            p(), l.options = Object.assign({}, a, l.options, o), l.scrollParents = {
              reference: n(e) ? x(e) : e.contextElement ? x(e.contextElement) : [],
              popper: x(t)
            };
            var s,
              c,
              f = function (e) {
                var t = q(e);
                return R.reduce(function (e, n) {
                  return e.concat(t.filter(function (e) {
                    return e.phase === n;
                  }));
                }, []);
              }((s = [].concat(r, l.options.modifiers), c = s.reduce(function (e, t) {
                var n = e[t.name];
                return e[t.name] = n ? Object.assign({}, n, t, {
                  options: Object.assign({}, n.options, t.options),
                  data: Object.assign({}, n.data, t.data)
                }) : t, e;
              }, {}), Object.keys(c).map(function (e) {
                return c[e];
              })));
            return l.orderedModifiers = f.filter(function (e) {
              return e.enabled;
            }), l.orderedModifiers.forEach(function (e) {
              var t = e.name,
                n = e.options,
                i = void 0 === n ? {} : n,
                r = e.effect;
              if ("function" == typeof r) {
                var o = r({
                    state: l,
                    name: t,
                    instance: d,
                    options: i
                  }),
                  a = function () {};
                u.push(o || a);
              }
            }), d.update();
          },
          forceUpdate: function () {
            if (!c) {
              var e = l.elements,
                t = e.reference,
                n = e.popper;
              if (Z(t, n)) {
                l.rects = {
                  reference: v(t, T(n), "fixed" === l.options.strategy),
                  popper: y(n)
                }, l.reset = !1, l.placement = l.options.placement, l.orderedModifiers.forEach(function (e) {
                  return l.modifiersData[e.name] = Object.assign({}, e.data);
                });
                for (var i = 0; i < l.orderedModifiers.length; i++) if (!0 !== l.reset) {
                  var r = l.orderedModifiers[i],
                    o = r.fn,
                    a = r.options,
                    s = void 0 === a ? {} : a,
                    u = r.name;
                  "function" == typeof o && (l = o({
                    state: l,
                    options: s,
                    name: u,
                    instance: d
                  }) || l);
                } else l.reset = !1, i = -1;
              }
            }
          },
          update: (o = function () {
            return new Promise(function (e) {
              d.forceUpdate(), e(l);
            });
          }, function () {
            return s || (s = new Promise(function (e) {
              Promise.resolve().then(function () {
                s = void 0, e(o());
              });
            })), s;
          }),
          destroy: function () {
            p(), c = !0;
          }
        };
      if (!Z(e, t)) return d;
      function p() {
        u.forEach(function (e) {
          return e();
        }), u = [];
      }
      return d.setOptions(i).then(function (e) {
        !c && i.onFirstUpdate && i.onFirstUpdate(e);
      }), d;
    };
  }
  var te = {
    passive: !0
  };
  var ne = {
    name: "eventListeners",
    enabled: !0,
    phase: "write",
    fn: function () {},
    effect: function (e) {
      var n = e.state,
        i = e.instance,
        r = e.options,
        o = r.scroll,
        a = void 0 === o || o,
        s = r.resize,
        l = void 0 === s || s,
        u = t(n.elements.popper),
        c = [].concat(n.scrollParents.reference, n.scrollParents.popper);
      return a && c.forEach(function (e) {
        e.addEventListener("scroll", i.update, te);
      }), l && u.addEventListener("resize", i.update, te), function () {
        a && c.forEach(function (e) {
          e.removeEventListener("scroll", i.update, te);
        }), l && u.removeEventListener("resize", i.update, te);
      };
    },
    data: {}
  };
  var ie = {
      name: "popperOffsets",
      enabled: !0,
      phase: "read",
      fn: function (e) {
        var t = e.state,
          n = e.name;
        t.modifiersData[n] = K({
          reference: t.rects.reference,
          element: t.rects.popper,
          strategy: "absolute",
          placement: t.placement
        });
      },
      data: {}
    },
    re = {
      top: "auto",
      right: "auto",
      bottom: "auto",
      left: "auto"
    };
  function oe(e) {
    var n,
      i = e.popper,
      r = e.popperRect,
      o = e.placement,
      a = e.variation,
      l = e.offsets,
      u = e.position,
      c = e.gpuAcceleration,
      d = e.adaptive,
      p = e.roundOffsets,
      h = e.isFixed,
      g = l.x,
      v = void 0 === g ? 0 : g,
      y = l.y,
      b = void 0 === y ? 0 : y,
      w = "function" == typeof p ? p({
        x: v,
        y: b
      }) : {
        x: v,
        y: b
      };
    v = w.x, b = w.y;
    var x = l.hasOwnProperty("x"),
      k = l.hasOwnProperty("y"),
      C = S,
      A = E,
      j = window;
    if (d) {
      var M = T(i),
        L = "clientHeight",
        $ = "clientWidth";
      if (M === t(i) && "static" !== m(M = f(i)).position && "absolute" === u && (L = "scrollHeight", $ = "scrollWidth"), o === E || (o === S || o === O) && a === P) A = D, b -= (h && M === j && j.visualViewport ? j.visualViewport.height : M[L]) - r.height, b *= c ? 1 : -1;
      if (o === S || (o === E || o === D) && a === P) C = O, v -= (h && M === j && j.visualViewport ? j.visualViewport.width : M[$]) - r.width, v *= c ? 1 : -1;
    }
    var _,
      N = Object.assign({
        position: u
      }, d && re),
      F = !0 === p ? function (e, t) {
        var n = e.x,
          i = e.y,
          r = t.devicePixelRatio || 1;
        return {
          x: s(n * r) / r || 0,
          y: s(i * r) / r || 0
        };
      }({
        x: v,
        y: b
      }, t(i)) : {
        x: v,
        y: b
      };
    return v = F.x, b = F.y, c ? Object.assign({}, N, ((_ = {})[A] = k ? "0" : "", _[C] = x ? "0" : "", _.transform = (j.devicePixelRatio || 1) <= 1 ? "translate(" + v + "px, " + b + "px)" : "translate3d(" + v + "px, " + b + "px, 0)", _)) : Object.assign({}, N, ((n = {})[A] = k ? b + "px" : "", n[C] = x ? v + "px" : "", n.transform = "", n));
  }
  var ae = {
    name: "computeStyles",
    enabled: !0,
    phase: "beforeWrite",
    fn: function (e) {
      var t = e.state,
        n = e.options,
        i = n.gpuAcceleration,
        r = void 0 === i || i,
        o = n.adaptive,
        a = void 0 === o || o,
        s = n.roundOffsets,
        l = void 0 === s || s,
        u = {
          placement: W(t.placement),
          variation: Y(t.placement),
          popper: t.elements.popper,
          popperRect: t.rects.popper,
          gpuAcceleration: r,
          isFixed: "fixed" === t.options.strategy
        };
      null != t.modifiersData.popperOffsets && (t.styles.popper = Object.assign({}, t.styles.popper, oe(Object.assign({}, u, {
        offsets: t.modifiersData.popperOffsets,
        position: t.options.strategy,
        adaptive: a,
        roundOffsets: l
      })))), null != t.modifiersData.arrow && (t.styles.arrow = Object.assign({}, t.styles.arrow, oe(Object.assign({}, u, {
        offsets: t.modifiersData.arrow,
        position: "absolute",
        adaptive: !1,
        roundOffsets: l
      })))), t.attributes.popper = Object.assign({}, t.attributes.popper, {
        "data-popper-placement": t.placement
      });
    },
    data: {}
  };
  var se = {
    name: "applyStyles",
    enabled: !0,
    phase: "write",
    fn: function (e) {
      var t = e.state;
      Object.keys(t.elements).forEach(function (e) {
        var n = t.styles[e] || {},
          r = t.attributes[e] || {},
          o = t.elements[e];
        i(o) && p(o) && (Object.assign(o.style, n), Object.keys(r).forEach(function (e) {
          var t = r[e];
          !1 === t ? o.removeAttribute(e) : o.setAttribute(e, !0 === t ? "" : t);
        }));
      });
    },
    effect: function (e) {
      var t = e.state,
        n = {
          popper: {
            position: t.options.strategy,
            left: "0",
            top: "0",
            margin: "0"
          },
          arrow: {
            position: "absolute"
          },
          reference: {}
        };
      return Object.assign(t.elements.popper.style, n.popper), t.styles = n, t.elements.arrow && Object.assign(t.elements.arrow.style, n.arrow), function () {
        Object.keys(t.elements).forEach(function (e) {
          var r = t.elements[e],
            o = t.attributes[e] || {},
            a = Object.keys(t.styles.hasOwnProperty(e) ? t.styles[e] : n[e]).reduce(function (e, t) {
              return e[t] = "", e;
            }, {});
          i(r) && p(r) && (Object.assign(r.style, a), Object.keys(o).forEach(function (e) {
            r.removeAttribute(e);
          }));
        });
      };
    },
    requires: ["computeStyles"]
  };
  var le = {
      name: "offset",
      enabled: !0,
      phase: "main",
      requires: ["popperOffsets"],
      fn: function (e) {
        var t = e.state,
          n = e.options,
          i = e.name,
          r = n.offset,
          o = void 0 === r ? [0, 0] : r,
          a = I.reduce(function (e, n) {
            return e[n] = function (e, t, n) {
              var i = W(e),
                r = [S, E].indexOf(i) >= 0 ? -1 : 1,
                o = "function" == typeof n ? n(Object.assign({}, t, {
                  placement: e
                })) : n,
                a = o[0],
                s = o[1];
              return a = a || 0, s = (s || 0) * r, [S, O].indexOf(i) >= 0 ? {
                x: s,
                y: a
              } : {
                x: a,
                y: s
              };
            }(n, t.rects, o), e;
          }, {}),
          s = a[t.placement],
          l = s.x,
          u = s.y;
        null != t.modifiersData.popperOffsets && (t.modifiersData.popperOffsets.x += l, t.modifiersData.popperOffsets.y += u), t.modifiersData[i] = a;
      }
    },
    ue = {
      left: "right",
      right: "left",
      bottom: "top",
      top: "bottom"
    };
  function ce(e) {
    return e.replace(/left|right|bottom|top/g, function (e) {
      return ue[e];
    });
  }
  var de = {
    start: "end",
    end: "start"
  };
  function pe(e) {
    return e.replace(/start|end/g, function (e) {
      return de[e];
    });
  }
  function fe(e, t) {
    void 0 === t && (t = {});
    var n = t,
      i = n.placement,
      r = n.boundary,
      o = n.rootBoundary,
      a = n.padding,
      s = n.flipVariations,
      l = n.allowedAutoPlacements,
      u = void 0 === l ? I : l,
      c = Y(i),
      d = c ? s ? F : F.filter(function (e) {
        return Y(e) === c;
      }) : j,
      p = d.filter(function (e) {
        return u.indexOf(e) >= 0;
      });
    0 === p.length && (p = d);
    var f = p.reduce(function (t, n) {
      return t[n] = G(e, {
        placement: n,
        boundary: r,
        rootBoundary: o,
        padding: a
      })[W(n)], t;
    }, {});
    return Object.keys(f).sort(function (e, t) {
      return f[e] - f[t];
    });
  }
  var he = {
    name: "flip",
    enabled: !0,
    phase: "main",
    fn: function (e) {
      var t = e.state,
        n = e.options,
        i = e.name;
      if (!t.modifiersData[i]._skip) {
        for (var r = n.mainAxis, o = void 0 === r || r, a = n.altAxis, s = void 0 === a || a, l = n.fallbackPlacements, u = n.padding, c = n.boundary, d = n.rootBoundary, p = n.altBoundary, f = n.flipVariations, h = void 0 === f || f, m = n.allowedAutoPlacements, g = t.options.placement, v = W(g), y = l || (v === g || !h ? [ce(g)] : function (e) {
            if (W(e) === A) return [];
            var t = ce(e);
            return [pe(e), t, pe(t)];
          }(g)), b = [g].concat(y).reduce(function (e, n) {
            return e.concat(W(n) === A ? fe(t, {
              placement: n,
              boundary: c,
              rootBoundary: d,
              padding: u,
              flipVariations: h,
              allowedAutoPlacements: m
            }) : n);
          }, []), w = t.rects.reference, x = t.rects.popper, k = new Map(), C = !0, T = b[0], j = 0; j < b.length; j++) {
          var P = b[j],
            L = W(P),
            $ = Y(P) === M,
            _ = [E, D].indexOf(L) >= 0,
            N = _ ? "width" : "height",
            F = G(t, {
              placement: P,
              boundary: c,
              rootBoundary: d,
              altBoundary: p,
              padding: u
            }),
            I = _ ? $ ? O : S : $ ? D : E;
          w[N] > x[N] && (I = ce(I));
          var R = ce(I),
            q = [];
          if (o && q.push(F[L] <= 0), s && q.push(F[I] <= 0, F[R] <= 0), q.every(function (e) {
            return e;
          })) {
            T = P, C = !1;
            break;
          }
          k.set(P, q);
        }
        if (C) for (var H = function (e) {
            var t = b.find(function (t) {
              var n = k.get(t);
              if (n) return n.slice(0, e).every(function (e) {
                return e;
              });
            });
            if (t) return T = t, "break";
          }, B = h ? 3 : 1; B > 0; B--) {
          if ("break" === H(B)) break;
        }
        t.placement !== T && (t.modifiersData[i]._skip = !0, t.placement = T, t.reset = !0);
      }
    },
    requiresIfExists: ["offset"],
    data: {
      _skip: !1
    }
  };
  function me(e, t, n) {
    return o(e, a(t, n));
  }
  var ge = {
    name: "preventOverflow",
    enabled: !0,
    phase: "main",
    fn: function (e) {
      var t = e.state,
        n = e.options,
        i = e.name,
        r = n.mainAxis,
        s = void 0 === r || r,
        l = n.altAxis,
        u = void 0 !== l && l,
        c = n.boundary,
        d = n.rootBoundary,
        p = n.altBoundary,
        f = n.padding,
        h = n.tether,
        m = void 0 === h || h,
        g = n.tetherOffset,
        v = void 0 === g ? 0 : g,
        b = G(t, {
          boundary: c,
          rootBoundary: d,
          padding: f,
          altBoundary: p
        }),
        w = W(t.placement),
        x = Y(t.placement),
        k = !x,
        C = U(w),
        A = "x" === C ? "y" : "x",
        j = t.modifiersData.popperOffsets,
        P = t.rects.reference,
        L = t.rects.popper,
        $ = "function" == typeof v ? v(Object.assign({}, t.rects, {
          placement: t.placement
        })) : v,
        _ = "number" == typeof $ ? {
          mainAxis: $,
          altAxis: $
        } : Object.assign({
          mainAxis: 0,
          altAxis: 0
        }, $),
        N = t.modifiersData.offset ? t.modifiersData.offset[t.placement] : null,
        F = {
          x: 0,
          y: 0
        };
      if (j) {
        if (s) {
          var I,
            R = "y" === C ? E : S,
            q = "y" === C ? D : O,
            H = "y" === C ? "height" : "width",
            B = j[C],
            V = B + b[R],
            z = B - b[q],
            K = m ? -L[H] / 2 : 0,
            X = x === M ? P[H] : L[H],
            J = x === M ? -L[H] : -P[H],
            Q = t.elements.arrow,
            Z = m && Q ? y(Q) : {
              width: 0,
              height: 0
            },
            ee = t.modifiersData["arrow#persistent"] ? t.modifiersData["arrow#persistent"].padding : {
              top: 0,
              right: 0,
              bottom: 0,
              left: 0
            },
            te = ee[R],
            ne = ee[q],
            ie = me(0, P[H], Z[H]),
            re = k ? P[H] / 2 - K - ie - te - _.mainAxis : X - ie - te - _.mainAxis,
            oe = k ? -P[H] / 2 + K + ie + ne + _.mainAxis : J + ie + ne + _.mainAxis,
            ae = t.elements.arrow && T(t.elements.arrow),
            se = ae ? "y" === C ? ae.clientTop || 0 : ae.clientLeft || 0 : 0,
            le = null != (I = null == N ? void 0 : N[C]) ? I : 0,
            ue = B + oe - le,
            ce = me(m ? a(V, B + re - le - se) : V, B, m ? o(z, ue) : z);
          j[C] = ce, F[C] = ce - B;
        }
        if (u) {
          var de,
            pe = "x" === C ? E : S,
            fe = "x" === C ? D : O,
            he = j[A],
            ge = "y" === A ? "height" : "width",
            ve = he + b[pe],
            ye = he - b[fe],
            be = -1 !== [E, S].indexOf(w),
            we = null != (de = null == N ? void 0 : N[A]) ? de : 0,
            xe = be ? ve : he - P[ge] - L[ge] - we + _.altAxis,
            ke = be ? he + P[ge] + L[ge] - we - _.altAxis : ye,
            Ce = m && be ? function (e, t, n) {
              var i = me(e, t, n);
              return i > n ? n : i;
            }(xe, he, ke) : me(m ? xe : ve, he, m ? ke : ye);
          j[A] = Ce, F[A] = Ce - he;
        }
        t.modifiersData[i] = F;
      }
    },
    requiresIfExists: ["offset"]
  };
  var ve = {
    name: "arrow",
    enabled: !0,
    phase: "main",
    fn: function (e) {
      var t,
        n = e.state,
        i = e.name,
        r = e.options,
        o = n.elements.arrow,
        a = n.modifiersData.popperOffsets,
        s = W(n.placement),
        l = U(s),
        u = [S, O].indexOf(s) >= 0 ? "height" : "width";
      if (o && a) {
        var c = function (e, t) {
            return X("number" != typeof (e = "function" == typeof e ? e(Object.assign({}, t.rects, {
              placement: t.placement
            })) : e) ? e : J(e, j));
          }(r.padding, n),
          d = y(o),
          p = "y" === l ? E : S,
          f = "y" === l ? D : O,
          h = n.rects.reference[u] + n.rects.reference[l] - a[l] - n.rects.popper[u],
          m = a[l] - n.rects.reference[l],
          g = T(o),
          v = g ? "y" === l ? g.clientHeight || 0 : g.clientWidth || 0 : 0,
          b = h / 2 - m / 2,
          w = c[p],
          x = v - d[u] - c[f],
          k = v / 2 - d[u] / 2 + b,
          C = me(w, k, x),
          A = l;
        n.modifiersData[i] = ((t = {})[A] = C, t.centerOffset = C - k, t);
      }
    },
    effect: function (e) {
      var t = e.state,
        n = e.options.element,
        i = void 0 === n ? "[data-popper-arrow]" : n;
      null != i && ("string" != typeof i || (i = t.elements.popper.querySelector(i))) && H(t.elements.popper, i) && (t.elements.arrow = i);
    },
    requires: ["popperOffsets"],
    requiresIfExists: ["preventOverflow"]
  };
  function ye(e, t, n) {
    return void 0 === n && (n = {
      x: 0,
      y: 0
    }), {
      top: e.top - t.height - n.y,
      right: e.right - t.width + n.x,
      bottom: e.bottom - t.height + n.y,
      left: e.left - t.width - n.x
    };
  }
  function be(e) {
    return [E, O, D, S].some(function (t) {
      return e[t] >= 0;
    });
  }
  var we = {
      name: "hide",
      enabled: !0,
      phase: "main",
      requiresIfExists: ["preventOverflow"],
      fn: function (e) {
        var t = e.state,
          n = e.name,
          i = t.rects.reference,
          r = t.rects.popper,
          o = t.modifiersData.preventOverflow,
          a = G(t, {
            elementContext: "reference"
          }),
          s = G(t, {
            altBoundary: !0
          }),
          l = ye(a, i),
          u = ye(s, r, o),
          c = be(l),
          d = be(u);
        t.modifiersData[n] = {
          referenceClippingOffsets: l,
          popperEscapeOffsets: u,
          isReferenceHidden: c,
          hasPopperEscaped: d
        }, t.attributes.popper = Object.assign({}, t.attributes.popper, {
          "data-popper-reference-hidden": c,
          "data-popper-escaped": d
        });
      }
    },
    xe = ee({
      defaultModifiers: [ne, ie, ae, se]
    }),
    ke = [ne, ie, ae, se, le, he, ge, ve, we],
    Ce = ee({
      defaultModifiers: ke
    });
  e.applyStyles = se, e.arrow = ve, e.computeStyles = ae, e.createPopper = Ce, e.createPopperLite = xe, e.defaultModifiers = ke, e.detectOverflow = G, e.eventListeners = ne, e.flip = he, e.hide = we, e.offset = le, e.popperGenerator = ee, e.popperOffsets = ie, e.preventOverflow = ge, Object.defineProperty(e, "__esModule", {
    value: !0
  });
}),
/**!
* tippy.js v6.3.7
* (c) 2017-2021 atomiks
* MIT License
*/
function (e, t) {
  "object" == typeof exports && "undefined" != typeof module ? module.exports = t(require("@popperjs/core")) : "function" == typeof define && define.amd ? define(["@popperjs/core"], t) : (e = e || self).tippy = t(e.Popper);
}(this, function (e) {
  "use strict";

  var t = "tippy-content",
    n = "tippy-backdrop",
    i = "tippy-arrow",
    r = "tippy-svg-arrow",
    o = {
      passive: !0,
      capture: !0
    },
    a = function () {
      return document.body;
    };
  function s(e, t, n) {
    if (Array.isArray(e)) {
      var i = e[t];
      return null == i ? Array.isArray(n) ? n[t] : n : i;
    }
    return e;
  }
  function l(e, t) {
    var n = {}.toString.call(e);
    return 0 === n.indexOf("[object") && n.indexOf(t + "]") > -1;
  }
  function u(e, t) {
    return "function" == typeof e ? e.apply(void 0, t) : e;
  }
  function c(e, t) {
    return 0 === t ? e : function (i) {
      clearTimeout(n), n = setTimeout(function () {
        e(i);
      }, t);
    };
    var n;
  }
  function d(e, t) {
    var n = Object.assign({}, e);
    return t.forEach(function (e) {
      delete n[e];
    }), n;
  }
  function p(e) {
    return [].concat(e);
  }
  function f(e, t) {
    -1 === e.indexOf(t) && e.push(t);
  }
  function h(e) {
    return e.split("-")[0];
  }
  function m(e) {
    return [].slice.call(e);
  }
  function g(e) {
    return Object.keys(e).reduce(function (t, n) {
      return void 0 !== e[n] && (t[n] = e[n]), t;
    }, {});
  }
  function v() {
    return document.createElement("div");
  }
  function y(e) {
    return ["Element", "Fragment"].some(function (t) {
      return l(e, t);
    });
  }
  function b(e) {
    return l(e, "MouseEvent");
  }
  function w(e) {
    return !(!e || !e._tippy || e._tippy.reference !== e);
  }
  function x(e) {
    return y(e) ? [e] : function (e) {
      return l(e, "NodeList");
    }(e) ? m(e) : Array.isArray(e) ? e : m(document.querySelectorAll(e));
  }
  function k(e, t) {
    e.forEach(function (e) {
      e && (e.style.transitionDuration = t + "ms");
    });
  }
  function C(e, t) {
    e.forEach(function (e) {
      e && e.setAttribute("data-state", t);
    });
  }
  function T(e) {
    var t,
      n = p(e)[0];
    return null != n && null != (t = n.ownerDocument) && t.body ? n.ownerDocument : document;
  }
  function E(e, t, n) {
    var i = t + "EventListener";
    ["transitionend", "webkitTransitionEnd"].forEach(function (t) {
      e[i](t, n);
    });
  }
  function D(e, t) {
    for (var n = t; n;) {
      var i;
      if (e.contains(n)) return !0;
      n = null == n.getRootNode || null == (i = n.getRootNode()) ? void 0 : i.host;
    }
    return !1;
  }
  var O = {
      isTouch: !1
    },
    S = 0;
  function A() {
    O.isTouch || (O.isTouch = !0, window.performance && document.addEventListener("mousemove", j));
  }
  function j() {
    var e = performance.now();
    e - S < 20 && (O.isTouch = !1, document.removeEventListener("mousemove", j)), S = e;
  }
  function M() {
    var e = document.activeElement;
    if (w(e)) {
      var t = e._tippy;
      e.blur && !t.state.isVisible && e.blur();
    }
  }
  var P,
    L = !!("undefined" != typeof window && "undefined" != typeof document) && !!window.msCrypto;
  function $(e) {
    return [e + "() was called on a" + ("destroy" === e ? "n already-" : " ") + "destroyed instance. This is a no-op but", "indicates a potential memory leak."].join(" ");
  }
  function _(e) {
    return e.replace(/[ \t]{2,}/g, " ").replace(/^[ \t]*/gm, "").trim();
  }
  function N(e) {
    return _("\n  %ctippy.js\n\n  %c" + _(e) + "\n\n  %c👷‍ This is a development-only message. It will be removed in production.\n  ");
  }
  function F(e) {
    return [N(e), "color: #00C584; font-size: 1.3em; font-weight: bold;", "line-height: 1.5", "color: #a6a095;"];
  }
  function I(e, t) {
    var n;
    e && !P.has(t) && (P.add(t), (n = console).warn.apply(n, F(t)));
  }
  function R(e, t) {
    var n;
    e && !P.has(t) && (P.add(t), (n = console).error.apply(n, F(t)));
  }
  P = new Set();
  var q = {
      animateFill: !1,
      followCursor: !1,
      inlinePositioning: !1,
      sticky: !1
    },
    H = Object.assign({
      appendTo: a,
      aria: {
        content: "auto",
        expanded: "auto"
      },
      delay: 0,
      duration: [300, 250],
      getReferenceClientRect: null,
      hideOnClick: !0,
      ignoreAttributes: !1,
      interactive: !1,
      interactiveBorder: 2,
      interactiveDebounce: 0,
      moveTransition: "",
      offset: [0, 10],
      onAfterUpdate: function () {},
      onBeforeUpdate: function () {},
      onCreate: function () {},
      onDestroy: function () {},
      onHidden: function () {},
      onHide: function () {},
      onMount: function () {},
      onShow: function () {},
      onShown: function () {},
      onTrigger: function () {},
      onUntrigger: function () {},
      onClickOutside: function () {},
      placement: "top",
      plugins: [],
      popperOptions: {},
      render: null,
      showOnCreate: !1,
      touch: !0,
      trigger: "mouseenter focus",
      triggerTarget: null
    }, q, {
      allowHTML: !1,
      animation: "fade",
      arrow: !0,
      content: "",
      inertia: !1,
      maxWidth: 350,
      role: "tooltip",
      theme: "",
      zIndex: 9999
    }),
    B = Object.keys(H);
  function V(e) {
    var t = (e.plugins || []).reduce(function (t, n) {
      var i,
        r = n.name,
        o = n.defaultValue;
      r && (t[r] = void 0 !== e[r] ? e[r] : null != (i = H[r]) ? i : o);
      return t;
    }, {});
    return Object.assign({}, e, t);
  }
  function z(e, t) {
    var n = Object.assign({}, t, {
      content: u(t.content, [e])
    }, t.ignoreAttributes ? {} : function (e, t) {
      return (t ? Object.keys(V(Object.assign({}, H, {
        plugins: t
      }))) : B).reduce(function (t, n) {
        var i = (e.getAttribute("data-tippy-" + n) || "").trim();
        if (!i) return t;
        if ("content" === n) t[n] = i;else try {
          t[n] = JSON.parse(i);
        } catch (e) {
          t[n] = i;
        }
        return t;
      }, {});
    }(e, t.plugins));
    return n.aria = Object.assign({}, H.aria, n.aria), n.aria = {
      expanded: "auto" === n.aria.expanded ? t.interactive : n.aria.expanded,
      content: "auto" === n.aria.content ? t.interactive ? null : "describedby" : n.aria.content
    }, n;
  }
  function W(e, t) {
    void 0 === e && (e = {}), void 0 === t && (t = []), Object.keys(e).forEach(function (e) {
      var n,
        i,
        r = d(H, Object.keys(q)),
        o = (n = r, i = e, !{}.hasOwnProperty.call(n, i));
      o && (o = 0 === t.filter(function (t) {
        return t.name === e;
      }).length), I(o, ["`" + e + "`", "is not a valid prop. You may have spelled it incorrectly, or if it's", "a plugin, forgot to pass it in an array as props.plugins.", "\n\n", "All props: https://atomiks.github.io/tippyjs/v6/all-props/\n", "Plugins: https://atomiks.github.io/tippyjs/v6/plugins/"].join(" "));
    });
  }
  var Y = function () {
    return "innerHTML";
  };
  function U(e, t) {
    e[Y()] = t;
  }
  function K(e) {
    var t = v();
    return !0 === e ? t.className = i : (t.className = r, y(e) ? t.appendChild(e) : U(t, e)), t;
  }
  function X(e, t) {
    y(t.content) ? (U(e, ""), e.appendChild(t.content)) : "function" != typeof t.content && (t.allowHTML ? U(e, t.content) : e.textContent = t.content);
  }
  function J(e) {
    var o = e.firstElementChild,
      a = m(o.children);
    return {
      box: o,
      content: a.find(function (e) {
        return e.classList.contains(t);
      }),
      arrow: a.find(function (e) {
        return e.classList.contains(i) || e.classList.contains(r);
      }),
      backdrop: a.find(function (e) {
        return e.classList.contains(n);
      })
    };
  }
  function G(e) {
    var n = v(),
      i = v();
    i.className = "tippy-box", i.setAttribute("data-state", "hidden"), i.setAttribute("tabindex", "-1");
    var r = v();
    function o(t, i) {
      var r = J(n),
        o = r.box,
        a = r.content,
        s = r.arrow;
      i.theme ? o.setAttribute("data-theme", i.theme) : o.removeAttribute("data-theme"), "string" == typeof i.animation ? o.setAttribute("data-animation", i.animation) : o.removeAttribute("data-animation"), i.inertia ? o.setAttribute("data-inertia", "") : o.removeAttribute("data-inertia"), o.style.maxWidth = "number" == typeof i.maxWidth ? i.maxWidth + "px" : i.maxWidth, i.role ? o.setAttribute("role", i.role) : o.removeAttribute("role"), t.content === i.content && t.allowHTML === i.allowHTML || X(a, e.props), i.arrow ? s ? t.arrow !== i.arrow && (o.removeChild(s), o.appendChild(K(i.arrow))) : o.appendChild(K(i.arrow)) : s && o.removeChild(s);
    }
    return r.className = t, r.setAttribute("data-state", "hidden"), X(r, e.props), n.appendChild(i), i.appendChild(r), o(e.props, e.props), {
      popper: n,
      onUpdate: o
    };
  }
  G.$$tippy = !0;
  var Q = 1,
    Z = [],
    ee = [];
  function te(t, n) {
    var i,
      r,
      l,
      d,
      y,
      w,
      x,
      S,
      A = z(t, Object.assign({}, H, V(g(n)))),
      j = !1,
      M = !1,
      P = !1,
      _ = !1,
      N = [],
      F = c(Ce, A.interactiveDebounce),
      q = Q++,
      B = (S = A.plugins).filter(function (e, t) {
        return S.indexOf(e) === t;
      }),
      W = {
        id: q,
        reference: t,
        popper: v(),
        popperInstance: null,
        props: A,
        state: {
          isEnabled: !0,
          isVisible: !1,
          isDestroyed: !1,
          isMounted: !1,
          isShown: !1
        },
        plugins: B,
        clearDelayTimeouts: function () {
          clearTimeout(i), clearTimeout(r), cancelAnimationFrame(l);
        },
        setProps: function (e) {
          if (I(W.state.isDestroyed, $("setProps")), W.state.isDestroyed) return;
          ue("onBeforeUpdate", [W, e]), xe();
          var n = W.props,
            i = z(t, Object.assign({}, n, g(e), {
              ignoreAttributes: !0
            }));
          W.props = i, we(), n.interactiveDebounce !== i.interactiveDebounce && (pe(), F = c(Ce, i.interactiveDebounce));
          n.triggerTarget && !i.triggerTarget ? p(n.triggerTarget).forEach(function (e) {
            e.removeAttribute("aria-expanded");
          }) : i.triggerTarget && t.removeAttribute("aria-expanded");
          de(), le(), K && K(n, i);
          W.popperInstance && (Oe(), Ae().forEach(function (e) {
            requestAnimationFrame(e._tippy.popperInstance.forceUpdate);
          }));
          ue("onAfterUpdate", [W, e]);
        },
        setContent: function (e) {
          W.setProps({
            content: e
          });
        },
        show: function () {
          I(W.state.isDestroyed, $("show"));
          var e = W.state.isVisible,
            t = W.state.isDestroyed,
            n = !W.state.isEnabled,
            i = O.isTouch && !W.props.touch,
            r = s(W.props.duration, 0, H.duration);
          if (e || t || n || i) return;
          if (re().hasAttribute("disabled")) return;
          if (ue("onShow", [W], !1), !1 === W.props.onShow(W)) return;
          W.state.isVisible = !0, ie() && (U.style.visibility = "visible");
          le(), ge(), W.state.isMounted || (U.style.transition = "none");
          if (ie()) {
            var o = ae();
            k([o.box, o.content], 0);
          }
          w = function () {
            var e;
            if (W.state.isVisible && !_) {
              if (_ = !0, U.offsetHeight, U.style.transition = W.props.moveTransition, ie() && W.props.animation) {
                var t = ae(),
                  n = t.box,
                  i = t.content;
                k([n, i], r), C([n, i], "visible");
              }
              ce(), de(), f(ee, W), null == (e = W.popperInstance) || e.forceUpdate(), ue("onMount", [W]), W.props.animation && ie() && function (e, t) {
                ye(e, t);
              }(r, function () {
                W.state.isShown = !0, ue("onShown", [W]);
              });
            }
          }, function () {
            var e,
              t = W.props.appendTo,
              n = re();
            e = W.props.interactive && t === a || "parent" === t ? n.parentNode : u(t, [n]);
            e.contains(U) || e.appendChild(U);
            W.state.isMounted = !0, Oe(), I(W.props.interactive && t === H.appendTo && n.nextElementSibling !== U, ["Interactive tippy element may not be accessible via keyboard", "navigation because it is not directly after the reference element", "in the DOM source order.", "\n\n", "Using a wrapper <div> or <span> tag around the reference element", "solves this by creating a new parentNode context.", "\n\n", "Specifying `appendTo: document.body` silences this warning, but it", "assumes you are using a focus management solution to handle", "keyboard navigation.", "\n\n", "See: https://atomiks.github.io/tippyjs/v6/accessibility/#interactivity"].join(" "));
          }();
        },
        hide: function () {
          I(W.state.isDestroyed, $("hide"));
          var e = !W.state.isVisible,
            t = W.state.isDestroyed,
            n = !W.state.isEnabled,
            i = s(W.props.duration, 1, H.duration);
          if (e || t || n) return;
          if (ue("onHide", [W], !1), !1 === W.props.onHide(W)) return;
          W.state.isVisible = !1, W.state.isShown = !1, _ = !1, j = !1, ie() && (U.style.visibility = "hidden");
          if (pe(), ve(), le(!0), ie()) {
            var r = ae(),
              o = r.box,
              a = r.content;
            W.props.animation && (k([o, a], i), C([o, a], "hidden"));
          }
          ce(), de(), W.props.animation ? ie() && function (e, t) {
            ye(e, function () {
              !W.state.isVisible && U.parentNode && U.parentNode.contains(U) && t();
            });
          }(i, W.unmount) : W.unmount();
        },
        hideWithInteractivity: function (e) {
          I(W.state.isDestroyed, $("hideWithInteractivity")), oe().addEventListener("mousemove", F), f(Z, F), F(e);
        },
        enable: function () {
          W.state.isEnabled = !0;
        },
        disable: function () {
          W.hide(), W.state.isEnabled = !1;
        },
        unmount: function () {
          I(W.state.isDestroyed, $("unmount")), W.state.isVisible && W.hide();
          if (!W.state.isMounted) return;
          Se(), Ae().forEach(function (e) {
            e._tippy.unmount();
          }), U.parentNode && U.parentNode.removeChild(U);
          ee = ee.filter(function (e) {
            return e !== W;
          }), W.state.isMounted = !1, ue("onHidden", [W]);
        },
        destroy: function () {
          if (I(W.state.isDestroyed, $("destroy")), W.state.isDestroyed) return;
          W.clearDelayTimeouts(), W.unmount(), xe(), delete t._tippy, W.state.isDestroyed = !0, ue("onDestroy", [W]);
        }
      };
    if (!A.render) return R(!0, "render() function has not been supplied."), W;
    var Y = A.render(W),
      U = Y.popper,
      K = Y.onUpdate;
    U.setAttribute("data-tippy-root", ""), U.id = "tippy-" + W.id, W.popper = U, t._tippy = W, U._tippy = W;
    var X = B.map(function (e) {
        return e.fn(W);
      }),
      G = t.hasAttribute("aria-expanded");
    return we(), de(), le(), ue("onCreate", [W]), A.showOnCreate && je(), U.addEventListener("mouseenter", function () {
      W.props.interactive && W.state.isVisible && W.clearDelayTimeouts();
    }), U.addEventListener("mouseleave", function () {
      W.props.interactive && W.props.trigger.indexOf("mouseenter") >= 0 && oe().addEventListener("mousemove", F);
    }), W;
    function te() {
      var e = W.props.touch;
      return Array.isArray(e) ? e : [e, 0];
    }
    function ne() {
      return "hold" === te()[0];
    }
    function ie() {
      var e;
      return !(null == (e = W.props.render) || !e.$$tippy);
    }
    function re() {
      return x || t;
    }
    function oe() {
      var e = re().parentNode;
      return e ? T(e) : document;
    }
    function ae() {
      return J(U);
    }
    function se(e) {
      return W.state.isMounted && !W.state.isVisible || O.isTouch || d && "focus" === d.type ? 0 : s(W.props.delay, e ? 0 : 1, H.delay);
    }
    function le(e) {
      void 0 === e && (e = !1), U.style.pointerEvents = W.props.interactive && !e ? "" : "none", U.style.zIndex = "" + W.props.zIndex;
    }
    function ue(e, t, n) {
      var i;
      (void 0 === n && (n = !0), X.forEach(function (n) {
        n[e] && n[e].apply(n, t);
      }), n) && (i = W.props)[e].apply(i, t);
    }
    function ce() {
      var e = W.props.aria;
      if (e.content) {
        var n = "aria-" + e.content,
          i = U.id;
        p(W.props.triggerTarget || t).forEach(function (e) {
          var t = e.getAttribute(n);
          if (W.state.isVisible) e.setAttribute(n, t ? t + " " + i : i);else {
            var r = t && t.replace(i, "").trim();
            r ? e.setAttribute(n, r) : e.removeAttribute(n);
          }
        });
      }
    }
    function de() {
      !G && W.props.aria.expanded && p(W.props.triggerTarget || t).forEach(function (e) {
        W.props.interactive ? e.setAttribute("aria-expanded", W.state.isVisible && e === re() ? "true" : "false") : e.removeAttribute("aria-expanded");
      });
    }
    function pe() {
      oe().removeEventListener("mousemove", F), Z = Z.filter(function (e) {
        return e !== F;
      });
    }
    function fe(e) {
      if (!O.isTouch || !P && "mousedown" !== e.type) {
        var n = e.composedPath && e.composedPath()[0] || e.target;
        if (!W.props.interactive || !D(U, n)) {
          if (p(W.props.triggerTarget || t).some(function (e) {
            return D(e, n);
          })) {
            if (O.isTouch) return;
            if (W.state.isVisible && W.props.trigger.indexOf("click") >= 0) return;
          } else ue("onClickOutside", [W, e]);
          !0 === W.props.hideOnClick && (W.clearDelayTimeouts(), W.hide(), M = !0, setTimeout(function () {
            M = !1;
          }), W.state.isMounted || ve());
        }
      }
    }
    function he() {
      P = !0;
    }
    function me() {
      P = !1;
    }
    function ge() {
      var e = oe();
      e.addEventListener("mousedown", fe, !0), e.addEventListener("touchend", fe, o), e.addEventListener("touchstart", me, o), e.addEventListener("touchmove", he, o);
    }
    function ve() {
      var e = oe();
      e.removeEventListener("mousedown", fe, !0), e.removeEventListener("touchend", fe, o), e.removeEventListener("touchstart", me, o), e.removeEventListener("touchmove", he, o);
    }
    function ye(e, t) {
      var n = ae().box;
      function i(e) {
        e.target === n && (E(n, "remove", i), t());
      }
      if (0 === e) return t();
      E(n, "remove", y), E(n, "add", i), y = i;
    }
    function be(e, n, i) {
      void 0 === i && (i = !1), p(W.props.triggerTarget || t).forEach(function (t) {
        t.addEventListener(e, n, i), N.push({
          node: t,
          eventType: e,
          handler: n,
          options: i
        });
      });
    }
    function we() {
      var e;
      ne() && (be("touchstart", ke, {
        passive: !0
      }), be("touchend", Te, {
        passive: !0
      })), (e = W.props.trigger, e.split(/\s+/).filter(Boolean)).forEach(function (e) {
        if ("manual" !== e) switch (be(e, ke), e) {
          case "mouseenter":
            be("mouseleave", Te);
            break;
          case "focus":
            be(L ? "focusout" : "blur", Ee);
            break;
          case "focusin":
            be("focusout", Ee);
        }
      });
    }
    function xe() {
      N.forEach(function (e) {
        var t = e.node,
          n = e.eventType,
          i = e.handler,
          r = e.options;
        t.removeEventListener(n, i, r);
      }), N = [];
    }
    function ke(e) {
      var t,
        n = !1;
      if (W.state.isEnabled && !De(e) && !M) {
        var i = "focus" === (null == (t = d) ? void 0 : t.type);
        d = e, x = e.currentTarget, de(), !W.state.isVisible && b(e) && Z.forEach(function (t) {
          return t(e);
        }), "click" === e.type && (W.props.trigger.indexOf("mouseenter") < 0 || j) && !1 !== W.props.hideOnClick && W.state.isVisible ? n = !0 : je(e), "click" === e.type && (j = !n), n && !i && Me(e);
      }
    }
    function Ce(e) {
      var t = e.target,
        n = re().contains(t) || U.contains(t);
      if ("mousemove" !== e.type || !n) {
        var i = Ae().concat(U).map(function (e) {
          var t,
            n = null == (t = e._tippy.popperInstance) ? void 0 : t.state;
          return n ? {
            popperRect: e.getBoundingClientRect(),
            popperState: n,
            props: A
          } : null;
        }).filter(Boolean);
        (function (e, t) {
          var n = t.clientX,
            i = t.clientY;
          return e.every(function (e) {
            var t = e.popperRect,
              r = e.popperState,
              o = e.props.interactiveBorder,
              a = h(r.placement),
              s = r.modifiersData.offset;
            if (!s) return !0;
            var l = "bottom" === a ? s.top.y : 0,
              u = "top" === a ? s.bottom.y : 0,
              c = "right" === a ? s.left.x : 0,
              d = "left" === a ? s.right.x : 0,
              p = t.top - i + l > o,
              f = i - t.bottom - u > o,
              m = t.left - n + c > o,
              g = n - t.right - d > o;
            return p || f || m || g;
          });
        })(i, e) && (pe(), Me(e));
      }
    }
    function Te(e) {
      De(e) || W.props.trigger.indexOf("click") >= 0 && j || (W.props.interactive ? W.hideWithInteractivity(e) : Me(e));
    }
    function Ee(e) {
      W.props.trigger.indexOf("focusin") < 0 && e.target !== re() || W.props.interactive && e.relatedTarget && U.contains(e.relatedTarget) || Me(e);
    }
    function De(e) {
      return !!O.isTouch && ne() !== e.type.indexOf("touch") >= 0;
    }
    function Oe() {
      Se();
      var n = W.props,
        i = n.popperOptions,
        r = n.placement,
        o = n.offset,
        a = n.getReferenceClientRect,
        s = n.moveTransition,
        l = ie() ? J(U).arrow : null,
        u = a ? {
          getBoundingClientRect: a,
          contextElement: a.contextElement || re()
        } : t,
        c = {
          name: "$$tippy",
          enabled: !0,
          phase: "beforeWrite",
          requires: ["computeStyles"],
          fn: function (e) {
            var t = e.state;
            if (ie()) {
              var n = ae().box;
              ["placement", "reference-hidden", "escaped"].forEach(function (e) {
                "placement" === e ? n.setAttribute("data-placement", t.placement) : t.attributes.popper["data-popper-" + e] ? n.setAttribute("data-" + e, "") : n.removeAttribute("data-" + e);
              }), t.attributes.popper = {};
            }
          }
        },
        d = [{
          name: "offset",
          options: {
            offset: o
          }
        }, {
          name: "preventOverflow",
          options: {
            padding: {
              top: 2,
              bottom: 2,
              left: 5,
              right: 5
            }
          }
        }, {
          name: "flip",
          options: {
            padding: 5
          }
        }, {
          name: "computeStyles",
          options: {
            adaptive: !s
          }
        }, c];
      ie() && l && d.push({
        name: "arrow",
        options: {
          element: l,
          padding: 3
        }
      }), d.push.apply(d, (null == i ? void 0 : i.modifiers) || []), W.popperInstance = e.createPopper(u, U, Object.assign({}, i, {
        placement: r,
        onFirstUpdate: w,
        modifiers: d
      }));
    }
    function Se() {
      W.popperInstance && (W.popperInstance.destroy(), W.popperInstance = null);
    }
    function Ae() {
      return m(U.querySelectorAll("[data-tippy-root]"));
    }
    function je(e) {
      W.clearDelayTimeouts(), e && ue("onTrigger", [W, e]), ge();
      var t = se(!0),
        n = te(),
        r = n[0],
        o = n[1];
      O.isTouch && "hold" === r && o && (t = o), t ? i = setTimeout(function () {
        W.show();
      }, t) : W.show();
    }
    function Me(e) {
      if (W.clearDelayTimeouts(), ue("onUntrigger", [W, e]), W.state.isVisible) {
        if (!(W.props.trigger.indexOf("mouseenter") >= 0 && W.props.trigger.indexOf("click") >= 0 && ["mouseleave", "mousemove"].indexOf(e.type) >= 0 && j)) {
          var t = se(!1);
          t ? r = setTimeout(function () {
            W.state.isVisible && W.hide();
          }, t) : l = requestAnimationFrame(function () {
            W.hide();
          });
        }
      } else ve();
    }
  }
  function ne(e, t) {
    void 0 === t && (t = {});
    var n = H.plugins.concat(t.plugins || []);
    !function (e) {
      var t = !e,
        n = "[object Object]" === Object.prototype.toString.call(e) && !e.addEventListener;
      R(t, ["tippy() was passed", "`" + String(e) + "`", "as its targets (first) argument. Valid types are: String, Element,", "Element[], or NodeList."].join(" ")), R(n, ["tippy() was passed a plain object which is not supported as an argument", "for virtual positioning. Use props.getReferenceClientRect instead."].join(" "));
    }(e), W(t, n), document.addEventListener("touchstart", A, o), window.addEventListener("blur", M);
    var i = Object.assign({}, t, {
        plugins: n
      }),
      r = x(e),
      a = y(i.content),
      s = r.length > 1;
    I(a && s, ["tippy() was passed an Element as the `content` prop, but more than", "one tippy instance was created by this invocation. This means the", "content element will only be appended to the last tippy instance.", "\n\n", "Instead, pass the .innerHTML of the element, or use a function that", "returns a cloned version of the element instead.", "\n\n", "1) content: element.innerHTML\n", "2) content: () => element.cloneNode(true)"].join(" "));
    var l = r.reduce(function (e, t) {
      var n = t && te(t, i);
      return n && e.push(n), e;
    }, []);
    return y(e) ? l[0] : l;
  }
  ne.defaultProps = H, ne.setDefaultProps = function (e) {
    W(e, []), Object.keys(e).forEach(function (t) {
      H[t] = e[t];
    });
  }, ne.currentInput = O;
  var ie = Object.assign({}, e.applyStyles, {
      effect: function (e) {
        var t = e.state,
          n = {
            popper: {
              position: t.options.strategy,
              left: "0",
              top: "0",
              margin: "0"
            },
            arrow: {
              position: "absolute"
            },
            reference: {}
          };
        Object.assign(t.elements.popper.style, n.popper), t.styles = n, t.elements.arrow && Object.assign(t.elements.arrow.style, n.arrow);
      }
    }),
    re = {
      mouseover: "mouseenter",
      focusin: "focus",
      click: "click"
    };
  var oe = {
    name: "animateFill",
    defaultValue: !1,
    fn: function (e) {
      var t;
      if (null == (t = e.props.render) || !t.$$tippy) return R(e.props.animateFill, "The `animateFill` plugin requires the default render function."), {};
      var i = J(e.popper),
        r = i.box,
        o = i.content,
        a = e.props.animateFill ? function () {
          var e = v();
          return e.className = n, C([e], "hidden"), e;
        }() : null;
      return {
        onCreate: function () {
          a && (r.insertBefore(a, r.firstElementChild), r.setAttribute("data-animatefill", ""), r.style.overflow = "hidden", e.setProps({
            arrow: !1,
            animation: "shift-away"
          }));
        },
        onMount: function () {
          if (a) {
            var e = r.style.transitionDuration,
              t = Number(e.replace("ms", ""));
            o.style.transitionDelay = Math.round(t / 10) + "ms", a.style.transitionDuration = e, C([a], "visible");
          }
        },
        onShow: function () {
          a && (a.style.transitionDuration = "0ms");
        },
        onHide: function () {
          a && C([a], "hidden");
        }
      };
    }
  };
  var ae = {
      clientX: 0,
      clientY: 0
    },
    se = [];
  function le(e) {
    var t = e.clientX,
      n = e.clientY;
    ae = {
      clientX: t,
      clientY: n
    };
  }
  var ue = {
    name: "followCursor",
    defaultValue: !1,
    fn: function (e) {
      var t = e.reference,
        n = T(e.props.triggerTarget || t),
        i = !1,
        r = !1,
        o = !0,
        a = e.props;
      function s() {
        return "initial" === e.props.followCursor && e.state.isVisible;
      }
      function l() {
        n.addEventListener("mousemove", d);
      }
      function u() {
        n.removeEventListener("mousemove", d);
      }
      function c() {
        i = !0, e.setProps({
          getReferenceClientRect: null
        }), i = !1;
      }
      function d(n) {
        var i = !n.target || t.contains(n.target),
          r = e.props.followCursor,
          o = n.clientX,
          a = n.clientY,
          s = t.getBoundingClientRect(),
          l = o - s.left,
          u = a - s.top;
        !i && e.props.interactive || e.setProps({
          getReferenceClientRect: function () {
            var e = t.getBoundingClientRect(),
              n = o,
              i = a;
            "initial" === r && (n = e.left + l, i = e.top + u);
            var s = "horizontal" === r ? e.top : i,
              c = "vertical" === r ? e.right : n,
              d = "horizontal" === r ? e.bottom : i,
              p = "vertical" === r ? e.left : n;
            return {
              width: c - p,
              height: d - s,
              top: s,
              right: c,
              bottom: d,
              left: p
            };
          }
        });
      }
      function p() {
        e.props.followCursor && (se.push({
          instance: e,
          doc: n
        }), function (e) {
          e.addEventListener("mousemove", le);
        }(n));
      }
      function f() {
        0 === (se = se.filter(function (t) {
          return t.instance !== e;
        })).filter(function (e) {
          return e.doc === n;
        }).length && function (e) {
          e.removeEventListener("mousemove", le);
        }(n);
      }
      return {
        onCreate: p,
        onDestroy: f,
        onBeforeUpdate: function () {
          a = e.props;
        },
        onAfterUpdate: function (t, n) {
          var o = n.followCursor;
          i || void 0 !== o && a.followCursor !== o && (f(), o ? (p(), !e.state.isMounted || r || s() || l()) : (u(), c()));
        },
        onMount: function () {
          e.props.followCursor && !r && (o && (d(ae), o = !1), s() || l());
        },
        onTrigger: function (e, t) {
          b(t) && (ae = {
            clientX: t.clientX,
            clientY: t.clientY
          }), r = "focus" === t.type;
        },
        onHidden: function () {
          e.props.followCursor && (c(), u(), o = !0);
        }
      };
    }
  };
  var ce = {
    name: "inlinePositioning",
    defaultValue: !1,
    fn: function (e) {
      var t,
        n = e.reference;
      var i = -1,
        r = !1,
        o = [],
        a = {
          name: "tippyInlinePositioning",
          enabled: !0,
          phase: "afterWrite",
          fn: function (r) {
            var a = r.state;
            e.props.inlinePositioning && (-1 !== o.indexOf(a.placement) && (o = []), t !== a.placement && -1 === o.indexOf(a.placement) && (o.push(a.placement), e.setProps({
              getReferenceClientRect: function () {
                return function (e) {
                  return function (e, t, n, i) {
                    if (n.length < 2 || null === e) return t;
                    if (2 === n.length && i >= 0 && n[0].left > n[1].right) return n[i] || t;
                    switch (e) {
                      case "top":
                      case "bottom":
                        var r = n[0],
                          o = n[n.length - 1],
                          a = "top" === e,
                          s = r.top,
                          l = o.bottom,
                          u = a ? r.left : o.left,
                          c = a ? r.right : o.right;
                        return {
                          top: s,
                          bottom: l,
                          left: u,
                          right: c,
                          width: c - u,
                          height: l - s
                        };
                      case "left":
                      case "right":
                        var d = Math.min.apply(Math, n.map(function (e) {
                            return e.left;
                          })),
                          p = Math.max.apply(Math, n.map(function (e) {
                            return e.right;
                          })),
                          f = n.filter(function (t) {
                            return "left" === e ? t.left === d : t.right === p;
                          }),
                          h = f[0].top,
                          m = f[f.length - 1].bottom;
                        return {
                          top: h,
                          bottom: m,
                          left: d,
                          right: p,
                          width: p - d,
                          height: m - h
                        };
                      default:
                        return t;
                    }
                  }(h(e), n.getBoundingClientRect(), m(n.getClientRects()), i);
                }(a.placement);
              }
            })), t = a.placement);
          }
        };
      function s() {
        var t;
        r || (t = function (e, t) {
          var n;
          return {
            popperOptions: Object.assign({}, e.popperOptions, {
              modifiers: [].concat(((null == (n = e.popperOptions) ? void 0 : n.modifiers) || []).filter(function (e) {
                return e.name !== t.name;
              }), [t])
            })
          };
        }(e.props, a), r = !0, e.setProps(t), r = !1);
      }
      return {
        onCreate: s,
        onAfterUpdate: s,
        onTrigger: function (t, n) {
          if (b(n)) {
            var r = m(e.reference.getClientRects()),
              o = r.find(function (e) {
                return e.left - 2 <= n.clientX && e.right + 2 >= n.clientX && e.top - 2 <= n.clientY && e.bottom + 2 >= n.clientY;
              }),
              a = r.indexOf(o);
            i = a > -1 ? a : i;
          }
        },
        onHidden: function () {
          i = -1;
        }
      };
    }
  };
  var de = {
    name: "sticky",
    defaultValue: !1,
    fn: function (e) {
      var t = e.reference,
        n = e.popper;
      function i(t) {
        return !0 === e.props.sticky || e.props.sticky === t;
      }
      var r = null,
        o = null;
      function a() {
        var s = i("reference") ? (e.popperInstance ? e.popperInstance.state.elements.reference : t).getBoundingClientRect() : null,
          l = i("popper") ? n.getBoundingClientRect() : null;
        (s && pe(r, s) || l && pe(o, l)) && e.popperInstance && e.popperInstance.update(), r = s, o = l, e.state.isMounted && requestAnimationFrame(a);
      }
      return {
        onMount: function () {
          e.props.sticky && a();
        }
      };
    }
  };
  function pe(e, t) {
    return !e || !t || e.top !== t.top || e.right !== t.right || e.bottom !== t.bottom || e.left !== t.left;
  }
  return ne.setDefaultProps({
    plugins: [oe, ue, ce, de],
    render: G
  }), ne.createSingleton = function (e, t) {
    var n;
    void 0 === t && (t = {}), R(!Array.isArray(e), ["The first argument passed to createSingleton() must be an array of", "tippy instances. The passed value was", String(e)].join(" "));
    var i,
      r = e,
      o = [],
      a = [],
      s = t.overrides,
      l = [],
      u = !1;
    function c() {
      a = r.map(function (e) {
        return p(e.props.triggerTarget || e.reference);
      }).reduce(function (e, t) {
        return e.concat(t);
      }, []);
    }
    function f() {
      o = r.map(function (e) {
        return e.reference;
      });
    }
    function h(e) {
      r.forEach(function (t) {
        e ? t.enable() : t.disable();
      });
    }
    function m(e) {
      return r.map(function (t) {
        var n = t.setProps;
        return t.setProps = function (r) {
          n(r), t.reference === i && e.setProps(r);
        }, function () {
          t.setProps = n;
        };
      });
    }
    function g(e, t) {
      var n = a.indexOf(t);
      if (t !== i) {
        i = t;
        var l = (s || []).concat("content").reduce(function (e, t) {
          return e[t] = r[n].props[t], e;
        }, {});
        e.setProps(Object.assign({}, l, {
          getReferenceClientRect: "function" == typeof l.getReferenceClientRect ? l.getReferenceClientRect : function () {
            var e;
            return null == (e = o[n]) ? void 0 : e.getBoundingClientRect();
          }
        }));
      }
    }
    h(!1), f(), c();
    var y = {
        fn: function () {
          return {
            onDestroy: function () {
              h(!0);
            },
            onHidden: function () {
              i = null;
            },
            onClickOutside: function (e) {
              e.props.showOnCreate && !u && (u = !0, i = null);
            },
            onShow: function (e) {
              e.props.showOnCreate && !u && (u = !0, g(e, o[0]));
            },
            onTrigger: function (e, t) {
              g(e, t.currentTarget);
            }
          };
        }
      },
      b = ne(v(), Object.assign({}, d(t, ["overrides"]), {
        plugins: [y].concat(t.plugins || []),
        triggerTarget: a,
        popperOptions: Object.assign({}, t.popperOptions, {
          modifiers: [].concat((null == (n = t.popperOptions) ? void 0 : n.modifiers) || [], [ie])
        })
      })),
      w = b.show;
    b.show = function (e) {
      if (w(), !i && null == e) return g(b, o[0]);
      if (!i || null != e) {
        if ("number" == typeof e) return o[e] && g(b, o[e]);
        if (r.indexOf(e) >= 0) {
          var t = e.reference;
          return g(b, t);
        }
        return o.indexOf(e) >= 0 ? g(b, e) : void 0;
      }
    }, b.showNext = function () {
      var e = o[0];
      if (!i) return b.show(0);
      var t = o.indexOf(i);
      b.show(o[t + 1] || e);
    }, b.showPrevious = function () {
      var e = o[o.length - 1];
      if (!i) return b.show(e);
      var t = o.indexOf(i),
        n = o[t - 1] || e;
      b.show(n);
    };
    var x = b.setProps;
    return b.setProps = function (e) {
      s = e.overrides || s, x(e);
    }, b.setInstances = function (e) {
      h(!0), l.forEach(function (e) {
        return e();
      }), r = e, h(!1), f(), c(), l = m(b), b.setProps({
        triggerTarget: a
      });
    }, l = m(b), b;
  }, ne.delegate = function (e, t) {
    R(!(t && t.target), ["You must specity a `target` prop indicating a CSS selector string matching", "the target elements that should receive a tippy."].join(" "));
    var n = [],
      i = [],
      r = !1,
      a = t.target,
      s = d(t, ["target"]),
      l = Object.assign({}, s, {
        trigger: "manual",
        touch: !1
      }),
      u = Object.assign({
        touch: H.touch
      }, s, {
        showOnCreate: !0
      }),
      c = ne(e, l);
    function f(e) {
      if (e.target && !r) {
        var n = e.target.closest(a);
        if (n) {
          var o = n.getAttribute("data-tippy-trigger") || t.trigger || H.trigger;
          if (!n._tippy && !("touchstart" === e.type && "boolean" == typeof u.touch || "touchstart" !== e.type && o.indexOf(re[e.type]) < 0)) {
            var s = ne(n, u);
            s && (i = i.concat(s));
          }
        }
      }
    }
    function h(e, t, i, r) {
      void 0 === r && (r = !1), e.addEventListener(t, i, r), n.push({
        node: e,
        eventType: t,
        handler: i,
        options: r
      });
    }
    return p(c).forEach(function (e) {
      var t = e.destroy,
        a = e.enable,
        s = e.disable;
      e.destroy = function (e) {
        void 0 === e && (e = !0), e && i.forEach(function (e) {
          e.destroy();
        }), i = [], n.forEach(function (e) {
          var t = e.node,
            n = e.eventType,
            i = e.handler,
            r = e.options;
          t.removeEventListener(n, i, r);
        }), n = [], t();
      }, e.enable = function () {
        a(), i.forEach(function (e) {
          return e.enable();
        }), r = !1;
      }, e.disable = function () {
        s(), i.forEach(function (e) {
          return e.disable();
        }), r = !0;
      }, function (e) {
        var t = e.reference;
        h(t, "touchstart", f, o), h(t, "mouseover", f), h(t, "focusin", f), h(t, "click", f);
      }(e);
    }), c;
  }, ne.hideAll = function (e) {
    var t = void 0 === e ? {} : e,
      n = t.exclude,
      i = t.duration;
    ee.forEach(function (e) {
      var t = !1;
      if (n && (t = w(n) ? e.reference === n : e.popper === n.popper), !t) {
        var r = e.props.duration;
        e.setProps({
          duration: i
        }), e.hide(), e.state.isDestroyed || e.setProps({
          duration: r
        });
      }
    });
  }, ne.roundArrow = '<svg width="16" height="6" xmlns="http://www.w3.org/2000/svg"><path d="M0 6s1.796-.013 4.67-3.615C5.851.9 6.93.006 8 0c1.07-.006 2.148.887 3.343 2.385C14.233 6.005 16 6 16 6H0z"></svg>', ne;
});
var Echo = function () {
  "use strict";

  function e(t) {
    return e = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (e) {
      return typeof e;
    } : function (e) {
      return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
    }, e(t);
  }
  function t(e, t) {
    if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function");
  }
  function n(e, t) {
    for (var n = 0; n < t.length; n++) {
      var i = t[n];
      i.enumerable = i.enumerable || !1, i.configurable = !0, "value" in i && (i.writable = !0), Object.defineProperty(e, i.key, i);
    }
  }
  function i(e, t, i) {
    return t && n(e.prototype, t), i && n(e, i), Object.defineProperty(e, "prototype", {
      writable: !1
    }), e;
  }
  function r() {
    return r = Object.assign || function (e) {
      for (var t = 1; t < arguments.length; t++) {
        var n = arguments[t];
        for (var i in n) Object.prototype.hasOwnProperty.call(n, i) && (e[i] = n[i]);
      }
      return e;
    }, r.apply(this, arguments);
  }
  function o(e, t) {
    if ("function" != typeof t && null !== t) throw new TypeError("Super expression must either be null or a function");
    e.prototype = Object.create(t && t.prototype, {
      constructor: {
        value: e,
        writable: !0,
        configurable: !0
      }
    }), Object.defineProperty(e, "prototype", {
      writable: !1
    }), t && s(e, t);
  }
  function a(e) {
    return a = Object.setPrototypeOf ? Object.getPrototypeOf : function (e) {
      return e.__proto__ || Object.getPrototypeOf(e);
    }, a(e);
  }
  function s(e, t) {
    return s = Object.setPrototypeOf || function (e, t) {
      return e.__proto__ = t, e;
    }, s(e, t);
  }
  function l(e, t) {
    if (t && ("object" == typeof t || "function" == typeof t)) return t;
    if (void 0 !== t) throw new TypeError("Derived constructors may only return object or undefined");
    return function (e) {
      if (void 0 === e) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      return e;
    }(e);
  }
  function u(e) {
    var t = function () {
      if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
      if (Reflect.construct.sham) return !1;
      if ("function" == typeof Proxy) return !0;
      try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})), !0;
      } catch (e) {
        return !1;
      }
    }();
    return function () {
      var n,
        i = a(e);
      if (t) {
        var r = a(this).constructor;
        n = Reflect.construct(i, arguments, r);
      } else n = i.apply(this, arguments);
      return l(this, n);
    };
  }
  var c = function () {
      function e() {
        t(this, e);
      }
      return i(e, [{
        key: "listenForWhisper",
        value: function (e, t) {
          return this.listen(".client-" + e, t);
        }
      }, {
        key: "notification",
        value: function (e) {
          return this.listen(".Illuminate\\Notifications\\Events\\BroadcastNotificationCreated", e);
        }
      }, {
        key: "stopListeningForWhisper",
        value: function (e, t) {
          return this.stopListening(".client-" + e, t);
        }
      }]), e;
    }(),
    d = function () {
      function e(n) {
        t(this, e), this.namespace = n;
      }
      return i(e, [{
        key: "format",
        value: function (e) {
          return "." === e.charAt(0) || "\\" === e.charAt(0) ? e.substr(1) : (this.namespace && (e = this.namespace + "." + e), e.replace(/\./g, "\\"));
        }
      }, {
        key: "setNamespace",
        value: function (e) {
          this.namespace = e;
        }
      }]), e;
    }(),
    p = function (e) {
      o(r, e);
      var n = u(r);
      function r(e, i, o) {
        var a;
        return t(this, r), (a = n.call(this)).name = i, a.pusher = e, a.options = o, a.eventFormatter = new d(a.options.namespace), a.subscribe(), a;
      }
      return i(r, [{
        key: "subscribe",
        value: function () {
          this.subscription = this.pusher.subscribe(this.name);
        }
      }, {
        key: "unsubscribe",
        value: function () {
          this.pusher.unsubscribe(this.name);
        }
      }, {
        key: "listen",
        value: function (e, t) {
          return this.on(this.eventFormatter.format(e), t), this;
        }
      }, {
        key: "listenToAll",
        value: function (e) {
          var t = this;
          return this.subscription.bind_global(function (n, i) {
            if (!n.startsWith("pusher:")) {
              var r = t.options.namespace.replace(/\./g, "\\"),
                o = n.startsWith(r) ? n.substring(r.length + 1) : "." + n;
              e(o, i);
            }
          }), this;
        }
      }, {
        key: "stopListening",
        value: function (e, t) {
          return t ? this.subscription.unbind(this.eventFormatter.format(e), t) : this.subscription.unbind(this.eventFormatter.format(e)), this;
        }
      }, {
        key: "stopListeningToAll",
        value: function (e) {
          return e ? this.subscription.unbind_global(e) : this.subscription.unbind_global(), this;
        }
      }, {
        key: "subscribed",
        value: function (e) {
          return this.on("pusher:subscription_succeeded", function () {
            e();
          }), this;
        }
      }, {
        key: "error",
        value: function (e) {
          return this.on("pusher:subscription_error", function (t) {
            e(t);
          }), this;
        }
      }, {
        key: "on",
        value: function (e, t) {
          return this.subscription.bind(e, t), this;
        }
      }]), r;
    }(c),
    f = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "whisper",
        value: function (e, t) {
          return this.pusher.channels.channels[this.name].trigger("client-".concat(e), t), this;
        }
      }]), r;
    }(p),
    h = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "whisper",
        value: function (e, t) {
          return this.pusher.channels.channels[this.name].trigger("client-".concat(e), t), this;
        }
      }]), r;
    }(p),
    m = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "here",
        value: function (e) {
          return this.on("pusher:subscription_succeeded", function (t) {
            e(Object.keys(t.members).map(function (e) {
              return t.members[e];
            }));
          }), this;
        }
      }, {
        key: "joining",
        value: function (e) {
          return this.on("pusher:member_added", function (t) {
            e(t.info);
          }), this;
        }
      }, {
        key: "whisper",
        value: function (e, t) {
          return this.pusher.channels.channels[this.name].trigger("client-".concat(e), t), this;
        }
      }, {
        key: "leaving",
        value: function (e) {
          return this.on("pusher:member_removed", function (t) {
            e(t.info);
          }), this;
        }
      }]), r;
    }(p),
    g = function (e) {
      o(r, e);
      var n = u(r);
      function r(e, i, o) {
        var a;
        return t(this, r), (a = n.call(this)).events = {}, a.listeners = {}, a.name = i, a.socket = e, a.options = o, a.eventFormatter = new d(a.options.namespace), a.subscribe(), a;
      }
      return i(r, [{
        key: "subscribe",
        value: function () {
          this.socket.emit("subscribe", {
            channel: this.name,
            auth: this.options.auth || {}
          });
        }
      }, {
        key: "unsubscribe",
        value: function () {
          this.unbind(), this.socket.emit("unsubscribe", {
            channel: this.name,
            auth: this.options.auth || {}
          });
        }
      }, {
        key: "listen",
        value: function (e, t) {
          return this.on(this.eventFormatter.format(e), t), this;
        }
      }, {
        key: "stopListening",
        value: function (e, t) {
          return this.unbindEvent(this.eventFormatter.format(e), t), this;
        }
      }, {
        key: "subscribed",
        value: function (e) {
          return this.on("connect", function (t) {
            e(t);
          }), this;
        }
      }, {
        key: "error",
        value: function (e) {
          return this;
        }
      }, {
        key: "on",
        value: function (e, t) {
          var n = this;
          return this.listeners[e] = this.listeners[e] || [], this.events[e] || (this.events[e] = function (t, i) {
            n.name === t && n.listeners[e] && n.listeners[e].forEach(function (e) {
              return e(i);
            });
          }, this.socket.on(e, this.events[e])), this.listeners[e].push(t), this;
        }
      }, {
        key: "unbind",
        value: function () {
          var e = this;
          Object.keys(this.events).forEach(function (t) {
            e.unbindEvent(t);
          });
        }
      }, {
        key: "unbindEvent",
        value: function (e, t) {
          this.listeners[e] = this.listeners[e] || [], t && (this.listeners[e] = this.listeners[e].filter(function (e) {
            return e !== t;
          })), t && 0 !== this.listeners[e].length || (this.events[e] && (this.socket.removeListener(e, this.events[e]), delete this.events[e]), delete this.listeners[e]);
        }
      }]), r;
    }(c),
    v = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "whisper",
        value: function (e, t) {
          return this.socket.emit("client event", {
            channel: this.name,
            event: "client-".concat(e),
            data: t
          }), this;
        }
      }]), r;
    }(g),
    y = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "here",
        value: function (e) {
          return this.on("presence:subscribed", function (t) {
            e(t.map(function (e) {
              return e.user_info;
            }));
          }), this;
        }
      }, {
        key: "joining",
        value: function (e) {
          return this.on("presence:joining", function (t) {
            return e(t.user_info);
          }), this;
        }
      }, {
        key: "whisper",
        value: function (e, t) {
          return this.socket.emit("client event", {
            channel: this.name,
            event: "client-".concat(e),
            data: t
          }), this;
        }
      }, {
        key: "leaving",
        value: function (e) {
          return this.on("presence:leaving", function (t) {
            return e(t.user_info);
          }), this;
        }
      }]), r;
    }(v),
    b = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "subscribe",
        value: function () {}
      }, {
        key: "unsubscribe",
        value: function () {}
      }, {
        key: "listen",
        value: function (e, t) {
          return this;
        }
      }, {
        key: "listenToAll",
        value: function (e) {
          return this;
        }
      }, {
        key: "stopListening",
        value: function (e, t) {
          return this;
        }
      }, {
        key: "subscribed",
        value: function (e) {
          return this;
        }
      }, {
        key: "error",
        value: function (e) {
          return this;
        }
      }, {
        key: "on",
        value: function (e, t) {
          return this;
        }
      }]), r;
    }(c),
    w = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "whisper",
        value: function (e, t) {
          return this;
        }
      }]), r;
    }(b),
    x = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "here",
        value: function (e) {
          return this;
        }
      }, {
        key: "joining",
        value: function (e) {
          return this;
        }
      }, {
        key: "whisper",
        value: function (e, t) {
          return this;
        }
      }, {
        key: "leaving",
        value: function (e) {
          return this;
        }
      }]), r;
    }(b),
    k = function () {
      function e(n) {
        t(this, e), this._defaultOptions = {
          auth: {
            headers: {}
          },
          authEndpoint: "/broadcasting/auth",
          userAuthentication: {
            endpoint: "/broadcasting/user-auth",
            headers: {}
          },
          broadcaster: "pusher",
          csrfToken: null,
          bearerToken: null,
          host: null,
          key: null,
          namespace: "App.Events"
        }, this.setOptions(n), this.connect();
      }
      return i(e, [{
        key: "setOptions",
        value: function (e) {
          this.options = r(this._defaultOptions, e);
          var t = this.csrfToken();
          return t && (this.options.auth.headers["X-CSRF-TOKEN"] = t, this.options.userAuthentication.headers["X-CSRF-TOKEN"] = t), (t = this.options.bearerToken) && (this.options.auth.headers.Authorization = "Bearer " + t, this.options.userAuthentication.headers.Authorization = "Bearer " + t), e;
        }
      }, {
        key: "csrfToken",
        value: function () {
          var e;
          return "undefined" != typeof window && window.Laravel && window.Laravel.csrfToken ? window.Laravel.csrfToken : this.options.csrfToken ? this.options.csrfToken : "undefined" != typeof document && "function" == typeof document.querySelector && (e = document.querySelector('meta[name="csrf-token"]')) ? e.getAttribute("content") : null;
        }
      }]), e;
    }(),
    C = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        var e;
        return t(this, r), (e = n.apply(this, arguments)).channels = {}, e;
      }
      return i(r, [{
        key: "connect",
        value: function () {
          void 0 !== this.options.client ? this.pusher = this.options.client : this.options.Pusher ? this.pusher = new this.options.Pusher(this.options.key, this.options) : this.pusher = new Pusher(this.options.key, this.options);
        }
      }, {
        key: "signin",
        value: function () {
          this.pusher.signin();
        }
      }, {
        key: "listen",
        value: function (e, t, n) {
          return this.channel(e).listen(t, n);
        }
      }, {
        key: "channel",
        value: function (e) {
          return this.channels[e] || (this.channels[e] = new p(this.pusher, e, this.options)), this.channels[e];
        }
      }, {
        key: "privateChannel",
        value: function (e) {
          return this.channels["private-" + e] || (this.channels["private-" + e] = new f(this.pusher, "private-" + e, this.options)), this.channels["private-" + e];
        }
      }, {
        key: "encryptedPrivateChannel",
        value: function (e) {
          return this.channels["private-encrypted-" + e] || (this.channels["private-encrypted-" + e] = new h(this.pusher, "private-encrypted-" + e, this.options)), this.channels["private-encrypted-" + e];
        }
      }, {
        key: "presenceChannel",
        value: function (e) {
          return this.channels["presence-" + e] || (this.channels["presence-" + e] = new m(this.pusher, "presence-" + e, this.options)), this.channels["presence-" + e];
        }
      }, {
        key: "leave",
        value: function (e) {
          var t = this;
          [e, "private-" + e, "private-encrypted-" + e, "presence-" + e].forEach(function (e, n) {
            t.leaveChannel(e);
          });
        }
      }, {
        key: "leaveChannel",
        value: function (e) {
          this.channels[e] && (this.channels[e].unsubscribe(), delete this.channels[e]);
        }
      }, {
        key: "socketId",
        value: function () {
          return this.pusher.connection.socket_id;
        }
      }, {
        key: "disconnect",
        value: function () {
          this.pusher.disconnect();
        }
      }]), r;
    }(k),
    T = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        var e;
        return t(this, r), (e = n.apply(this, arguments)).channels = {}, e;
      }
      return i(r, [{
        key: "connect",
        value: function () {
          var e = this,
            t = this.getSocketIO();
          return this.socket = t(this.options.host, this.options), this.socket.on("reconnect", function () {
            Object.values(e.channels).forEach(function (e) {
              e.subscribe();
            });
          }), this.socket;
        }
      }, {
        key: "getSocketIO",
        value: function () {
          if (void 0 !== this.options.client) return this.options.client;
          if ("undefined" != typeof io) return io;
          throw new Error("Socket.io client not found. Should be globally available or passed via options.client");
        }
      }, {
        key: "listen",
        value: function (e, t, n) {
          return this.channel(e).listen(t, n);
        }
      }, {
        key: "channel",
        value: function (e) {
          return this.channels[e] || (this.channels[e] = new g(this.socket, e, this.options)), this.channels[e];
        }
      }, {
        key: "privateChannel",
        value: function (e) {
          return this.channels["private-" + e] || (this.channels["private-" + e] = new v(this.socket, "private-" + e, this.options)), this.channels["private-" + e];
        }
      }, {
        key: "presenceChannel",
        value: function (e) {
          return this.channels["presence-" + e] || (this.channels["presence-" + e] = new y(this.socket, "presence-" + e, this.options)), this.channels["presence-" + e];
        }
      }, {
        key: "leave",
        value: function (e) {
          var t = this;
          [e, "private-" + e, "presence-" + e].forEach(function (e) {
            t.leaveChannel(e);
          });
        }
      }, {
        key: "leaveChannel",
        value: function (e) {
          this.channels[e] && (this.channels[e].unsubscribe(), delete this.channels[e]);
        }
      }, {
        key: "socketId",
        value: function () {
          return this.socket.id;
        }
      }, {
        key: "disconnect",
        value: function () {
          this.socket.disconnect();
        }
      }]), r;
    }(k),
    E = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        var e;
        return t(this, r), (e = n.apply(this, arguments)).channels = {}, e;
      }
      return i(r, [{
        key: "connect",
        value: function () {}
      }, {
        key: "listen",
        value: function (e, t, n) {
          return new b();
        }
      }, {
        key: "channel",
        value: function (e) {
          return new b();
        }
      }, {
        key: "privateChannel",
        value: function (e) {
          return new w();
        }
      }, {
        key: "encryptedPrivateChannel",
        value: function (e) {
          return new w();
        }
      }, {
        key: "presenceChannel",
        value: function (e) {
          return new x();
        }
      }, {
        key: "leave",
        value: function (e) {}
      }, {
        key: "leaveChannel",
        value: function (e) {}
      }, {
        key: "socketId",
        value: function () {
          return "fake-socket-id";
        }
      }, {
        key: "disconnect",
        value: function () {}
      }]), r;
    }(k);
  return function () {
    function n(e) {
      t(this, n), this.options = e, this.connect(), this.options.withoutInterceptors || this.registerInterceptors();
    }
    return i(n, [{
      key: "channel",
      value: function (e) {
        return this.connector.channel(e);
      }
    }, {
      key: "connect",
      value: function () {
        "pusher" == this.options.broadcaster ? this.connector = new C(this.options) : "socket.io" == this.options.broadcaster ? this.connector = new T(this.options) : "null" == this.options.broadcaster ? this.connector = new E(this.options) : "function" == typeof this.options.broadcaster && (this.connector = new this.options.broadcaster(this.options));
      }
    }, {
      key: "disconnect",
      value: function () {
        this.connector.disconnect();
      }
    }, {
      key: "join",
      value: function (e) {
        return this.connector.presenceChannel(e);
      }
    }, {
      key: "leave",
      value: function (e) {
        this.connector.leave(e);
      }
    }, {
      key: "leaveChannel",
      value: function (e) {
        this.connector.leaveChannel(e);
      }
    }, {
      key: "leaveAllChannels",
      value: function () {
        for (var e in this.connector.channels) this.leaveChannel(e);
      }
    }, {
      key: "listen",
      value: function (e, t, n) {
        return this.connector.listen(e, t, n);
      }
    }, {
      key: "private",
      value: function (e) {
        return this.connector.privateChannel(e);
      }
    }, {
      key: "encryptedPrivate",
      value: function (e) {
        return this.connector.encryptedPrivateChannel(e);
      }
    }, {
      key: "socketId",
      value: function () {
        return this.connector.socketId();
      }
    }, {
      key: "registerInterceptors",
      value: function () {
        "function" == typeof Vue && Vue.http && this.registerVueRequestInterceptor(), "function" == typeof axios && this.registerAxiosRequestInterceptor(), "function" == typeof jQuery && this.registerjQueryAjaxSetup(), "object" === ("undefined" == typeof Turbo ? "undefined" : e(Turbo)) && this.registerTurboRequestInterceptor();
      }
    }, {
      key: "registerVueRequestInterceptor",
      value: function () {
        var e = this;
        Vue.http.interceptors.push(function (t, n) {
          e.socketId() && t.headers.set("X-Socket-ID", e.socketId()), n();
        });
      }
    }, {
      key: "registerAxiosRequestInterceptor",
      value: function () {
        var e = this;
        axios.interceptors.request.use(function (t) {
          return e.socketId() && (t.headers["X-Socket-Id"] = e.socketId()), t;
        });
      }
    }, {
      key: "registerjQueryAjaxSetup",
      value: function () {
        var e = this;
        void 0 !== jQuery.ajax && jQuery.ajaxPrefilter(function (t, n, i) {
          e.socketId() && i.setRequestHeader("X-Socket-Id", e.socketId());
        });
      }
    }, {
      key: "registerTurboRequestInterceptor",
      value: function () {
        var e = this;
        document.addEventListener("turbo:before-fetch-request", function (t) {
          t.detail.fetchOptions.headers["X-Socket-Id"] = e.socketId();
        });
      }
    }]), n;
  }();
}();
/*!
* @supportpal/pollcast v1.3.2
* Released under the MIT License.
*/
!function (e, t) {
  "object" == typeof exports && "undefined" != typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define(t) : (e = "undefined" != typeof globalThis ? globalThis : e || self).Pollcast = t();
}(this, function () {
  "use strict";

  function e(t) {
    return e = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (e) {
      return typeof e;
    } : function (e) {
      return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
    }, e(t);
  }
  function t(e, t) {
    if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function");
  }
  function n(e, t) {
    for (var n = 0; n < t.length; n++) {
      var i = t[n];
      i.enumerable = i.enumerable || !1, i.configurable = !0, "value" in i && (i.writable = !0), Object.defineProperty(e, i.key, i);
    }
  }
  function i(e, t, i) {
    return t && n(e.prototype, t), i && n(e, i), Object.defineProperty(e, "prototype", {
      writable: !1
    }), e;
  }
  function r() {
    return r = Object.assign || function (e) {
      for (var t = 1; t < arguments.length; t++) {
        var n = arguments[t];
        for (var i in n) Object.prototype.hasOwnProperty.call(n, i) && (e[i] = n[i]);
      }
      return e;
    }, r.apply(this, arguments);
  }
  function o(e, t) {
    if ("function" != typeof t && null !== t) throw new TypeError("Super expression must either be null or a function");
    e.prototype = Object.create(t && t.prototype, {
      constructor: {
        value: e,
        writable: !0,
        configurable: !0
      }
    }), Object.defineProperty(e, "prototype", {
      writable: !1
    }), t && s(e, t);
  }
  function a(e) {
    return a = Object.setPrototypeOf ? Object.getPrototypeOf : function (e) {
      return e.__proto__ || Object.getPrototypeOf(e);
    }, a(e);
  }
  function s(e, t) {
    return s = Object.setPrototypeOf || function (e, t) {
      return e.__proto__ = t, e;
    }, s(e, t);
  }
  function l(e, t) {
    if (t && ("object" == typeof t || "function" == typeof t)) return t;
    if (void 0 !== t) throw new TypeError("Derived constructors may only return object or undefined");
    return function (e) {
      if (void 0 === e) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      return e;
    }(e);
  }
  function u(e) {
    var t = function () {
      if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
      if (Reflect.construct.sham) return !1;
      if ("function" == typeof Proxy) return !0;
      try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})), !0;
      } catch (e) {
        return !1;
      }
    }();
    return function () {
      var n,
        i = a(e);
      if (t) {
        var r = a(this).constructor;
        n = Reflect.construct(i, arguments, r);
      } else n = i.apply(this, arguments);
      return l(this, n);
    };
  }
  function c() {
    return c = "undefined" != typeof Reflect && Reflect.get ? Reflect.get : function (e, t, n) {
      var i = function (e, t) {
        for (; !Object.prototype.hasOwnProperty.call(e, t) && null !== (e = a(e)););
        return e;
      }(e, t);
      if (i) {
        var r = Object.getOwnPropertyDescriptor(i, t);
        return r.get ? r.get.call(arguments.length < 3 ? e : n) : r.value;
      }
    }, c.apply(this, arguments);
  }
  var d = function () {
      function e(n) {
        var i, r, o;
        t(this, e), o = {
          auth: {
            headers: {}
          },
          authEndpoint: "/broadcasting/auth",
          userAuthentication: {
            endpoint: "/broadcasting/user-auth",
            headers: {}
          },
          broadcaster: "pusher",
          csrfToken: null,
          bearerToken: null,
          host: null,
          key: null,
          namespace: "App.Events"
        }, (r = "_defaultOptions") in (i = this) ? Object.defineProperty(i, r, {
          value: o,
          enumerable: !0,
          configurable: !0,
          writable: !0
        }) : i[r] = o, this.setOptions(n), this.connect();
      }
      return i(e, [{
        key: "setOptions",
        value: function (e) {
          this.options = r(this._defaultOptions, e);
          var t = this.csrfToken();
          return t && (this.options.auth.headers["X-CSRF-TOKEN"] = t, this.options.userAuthentication.headers["X-CSRF-TOKEN"] = t), (t = this.options.bearerToken) && (this.options.auth.headers.Authorization = "Bearer " + t, this.options.userAuthentication.headers.Authorization = "Bearer " + t), e;
        }
      }, {
        key: "csrfToken",
        value: function () {
          var e;
          return "undefined" != typeof window && window.Laravel && window.Laravel.csrfToken ? window.Laravel.csrfToken : this.options.csrfToken ? this.options.csrfToken : "undefined" != typeof document && "function" == typeof document.querySelector && (e = document.querySelector('meta[name="csrf-token"]')) ? e.getAttribute("content") : null;
        }
      }]), e;
    }(),
    p = function () {
      function e() {
        t(this, e);
      }
      return i(e, [{
        key: "listenForWhisper",
        value: function (e, t) {
          return this.listen(".client-" + e, t);
        }
      }, {
        key: "notification",
        value: function (e) {
          return this.listen(".Illuminate\\Notifications\\Events\\BroadcastNotificationCreated", e);
        }
      }, {
        key: "stopListeningForWhisper",
        value: function (e, t) {
          return this.stopListening(".client-" + e, t);
        }
      }]), e;
    }(),
    f = function () {
      function e(n) {
        t(this, e), this.setNamespace(n);
      }
      return i(e, [{
        key: "format",
        value: function (e) {
          return "." === e.charAt(0) || "\\" === e.charAt(0) ? e.substr(1) : (this.namespace && (e = this.namespace + "." + e), e.replace(/\./g, "\\"));
        }
      }, {
        key: "setNamespace",
        value: function (e) {
          this.namespace = e;
        }
      }]), e;
    }(),
    h = function (e) {
      o(r, e);
      var n = u(r);
      function r(e, i, o) {
        var a;
        return t(this, r), (a = n.call(this)).name = i, a.socket = e, a.options = o, a.eventFormatter = new f(a.options.namespace), a.subscribe(), a;
      }
      return i(r, [{
        key: "subscribe",
        value: function () {
          this.socket.subscribe(this.name);
        }
      }, {
        key: "unsubscribe",
        value: function () {
          this.socket.unsubscribe(this.name);
        }
      }, {
        key: "listen",
        value: function (e, t) {
          return this.socket.on(this.name, this.eventFormatter.format(e), t), this;
        }
      }, {
        key: "stopListening",
        value: function (e, t) {
          return this.socket.off(this.name, this.eventFormatter.format(e), t), this;
        }
      }, {
        key: "subscribed",
        value: function (e) {
          return this.socket.on(this.name, "pollcast:subscription_succeeded", e), this;
        }
      }, {
        key: "error",
        value: function (e) {
          return this;
        }
      }]), r;
    }(p),
    m = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "whisper",
        value: function (e, t) {
          return this.socket.emit(this.name, "client-".concat(e), t), this;
        }
      }]), r;
    }(h),
    g = function (e) {
      o(r, e);
      var n = u(r);
      function r() {
        return t(this, r), n.apply(this, arguments);
      }
      return i(r, [{
        key: "here",
        value: function (e) {
          return this.socket.on(this.name, "pollcast:subscription_succeeded", function (t) {
            e(t.map(function (e) {
              return e.user_info;
            }));
          }), this;
        }
      }, {
        key: "joining",
        value: function (e) {
          return this.socket.on(this.name, "pollcast:member_added", function (t) {
            return e(t.user_info);
          }), this;
        }
      }, {
        key: "leaving",
        value: function (e) {
          return this.socket.on(this.name, "pollcast:member_removed", function (t) {
            return e(t.user_info);
          }), this;
        }
      }]), r;
    }(m),
    v = function (e) {
      return e && 0 === Object.keys(e).length && e.constructor === Object;
    },
    y = function (e, t) {
      return encodeURIComponent(e) + "=" + encodeURIComponent(t);
    },
    b = function t(n, i) {
      var r = [];
      return Object.keys(n).forEach(function (o, a) {
        var s,
          l = i ? i + "[" + o + "]" : o,
          u = n[o];
        s = "object" === e(u) ? v(u) ? y(l, "") : t(u, l) : y(l, u), r.push(s);
      }), r.join("&");
    },
    w = function () {
      function e(n, i) {
        t(this, e), this.xhr = new window.XMLHttpRequest(), this.xhr.open(n, i), this.setRequestHeader("X-Requested-With", "XMLHttpRequest"), this.setRequestHeader("Content-Type", "application/x-www-form-urlencoded"), this.fail(function (e) {
          document.dispatchEvent(new CustomEvent("pollcast:request-error", {
            detail: e
          }));
        });
      }
      return i(e, [{
        key: "success",
        value: function (e) {
          var t = this;
          return this.xhr.addEventListener("load", function () {
            t.xhr.readyState > 3 && 200 === t.xhr.status && e(t.xhr);
          }), this;
        }
      }, {
        key: "fail",
        value: function (e) {
          var t = this;
          return this.xhr.addEventListener("load", function () {
            t.xhr.readyState > 3 && 200 !== t.xhr.status && e(t.xhr);
          }), this;
        }
      }, {
        key: "always",
        value: function (e) {
          var t = this;
          return this.xhr.addEventListener("loadend", function (n) {
            e(t.xhr, n);
          }), this;
        }
      }, {
        key: "setRequestHeader",
        value: function (e, t) {
          return this.xhr.setRequestHeader(e, t), this;
        }
      }, {
        key: "send",
        value: function (e) {
          var t;
          void 0 !== e && (t = b(e)), this.xhr.send(t || null);
        }
      }, {
        key: "abort",
        value: function () {
          this.xhr.abort();
        }
      }]), e;
    }(),
    x = function () {
      function n(e) {
        t(this, n), this.key = e;
      }
      return i(n, [{
        key: "get",
        value: function () {
          var t = localStorage.getItem(this.key);
          if (null === t) return {};
          try {
            return "object" === e(t = JSON.parse(t)) ? t : {};
          } catch (e) {
            return {};
          }
        }
      }, {
        key: "set",
        value: function (e, t) {
          var n = this.get();
          n[e] = t, localStorage.setItem(this.key, JSON.stringify(n));
        }
      }]), n;
    }(),
    k = function () {
      function e() {
        t(this, e), this.storage = new x("universal_time");
      }
      return i(e, [{
        key: "setTime",
        value: function (e) {
          this.storage.set("time", e);
        }
      }, {
        key: "getTime",
        value: function () {
          return this.storage.get().time || "";
        }
      }]), e;
    }(),
    C = function () {
      function e() {
        t(this, e);
      }
      return i(e, null, [{
        key: "setActive",
        value: function () {
          this.storage.set("lastActive", this.windowId);
        }
      }, {
        key: "isActive",
        value: function () {
          return this.storage.get().lastActive === this.windowId;
        }
      }]), e;
    }();
  C.windowId = "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function (e) {
    var t = 16 * Math.random() | 0;
    return ("x" === e ? t : 3 & t | 8).toString(16);
  }), C.storage = new x("window-visibility"), C.setActive(), window.addEventListener("visibilitychange", function () {
    document.hidden || C.setActive();
  });
  var T = function () {
      function e(n, i) {
        t(this, e), this.id = "", this.universalTime = new k(), this.channels = {}, this.options = n, this.options.csrfToken = i;
      }
      return i(e, [{
        key: "connect",
        value: function () {
          var e = this;
          this.request = new w("POST", this.options.routes.connect), this.request.success(function (t) {
            var n = JSON.parse(t.responseText);
            "success" === n.status && (e.universalTime.setTime(n.time), e.id = n.id, e.poll());
          }).send({
            _token: this.options.csrfToken
          });
        }
      }, {
        key: "subscribed",
        get: function () {
          return this.channels;
        }
      }, {
        key: "subscribe",
        value: function (e) {
          var t, n;
          Object.hasOwnProperty.call(this.channels, e) || (this.channels[e] = {});
          var i = new w("POST", this.options.routes.subscribe);
          for (var r in null === (n = null === (t = this.options) || void 0 === t ? void 0 : t.auth) || void 0 === n ? void 0 : n.headers) i.setRequestHeader(r, this.options.auth.headers[r]);
          i.send({
            channel_name: e,
            _token: this.options.csrfToken
          });
        }
      }, {
        key: "unsubscribe",
        value: function (e) {
          var t = {
            channel_name: e,
            _token: this.options.csrfToken
          };
          "sendBeacon" in navigator && navigator.sendBeacon(this.options.routes.unsubscribe, new URLSearchParams(t)) && delete this.channels[e];
        }
      }, {
        key: "on",
        value: function (e, t, n) {
          Object.hasOwnProperty.call(this.channels, e) && (Object.hasOwnProperty.call(this.channels[e], t) || (this.channels[e][t] = []), this.channels[e][t].push(n));
        }
      }, {
        key: "off",
        value: function (e, t, n) {
          Object.hasOwnProperty.call(this.channels, e) && Object.hasOwnProperty.call(this.channels[e], t) && (n ? this.channels[e][t] = this.channels[e][t].filter(function (e) {
            return e !== n;
          }) : delete this.channels[e][t]);
        }
      }, {
        key: "emit",
        value: function (e, t, n) {
          new w("POST", this.options.routes.publish).send({
            channel_name: e,
            event: t,
            data: n,
            _token: this.options.csrfToken
          });
        }
      }, {
        key: "disconnect",
        value: function () {
          this.id = "", this.request && this.request.abort(), this.timer && (clearTimeout(this.timer), this.timer = void 0);
        }
      }, {
        key: "dispatch",
        value: function (e, t, n) {
          if (Object.hasOwnProperty.call(this.channels, e) && Object.hasOwnProperty.call(this.channels[e], t)) for (var i = this.channels[e][t], r = 0; r < i.length; r++) i[r](n);
        }
      }, {
        key: "poll",
        value: function () {
          var e = this,
            t = this,
            n = {};
          for (var i in this.channels) n[i] = Object.keys(this.channels[i]);
          C.isActive() && !v(n) ? (this.request = new w("POST", this.options.routes.receive), this.request.success(function (e) {
            return t.fireEvents(e.responseText);
          }).fail(function (n) {
            if (404 === n.status) for (var i in e.channels) t.subscribe(i);
          }).always(function () {
            "" !== e.id && (t.timer = setTimeout(function () {
              return t.poll();
            }, t.options.polling));
          }).send({
            time: this.universalTime.getTime(),
            channels: n,
            _token: this.options.csrfToken
          })) : "" !== this.id && (t.timer = setTimeout(function () {
            return t.poll();
          }, this.options.polling));
        }
      }, {
        key: "fireEvents",
        value: function (e) {
          var t = this;
          "success" === (e = JSON.parse(e)).status && (this.universalTime.setTime(e.time), Object.keys(e.events).forEach(function (n) {
            var i = e.events[n];
            t.dispatch(i.channel.name, i.event, i.payload);
          }));
        }
      }]), e;
    }(),
    E = function (e) {
      o(s, e);
      var n = u(s);
      function s() {
        var e;
        return t(this, s), (e = n.apply(this, arguments)).channels = {}, e;
      }
      return i(s, [{
        key: "setOptions",
        value: function (e) {
          return c(a(s.prototype), "setOptions", this).call(this, e), this.options = r({
            routes: {
              connect: "",
              receive: "",
              publish: "",
              subscribe: "",
              unsubscribe: ""
            },
            polling: 5e3
          }, this.options), e;
        }
      }, {
        key: "connect",
        value: function () {
          this.socket = new T(this.options, this.csrfToken()), this.socket.connect();
        }
      }, {
        key: "channel",
        value: function (e) {
          return this.channels[e] || (this.channels[e] = new h(this.socket, e, this.options)), this.channels[e];
        }
      }, {
        key: "privateChannel",
        value: function (e) {
          return this.channels["private-" + e] || (this.channels["private-" + e] = new m(this.socket, "private-" + e, this.options)), this.channels["private-" + e];
        }
      }, {
        key: "presenceChannel",
        value: function (e) {
          return this.channels["presence-" + e] || (this.channels["presence-" + e] = new g(this.socket, "presence-" + e, this.options)), this.channels["presence-" + e];
        }
      }, {
        key: "leave",
        value: function (e) {
          var t = this;
          [e, "private-" + e, "presence-" + e].forEach(function (e) {
            t.leaveChannel(e);
          });
        }
      }, {
        key: "leaveChannel",
        value: function (e) {
          this.channels[e] && (this.channels[e].unsubscribe(), delete this.channels[e]);
        }
      }, {
        key: "socketId",
        value: function () {
          return this.socket ? this.socket.id : "";
        }
      }, {
        key: "disconnect",
        value: function () {
          this.socket && this.socket.disconnect();
        }
      }]), s;
    }(d);
  return E;
});